Welcome

Corel R.A.V.E. makes it easy to create a wide range of animated graphics — from animated logos and navigation controls to interactive animated graphics for the Web. The Corel R.A.V.E. application combines the familiar graphics capabilities and user interface of CorelDRAW with a powerful yet easy-to-use set of animation features.

In this section, you’ll learn about

  • what’s new in Corel R.A.V.E.
  • installing and uninstalling applications
  • changing the language of the user interface and Help
  • registering Corel products
  • updating Corel products
  • Corel Support Services
  • documentation conventions
  • getting Help
  • using CorelTUTOR
  • customer feedback
  • other resources
  • about Corel Corporation

Next Document Back to Top

Copyright 2000-2003 Corel Corporation. All rights reserved.


What’s new in Corel R.A.V.E.

Corel R.A.V.E. includes new features and enhancements that will make your work easier.

Multiple language support

Corel R.A.V.E. allows users to exchange files effortlessly, regardless of the language or operating system in which the file was created, ensuring that text displays correctly. For more information, see "Encoding text."

Dynamic guides

You can display dynamic guides to help you precisely position, align, and draw objects relative to other objects. Dynamic guides are temporary guides you can pull from the following snap points in objects — center, node, quadrant, and text baseline. You can use dynamic guides with onion skinning to align objects across several frames in a movie. For information, see "Using dynamic guides."

Drawing using shape recognition

Corel R.A.V.E. lets you can draw freehand strokes that are recognized and converted to basic shapes using the Smart drawing tool. Corel R.A.V.E. automatically smooths any unrecognized shapes or curves drawn with the Smart drawing tool. For more information, see "Drawing using shape recognition."

Snapping enhancements

While you move or draw an object in Corel R.A.V.E., you can snap it to another object in a movie. You can snap an object to a number of snap points in the target object. When the pointer is close to a snap point, the snap point is highlighted, indicating it as the target that the pointer will snap to. For more information, see "Snapping objects."

Text alignment

Corel R.A.V.E. has enhanced text alignment. You can align text objects to other objects using the first text baseline, last text baseline, or the bounding box. For more information, see "To align text to an object."

Copying object properties, transformations, and effects

You can use the enhanced Eyedropper and Paintbucket tools to copy color, object properties, effects, and transformations from one object to another. For information about using the Eyedropper tool, see "Copying object properties, transformations, and effects."

Virtual segment delete tool

You can delete portions of objects, called virtual line segments, that are between intersections. For more information, see "To delete a virtual line segment."

Improved file compatibility

Corel R.A.V.E. has improved import compatibility with many industry-standard file formats, such as Hewlett-Packard Plotter (PLT), AutoCAD Drawing Interchange Format (DXF), AutoCAD Drawing Database (DWG), Computer Graphics Metafile (CGM), Microsoft Word Document, and many more. For more information, see "File formats."

Enhanced symbols and sprites

Symbols and sprites are now easier to work with in Corel R.A.V.E. The Library is now called the Symbol manager, allowing you to easily work with external symbols and symbol libraries. To simplify distinguishing between a symbol and an object, the selection handles around a symbol are now blue. As well, the controls for editing symbols are easier to access. For more information, see "Working with symbols and sprites."

3-point drawing tools

Cursor improvements to the 3-point drawing tools let you easily specify width and height as you draw rectangles, ellipses, and curves. For more information, see "To draw a rectangle by specifying height and width", "To draw an ellipse by specifying width and height", or "To draw a curve by specifying width and height."

Previous Document Next Document Back to Top


Installing and uninstalling applications

The application’s Installer makes it easy to install Corel applications and components. It lets you

  • install any Corel applications included in your software package
  • add components to a currently installed application
  • refresh files and configurations of currently installed applications
Related Topics
  • To install an application
  • To uninstall applications


To install an application

  1. Close all applications.
  2. Insert Disc 1 in the CD drive.

    3. If the installation wizard does not start automatically, click Start on the Windows taskbar, and click Run. Type D:\Setup, where D is the letter that corresponds to the CD drive.

  3. Follow the instructions in the installation wizard and enable one of the following options:
    • Typical — to install the default applications and components
    • Compact — to install the minimum components for the application to operate
    • Custom — to choose applications and writing tool components
  4. Follow the instructions for installing and registering the application.
Related Topics
  • Installing and uninstalling applications
  • To uninstall applications


To uninstall applications

  1. On the Windows taskbar, click Start } Control Panel.

    2. If your operating system is Windows 2000 or earlier, click Start } Settings } Control Panel.

  2. Double-click Add/Remove programs.
  3. Choose a Corel application from the list, click Change/Remove, and enable the Remove all option in the dialog box.

    4. If you want to remove all files, including user files, click Change, and enable the Remove user files checkbox.

    If your operating system is Windows 2000 or earlier, click the Remove button.

  4. Follow the InstallShield wizard instructions.

  • You can choose whether the uninstalling process will remove user files such as preference, presets, user-created fills, customized files, and so on.
Related Topics
  • Installing and uninstalling applications
  • To install an application


Changing the language of the user interface and Help

If you chose to install an application in more than one language, you can change the language of the user interface and Help at any time.

Related Topics
  • To change the language of the user interface and Help


To change the language of the user interface and Help

  1. Click Tools } Options.
  2. In the list of categories, click Global.
  3. Choose a language from the Select the language for the user interface list box.

    4. If you want to change the language of the user interface and Help as you start the application, enable the Ask me the next time the software starts check box.

  4. Restart the application.
Related Topics
  • Changing the language of the user interface and Help


Registering Corel products

Registering Corel products is important. Registration provides you with timely access to the latest product updates, valuable information about product releases, and access to free downloads, articles, tips and tricks, and special offers.

You can register when you install the application or at a later date.

You can register using the following methods:

  • online — You can launch online registration if you are connected to the Internet when you install the Corel graphics application. If no Internet connection is detected, a list of options displays in a dialog box.
  • FTP — You can complete the registration form, and it will be sent automatically when an Internet connection is detected.
  • by phone — You can call the Corel Customer Service Center nearest you.

For more information about registering a Corel product, visit www.corel.com/support/register.


Updating Corel products

Corel Update is an automatic feature that notifies you of updates to Corel products, downloads the updates, and installs them. Corel Update operates via the Web, so it requires an Internet connection.

You can set how often Corel Update checks for updates through the Start menu. It’s recommended that you set Corel Update to check for updates every 30 days or on starting the application. If you prefer, you can disable Corel Update altogether by choosing to never check for updates.


Corel Support Services

Corel Support Services can provide you with prompt and accurate information about product features, specifications, pricing, availability, services, and technical support. For the most current information on support services available for your Corel product, please visit www.corel.com/support.


Documentation conventions

The following table describes important conventions used in the user guide and Help.

Convention | Description | Examples
Menu } Menu command | Click the menu item followed by the menu command. | Click File } Open.
list box | A list of options that drops down when a user clicks the down arrow button. | Choose a value from the Force field list box on the property bar.
docker | A window containing available commands and settings relevant to a specific tool or task. | Double-click the name of the group in the Timeline docker.
Enter | Enter key | Type a value in the Eraser thickness box on the property bar, and press Enter.
 | A note contains information that is important to the preceding steps. It can describe conditions under which the procedure can be performed. | You can’t copy or clone a compound blend. If you click the Equal margins button, you must specify values in the Top/left margin boxes.
 | A tip contains suggestions for performing the preceding steps. It can present alternatives to the steps, and other benefits and uses of the procedure. You can also create a hyperlink using the Internet toolbar. | Trimming an object can reduce the drawing file size.


Getting help

You can get help from the accompanying user guide or directly from the user interface. You can find topics from the Help by using the table of contents and search tool. You can also print a Help topic and display Help topics relevant to the task you are performing.

Help is available through the following tools:

  • User guide — provides commonly used procedures and information. Chapters ending with From here tables contain keywords that direct you to additional topics in the Help.
  • Help — lets you access Help directly from the user interface and find topics using the contents topic, index, and word/phrase search tool
  • ToolTips — let you access tips for using the application’s icons and buttons. To view a ToolTip, position the cursor over an icon, button, or other application control.
Related Topics
  • To use Help


To use Help

  1. Click Help } Help topics.
  2. Click one of the following tabs:
    • Contents — lets you browse through topics in the Help
    • Index — lets you use the index to find a topic
    • Search — lets you search the full text of the Help for a particular word. For example, if you are looking for information about RGB color mode, you can type “RGB” to display a list of relevant topics.

You can also |
View Help for a dialog box | Click the Help button.
Print a specific Help topic | Open a Help topic, click the frame you want to print, and click Print.

  • You can also launch Help by pressing F1.
Related Topics
  • Getting help


Using CorelTUTOR

CorelTUTOR provides a series of project-based tutorials that introduce you to basic and advanced features of Corel R.A.V.E.

Related Topics
  • To access CorelTUTOR


To access CorelTUTOR

  • Click Help } CorelTUTOR.
Related Topics
  • Using CorelTUTOR


Customer feedback

If you have any comments or suggestions about Corel R.A.V.E., you can send them by email to drawsuggest@corel.com.

If you have any comments or suggestions about the user guides, Help, and tutorials, you can send them by email to drawdoc@corel.com. You can check the product Web site for the latest news, tips and tricks, and product upgrade information. Go to www.corel.com and follow the links to the product site.


Other resources

Corel has training partnerships with other firms and provides professional services for its software products. The Corel Designer Web site contains a wealth of graphics resources.

Training
Corel Training Events
  • Maximize your skills and attend a Corel Training Camp — special intensive Training Events held throughout North America on various Corel products. All Training Camps are delivered by a Corel Training Specialist, with hands-on instruction, exercises and practical real-world projects. To look at the training schedule or to register for a course, please visit www.corel.com/trainingschedule.
Corel Customized Training
  • Once you have Corel applications running on your computers, our team of expert Corel Training Specialists can help you make the most of them with customized training, tailored to the specific needs of your work environment. We will help you develop a custom curriculum which is practical and relevant to the needs of your organization. For more information about Corel Customized Training, please visit www.corel.com/customizedtraining.
Corel Training Partners (CTP)
  • A Corel Training Partner is an independent, officially accredited local organization that provides training on Corel products and is located worldwide for your convenience.
Corel Corporate Services

Corel is committed to getting you up and running quickly with time and money-saving workflow solutions. To simplify the process of deploying Corel applications across your organization, our Corporate Services department offers a comprehensive range of cost-effective services to meet your technology needs. This group brings together highly skilled experts from across the company who are dedicated to providing top-notch solutions. Our knowledgeable team is ready to offer assistance through all stages of your project, from application development and support to software systems integration and training.

For more information on Corel Corporate Services, please contact proservices@corel.com.

Designer.com

Users are encouraged to visit Corel’s Designer.com Web site. It contains articles, tips and tricks, free clipart, product news, tutorials, and other graphics resources to inspire, excite, and illuminate. Visit www.designer.com to start.


About Corel Corporation

Founded in 1985, Corel Corporation (www.corel.com) is a leading technology company specializing in content creation tools, business process management and XML-enabled enterprise solutions. The company’s goal is to give consumers and enterprise customers the ability to create, exchange and instantly interact with visual content that is always relevant, accurate and available. Corel Corporation has its headquarters in Ottawa, Canada.


Workspace tour

Becoming familiar with the terminology and workspace of Corel R.A.V.E. will help you easily follow this user guide’s concepts and procedures.

In this section, you’ll learn about

  • Corel R.A.V.E. terminology and concepts
  • Corel R.A.V.E. application window
  • Corel R.A.V.E. workspace tools


Corel R.A.V.E. terminology and concepts

Before you get started with Corel R.A.V.E., you should be familiar with the following terms.

Term | Description
object | An element in a drawing such as an image, shape, line, curve, symbol, text, or layer
movie | An animation project you create in Corel R.A.V.E. A movie consists of a succession of frames.
frame | One image in a series of images that make up a movie. A movie frame can contain one or more objects.
stage | The area in which you add objects to a movie, compose the contents of individual frames, and preview animation
docker | A window containing available commands and settings relevant to a specific tool or task
flyout | A button that opens a group of related tools
thumbnail | A small, low-resolution representation of an image
artistic text | A type of text to which you can apply special effects, such as shadows
paragraph text | A type of text to which you can apply formatting options, and which can be edited in large blocks


Corel R.A.V.E. application window

When you launch Corel R.A.V.E., the application window opens containing a drawing window. The rectangle in the center of the drawing window is the stage where you create your movie. Although more than one drawing window can be opened, you can apply commands to the active drawing window only.

The application window contains the following main parts:

Part | Description
Menu bar | The area containing pull-down menu options
Property bar | A detachable bar that changes depending on the tool or task. For example, when the text tool is active, the property bar displays commands that create and edit text.
Toolbar | A detachable bar that contains shortcuts to menu and other commands
Title bar | The area displaying the title of the currently open movie
Rulers | Horizontal and vertical borders that are used to determine the size and position of objects in a movie
Toolbox | A dockable bar with tools for creating, filling, and modifying objects in the movie
Drawing window | The area outside the stage bordered by the scroll bars and application controls
Stage | The rectangular area inside the drawing window in which you add objects to a movie, compose the contents of individual frames, and preview animation
Color palette | A dockable bar that contains color swatches
Docker | A window containing available commands and settings relevant to a specific tool or task
Status bar | An area at the bottom of the application window that contains information about object properties such as type, size, color, fill, and resolution. The status bar also shows the current mouse position.
Navigator | The small, square button at the bottom-right corner that opens a smaller display to help you move around in the drawing window
Movie playback controls | The area at the bottom left of the drawing window that contains controls for playing movies
Timeline docker | The window displaying the timeline of all objects in a movie. This is where you animate, organize, and coordinate objects in a movie.

  • By default, the rulers are not displayed. To toggle between displaying and hiding the rulers, see "To display or hide the rulers."
  • By default, the status bar is not displayed. To toggle between displaying and hiding the status bar, click Window } Toolbars } Status bar.


Corel R.A.V.E. workspace tools

Application commands are accessible through the menu bar, toolbars, toolbox, property bar, dockers. The property bar and dockers provide access to commands that relate to the active tool or current task. The property bar, dockers, toolbars, and toolbox can be opened, closed, and moved around your screen at any time. You can customize many of these workspace tools to suit your needs. For more information, see “Customizing your application” in the Help.

Related Topics
  • Toolbars
  • Toolbox
  • Property bar
  • Dockers
  • Status bar
  • Timeline docker
  • Movie playback controls


Toolbars

Corel R.A.V.E. has two toolbars that can remain displayed at all times. The standard toolbar contains buttons that are shortcuts to many of the menu commands. The Internet toolbar contains commands for Web-related tools such as those for creating rollovers and publishing to the Internet.

For information about customizing the position, contents, and appearance of toolbars, see “Customizing toolbars” in the Help.

Standard toolbar

Click this button | To
 | Start a new movie
 | Open a movie
 | Save a movie
 | Print a movie
 | Cut selected objects to the Clipboard
 | Copy selected objects to the Clipboard
 | Paste the Clipboard contents into a movie
 | Undo an action
 | Restore an action that was undone
 | Import a file
 | Export a movie
 | Set a zoom level
 | Launch Corel applications
 | Launch to Corel Graphics Community Web site

Internet toolbar

  • (Windows) By default, the Internet toolbar is not displayed. For information about displaying toolbars, see “To customize toolbar position and display” in the Help.
Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbox
  • Property bar
  • Dockers
  • Status bar
  • Timeline docker
  • Movie playback controls


Toolbox

Flyouts open to display a set of related Corel R.A.V.E. tools. A small arrow in the bottom right corner of a toolbox button indicates a flyout: for example, the Shape edit flyout [image]. Clicking a flyout arrow opens a set of related tools. Clicking the grab handles at the left end of the flyout and dragging the flyout away from the toolbox sets the flyout in its expanded form.

The following table provides descriptions of the flyouts and tools in the Corel R.A.V.E. toolbox.

Flyouts

Flyout | Description
Zoom | Lets you access the Zoom and Hand tools
Curve | Lets you access the Freehand, Bézier, Artistic media, 3-point curve, Polyline, and Pen tools
Rectangle | Lets you access the Rectangle and 3-point rectangle tools
Ellipse | Lets you access the Ellipse and 3-point ellipse tools
Shape edit | Lets you access the Shape, Knife, Eraser, Smudge brush, Roughen brush, and Virtual segment delete tools
Object | Lets you access the Polygon, Spiral, and Graph paper tools
Perfect Shapes | Lets you access the Basic shapes, Arrow shapes, Flowchart shapes, Star shapes, and Callout shapes tools
Interactive tools | Lets you access the Interactive blend, Interactive contour, Interactive distortion, Interactive envelope, Interactive extrude, Interactive drop shadow, and Interactive transparency tools
Interactive fill | Lets you access the Interactive fill and Interactive mesh fill tools
Eyedropper | Lets you access the Eyedropper and Paintbucket tools
Outline | Lets you access the Outline pen and the Outline color dialog boxes, the Color docker, and a selection of outlines of various widths
Fill | Lets you access the Color docker, the Fill color, Fountain fill, Pattern fill, and Texture fill dialog boxes, and the No fill button.

Tools

Tool | Description
 | The Pick tool lets you select and transform objects.
 | The Shape tool lets you edit the shape of objects.
 | The Knife tool lets you cut through objects.
 | The Eraser tool lets you remove areas from objects.
 | The Smudge brush tool lets you distort a vector object by dragging along its outline.
 | The Roughen brush tool lets you distort the outline of a vector object by dragging along the outline.
 | The Virtual segment delete tool lets you delete portions of objects that are between intersections.
 | The Zoom tool lets you change the magnification level in the drawing window.
 | The Hand tool lets you control which part of the movie is visible in the drawing window.
 | The Pen tool lets you draw lines between nodes by setting down one node at a time.
 | The Polyline tool lets you draw lines and curves one segment at a time in Preview mode.
 | The Freehand tool lets you draw lines and curves.
 | The Bézier tool lets you draw curves one segment at a time.
 | The 3-point curve tool lets you draw a curve by setting down three points on the stage.
 | The Artistic media tool provides access to the Brush, Sprayer, Calligraphic, and Pressure tools.
 | The Smart drawing tool converts the freehand strokes that you draw to basic shapes and smoothed curves.
 | The Rectangle tool lets you draw rectangles and squares.
 | The 3-point rectangle tool lets you draw a rectangle by setting down three points on the stage.
 | The Ellipse tool lets you draw ellipses and circles.
 | The 3-point ellipse tool lets you draw an ellipse by setting down three points on the stage.
 | The Polygon tool lets you draw symmetrical polygons and stars.
 | The Spiral tool lets you draw symmetrical and logarithmic spirals.
 | The Graph paper tool lets you draw a grid of lines similar to that on graph paper.
 | The Basic shapes tool lets you choose from a full set of shapes, including a hexagram, a smiley face, and a right-angle triangle.
 | The Arrow shapes tool lets you draw arrows of various shape, direction, and number of heads.
 | The Flowchart shapes tool lets you draw flowchart symbols.
 | The Star shapes tool lets you draw ribbon objects and explosion shapes.
 | The Callout shapes tool lets you draw callouts and labels.
 | The Text tool lets you type words directly on the screen as artistic or paragraph text.
 | The Interactive blend tool lets you blend two objects.
 | The Interactive contour tool lets you apply a contour to an object.
 | The Interactive distortion tool lets you apply a Push or Pull distortion, a Zipper distortion, or a Twister distortion to an object.
 | The Interactive envelope tool lets you distort an object by dragging the nodes of the envelope.
 | The Interactive extrude tool lets you apply the illusion of depth to objects.
 | The Interactive drop shadow tool lets you apply a drop shadow to an object.
 | The Interactive transparency tool lets you apply transparencies to objects.
 | The Interactive fill tool lets you apply various fills.
 | The Interactive mesh tool lets you apply a mesh grid to an object.
 | The Eyedropper tool lets you select a fill from an object on the drawing window.
 | The Paintbucket tool lets you fill an object on the drawing window after selecting a fill using the Eyedropper tool.
 | The Fill tool opens the Fill flyout.


Property bar

The property bar displays the most commonly used options that are relevant to the active tool or the task you’re performing. Although it looks like a toolbar, the property bar content changes depending on the tool or task.

For example, when you click the Text tool in the toolbox, the property bar displays only text-related commands. In the example below, the property bar displays text formatting, alignment, and editing tools.

You can customize the contents and position of the property bar to suit your needs. For more information, see “Customizing the property bar” in the Help.

Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbars
  • Toolbox
  • Dockers
  • Status bar
  • Timeline docker
  • Movie playback controls


Dockers

Dockers display the same type of controls as a dialog box, such as command buttons, options, and list boxes. Unlike most dialog boxes, you can keep dockers open while working on a document so you can readily access the commands to experiment with different effects.

Dockers can be either docked or floating. Docking a docker attaches it to the edge of the application window. Undocking a docker places it in a floating state where it can be easily moved around. You can also collapse dockers to save screen space.

An example is the Object properties docker. When it is open, you can click an object and view formatting, dimensions, and other properties of the object.

Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbars
  • Toolbox
  • Property bar
  • Status bar
  • Timeline docker
  • Movie playback controls


Status bar

The status bar displays information about selected objects (such as color, fill type, and outline), cursor position, and relevant commands. See “Customizing the status bar” in the Help for information about customizing the contents and appearance of the status bar.

The status bar is not displayed by default. To toggle between displaying and hiding the status bar, click Window } Toolbars } Status bar.

The graphic below shows some of the information displayed in the status bar.

Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbars
  • Toolbox
  • Property bar
  • Dockers
  • Timeline docker
  • Movie playback controls


Timeline docker

The Timeline docker lets you create animation. As you add objects to the stage, Corel R.A.V.E. lists them in the left section of the Timeline docker and adds them to the timeline. Initially, objects exist in one frame only. You can use the timeline to extend the life of individual objects and add keyframes to change objects over time. For information about extending the life of objects and changing them over time, see "Animating objects."

The following controls and elements of the Timeline docker let you organize, animate, and coordinate the contents of a movie.

Control or element | Description
 | The playhead shows which frame in a movie is displayed on the stage and lets you navigate through frames.
 | The New layer button lets you add new layers to organize objects in a movie.
 | The Delete button lets you delete unwanted layers.
 | The Insert keyframe button lets you add keyframes.
 | The Delete keyframe button lets you delete keyframes.
 | The Insert frame button lets you insert frames before or after the current frame.
 | The Delete frame button lets you delete frames before or after the current frame.
 | The Zoom control button lets you scale the frame header to display more or fewer frames on the Timeline docker.
 | The Show onion skin button lets you display the contents of multiple frames on the stage.
 | The onion skinning handles let you choose a range of frames to display on the stage.
 | The Behaviors button opens the Behaviors dialog box.

  • The Timeline docker is displayed by default but you can close it temporarily to get a better view of the stage. To close or open the Timeline docker, click Movie } Timeline.
Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbars
  • Toolbox
  • Property bar
  • Dockers
  • Status bar
  • Movie playback controls


Movie playback controls

The movie playback controls that are located in the bottom left corner of the drawing window let you preview movies you’ve created in Corel R.A.V.E.

Playback control | Description
 | Lets you play a movie
 | Lets you stop a movie
 | Lets you rewind to the beginning of a movie
 | Lets you move back one frame
 | Lets you fast forward to the last frame in a movie
 | Lets you move forward one frame

Related Topics
  • Corel R.A.V.E. workspace tools
  • Toolbars
  • Toolbox
  • Property bar
  • Dockers
  • Status bar
  • Timeline docker


Getting started in Corel R.A.V.E.

In this section, you’ll learn about

  • how Corel R.A.V.E. works
  • starting Corel R.A.V.E. and opening movies
  • setting the properties of movies
  • importing files
  • finding and inserting images
  • undoing, redoing, and repeating actions
  • saving movies
  • backing up and recovering files
  • closing movies and quitting Corel R.A.V.E.


How Corel R.A.V.E. works

The Corel R.A.V.E. application lets you create movies by following these steps:

  1. Start a movie project — See "Starting Corel R.A.V.E. and opening movies" for information about starting a movie project, either from scratch or by opening a graphic. See "Setting the properties of movies" for information about setting movie properties such as stage size, frame rate, and background.
  2. Create the movie contents — Use the drawing and effects tools to create and modify lines, shapes, and text, or to import artwork created in other applications. For information about drawing lines and shapes, shaping and working with objects, filling and coloring objects, adding special effects, and working with bitmaps, see the Help. For information about working with text, see “Adding and formatting text” in the Help.
  3. Animate, preview, and edit the movie contents — Use a timeline to extend the life of objects in a movie and change them over time. You can preview the movie, coordinate animated objects, and modify the way they change over time. For information about animating, see "Animating objects" and "Animating text." For information about editing and previewing movies, see "Editing and previewing animation."
  4. Add sound and repetition — Add sound to further enliven a movie, or repeat an animated object or group of objects for the duration of a movie. For information about working with sound, see "Using sound in movies." For information about repeating an animation within a movie, see "Repeating animated objects."
  5. Add interactivity — Add interactive objects, or rollovers, that move or change when pointed to or clicked. Use behaviors to create more complex, interactive movies. For information about creating interactive movie elements, see "Creating interactive objects." For information about using behaviors in movies, see "Using behaviors."
  6. Export a movie — When you complete a movie, prepare to share it with the world by exporting it to a standard animation format. For information about exporting movies, see "Exporting and publishing movies."


Starting Corel R.A.V.E. and opening movies

In Corel R.A.V.E., you can start a movie project from scratch or from a graphic. You can open a movie saved to the Corel R.A.V.E. format (.clk) and edit it. You can also import a file saved to a different format. For information about importing files, see "Importing files."

Related Topics
  • To start Corel R.A.V.E.
  • To start or open a movie


To start Corel R.A.V.E.

  • Click Start } All Programs } CorelDRAW Graphics Suite 12 } Corel R.A.V.E. 3.
Related Topics
  • Starting Corel R.A.V.E. and opening movies
  • To start or open a movie


To start or open a movie

To | Do the following
Start a movie from scratch | Click File } New.
Open a graphic or a movie | Click File } Open. Locate the folder where the file is stored and double-click the filename.

  • You can also open a movie by clicking the Open button [image] on the standard toolbar.
  • You can view a thumbnail of a graphic or the first frame of a movie by clicking Show preview in the Open dialog box.
Related Topics
  • Starting Corel R.A.V.E. and opening movies
  • To start Corel R.A.V.E.


Setting the properties of movies

When you create a movie, you should begin by setting the stage size and frame rate and choosing a background. In Corel R.A.V.E., the length of a movie is determined by the life span of objects within the movie. You cannot set the length of a Corel R.A.V.E. movie in advance, because it changes as you extend the life of objects within it. For more information about setting the life span of objects, see “Working with timelines” in the Help.

Setting the stage size and frame rate of a movie

A movie consists of a succession of frames that are displayed on the stage (500 x 500 pixels by default). You can customize the stage size of a movie by specifying its width and height.

The frame rate of a movie refers to the number of frames that are played per second. The frame rate affects the smoothness of the animation and the file size of a movie. Usually, higher frame rates result in smoother animation and larger files, while lower frame rates result in choppier animation and smaller files. The default frame rate in Corel R.A.V.E. is 12 frames per second, the optimal rate for the Web. The typical frame rate of motion pictures is 24 frames per second.

Choosing a background

By default, all movies have a solid white background. You can choose another color, or you can use a bitmap, such as a textured design or photograph, to create a more intricate or dynamic background. You can also remove a background.

When you choose a bitmap as the background, it is embedded in the Corel R.A.V.E. movie by default. This is the recommended option. However, you can also link the bitmap to the movie so that if you later edit the source image, the change is automatically reflected in the movie. If you send a movie containing a linked image to someone else, you must also send the linked image.

If the bitmap is larger than the stage, it is cropped. If the bitmap is smaller than the stage, it is tiled across the stage. You can change the size of the background bitmap to create smaller or larger tiles.

You can enhance a movie by adding a background. Clockwise from top-left: solid color background, bitmap background, tiled bitmap background, cropped bitmap background.

Related Topics
  • To set the stage size and frame rate of a movie
  • To choose a solid-color background
  • To create a background from a bitmap
  • To remove a movie background


To set the stage size and frame rate of a movie

  1. Click Movie } Movie setup.
  2. Choose a unit of measurement from the list box.
  3. Type values in the following boxes:
    • Width
    • Height
    • Frame rate
Related Topics
  • Setting the properties of movies
  • To choose a solid-color background
  • To create a background from a bitmap
  • To remove a movie background


To choose a solid-color background

  1. Click Movie } Movie setup.
  2. In the Document, Movie setup list of categories, click Background.
  3. Enable the Solid option.
  4. Open the color picker, and click a color.
Related Topics
  • Setting the properties of movies
  • To set the stage size and frame rate of a movie
  • To create a background from a bitmap
  • To remove a movie background


To create a background from a bitmap

  1. Click Movie } Movie setup.
  2. In the Document, Movie setup list of categories, click Background.
  3. Enable the Bitmap option.
  4. Click Browse.
  5. Choose a file format from the Files of type list box.
  6. Locate the folder where the file is stored.
  7. Double-click the filename.
  8. In the Options dialog box, enable one of the following options in the Source area:
    • Linked
    • Embedded
  9. Enable one of the following options in the Bitmap size area:
    • Default size — lets you use the bitmap’s current size
    • Custom size — lets you specify the dimensions of the bitmap. Type values in the H (horizontal) and V (vertical) boxes.
Related Topics
  • Setting the properties of movies
  • To set the stage size and frame rate of a movie
  • To choose a solid-color background
  • To remove a movie background


To remove a movie background

  1. Click Movie } Movie setup.
  2. In the Document, Movie setup list of categories, click Background.
  3. Enable the No background option.
Related Topics
  • Setting the properties of movies
  • To set the stage size and frame rate of a movie
  • To choose a solid-color background
  • To create a background from a bitmap


Importing files

Corel R.A.V.E. lets you import files created in other applications to use in your movie projects. For example, you can import a file saved to the JPEG or WMF format. For information about supported file formats, see “File formats” in the Help.

When you import a file, it is placed into the active movie as an object or group of objects. The imported file becomes part of the active movie file. You can also import a file by opening it in a new application window. For information on how to do this, see "To start or open a movie."

You can resample or crop a bitmap when you import it.

Related Topics
  • To import a file
  • To resample a bitmap while importing
  • To crop a bitmap while importing


To import a file

  1. Click File } Import.
  2. Choose the folder where the file is stored.
  3. Choose a file format from the Files of type list box.
  4. Click the filename.
  5. Enable any of the following active check boxes:
    • Link bitmap externally — lets you link a bitmap externally instead of embedding it in a file
    • Combine multi-layer bitmap — automatically merges the layers within a bitmap
    • Check for watermark — lets you check the image for a watermark and any information it contains, such as copyright
    • Do not show filter dialog — lets you use the filter’s default settings without opening its dialog box
  6. Click Import.
  7. Click the stage.

  • Multi-layered Corel PHOTO-PAINT (CPT) and Adobe Photoshop (PSD) bitmaps can be imported by default.
Related Topics
  • Importing files
  • To resample a bitmap while importing
  • To crop a bitmap while importing


To resample a bitmap while importing

  1. Click File } Import.
  2. Choose a file format from the Files of type list box.
  3. Locate the folder where the file is stored, and click the filename.
  4. Enable any of the following check boxes:
    • Link bitmap externally — lets you link to a bitmap instead of saving it in the movie
    • Combine multi-layer bitmap — lets you import bitmaps that contain multiple layers
    • Don't show filter dialog — lets you use the filter's default settings without opening its dialog box
  5. Choose Resample from the list box above the check boxes.

    6. This option is available only if you are importing a bitmap file format.

  6. Click Import.
  7. In the Resample image dialog box, type values in any of the following boxes:
    • Width — specifies the width of the image
    • Height — specifies the height of the image
    • Percentage — specifies the percentage by which you want to resample the image
  8. Type values in the following boxes in the Resolution area:
    • Horizontal — lets you specify the horizontal resolution of the image in dots per inch (dpi)
    • Vertical — lets you specify the vertical resolution of the image in dots per inch (dpi)
  9. Position the import placement start cursor [image] where you want the resampled image to appear, and drag to set its size.

    10. If you want to use the default image size, click the stage.

  • If a dialog box for the import format opens, specify the options you want. For detailed information about file formats, see "File formats."
  • You cannot increase the resolution of a file when importing.

  • You can change the unit of measurement by choosing a unit type from the Units list box in the Resample image dialog box.
Related Topics
  • Importing files
  • To import a file
  • To crop a bitmap while importing


To crop a bitmap while importing

  1. Click File } Import.
  2. Choose a file format from the Files of type list box.
  3. Locate the folder where the file is stored, and click the filename.
  4. Enable any of the following check boxes:
    • Link bitmap externally — lets you link to a bitmap instead of saving it in the movie
    • Combine multi-layer bitmap — lets you import bitmaps that contain multiple layers
    • Don't show filter dialog — lets you use the filter's default settings without opening its dialog box
  5. Choose Crop from the list box above the check boxes.

    6. This option is available only if you are importing a bitmap file format.

  6. Click Import.
  7. In the Crop image dialog box, drag the edges and corners of the selection box in the preview window until you have selected the portion of the image you want to import.
  8. In the Select area to crop area, the following values will be filled in automatically. You can also type values in any of the boxes.
    • Top — specifies the area to remove from the top of the image
    • Left— specifies the area to remove from the left edge of the image
    • Width — specifies the width of the image you want to keep
    • Height — specifies the height of the image you want to keep
  9. Position the import placement start cursor [image] where you want the cropped image to appear, and drag to set its size.

    10. If you want to use the default image size, click the stage.

  • You can change the unit of measurement by choosing a unit type from the Units list box.
Related Topics
  • Importing files
  • To import a file
  • To resample a bitmap while importing


Finding and inserting images

You can use clipart, photo images, and floating objects stored on the Corel content CDs or that are available online. The digital content manual contains pictures of the graphics available on the CD and their folder locations. Online images from Corel on the Web can be accessed from Corel R.A.V.E. and dragged directly to the drawing window.

Related Topics
  • To browse for clipart, photos, and floating objects
  • To search for clipart, photos, and floating objects
  • To insert clipart, photos, and floating objects


To browse for clipart, photos, and floating objects

  1. Click Window } Dockers } Scrapbook } Browse.
  2. Insert a Corel contents CD into the CD drive.
  3. Double-click an icon in the CD list and navigate to a folder.

You can also |
Browse for files on your computer or network | Double-click the Desktop icon, and navigate to a folder.
Browse for images online | Click the Content on the Web button.

  • To browse for images online, you must be connected to the Internet.

  • To change your browsing view in the Scrapbook docker, click the flyout arrow, click View, and choose a view type.
Related Topics
  • Finding and inserting images
  • To browse for clipart, photos, and floating objects
  • To search for clipart, photos, and floating objects
  • To insert clipart, photos, and floating objects


To search for clipart, photos, and floating objects

  1. Click Window } Dockers } Scrapbook } Search.
  2. Put a Corel contents CD in the CD drive.
  3. Type a keyword in the Search for box.
Related Topics
  • Finding and inserting images
  • To browse for clipart, photos, and floating objects
  • To insert clipart, photos, and floating objects


To insert clipart, photos, and floating objects

  • Drag the object to the drawing window.
Related Topics
  • Finding and inserting images
  • To browse for clipart, photos, and floating objects
  • To search for clipart, photos, and floating objects


Undoing, redoing, and repeating actions

You can undo the actions you perform in a movie, starting with the most recent action. If you don’t like the result of undoing an action, you can redo it.

Certain actions applied to objects, such as stretching, filling, moving and rotating, can be repeated to create a stronger visual effect.

Customizing the undo settings lets you increase or decrease the number of times you can undo or redo an action.

Related Topics
  • To undo, redo, and repeat actions
  • To customize the undo settings


To undo, redo, and repeat actions

To | Do the following
Undo an action | Click Edit } Undo.
Redo an action | Click Edit } Redo.
Undo or redo a series of actions | Click Tools } Undo docker. Choose the action that precedes all the actions you want to undo, or choose the last action you want to redo.
Repeat an action | Click Edit } Repeat.

  • When you undo a series of actions, all actions listed below the action you choose are undone.
  • When you redo a series of actions, the action you choose and all actions listed between it and the last undone action are redone.

  • You can repeat an action on another object or group of objects by selecting the object or objects and then clicking Edit } Repeat.
  • You can also undo or redo actions by clicking the Undo button [image] or the Redo button [image] on the toolbar.
Related Topics
  • Undoing, redoing, and repeating actions
  • To customize the undo settings


To customize the undo settings

  1. Click Tools } Options.
  2. In the Workspace list of categories, click General.
  3. Type a value in the Regular box.

  • The value you specify is limited only by your computer's memory resources; the higher the number you specify, the greater the demand on your memory resources.
Related Topics
  • Undoing, redoing, and repeating actions
  • To undo, redo, and repeat actions


Saving movies

Corel R.A.V.E. lets you save a movie as you work. When you save a movie for the first time, you must specify a filename and folder. If you want to save changes made to a movie and keep the original, you can save the movie with a new filename.

By default, movies are saved to the Corel R.A.V.E. format (.clk) so that you can later open and edit them. You can also save a movie to a different format. Note that if you save a movie to a format that does not support animation, you will lose all animation effects. For example, if you save a tweened object in a Corel R.A.V.E. movie to the CorelDRAW format (.cdr), it is converted to a blend. For information about supported file formats, see “File formats” in the Help. For information about tweening, see "Tweening objects."

To use a movie on the World Wide Web, you must export or publish it. For information on how to do this, see "Exporting and publishing movies."

You can also specify advanced save options to reduce the file size of a movie, save textures with a movie, and make it easier to share a movie with other applications.

Related Topics
  • To save a movie
  • To save a movie to a different format


To save a movie

  1. Click File } Save as.
  2. Locate the drive and folder where you want to save the file.
  3. Type a filename in the File name list box.

    4. If you want to save notes or keywords with the file, type them in the corresponding box.

    If you want to specify advanced settings, click Advanced, and specify the settings you want in the Options dialog box.

  4. Enable any of the following check boxes:
    • Selected only — saves only the objects selected in the active movie. This option is available only if at least one object is selected.
    • Web_safe_filenames — replaces the white space in a filename with an underscore. Special characters are replaced by characters suitable for Web-based filenames.
    • Embed fonts using TrueDoc — lets you embed fonts in the file
  5. Click Save.

  • The Embed fonts using TrueDoc option does not work with all file formats. For more information about file formats, see "File formats."

  • If you want to save changes made to a previously saved movie, click File } Save. The Save dialog box will not open.
  • You can also save a movie by clicking the Save button [image] on the standard toolbar.
Related Topics
  • Saving movies
  • To save a movie to a different format


To save a movie to a different format

  1. Click File } Save as.
  2. Locate the folder where you want to save the file.
  3. Type a filename in the File name list box.
  4. Choose a format from the Save as type list box.
  5. Enable any of the following check boxes:
    • Selected only — saves only the objects selected in the active movie. This option is available only if at least one object is selected.
    • Web_safe_filenames — replaces the white space in a filename with an underscore. Special characters are replaced by characters suitable for Web-based filenames.
    • Embed fonts using TrueDoc — lets you embed fonts in the file
  6. Click Save.

  • The Embed fonts using TrueDoc option does not work with all file formats. For more information about file formats, see "File formats."
Related Topics
  • Saving movies
  • To save a movie


Backing up and recovering files

Corel R.A.V.E. can automatically save backup copies of movies and prompt you to recover them when you restart the program in the event of a system error.

The auto backup feature saves drawings that you have opened and modified. During any working session with Corel R.A.V.E., you can set the time interval for automatically backing up files and specify where you want the files to be saved: by default in your temporary folder or to a specified folder.

You can recover backed-up files from the temporary or specified folder when you restart Corel R.A.V.E. Backup files are stored in either the temporary or the user-specified folder. You can choose not to recover a file; however, that file is automatically erased when you shut down the program normally.

Related Topics
  • To specify auto backup settings
  • To recover a backup file


To specify auto backup settings

  1. Click Tools } Options.
  2. In the Workspace list of categories, click Save.
  3. Enable the Auto-backup every check box, and choose a value from the Minutes list box.
  4. In the Always back-up to area, enable one of the following options:
    • Temporary folder — lets you save an auto backup file in the temporary folder
    • Specific folder — lets you specify the folder for an auto backup file

You can also |
Create a backup file every time you save | Enable the Make backup on save check box.
Disable auto backup | Choose Never from the Minutes list box.

  • Auto backup files are named auto_backup_of_filename and can be saved in any folder you specify. Backup files created when you save a drawing are named backup_of_filename and are always stored in the same folder as the original drawing.
  • All files are backed up to the Corel R.A.V.E. file format (.clk).

  • You can cancel the creation of an auto backup file by pressing Esc while saving is in progress.
Related Topics
  • Backing up and recovering files
  • To recover a backup file


To recover a backup file

  1. Restart Corel R.A.V.E.
  2. In the File recovery dialog box, click OK.
  3. Save and rename the file in the specified folder.

  • Recovered files are named GraphicsX, where X is the numbered increment.

  • If you click Cancel, Corel R.A.V.E. ignores the backup file and deletes it when you exit the program normally.
Related Topics
  • Backing up and recovering files
  • To specify auto backup settings


Closing movies and quitting Corel R.A.V.E.

You can close one or all open movies at any time before quitting Corel R.A.V.E.

Related Topics
  • To close movies
  • To quit Corel R.A.V.E.


To close movies

To close | Do the following
One movie | Click File } Close.
All open movies | Click Window } Close all.

Related Topics
  • Closing movies and quitting Corel R.A.V.E.
  • To quit Corel R.A.V.E.


To quit Corel R.A.V.E.

  • Click File } Exit.

  • You can also quit Corel R.A.V.E. by pressing Alt + F4.
Related Topics
  • Closing movies and quitting Corel R.A.V.E.
  • To close movies


Working with stage layout and views

Corel R.A.V.E. has several tools that can help you draw, size, align, and work with objects in movies. You can also preview frames and use different views.

In this section, you’ll learn about

  • setting up the rulers
  • setting up the grid
  • setting up guidelines
  • zooming and panning
  • previewing frames
  • working with views


Setting up the rulers

You can display rulers in the drawing window to help you draw, size, and align objects precisely. You can hide the rulers or move them to another position in the drawing window. You can also customize the ruler settings to suit your needs. For example, you can set the ruler origin, choose a unit of measure, and specify how many marks or ticks display between each full unit mark.

By default, Corel R.A.V.E. applies the same units used for the rulers to the duplicate and nudge distances. You can change the default so that you can specify different units for these and other settings. For information about nudging, see “Positioning objects” in the Help. For more information about duplicating, see “To duplicate an object” in the Help.

Related Topics
  • To display or hide the rulers
  • To move a ruler
  • To customize ruler settings


To display or hide the rulers

  • Click View } Rulers.

    • A check mark beside the Rulers command indicates the rulers are displayed.

Related Topics
  • Setting up the rulers
  • To move a ruler
  • To customize ruler settings


To move a ruler

  • Hold down Shift, and drag a ruler to a new position in the drawing window.
Related Topics
  • Setting up the rulers
  • To display or hide the rulers
  • To customize ruler settings


To customize ruler settings

  1. Click View } Grid and ruler setup.
  2. In the Document list of categories, click Rulers.
  3. In the Units area, choose a unit of measure from the Horizontal list box.

    4. If you want to use a different unit of measure for the vertical ruler, disable the Same units for horizontal and vertical rulers check box, and choose a unit of measure from the Vertical list box.

  4. In the Origin area, type values in the following boxes:
    • Horizontal
    • Vertical
  5. Type a value in the Tick divisions box.

  • If you change the unit of measure for rulers, the unit of measure for nudge distances automatically changes as well, unless you first disable the Same units for duplicate distance, nudge and rulers check box in the Nudge area.

  • You can access ruler settings directly by double-clicking a ruler.
  • You can specify nudge settings by typing values in the Nudge, Super nudge, and Micro nudge boxes in the Nudge area.
Related Topics
  • Setting up the rulers
  • To display or hide the rulers
  • To move a ruler


Setting up the grid

The grid is a series of intersecting dashed lines or dots that you can display to help you precisely align and position objects in the drawing window. You can customize the grid settings. For example, you can specify whether the grid displays as lines or dots. You can set the distance between the grid lines or dots by specifying the frequency or spacing. Frequency refers to the number of lines or dots that display between each horizontal and vertical unit. Spacing refers to the exact distance between each line or dot. High frequency values or low spacing values can help you align and position objects more precisely.

You can have objects snap to the grid so that when you move them, they jump between grid lines or dots.

Related Topics
  • To display or hide the grid
  • To customize grid settings
  • To have objects snap to the grid


To display or hide the grid

  • Click View } Grid.

    • A check mark beside the Grid command indicates the grid is displayed.

Related Topics
  • Setting up the grid
  • To customize grid settings
  • To have objects snap to the grid


To customize grid settings

  1. Click View } Grid and ruler setup.
  2. In the Document list of categories, click Grid.
  3. Enable one of the following options:
    • Frequency — specifies grid spacing as the number of lines per inch. This option is available only when the unit of measure is inches.
    • Spacing — specifies the distance between each grid line
  4. Type values in the following boxes:
    • Horizontal
    • Vertical
  5. Enable one of the following options:
    • Show grid as lines
    • Show grid as dots

  • The unit of measure used for the grid is the same as that used for rulers.

  • To enable the Frequency option, you must first set the unit of measure for Rulers to inches. For information about ruler settings, see “To customize ruler settings” in the Help.
Related Topics
  • Setting up the grid
  • To display or hide the grid
  • To have objects snap to the grid


To have objects snap to the grid

  • Click View } Snap to grid.
Related Topics
  • Setting up the grid
  • To display or hide the grid
  • To customize grid settings


Setting up guidelines

Guidelines are lines that can be placed anywhere in the drawing window to aid in object placement. There are three types of guidelines: horizontal, vertical, and slanted. You can display guidelines or hide them. After you add a guideline, you can select it, move it, rotate it, lock it in place, or delete it.

You can have objects snap to the guidelines so that when an object is moved near a guideline, it can only be centered on the guideline or lined up on either side of the guideline.

You can display dynamic guides to help you precisely move, align, and draw objects relative to other objects. Dynamic guides are temporary guides that you can pull from snap points in object. For more information about dynamic guides, see "Using dynamic guides."

Guidelines always use the unit of measurement specified for rulers. For information about ruler settings, see "To customize ruler settings."

Related Topics
  • To hide or display the guidelines
  • To add a horizontal or vertical guideline
  • To add a slanted guideline
  • To modify guidelines
  • To have objects snap to the guidelines


To hide or display the guidelines

  • Click View } Guidelines.

    • A check mark beside the Guidelines command indicates the guidelines are displayed.

Related Topics
  • Setting up guidelines
  • To add a horizontal or vertical guideline
  • To add a slanted guideline
  • To modify guidelines
  • To have objects snap to the guidelines


To add a horizontal or vertical guideline

  1. Click View } Guidelines setup.
  2. In the Document, Guidelines list of categories, click one of the following:
    • Horizontal
    • Vertical
  3. Specify the guideline settings you want.
  4. Click Add.

  • You can also add a guideline by dragging from the horizontal or vertical ruler in the drawing window.
Related Topics
  • Setting up guidelines
  • To hide or display the guidelines
  • To add a slanted guideline
  • To modify guidelines
  • To have objects snap to the guidelines


To add a slanted guideline

  1. Click View } Guidelines setup.
  2. In the Document, Guidelines list of categories, click Guides.
  3. Choose one of the following options from the Specify list box:
    • 2 points — lets you specify two points to be joined to create a guideline
    • Angle and 1 point — lets you specify one point and an angle. The guideline crosses through the point at the angle specified.
  4. Choose a unit of measurement from the list box.
  5. Specify the x and y coordinates, and if applicable, the angle.
  6. Click Add.
Related Topics
  • Setting up guidelines
  • To hide or display the guidelines
  • To add a horizontal or vertical guideline
  • To modify guidelines
  • To have objects snap to the guidelines


To modify guidelines

To | Do the following
Select a single guideline | Click the guideline using the Pick tool [image] .
Select all guidelines | Click Edit } Select all } Guidelines.
Move a guideline | Drag a guideline to a new position in the drawing window.
Rotate a guideline | Click a guideline twice using the Pick tool [image] , and drag a rotation handle.
Lock a guideline | Click a guideline using the Pick tool [image] , and click Arrange } Lock object.
Unlock a guideline | Click a guideline using the Pick tool [image] , and click Arrange } Unlock object.
Delete a guideline | Click a guideline using the Pick tool [image] , and press Delete.

  • You can also lock or unlock a guideline by right-clicking the guideline, and then clicking Lock object or Unlock object.
  • You can access guideline setup directly by right-clicking a ruler, and then clicking Guidelines setup.
Related Topics
  • Setting up guidelines
  • To hide or display the guidelines
  • To add a horizontal or vertical guideline
  • To add a slanted guideline
  • To have objects snap to the guidelines


To have objects snap to the guidelines

  1. Click View } Snap to guidelines.
  2. Drag objects to a guideline.

    3. If you want to snap the center of an object to a guideline, select the object and move it over the guideline until its center of rotation snaps to the guideline.

Related Topics
  • Setting up guidelines
  • To hide or display the guidelines
  • To add a horizontal or vertical guideline
  • To add a slanted guideline
  • To modify guidelines


Zooming and panning

You can zoom in to get a closer look at objects on the stage, or you can zoom out to see more of the stage. You can experiment with a variety of zoom options to determine the amount of detail you want.

Another way in which you can view objects in a movie is by panning. When you work at high magnification levels, you may not be able to see the whole stage. Panning lets you view areas that aren’t displayed by moving the stage around in the drawing window.

While you are panning, you can zoom in and out. While you are zooming, you can pan. This saves you from having to alternate between the two tools.

You can also specify what you want the Zoom and Hand tools to do when you right-click with them in the drawing window. For each tool, you can choose to zoom out by a factor of two, or to display a menu of commands for zooming to specific levels.

Related Topics
  • To zoom
  • To pan in the drawing window
  • To set the right mouse button action for the Zoom and Hand tools


To zoom

  1. Open the Zoom flyout [image], and click the Zoom tool [image].
  2. On the property bar, click one of the following buttons:
    • Zoom in
    • Zoom out
    • Zoom to selected
    • Zoom to all objects
    • Zoom to stage

You can also | Do the following
Use the zoom tool once, and return to the current tool | Press F2.
Zoom to selected objects using a shortcut | Press Shift + F2.
Zoom out using a shortcut | Press F3.
Zoom to all objects using a shortcut | Press F4.
Zoom to the stage using a shortcut | Press Shift + F4.

  • The Zoom to selected button is available only if you select one or more objects before you open the Zoom flyout.

  • You can also zoom in by clicking or dragging anywhere in the drawing window with the Zoom tool [image]. To zoom out, right-click with the Zoom tool or the Hand tool [image].
Related Topics
  • Zooming and panning
  • To pan in the drawing window
  • To set the right mouse button action for the Zoom and Hand tools


To pan in the drawing window

  1. Open the Zoom flyout [image], and click the Hand tool [image].
  2. Drag in the drawing window until the area you want to view is displayed.

    3. If you want to zoom in, double-click; if you want to zoom out, right-click.

  • If you want to pan in the drawing window while zooming, click the Navigator button [image] in the bottom-right corner of the drawing window. Drag the cross-hair pointer in the Navigator pop-up window.
Related Topics
  • Zooming and panning
  • To zoom
  • To set the right mouse button action for the Zoom and Hand tools


To set the right mouse button action for the Zoom and Hand tools

  1. Click Tools } Options.
  2. In the list of categories, double-click Toolbox, and click Zoom, hand tool.
  3. In the Mouse button 2 for the Zoom tool area, and in the Mouse button 2 for the Pan tool area, enable one of the following options:
    • Zoom out — zooms out by a factor of two
    • Context menu — displays a menu of commands for zooming to specific levels
Related Topics
  • Zooming and panning
  • To zoom
  • To pan in the drawing window


Previewing frames

You can preview frames in a movie to see how they will look when you export. When you preview a frame, only the objects on the stage and in the immediate area of the drawing window are displayed. If you want to get a closer look at specific objects in a frame, you can select and preview them. When you preview selected objects, the rest of the frame is hidden.

Before you preview a frame, you can specify the preview mode. The preview mode affects the speed and quality at which your preview displays. You can also specify whether or not the stage border displays.

If you want to see multiple frames simultaneously on the stage, you can use onion skinning. For more information, see "Displaying multiple frames on the stage."

Related Topics
  • To preview a frame
  • To preview selected objects
  • To specify the preview mode


To preview a frame

  • Click View } Full-screen preview.

    • Click anywhere on the screen, or press any key, to return to the application window.

Related Topics
  • Previewing frames
  • To preview selected objects
  • To specify the preview mode


To preview selected objects

  1. Select the objects.
  2. Click View } Preview selected only.
  3. Click View } Full-screen preview.

    4. Click anywhere on the screen, or press any key, to return to the application window.

  • If Preview selected only mode is enabled and no objects are selected, Full screen preview displays a blank screen.

  • You can disable Preview selected only mode after you return to the application window by clicking View } Preview selected only.
Related Topics
  • Previewing frames
  • To preview a frame
  • To specify the preview mode


To specify the preview mode

  1. Click Tools } Options.
  2. In the Workspace list of categories, click Display.
  3. In the Full-screen preview area, enable one of the following options:
    • Use draft view — displays objects with their fills and jagged edges
    • Use enhanced view — displays objects with their fills and smoothed edges
  4. Enable or disable the Show stage border check box.
Related Topics
  • Previewing frames
  • To preview a frame
  • To preview selected objects


Working with views

As you work,Corel R.A.V.E. lets you display the contents of frames in any of the following modes:

  • Wireframe — displays the outlines of objects in the drawing window by hiding fills. Bitmaps are displayed in monochrome.
  • Normal — displays objects with their fills and jagged edges
  • Enhanced — displays objects with their fills and smoothed edges

The view you choose affects the amount of time it takes for a movie to refresh or open. For example, a movie displayed in Wireframe view takes less time to refresh or open than does a movie displayed in Enhanced view.

Related Topics
  • To choose a viewing mode


To choose a viewing mode

  • Click View, and click one of the following modes:
    • Wireframe
    • Normal
    • Enhanced
Related Topics
  • Working with views


Animating objects

The Corel R.A.V.E. application lets you create animation by extending the life of objects in a movie and changing them over time.

In this section, you’ll learn about

  • understanding animation methods and terms
  • increasing the life span of objects
  • tweening objects
  • tweening groups of objects
  • repeating animated objects
  • animating blends
  • creating animation sequences from groups
  • animating objects frame-by-frame

For more information about tweening limitations, see "Reference: Animating objects."


Understanding animation methods and terms

Corel R.A.V.E. lets you animate vector objects and bitmaps by editing object properties and interactive effects applied to objects over time. For example, you can make an object roll across the stage, fade out, or change size, color, and shape.

Animation methods

Corel R.A.V.E. offers three animation methods: tweening objects, creating animation sequences from existing objects, and animating objects frame-by-frame.

Tweening lets you define changes in an object at specific frames during its life span, and then automatically applies the changes between these frames.

You can create an animation sequence from a blend, a group, or text. For information about creating animation sequences from blends, see "Animating blends." For information about creating animation sequences from groups, see "Creating animation sequences from groups." For information about creating animation sequences from text, see "To create a typing effect."

Animating objects frame-by-frame lets you edit an object in each frame of its life span, giving you complete control over the way it changes over time.

Animation terms

Before you start animating objects in a movie, you should be familiar with the following animation terms.

Term | Description
Frame | One image in a series of images that make up a movie. A movie frame can contain one or more objects.
Current frame | The frame that is displayed on the stage
Keyframe | A frame in which you define change in an object. When tweening, Corel R.A.V.E. fills in the frames between keyframes so that objects change gradually over time.
Object’s life span | The frames in which an object exists in a movie
Object’s timeline | A graphical representation of an object’s life span in a movie
Static object | An object that does not change during its life span in a movie
Animated object | An object in a movie that changes over time
Symbol | An object or group of objects that is defined once and can be referenced many times in a movie
Sprite | An animated symbol


Increasing the life span of objects

When you add an object to the stage, it has a life span of one frame and therefore its timeline consists of a single black dot. Before you can animate an object, you must increase its life span. You can increase the life span of a single object or a group of objects.

Increasing the life span of a new object does not animate the object. It only produces a static object that exists in a number of successive frames. To animate a static object, you must tween it or animate it frame-by-frame. For information about tweening, see "Tweening objects." For information about animating frame-by-frame, see "Animating objects frame-by-frame."

Related Topics
  • To increase the life span of a new object
  • To increase the life span of a new group of objects


To increase the life span of a new object

  1. Select a new object.
  2. In the Timeline docker, drag the black dot associated with the object to the frame you want.
Related Topics
  • Increasing the life span of objects
  • To increase the life span of a new group of objects


To increase the life span of a new group of objects

  1. Select a new group of objects.
  2. In the Timeline docker, hold down Ctrl, and drag the black dot associated with the group to the frame you want.

    3. The life span of each object in the group is increased.

Related Topics
  • Increasing the life span of objects
  • To increase the life span of a new object


Tweening objects

Tweening lets you animate objects in a movie. You change their position and appearance at specific frames in their life spans, and Corel R.A.V.E. creates the frames in between.

Before you can tween an object, you must increase its life span so that it exists for more than one frame. For more information, see "Increasing the life span of objects."

How tweening works

To tween a static object, you can turn the end frame of the object’s timeline into a keyframe. The start frame of the object’s timeline automatically becomes another keyframe that stores information about the object’s original state. Modifying the object at the end keyframe produces an animated object that changes gradually from its original state to its modified state. The rate of change is determined by the number of intermediate frames, and by the frame rate of the movie. For more information about frame rate, see "Setting the properties of movies."

You can also tween a static object by turning any intermediate frame in its timeline into a keyframe, and then modifying the object at that keyframe. The start and end frames automatically become keyframes with the object in its original state. This produces an animated object that changes from its original state to its modified state and then back to its original state.

Frames outlined in red indicate keyframes. Turning the end frame in an object’s timeline into a keyframe and modifying the object at that keyframe produces an animated object that changes over time (top). Turning an intermediate frame in an object’s timeline into a keyframe and modifying the object at that keyframe produces an animated object that changes over time and returns to its original state (bottom).

What can be tweened

Corel R.A.V.E. lets you tween object properties such as size, position, rotation angle, and outline, as well as interactive effects you’ve applied, such as contour, transparency, fill, envelope, distortion, and drop shadow. You can tween several object properties and effects at the same time.

You can tween the size, position, and rotation angle of an object simultaneously to make it roll across the stage as it recedes. Frames outlined in red indicate keyframes.

Changing the fill of a silhouette and its background at an end keyframe produces an image that gradually changes color. In this movie, the sun is also tweened to move along a path.

Tweening a distortion effect applied to an object produces an animated object that changes its shape. Frames outlined in red indicate keyframes.

Tweening the drop shadow of this object produces the effect of a light moving over it. Frames outlined in red indicate keyframes.

Not all attributes of object properties and interactive effects can be tweened. For more information, see "Tweening limitations."

Creating motion

Corel R.A.V.E. lets you create interesting motion effects by tweening the position, size, skew, and rotation angle of an object.

Tweening the position of an object makes an object move across the stage. You can make an object move in a straight line or make it follow a path.For information about creating paths, see "Drawing lines."

When you tween the size, or scale, of an object, the object appears to be moving closer or receding. When you tween the skew of an object, you add depth to the object over time, and the object appears to rotate. You can rotate an object or an extruded object over time by tweening the rotation angle. Tweening the rotation angle of an object makes the object move around its center of rotation. When you tween the rotation angle of an extruded object, you can rotate the object around its x, y, or z axis. For both objects and extruded objects, you can set the rotation direction and number of rotations.

For information about changing these object properties, see "Working with objects."

Related Topics
  • To tween an object
  • To move an object in a straight line
  • To move an object along a path
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To tween an object

  1. Select an object.

    2. If the object appears in one frame only, drag the black dot associated with the object to increase its life span.

  2. In the Timeline docker, click the end frame or an intermediate frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Modify the object on the stage by editing any of its properties or by applying interactive effects.

To | Tween the
Fade an object in and out | Transparency
Change an object’s color and pattern | Color and fill
Change an object’s shape | Envelope effects, distortion effects, and extrusion
Move a light over an object | Drop shadow, transparency, and extrusion lighting
Make an object glow | Fill and drop shadow
Add a third dimension to an object | Extrusion

  • You can only tween objects that have a life span greater than one frame. For information about increasing the life span of objects, see "Increasing the life span of objects."

  • You can also change a frame to a keyframe by double-clicking it.
  • You can modify how quickly or slowly a tweened object changes by adjusting object and color acceleration. For more information, see "To adjust object and color acceleration."
Related Topics
  • Tweening objects
  • To move an object in a straight line
  • To move an object along a path
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To move an object in a straight line

  1. Select an object.
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Drag the object to a new position on the stage.

  • You can move an object in a perfectly horizontal or vertical line by holding down Ctrl and dragging the object.
Related Topics
  • Tweening objects
  • To tween an object
  • To move an object along a path
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To move an object along a path

  1. Select an object.
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Drag the object to a new position on the stage.
  5. Draw a path.
  6. In the Timeline docker, drag the black dot associated with the path to the start frame of the object’s timeline.
  7. Click the Pick tool, and select the object on the stage.
  8. Click Movie } Tween } Attach to path.

    9. The pointer changes to a curved arrow.

  9. Click the path.

  • You can also attach an object to a path by clicking the Attach to path button [image] on the property bar.
  • You can attach more than one object to the same path.

You can also |
Have an object move along the entire path | Click an intermediate frame in the object’s timeline to display tween controls on the property bar, and click the Sets the tween to occur along full path button [image] .
Have an object rotate along a path | Click an intermediate frame in the object’s timeline to display tween controls on the property bar, and click the Rotate all objects relative to the path button [image] .

Tweening the object’s position (top) and attaching the object to a path produces an animated object that moves along a specified path (bottom). Frames outlined in red indicate keyframes.

Related Topics
  • Tweening objects
  • To tween an object
  • To move an object in a straight line
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To scale an object over time

  1. Select an object.
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Type values in the Scale factor boxes on the property bar.

  • You can also scale an object by dragging any corner selection handle.
Related Topics
  • Tweening objects
  • To tween an object
  • To move an object in a straight line
  • To move an object along a path
  • To add depth to an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To add depth to an object over time

  1. Select an object using the Pick tool [image].
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Click the object on the stage to display the skewing handles.

    5. The skewing handles are the straight, double-headed arrows located in the center of each side of the selection box.

  5. Drag a skewing handle to a new position.
Related Topics
  • Tweening objects
  • To tween an object
  • To move an object in a straight line
  • To move an object along a path
  • To scale an object over time
  • To rotate an object over time
  • To rotate an extruded object over time


To rotate an object over time

  1. Select an object using the Pick tool [image].
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. Click the object on the stage to display the rotation handles.

    5. The rotation handles are the curved, double-headed arrows in the corners of the selection box.

  5. Drag a rotation handle to a new position.

You can also |
Set the rotation direction of the tween | Click an intermediate frame in the object’s timeline to display tween controls on the property bar. From the Rotation direction list box, choose Clockwise, Counter clockwise, or Auto.
Set the number of rotations | Click an intermediate frame in the object’s timeline to display tween controls on the property bar, and type a value in the Number of rotations box. The object rotates the number of rotations and continues rotating to the end position of the tween.

  • If you choose the Auto option, the rotation direction is based on the difference in the angle of rotation (end angle minus start angle). If the angle difference is positive, the object rotates in a counterclockwise direction. If the angle difference is negative, the object rotates in a clockwise direction. The number of rotations does not affect the rotation direction.

  • You can constrain rotation to 15-degree increments by holding down Ctrl and dragging a rotation handle.
Related Topics
  • Tweening objects
  • To tween an object
  • To move an object in a straight line
  • To move an object along a path
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an extruded object over time


To rotate an extruded object over time

  1. Select an extruded object.
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.
  3. Click Movie } Insert keyframe.
  4. On the property bar, click the Extrude rotation button [image].
  5. Drag the extrusion in the direction you want.

You can also |
Set the rotation direction of the tween | Click an intermediate frame in the object’s timeline to display tween controls on the property bar. Click the X-axis, Y-axis, or Z-axis button, and choose Positive rotation or Negative rotation from the Rotation direction list box.
Set the number of rotations | Click an intermediate frame in the object’s timeline to display tween controls on the property bar, and type a value in the Number of rotations box. The object rotates the number of rotations and continues rotating to the end position of the tween.

You can rotate an extruded object around the y-axis (top), or around all three axes (bottom). Frames outlined in red indicate keyframes.

Related Topics
  • Tweening objects
  • To tween an object
  • To move an object in a straight line
  • To move an object along a path
  • To scale an object over time
  • To add depth to an object over time
  • To rotate an object over time


Tweening groups of objects

Tweening groups of objects lets you animate all objects within a group simultaneously. This feature is useful for animating imported clipart.

Before you can tween a group of objects, you must increase the group’s life span so that it exists for more than one frame. For more information, see "Increasing the life span of objects."

When tweening a group of objects, you add keyframes to the group’s timeline and edit the group at the keyframes. As a result, all objects in the group appear in the same succession of frames and change simultaneously in the same way. For example, you can make all objects in a group simultaneously appear, become the same color, and disappear from a movie.

You can tween a group of objects in the same way you tween a single object. For information about moving, rotating, adding depth to, and scaling objects over time, see "Tweening objects."

You can create nested animations by saving animated objects as sprites, grouping them with other objects, and then tweening the group. For information about using sprites, see "Working with symbols and sprites."

You can also edit animated groups of objects by adding, moving, and deleting frames and keyframes; working with tweens; and adding sound. For information about editing animation, see "Editing and previewing animation."

Related Topics
  • To tween a group of objects


To tween a group of objects

  1. In the Timeline docker, click the name of a group of objects.

    2. If the group of objects exists in one frame only, hold down Ctrl, and drag the black dot associated with the group to increase its life span.

  2. Click a frame in the group’s timeline.
  3. Click Movie } Insert keyframe.
  4. Modify the group of objects.

  • Animated objects in a group of objects lose their original animation effects after the group is tweened. For information about creating nested animations, see "Using sprites in movies."

  • You can also add a keyframe to the group’s timeline by double-clicking any intermediate frame in the group’s timeline.
Related Topics
  • Tweening groups of objects


Repeating animated objects

Animated objects exist in a succession of frames in a movie. You can repeat an animated object or a group of animated objects by looping it.

When you loop an animated object, its timeline is repeated for the duration of the movie. Repeating timelines are grayed and cannot be edited; however, they reflect all changes made to the object’s original timeline.

Looping a group of objects lets you repeat the group as a whole. You can also repeat an individual animated object within a group, if its life span is shorter than that of the group. The life span of the group determines the number of times an individual object loops.

You can also loop rollovers and audio objects. For information about looping rollovers, see "Repeating animation in rollovers" For information about looping audio objects, see "Using sound in movies."

If you want to use the repeating animation in other movies, you can save it as an independent Corel R.A.V.E. file. For example, you can create a company logo that rotates continuously while text about the company displays, and then save the rotating logo to reuse in another movie. You can also save the repeated animation as a sprite and reuse it in the same movie or other movies. For information about sprites, see "Using sprites in movies."

Related Topics
  • To loop an animated object or group of objects
  • To loop an animated object within a group
  • To save a repeating animated object or group of objects


To loop an animated object or group of objects

  1. Select an animated object or a group of animated objects.
  2. In the Timeline docker, click the Single play icon [image] to the left of the object’s or group’s name.

    3. The Single play icon changes to a Looping arrow icon [image].

  • You can un-loop an object or group of objects by clicking the Looping arrow icon. It changes back to a Single play icon.
  • You can loop an object that exists in one frame only. This makes the object exist for the remainder of the movie.
Related Topics
  • Repeating animated objects
  • To loop an animated object within a group
  • To save a repeating animated object or group of objects


To loop an animated object within a group

  1. In the Timeline docker, select a group of objects.
  2. Double-click the group’s name to display its individual objects.
  3. Select an object.
  4. Click the Single play icon [image] to the left of the object’s name.

    5. The Single play icon changes to a Looping arrow icon [image].

  • The object selected must have a life span shorter than that of the group.
Related Topics
  • Repeating animated objects
  • To loop an animated object or group of objects
  • To save a repeating animated object or group of objects


To save a repeating animated object or group of objects

  1. In the Timeline docker, select a looping animated object or a looping group of objects.
  2. Click File } Save as.
  3. Locate the folder where you want to save the file.
  4. Type a filename in the File name box.
  5. Enable the Selected only check box.
  6. Click Save.
Related Topics
  • Repeating animated objects
  • To loop an animated object or group of objects
  • To loop an animated object within a group


Animating blends

Animating blends lets you create a morphing effect by radically transforming the shape of an object over time. For example, you can transform an ellipse into a star, or the letter A into the letter Z. When you animate a blend, it appears as an animated object and is represented by a single timeline that extends over as many frames as there are objects in the blend. The animation begins with the start object of the blend, which moves across the stage as it transforms into the end object. For information about creating blends, see "Blending objects."

Animating the blend in frame 1 spreads it across multiple frames and produces an animated object that transforms its shape.

If you want the animation to follow a specific route, you can attach the blend to a path. For information about creating paths, see “Drawing lines” in the Help.

Animating a blend along a path produces an animated object that changes shape as it moves along the path you’ve created.

Animated blends increase the file size of a movie. If you want to modify the shape of an object over time without changing the object type, tweening is recommended. For more information about tweening, see "Tweening objects."

Related Topics
  • To animate a blend
  • To animate a blend along a path


To animate a blend

  1. Select a blend.
  2. Click Movie } Create sequence from blend.

  • In the Timeline docker, the animated blend appears as an animated object and has a single timeline.
Related Topics
  • Animating blends
  • To animate a blend along a path


To animate a blend along a path

  1. Draw a path.
  2. Select a blend.
  3. Click Movie } Create sequence from blend.
  4. Click Movie } Tween } Attach to path.

    5. The pointer changes to a curved arrow.

  5. Click the path.
  6. Click Movie } Control } Play movie.
Related Topics
  • Animating blends
  • To animate a blend


Creating animation sequences from groups

You can create an animation from a static group of objects. This allows each object within the group to appear in a separate frame in the movie. When you play the movie, the objects appear and disappear, one at a time.

You can also stagger the objects’ appearance in a movie, but have each object remain in the movie for the life span of the group. This has the effect of creating a group of objects over time. For example, you can create a clipart object over time by starting with a simple object in frame 1 and adding one more object at each frame until the entire clipart object is displayed.

You can create frame-by-frame animations by arranging objects in one frame, grouping them, and then animating them by creating a sequence from the group. For more information about animating frame-by-frame, see "Animating objects frame-by-frame."

Related Topics
  • To create an animation sequence from a group


To create an animation sequence from a group

  1. Select the group of objects.
  2. Click Movie } Create sequence from group.

    3. If you want the objects to remain in the movie once they appear, in the Timeline docker, drag the black dot associated with each object to the end frame of the group.

Related Topics
  • Creating animation sequences from groups


Animating objects frame-by-frame

Animating objects frame-by-frame offers full control over the way an object changes in time and lets you animate object properties and effects that cannot be tweened. For information about tweening limitations, see "Reference: Animating objects."

To animate objects frame-by-frame, you turn all frames in an object’s timeline into keyframes and then edit the object at each keyframe.

Animating objects frame-by-frame can substantially increase the file size of a movie. To minimize file size, use tweening or create sequences wherever possible. For information about tweening, see "Tweening objects." For information about creating sequences, see "Animating blends" or "Creating animation sequences from groups."

Related Topics
  • To animate an object frame-by-frame


To animate an object frame-by-frame

  1. Select an object.
  2. In the Timeline docker, click a frame other than the start frame in the object’s timeline.

    3. If the object exists in one frame only, drag the black dot associated with the object to increase its life span.

  3. Click the Insert keyframe button [image] in the Timeline docker.
  4. Modify the object on the stage.
  5. Repeat steps 2 to 4 until the object is modified at every frame in its timeline.
Related Topics
  • Animating objects frame-by-frame


Reference: Animating objects

Some object properties and effect attributes cannot be animated by tweening.

Related Topics
  • Tweening limitations


Tweening limitations

When you tween objects, Corel R.A.V.E. usually tweens the properties of the object between keyframes, creating smooth change. However, some attributes of the object’s outline and fill, as well as some effect attributes, cannot be tweened; instead they abruptly change at a keyframe. To ensure smooth animation of an object in which such property and effect attributes change, you must animate the object frame-by-frame. For more information, see "Animating objects frame-by-frame."

The following tables list the attributes of object properties and interactive effects that cannot be tweened.

Object property | Attributes of the object property that cannot be tweened
Outline of an object | Corner shape of objects; line caps and line-ending shapes of open paths; Behind fill option; Scale with image option
Uniform fill | Color model of the fill
Fountain fill | Fountain fill type
Pattern fill | Pattern fill type
Texture fill | Texture fill types; Transform with object option; Mirror fill tiles option
Text wrapping and offset | All text wrapping and offset

Effect | Attributes of the effect that cannot be tweened
Artistic media | Preset stroke type
Brush type | Object sprayer attributes: spacing between objects, order of objects, rotation angle, and offset of objects
Drop shadow | Drop shadow’s feathering direction, and feathering edge
Lens | Lens type
Extrusion | Extrusion type, vanishing point properties, vanishing point object or page, color types, adding or removing lights
Closing multiple line segments | This action cannot be tweened.

Related Topics
  • Reference: Animating objects


Animating text

The Corel R.A.V.E. application lets you animate text in a movie by changing its position and appearance at specific frames in its life span.

In this section, you’ll learn about

  • tweening text
  • creating animated text effects


Tweening text

Corel R.A.V.E. lets you animate text by tweening it along a path. You can also tween the text’s properties, such as vertical placement and distance from a path.

You can only tween text that has a life span greater than one frame. For information about increasing the life span of objects, see "To increase the life span of a new object."

When you move text along a path, you can tween the text’s properties.

Corel R.A.V.E. also lets you animate text without tweening it to a path, by treating the text as an object. For information about tweening objects, see "Tweening objects."

Related Topics
  • To move text along a path
  • To tween the properties of text on a path


To move text along a path

  1. Draw a path.
  2. Click the Text tool [image], and move the pointer over the path. When the pointer changes to a Fit to path pointer [image], click the object and type.
  3. In the Timeline docker, drag the black dot associated with the path to increase the life span of the path.
  4. Click the end frame in the text’s timeline.
  5. Click Movie } Insert keyframe.
  6. Drag the glyph to change the position of the text on the path.

You can also |
Have text move along the entire path | Click the text’s name in the Timeline docker, and click the Sets the tween to occur along full path button [image] on the property bar.
Have text rotate along a path | Click the text’s name in the Timeline docker, and click the Rotate all objects relative to the path button [image] on the property bar.

  • You can also change a frame to a keyframe by double-clicking the frame.
Related Topics
  • Tweening text
  • To tween the properties of text on a path


To tween the properties of text on a path

  1. In the Timeline docker, drag the black dot associated with the path to increase the life span of the path.

    2. The life span of the text on the path also increases.

  2. Click the end frame in the text’s timeline.
  3. Click Movie } Insert keyframe.
  4. Modify the text on the stage by editing any of its properties.

To change | Do the following
Vertical placement | Choose a setting from the Vertical placement list box on the property bar.
Text placement | Choose a setting from the Text placement list box on the property bar.
Distance from path | Choose a setting from the Distance from path list box on the property bar.
Horizontal offset | Choose a setting from the Horizontal offset list box on the property bar.
Kerning | Open the Shape edit flyout [image] , click the Shape tool [image] , and move the nodes to alter the distance between characters.

  • You cannot tween text orientation, nor can you tween text to the opposite side of a path.
  • You can tween the size, fill, outline fill, outline size, and interactive effects for text as you would for any other object.
Related Topics
  • Tweening text
  • To move text along a path


Creating animated text effects

Corel R.A.V.E. lets you create a typing effect and animated text effects.

You can blend artistic text, and then create an animated sequence from the blend.

You can blend two instances of text along a path.

Related Topics
  • To blend artistic text
  • To create a typing effect


To blend artistic text

To | Do the following
Blend text along a straight line | Open the Interactive tools flyout [image] , and click the Interactive blend tool [image] . Select the first text instance, and drag over the second text instance. If you want to reset the blend, press Esc as you drag.
Blend text along a freehand path | Open the Interactive tools flyout, and click the Interactive blend tool. Select the first text instance. Hold down Alt, and drag to draw a line to the second text instance.
Fit a blend to a path | Open the Interactive tools flyout, and click the Interactive blend tool. Click the blend. Click the Path properties button [image] on the property bar. Click New path. Using the curved arrow, click the path to which you want to fit the blend.
Stretch the blend over an entire path | Select a blend that is already fitted on a path. Click the Miscellaneous blend options button [image] on the property bar, and enable the Blend along full path check box.
Create a compound blend | Using the Interactive blend tool, drag from an object to the start or end text instance of another blend.
Create a sequence from a blend | Select a blend, and click Movie } Create sequence from blend.

  • You can also blend text with an object. For more information about blending objects, see "Blending objects."
Related Topics
  • Creating animated text effects
  • To create a typing effect


To create a typing effect

  1. Type the text in the frame where you want the animation to begin.
  2. Select the text, and click Movie } Create sequence from text.
  3. Select the group of objects, and click Edit } Copy.
  4. In the Timeline docker, expand the group of objects, and drag the timeline dot for each character to the end of the group’s timeline.
  5. In the Timeline docker, click the third frame in the group’s timeline, and click Edit } Paste.
  6. Select the group of objects with the earlier timeline, and choose the Interactive transparency tool [image] from the Interactive tools flyout [image].
  7. Select Uniform from the Transparency type list box in the property bar, and type 50 in the Starting transparency box.
  8. Click the Play button [image] on the Control panel to play the movie.
  9. Click the Stop button [image] to stop the movie and make adjustments.
Related Topics
  • Creating animated text effects

To blend artistic text


Editing and previewing animation

The Corel R.A.V.E. application lets you make changes to movies and preview them.

In this section, you’ll learn about

  • working with timelines
  • working with tweens
  • using sound in movies
  • displaying multiple frames on the stage
  • previewing animation


Working with timelines

You can modify the way an animated object changes over time by making changes to its timeline. You can insert and delete frames. You can also add, delete, and move keyframes. Adding keyframes gives you more control over the way an object changes between its start and end frames; deleting keyframes lets you remove unwanted changes to the object over time; and moving keyframes lets you control how quickly changes take place.

You can identify a frame or keyframe in a movie by giving it a label. Frame labels let you reference frames easily when working with behaviors. For more information about using behaviors, see "Using behaviors."

You can also edit an animated object by changing its life span or shifting its timeline. You change an object’s life span by moving the start frame, end frame, or both. Shifting an object’s timeline lets you move the object to a different series of frames without affecting its life span. For example, you can shift the timeline of an object that appears in frames 5 to 20 so that it appears in frames 10 to 25.

Related Topics
  • To insert a frame
  • To delete a frame
  • To add, delete, and move keyframes
  • To label a frame
  • To change the life span of an object
  • To shift an object’s timeline


To insert a frame

  1. In the Timeline docker, click a frame.
  2. Click the Insert frame button [image].
  3. In the Insert frame dialog box, type a value in the Number of frames box.
  4. Enable one of the following options:
    • After current frame
    • Before current frame

  • If the current frame is not part of at least one object’s timeline, inserting frames has no effect.
Related Topics
  • Working with timelines
  • To delete a frame
  • To add, delete, and move keyframes
  • To label a frame
  • To change the life span of an object
  • To shift an object’s timeline


To delete a frame

  1. In the Timeline docker, click a frame.
  2. Click the Delete frame button [image].
  3. In the Delete frame dialog box, type a value in the Number of frames box.
  4. Enable one of the following options:
    • After current frame
    • Before current frame

  • If the current frame is not part of at least one object’s timeline, deleting frames has no effect.
Related Topics
  • Working with timelines
  • To insert a frame
  • To add, delete, and move keyframes
  • To label a frame
  • To change the life span of an object
  • To shift an object’s timeline


To add, delete, and move keyframes

To | Do the following
Add a keyframe | Click a frame in an object’s timeline, and click Movie } Insert keyframe.
Delete a keyframe | Click a keyframe in an object’s timeline, and click Movie } Delete keyframe.
Move a keyframe | Click a keyframe in an object’s timeline, and drag it to another frame.

  • You cannot move a keyframe beyond another keyframe in an object’s timeline.

  • You can also add a keyframe by double-clicking a frame in the object’s timeline.
  • You can also delete a keyframe by double-clicking it.
Related Topics
  • Working with timelines
  • To insert a frame
  • To delete a frame
  • To label a frame
  • To change the life span of an object
  • To shift an object’s timeline


To label a frame

  1. In the Timeline docker, click a frame.
  2. Click Movie } Label frame.
  3. In the Label frame dialog box, type a name in the Frame label name box.

  • A yellow flag displays in the Timeline docker for labeled frames.
Related Topics
  • Working with timelines
  • To insert a frame
  • To delete a frame
  • To add, delete, and move keyframes
  • To change the life span of an object
  • To shift an object’s timeline


To change the life span of an object

  1. Select an object.
  2. In the Timeline docker, drag from the start frame in the object’s timeline to the frame you want.
  3. Drag from the end frame in the object’s timeline to the frame you want.

  • For a compound tween, changing the life span affects only the first or last timeline section.

  • You can change the life span of a group of objects by holding down Ctrl and dragging the start and end frames.
Related Topics
  • Working with timelines
  • To insert a frame
  • To delete a frame
  • To add, delete, and move keyframes
  • To label a frame
  • To shift an object’s timeline


To shift an object’s timeline

  1. In the Timeline docker, select an object.
  2. Click an intermediate frame in the object’s timeline, and drag to a new position.

  • The entire timeline is shifted.

  • To shift a timeline section of a compound tween, hold down Ctrl, and drag an intermediate frame in the timeline section. The timeline section is shifted, adding or removing surrounding frames as required, but only up to the next keyframe.
Related Topics
  • Working with timelines
  • To insert a frame
  • To delete a frame
  • To add, delete, and move keyframes
  • To label a frame
  • To change the life span of an object


Working with tweens

A tween is the animation created by tweening. For more information about tweening, see "Tweening objects."

You can modify how quickly or slowly a tweened object changes by adjusting object and color acceleration. For example, you can make a ball rolling down a hill speed up as it approaches the bottom of the hill.

Corel R.A.V.E. lets you copy tween properties from one tween to another. Tween properties include object and color acceleration, rotation controls, color controls, and if applicable, path properties. You can also reverse a tween. For example, a tweened object that moves from left to right while changing from red to blue can be reversed so that it moves from right to left while changing from blue to red. When you reverse a tween, you reverse the entire timeline.

You can also remove a tween. When you do, Corel R.A.V.E. deletes all keyframes, and the object maintains the properties it had at the first keyframe.

Related Topics
  • To adjust object and color acceleration
  • To copy tween properties
  • To reverse a tween
  • To remove a tween


To adjust object and color acceleration

  1. In the Timeline docker, click an intermediate frame in the timeline of a tween.
  2. On the property bar, click the Object and color acceleration button [image].

    3. If you want to set different acceleration rates for color and object properties, click the Lock button.

  3. Move the Object and Color sliders.

  • Moving the Object slider to the left accelerates object changes at the end of the tween, while moving the Object slider to the right accelerates object changes at the beginning of the tween. Moving the Color slider to the left accelerates color change at the beginning of the tween, while moving the Color slider to the right accelerates color change at the end of the tween.

  • You can adjust a section of a compound tween by holding down Ctrl, and clicking an intermediate frame in the timeline section.
Related Topics
  • Working with tweens
  • To copy tween properties
  • To reverse a tween
  • To remove a tween


To copy tween properties

  1. In the Timeline docker, click an intermediate frame in the timeline of the tween to which you want to copy properties.
  2. Click Effects } Copy effect } Tween from.

    3. The pointer changes to a thick, black arrow.

  3. Click an intermediate frame in the timeline of the tween whose properties you want to copy.

  • Copying tween properties does not attach a tween to a path; however, if both tweens are attached to a path, the path properties are copied.
Related Topics
  • Working with tweens
  • To adjust object and color acceleration
  • To reverse a tween
  • To remove a tween


To reverse a tween

  1. In the Timeline docker, click an intermediate frame in the timeline of a tween.
  2. Click Movie } Tween } Reverse tween.

  • You can also reverse a tween by right-clicking a frame, and clicking Reverse tween.
Related Topics
  • Working with tweens
  • To adjust object and color acceleration
  • To copy tween properties
  • To remove a tween


To remove a tween

  1. In the Timeline docker, click an intermediate frame in the timeline of a tween.
  2. Click Movie } Tween } Remove tween.

  • You can also remove a tween by right-clicking a frame, and clicking Remove tween.
Related Topics
  • Working with tweens
  • To adjust object and color acceleration
  • To copy tween properties
  • To reverse a tween


Using sound in movies

Corel R.A.V.E. lets you add sound to movies by importing audio files saved to the WAV format.

When you import an audio file, it spans a succession of frames on the timeline. You can edit the audio object’s timeline as you would any other object’s timeline in a movie. For more information, see "Working with timelines."

When you play a movie, the sound plays only in the frames it spans. You can loop the sound so that it plays repeatedly for the duration of the movie.

You can also stretch or shrink sound by changing the life span of a sound file. This affects the speed at which the sound is played. If you want to crop or edit sound in a movie, you need a sound-editing application.

You can make sound interactive by adding a sound behavior to a rollover. For more information, see "Adding sound to rollovers."

Related Topics
  • To add sound to a movie
  • To repeat sound in a movie
  • To stretch or shrink sound in a movie


To add sound to a movie

  1. Click File } Import.
  2. Locate the folder where the audio file is stored.
  3. Double-click the filename.

  • The sound file begins in the current frame.

  • You can also add sound by dragging a sound file to the stage.
Related Topics
  • Using sound in movies
  • To repeat sound in a movie
  • To stretch or shrink sound in a movie


To repeat sound in a movie

  1. In the Timeline docker, click an audio object.
  2. Click the Single play icon [image] to the left of the audio object’s name.
Related Topics
  • Using sound in movies
  • To add sound to a movie
  • To stretch or shrink sound in a movie


To stretch or shrink sound in a movie

  1. In the Timeline docker, click an audio object.
  2. Drag the start or end frame of the audio object’s timeline to the frame you want.
Related Topics
  • Using sound in movies
  • To add sound to a movie
  • To repeat sound in a movie


Displaying multiple frames on the stage

To make it easier to edit and coordinate animated objects, Corel R.A.V.E. lets you display the contents of successive frames on the stage by using onion skinning. Onion skinning makes objects in the current frame appear in full color while objects in other frames display in wireframe view. You can set the range of frames to be displayed.

Displaying multiple frames on the stage lets you compare the contents of different frames. When animating frame-by-frame, you can select objects in different frames and align and distribute them. You can also move and transform different animated objects in a movie simultaneously.

For information about the different views available in Corel R.A.V.E., see “Working with views” in the Help. For information about frame-by-frame animation, see "Animating objects frame-by-frame." For information about selecting, editing, and arranging objects, see “Working with objects” in the Help.

Onion skinning lets you see multiple frames simultaneously.

Related Topics
  • To display the contents of multiple frames


To display the contents of multiple frames

  1. In the Timeline docker, click Show onion skin [image].
  2. Drag the red onion skinning handles [image] to set the range of frames you want to display on the stage.

  • You can avoid a confusing clutter of outlines on the stage by hiding the layers you are not editing. For information about layers, see “Working with layers” in the Help.
Related Topics
  • Displaying multiple frames on the stage


Previewing animation

You can preview animation in Corel R.A.V.E., or you can use the Macromedia Flash preview to view movies in your Web browser. If a movie contains Stop, Play, or Go to behaviors applied to frames, these will affect the flow of the movie when previewed in Corel R.A.V.E. For movies containing other behaviors, you must use the Macromedia Flash preview. For more information about behaviors, see "Using behaviors.". Complex animations, such as tweened sprites, should also be viewed with the Macromedia Flash preview.

When you play a movie in Corel R.A.V.E., it plays in a continuous loop, automatically restarting from the first frame after reaching the last frame, unless a Stop behavior has been applied to a frame. You can stop a movie at any time and view specific frames. When you scrub through a movie, you can control the speed and stop at any frame.

Related Topics
  • To preview animation
  • To preview a movie in Macromedia Flash


To preview animation

To | Do the following
Play a movie | Click Movie } Control } Play movie.
Stop a movie | Click Movie } Control } Stop movie.
Rewind to the beginning of a movie | Click Movie } Control } Rewind to beginning.
Fast forward to the end of a movie | Click Movie } Control } Fast forward to end.
Move to the previous frame | Click Movie } Control } Step back one frame.
Move to the next frame | Click Movie } Control } Step forward one frame.
Scrub through a movie | In the Timeline docker, drag the playhead [image] back and forth along the timeline.

  • You can also control the playback of a movie using the playback controls located in the bottom left corner of the drawing window.
  • You can also use keyboard shortcuts to preview a movie. In Num lock mode, on the number pad, press 4 to rewind, press 6 to fast forward, press 1 to step back one frame, and press 3 to step forward one frame. Press Enter to play or stop a movie.
Related Topics
  • Previewing animation
  • To preview a movie in Macromedia Flash


To preview a movie in Macromedia Flash

  • Click File } Flash preview in browser.

  • You must have the Macromedia Flash Player plug-in installed in your default Web browser.
Related Topics
  • Previewing animation
  • To preview animation


Drawing shapes

Corel R.A.V.E. lets you draw basic shapes, which you can modify using special effects and reshaping tools.

In this section, you’ll learn about

  • drawing rectangles and squares
  • drawing ellipses, circles, arcs, and wedges
  • drawing polygons and stars
  • drawing spirals
  • drawing grids
  • drawing predefined shapes
  • drawing using shape recognition


Drawing rectangles and squares

Corel R.A.V.E. lets you draw rectangles and squares. You can draw a rectangle or square by dragging diagonally or draw a rectangle by specifying the width and height. After you draw a rectangle or square, you can reshape it by rounding one or more of its corners.

You can create a rectangle by drawing its baseline first and then its height.

Related Topics
  • To draw a rectangle or a square by dragging diagonally
  • To draw a rectangle by specifying height and width
  • To round the corners of a rectangle or a square


To draw a rectangle or a square by dragging diagonally

To draw | Do the following
A rectangle | Open the Rectangle flyout [image] , and click the Rectangle tool [image] . Drag in the drawing window until the rectangle is the size you want.
A square | Open the Rectangle flyout [image] , and click the Rectangle tool [image] . Hold down Ctrl, and drag in the drawing window until the square is the size you want.

  • You can draw a rectangle from its center outward by holding down Shift as you drag. You can also draw a square from its center outward by holding down Shift + Ctrl as you drag.
  • You can draw a rectangle that covers the stage by double-clicking the Rectangle tool.
Related Topics
  • Drawing rectangles and squares
  • To draw a rectangle by specifying height and width
  • To round the corners of a rectangle or a square


To draw a rectangle by specifying height and width

  1. Open the Rectangle flyout [image], and click the 3-point rectangle tool [image].
  2. In the drawing window, point to where you want to start the rectangle, drag to draw the width, and release the mouse button.
  3. Move the pointer to draw the height, and click.

    4. To adjust the size of the rectangle, type values in the Object(s) size boxes on the property bar.

  • Hold down Ctrl as you drag to constrain the angle of the baseline to 15 degree increments.
Related Topics
  • Drawing rectangles and squares
  • To draw a rectangle or a square by dragging diagonally
  • To round the corners of a rectangle or a square


To round the corners of a rectangle or a square

  1. Click a rectangle or a square.
  2. Type values in the Corner roundness areas on the property bar.

  • To apply the same roundness to all corners click the Round corners together button on the property bar.
  • To set default corner roundness click Tools } Options, double-click Toolbox in the list of categories, click Rectangle tool, and move the slider or enter a number.
Related Topics
  • Drawing rectangles and squares
  • To draw a rectangle or a square by dragging diagonally
  • To draw a rectangle by specifying height and width


Drawing ellipses, circles, arcs, and wedges

You can draw an ellipse or circle by dragging diagonally or you can draw an ellipse by specifying its width and height. You can draw an ellipse or circle and change the shape into an arc or wedge.

You can draw an ellipse by drawing first its centerline and then its height.

Related Topics
  • To draw an ellipse or a circle by dragging diagonally
  • To draw an ellipse by specifying width and height
  • To draw an arc or a wedge


To draw an ellipse or a circle by dragging diagonally

To draw | Do the following
An ellipse | Open the Ellipse flyout [image] , and click the Ellipse tool [image] . Drag in the drawing window until the ellipse is the shape you want.
A circle | Open the Ellipse flyout [image] , and click the Ellipse tool [image] . Hold down Ctrl, and drag in the drawing window until the circle is the size you want.

  • You can draw an ellipse or a circle from its center outward by holding down Shift as you drag.
Related Topics
  • Drawing ellipses, circles, arcs, and wedges
  • To draw an ellipse by specifying width and height


To draw an ellipse by specifying width and height

  1. Open the Ellipse flyout [image], and click the 3 point ellipse tool [image].
  2. In the drawing window, drag to draw the centerline of the ellipse, and release the mouse button.

    3. The centerline runs through the center of the ellipse and determines its width.

  3. Move the pointer to define the height of the ellipse, and click.
Related Topics
  • Drawing ellipses, circles, arcs, and wedges
  • To draw an arc or a wedge


To draw an arc or a wedge

To draw | Do the following
An arc | Open the Ellipse flyout [image] , and click the Ellipse tool. Click the Arc button on the property bar. Drag in the drawing window until the arc is the shape you want.
A wedge | Open the Ellipse flyout [image] , and click the Ellipse tool. Click the Wedge button on the property bar. Drag in the drawing window until the wedge is the shape you want.

  • To draw an arc, the ellipse or circle must have an outline.

  • You can change the direction of a selected arc or a wedge by clicking the Clockwise/counterclockwise arcs or pies button [image] on the property bar.
  • You can constrain the movement of the node to 15-degree increments by holding down Ctrl as you drag.

To create a wedge, drag the node of the ellipse (left) to the inside of the ellipse (center). To create an arc, drag the node to the outside of the ellipse (right).

Related Topics
  • Drawing ellipses, circles, arcs, and wedges
  • To draw an ellipse or a circle by dragging diagonally
  • To draw an ellipse by specifying width and height


Drawing polygons and stars

Corel R.A.V.E. lets you draw polygons and stars and then reshape them. For example, you can convert polygons to stars and stars to polygons, change the number of sides on a polygon or the number of points on a star, and sharpen the points of a star.

You can also draw a predefined star shape. For more information, see "To draw a predefined shape."

Related Topics
  • To draw a polygon or a star
  • To reshape a polygon or a star


To draw a polygon or a star

To draw | Do the following
A polygon | Open the Object flyout [image] , click the Polygon tool [image] , and drag in the drawing window until the polygon is the size you want.
A star | Open the Object flyout [image] , click the Polygon tool, drag in the drawing window until the polygon is the size you want, and click the Star button [image] on the property bar.

  • You can draw a polygon or a star from its center by holding down Shift as you drag.
  • You can draw a symmetrical polygon or a star by holding down Ctrl as you drag.
Related Topics
  • Drawing polygons and stars
  • To reshape a polygon or a star


To reshape a polygon or a star

To | Do the following
Change a polygon to a star or a star to a polygon | Select a polygon or a star, and click the Polygon button [image] or the Star button [image] on the property bar.
Reshape a polygon or a star | Click the Shape tool [image] ,and click a node on the object. Drag the node to change the object’s shape.
Change the number of sides of a polygon or number of points on a star | Select a polygon or star, type a value in the Number of points on polygon box on the property bar, and press Enter.
Sharpen a star’s points | Select a star, and move the Sharpness of polygon slider on the property bar.

  • The Sharpness of polygon slider displays only if the star you select has at least seven points. The sensitivity of the slider increases with the number of points.

  • You can change a polygon to a star by selecting the polygon, clicking a node on one of the sides, and dragging toward the center of the polygon.
Related Topics
  • Drawing polygons and stars
  • To draw a polygon or a star


Drawing spirals

You can draw two types of spirals: symmetrical and logarithmic. Symmetrical spirals expand evenly so that the distance between each revolution is equal. Logarithmic spirals expand with increasingly larger distances between revolutions. You can set the rate by which a logarithmic spiral expands outward.

A symmetrical spiral (left) and a logarithmic spiral (right)

Related Topics
  • To draw a spiral


To draw a spiral

  1. Open the Object flyout [image], and click the Spiral tool [image].
  2. Type a value in the Spiral revolutions box on the property bar.
  3. On the property bar, click one of the following buttons:
    • Symmetrical spiral
    • Logarithmic spiral

      • If you want to change the amount by which the spiral expands as it moves outward, move the Spiral expansion slider.

  4. Drag diagonally in the drawing window until the spiral is the required size.

  • You can draw a spiral from its center outward by holding down Shift as you drag.
  • You can also draw a spiral with even horizontal and vertical dimensions by holding down Ctrl as you drag.
Related Topics
  • Drawing spirals


Drawing grids

You can draw a grid and set the number of rows and columns. A grid is a grouped set of rectangles, which you can break apart.

Related Topics
  • To draw a grid
  • To ungroup a grid


To draw a grid

  1. Open the Object flyout, and click the Graph paper tool [image].
  2. Type values in the top and bottom portions of the Graph paper columns and rows box [image] on the property bar.

    3. The value you type in the top portion specifies the number of columns; the value in the bottom portion specifies the number of rows.

  3. Point to where you want the grid to display.
  4. Drag diagonally to draw the grid.

  • If you want to draw the grid from its center point outward, hold down Shift as you drag; if you want to draw a grid with square cells, hold down Ctrl as you drag.
Related Topics
  • Drawing grids
  • To ungroup a grid


To ungroup a grid

  1. Select a grid using the Pick tool [image].
  2. Click Arrange } Ungroup.

  • You can also break apart a grid by clicking the Ungroup button on the property bar.
Related Topics
  • Drawing grids
  • To draw a grid


Drawing predefined shapes

Using the Perfect Shapes collection, you can draw predefined shapes, such as basic shapes, arrows, stars, and callouts. Basic shapes, arrows shapes, star shapes, and callout shapes have glyphs which let you modify their appearance.

You can drag a glyph to alter a shape.

You can add text to the inside or outside of the shape. For example, you might want to put a label inside a flowchart symbol or a callout.

Related Topics
  • To draw a predefined shape
  • To modify a predefined shape
  • To add text to a predefined shape


To draw a predefined shape

  1. Open the Perfect Shapes flyout [image], and click one of the following tools:
    • Basic shapes
    • Arrows shapes
    • Flowchart shapes
    • Star shapes
    • Callout shapes
  2. Open Perfect Shapes picker on the property bar, and click a shape.
  3. Drag in the drawing window until the shape is the size you want.

  • Perfect Shapes can be modified like any other shapes.
Related Topics
  • Drawing predefined shapes
  • To modify a predefined shape
  • To add text to a predefined shape


To modify a predefined shape

  1. Select a shape with a glyph.
  2. Drag a glyph until the shape is the form you want.

  • The right-angle, heart, lightning bolt, explosion, and flowchart shapes do not have glyphs.
Related Topics
  • Drawing predefined shapes
  • To draw a predefined shape
  • To add text to a predefined shape


To add text to a predefined shape

  1. Click the Text tool [image].
  2. Position the cursor inside the shape’s outline until it changes to a text cursor [image].
  3. Type and format the font inside the shape.
Related Topics
  • Drawing predefined shapes
  • To draw a predefined shape
  • To modify a predefined shape


Drawing using shape recognition

Corel R.A.V.E. lets you draw freehand strokes that can be recognized and converted to basic shapes using the Smart drawing tool. Rectangles and ellipses are translated to native Corel R.A.V.E. objects; trapezoids and parallelograms are translated to Perfect Shapes objects; lines, triangles, squares, diamonds, circles, and arrows are translated to curve objects. If a shape is not converted to an object, it can be beautified. Objects and curves drawn using shape recognition are editable. You can set the level at which Corel R.A.V.E. recognizes shapes, converts them to objects, and the amount of smoothing applied to curves.

You can set the amount of time to elapse between making a pen stroke and the implementation of shape recognition. For example, if the timer is set to one second and you draw a circle, shape recognition takes effect one second after you draw the circle.

You can make corrections as you draw. You can also change the thickness and line style of a shape drawn using shape recognition.

Shapes created with the Smart drawing tool are recognized and smoothed.

Related Topics
  • To draw a shape using shape recognition
  • To set shape recognition delay
  • To make a correction while using shape recognition
  • To change the outline thickness of a shape drawn with shape recognition


To draw a shape using shape recognition

  1. Click the Smart drawing tool [image].
  2. Choose a recognition level from the Recognition level list box on the property bar.
  3. Choose a smoothing level from the Smoothing level list box on the property bar.
  4. Draw a shape in the drawing window.

  • The Smart drawing tool property bar is only displayed when the Smart drawing tool is selected.
  • When a shape drawn using shape recognition is not recognized as a native shape or as one of the Perfect Shapes, it is tweenable as a normal curve object.
Related Topics
  • Drawing using shape recognition
  • To set shape recognition delay
  • To make a correction while using shape recognition
  • To change the outline thickness of a shape drawn with shape recognition


To set shape recognition delay

  1. Click Tools } Customization.
  2. In the Toolbox list of categories, click Smart drawing tool.
  3. Move the Drawing assistance delay slider.

  • The minimum delay is ten milliseconds; the maximum is two seconds.
Related Topics
  • Drawing using shape recognition
  • To draw a shape using shape recognition
  • To make a correction while using shape recognition
  • To change the outline thickness of a shape drawn with shape recognition


To make a correction while using shape recognition

  • Before the delay recognition period has elapsed, hold down Shift, and drag over the area you want to correct.

    • You must start erasing the shape from the last point drawn.

  • If you are drawing a freehand shape consisting of several curves, pressing Esc deletes the last curve drawn.
Related Topics
  • Drawing using shape recognition
  • To draw a shape using shape recognition
  • To set shape recognition delay
  • To change the outline thickness of a shape drawn with shape recognition


To change the outline thickness of a shape drawn with shape recognition

  1. Click the Smart drawing tool [image].
  2. Click the shape.
  3. Choose an outline thickness from the Outline width list box on the property bar.

  • The Smart drawing tool property bar is displayed only when the Smart drawing tool is selected.
  • When you overlap lines drawn with the Smart drawing tool, the outline thickness is determined by the average.

  • You can change the line style of a shape drawn with shape recognition. For more information, see "To specify line and outline settings."
Related Topics
  • Drawing using shape recognition
  • To draw a shape using shape recognition
  • To set shape recognition delay
  • To make a correction while using shape recognition


Working with lines, outlines, and brush strokes

Corel R.A.V.E. lets you add lines and brush strokes using a variety of techniques and tools. After you draw lines or apply brush strokes to lines, you can format them. You can also format the outlines that surround objects.

Corel R.A.V.E. provides preset objects that you can spray along a line.

You can draw lines using shape recognition. For more information, see "Drawing using shape recognition."

In this section, you’ll learn about

  • drawing lines
  • formatting lines and outlines
  • closing multiple line segments
  • applying brush strokes
  • spraying objects along a line


Drawing lines

Corel R.A.V.E. lets you draw all kinds of different lines, from curved or straight lines to calligraphic lines. You can create a line that is drawn as you drag the mouse. You can create segments that are straight and curved in the same line. You can draw straight or curved segments and then add one node at a time. You can also draw a curve by specifying width and height.

You can draw a curved line by specifying its width (left), specifying its height (center), and clicking the page (right).

Some lines have nodes and control points that you can manipulate to shape lines as you draw. For information about node types, see "Working with curve objects."

You can draw multi-segment lines using the Bézier tool, by clicking each time you want the line to change direction.

You can draw curves using the Bézier tool, by dragging the control points at the ends of the Bézier curve.

Corel R.A.V.E. also lets you simulate the effect of a calligraphic pen when you draw lines. Calligraphic lines vary in thickness according to the direction of the line and the angle of the pen nib. By default, calligraphic lines display as closed shapes drawn with a pencil. You can control the thickness of a calligraphic line by changing the angle of the line you draw in relation to the calligraphic angle you choose. For example, when the line you draw is perpendicular to the calligraphic angle, the line is at the maximum thickness specified by the pen width. Lines drawn at the calligraphic angle, however, have little or no thickness.

A calligraphic pen allows you to draw lines of various thicknesses.

Corel R.A.V.E. lets you create pressure-sensitive lines which vary in thickness. You can create this effect using the mouse or a pressure-sensitive pen and graphics tablet. Both methods result in lines with curved edges and varying widths along a path. For information about using a pressure-sensitive pen on a graphics tablet, see the manufacturer’s instructions.

A flower drawn by using three different artistic media lines: calligraphic lines (left), pressure-sensitive lines (center), and the lineflat preset line (right).

Corel R.A.V.E. provides preset lines that let you create thick strokes in a variety of shapes. After you draw a calligraphic or preset line, you can apply a fill to it as you would to any other object. For information about applying fills, see "Filling objects."

Related Topics
  • To draw a straight line
  • To draw a curved line
  • To draw a curve by specifying width and height
  • To draw a calligraphic line
  • To draw a pressure-sensitive line
  • To draw a preset line


To draw a straight line

  1. Open the Curve flyout [image], and click the Freehand tool [image].
  2. Click where you want to start the line, and click where you want to end it.

You can also |
Draw a straight line using the Polyline tool | Open the Curve flyout, and click the Polyline tool [image] . Click where you want to start the line segment, and click where you want to end the line segment. Double-click to end the line.
Draw a straight line using the Bézier tool | Open the Curve flyout, and click the Bézier tool [image] . Double-click where you want to start the line. Click where you want to end the line. If you want to create a multi-segment line, double-click where you want the new line segment to end. Continue this process until the line has as many segments as you want. Double-click to finish the line.
Draw a straight line using the Pen tool | Open the Curve flyout, and click the Pen tool [image] . Double-click where you want to start the line. Click where you want to end the line. If you want to create a jagged line, double-click where you want the new line segment to end. Continue this process until the line has as many segments as you want. Double-click to finish the line.
Preview a line using the Pen tool | Click the Preview mode button in the property bar. Click on the drawing page, and release the mouse button. Move the mouse, and click to finish the line.
Add line segments to an existing line | Using the Freehand tool [image] , click the end node of a selected line, and click where you want the new segment to end.
Create a closed shape from two or more connected lines | Using the Freehand tool [image] , click the end node of a line with two segments. Click the first node.

  • You can constrain a line created with the Freehand tool to a straight vertical or horizontal line by holding down Ctrl while you drag. You can change the angle of this line by clicking Tools } Options, clicking Edit in the Workspace list of categories and changing the value in the Constrain Angle box.
Related Topics
  • Drawing lines
  • To draw a curved line
  • To draw a curve by specifying width and height
  • To draw a calligraphic line
  • To draw a pressure-sensitive line
  • To draw a preset line


To draw a curved line

  1. Open the Curve flyout [image], and click the Freehand tool [image].
  2. Click where you want to start the curve, and drag to draw the line.

You can also |
Draw a curved line using the Polyline tool | Open the Curve flyout, and click the Polyline tool [image] .Click where you want to start the curve, and drag across the stage. Double-click to finish the curve.
Draw a curved line using the Bézier tool | Open the Curve flyout and click the Bézier tool [image] . Click where you want to place the first node, and drag the control point in the direction you want the curve to bend. Release the mouse button. Position the cursor where you want to place the next node, and drag the control point to create the curve you want. Double-click to finish the curve.
Draw a curved line using the Pen tool | Open the Curve flyout and click the Pen tool [image] . Click where you want to place the first node, and drag the control point in the direction you want the curve to bend. Release the mouse button. Position the cursor where you want to place the next node, and drag the control point to create the curve you want. Double-click to finish the curve.
Preview a line using the Pen tool | Click the Preview mode button in the property bar. Click on the drawing page, and release the mouse button. Move the mouse and click to finish the curve.

  • You can erase a portion of a curved freehand line by holding down Shift and dragging backward over the line before releasing the mouse button.
  • You can close an object with the Shape tool [image] by opening the Shape flyout [image], and selecting a shape. Click on the Auto-close curve button [image].
Related Topics
  • Drawing lines
  • To draw a straight line
  • To draw a curve by specifying width and height
  • To draw a calligraphic line
  • To draw a pressure-sensitive line
  • To draw a preset line


To draw a curve by specifying width and height

  1. Open the Curve flyout [image], and click the 3 point curve tool [image].
  2. Click where you want to start the curve, and drag to where you want the curve to end.
  3. Release the mouse button, and click where you want the center of the curve to be.
Related Topics
  • Drawing lines
  • To draw a straight line
  • To draw a curved line
  • To draw a calligraphic line
  • To draw a pressure-sensitive line
  • To draw a preset line


To draw a calligraphic line

  1. Open the Curve flyout [image], and click the Artistic media tool [image].
  2. Click the Calligraphic button [image] on the property bar.
  3. Type a value in the Calligraphic angle box on the property bar.

    4. If you want to smooth the edges of the line, type a value in the Freehand smoothing box on the property bar.

  4. Drag until the line is the shape you want.

    5. If you want to set the width of the line, type a value in the Artistic media tool width box on the property bar.

  • The width you set is the maximum line width. The angle of the line you draw in relation to the calligraphic angle determines the line’s actual width.

  • You can also access calligraphic lines by clicking Effects } Artistic media, and specifying the settings you want in the Artistic media docker.
Related Topics
  • Drawing lines
  • To draw a straight line
  • To draw a curved line
  • To draw a curve by specifying width and height
  • To draw a pressure-sensitive line
  • To draw a preset line


To draw a pressure-sensitive line

  1. Open the Curve flyout [image], and click the Artistic media tool [image].
  2. Click the Pressure button [image] on the property bar.

    3. If you want to smooth the edges of the line, type a value in the Freehand smoothing box on the property bar.

  3. Drag until the line is the shape you want.

    4. If you want to change the width of the line, type a value in the Artistic media tool width box on the property bar.

  • The width you set represents the line’s maximum width. The amount of pressure you apply determines the line’s actual width.

  • If you are using the mouse, press the Up arrow or Down arrow to simulate the pen pressure, and, therefore, the width of the line.
  • You can also access pressure-sensitive lines by clicking Effects } Artistic media.
Related Topics
  • Drawing lines
  • To draw a straight line
  • To draw a curved line
  • To draw a curve by specifying width and height
  • To draw a calligraphic line
  • To draw a preset line


To draw a preset line

  1. Open the Curve flyout [image], and click the Artistic media tool [image].
  2. Click the Preset button [image] on the property bar.
  3. Choose a preset line shape from the Preset stroke list list box.

    4. If you want to smooth the edges of the line, type a value in the Freehand smoothing box on the property bar.

  4. Drag until the line is the shape you want.

    5. If you want to set the width of the line, type a value in the Artistic media tool width box on the property bar.

Related Topics
  • Drawing lines
  • To draw a straight line
  • To draw a curved line
  • To draw a curve by specifying width and height
  • To draw a calligraphic line
  • To draw a pressure-sensitive line


Formatting lines and outlines

You can change the appearance of both lines and outlines. For example, you can specify their color, width, style, corner shape, and cap style. You can also remove a line or outline, and you can create your own line or outline style by adjusting the distance between segments in the line.

Corel R.A.V.E. also lets you copy the color of an outline to other objects, convert outlines to objects so that you can apply a fill to them, and create calligraphic outlines. For more information about filling objects, see "Filling objects."

You can also add arrowheads to lines and curves. In addition, you can create new arrowheads and edit current or new ones.

Setting the miter limit for outlines lets you specify at what angle a sharp corner is either mitered (pointed) or beveled (squared-off).

Related Topics
  • To specify line and outline settings
  • To copy outline color to another object
  • To convert an outline to an object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To add an arrowhead
  • To set the miter limit


To specify line and outline settings

  1. Select an object.
  2. Open the Outline tool flyout [image], and click the Outline pen dialog button [image].
  3. Specify the settings you want.

You can also |
Create a line style | Click Edit style, and move the slider in the Edit line style dialog box. By clicking the boxes to the left of the slider, you can specify the placement and frequency of the dots in the new line style you create.
Edit a line style | Choose a line style from the Style list box, and click Edit style. Create a line style in the Edit line style dialog box, and click Replace.

  • You can change the outline color of a selected object by choosing a color from the color picker in the Outline pen dialog box.
Related Topics
  • Formatting lines and outlines
  • To copy outline color to another object
  • To convert an outline to an object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To add an arrowhead
  • To set the miter limit


To copy outline color to another object

  1. Open the Eyedropper flyout [image], and click the Eyedropper tool [image].
  2. Choose Object attributes from the list box on the property bar.
  3. Click the Properties flyout on the property bar, and enable the Outline check box.
  4. Click the edge of the object whose outline you want to copy.
  5. Open the Eyedropper flyout [image], and click the Paintbucket tool [image].
  6. Click the edge of the object to which you want to copy the outline.
Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To convert an outline to an object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To add an arrowhead
  • To set the miter limit


To convert an outline to an object

  1. Select an object.
  2. Click Arrange } Convert outline to object.
Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To copy outline color to another object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To add an arrowhead
  • To set the miter limit


To create a calligraphic outline

  1. Select an object.
  2. Open the Outline tool flyout [image], and click the Outline pen dialog button [image].
  3. In the Corners area, enable a corner style option.
  4. Type a value in the Stretch box.
  5. Type a value in the Angle box.
Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To copy outline color to another object
  • To convert an outline to an object
  • To remove an object’s outline
  • To add an arrowhead
  • To set the miter limit


To remove an object’s outline

  1. Select an object.
  2. Open the Outline tool flyout [image], and click the No outline button [image].

  • You can also remove an object’s outline by selecting the object and right-clicking No Color on the color palette.
Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To copy outline color to another object
  • To convert an outline to an object
  • To create a calligraphic outline
  • To add an arrowhead
  • To set the miter limit


To add an arrowhead

  1. Select a line or curve.
  2. Open the Outline tool flyout [image], and click the Outline pen dialog button [image].
  3. In the Arrows area, open the Start arrowhead picker, and click a line-ending shape.
  4. Open the End arrowhead picker, and click a line-ending shape.

You can also |
Create an arrowhead | In the Arrows area, click Options } New. Drag the side handles and hollow nodes to shape the arrowhead.
Edit an arrowhead | Using the Pick tool [image] , select an object with an arrowhead. Click the Arrowhead Selector button on the property bar. In the arrowhead picker, click Other. In the Edit window, drag the side handles and hollow nodes to shape the arrowhead.

Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To copy outline color to another object
  • To convert an outline to an object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To set the miter limit


To set the miter limit

  1. Click Tools } Options.
  2. In the Workspace list of categories, click Edit.
  3. Type a value the Miter limit box.
Related Topics
  • Formatting lines and outlines
  • To specify line and outline settings
  • To copy outline color to another object
  • To convert an outline to an object
  • To create a calligraphic outline
  • To remove an object’s outline
  • To add an arrowhead


Closing multiple line segments

You can quickly create a closed object from line segments by selecting which lines you want to connect and the shape of the connecting line.

You can connect lines using the closest nodes between lines. The connecting line can be either straight or curved. You can also connect lines using the start to end nodes of the lines. The end node of the first selected line connects directly with the starting node of the closest selected line. The connected lines will take on the properties of the first line selected.

Closing multiple line segments can be the starting point for more complex drawings.

Related Topics
  • To close multiple line segments


To close multiple line segments

  1. Hold down Shift, and select each object using the Pick tool [image].
  2. Click Arrange } Close path, and click one of the following:
    • Closest nodes with straight lines
    • Closest nodes with curvy lines
    • Start to end with straight lines
    • Start to end with curvy lines

  • Text and blends fitted to a path will be detached from their paths when the paths are closed.

  • You can also connect the subpaths in a group of objects.
  • You can also select lines by marquee selecting. If the lines are marquee selected, the properties from the top object on a layer are used. To see which object is the top one, open the Timeline docker by clicking Window } Dockers } Timeline.
Related Topics
  • Closing multiple line segments


Applying brush strokes

Corel R.A.V.E. lets you apply a variety of preset brush strokes, ranging from strokes with arrowheads to ones that are filled with rainbow patterns. When you draw a preset brush stroke, you can specify some of its attributes. For example, you can change the width of a brush stroke and specify its smoothness.

You can also create custom brush strokes using an object or a group of vector objects. When you create a custom brush stroke, you can save it as a preset.

The above image was created using different kinds of brush strokes and widths.

Related Topics
  • To apply a preset brush stroke
  • To create a custom brush stroke


To apply a preset brush stroke

  1. Open the Curve flyout [image], and click the Artistic media tool [image].
  2. Click the Brush button [image] on the property bar.
  3. Choose a brush stroke from the Brush stroke list box.

    4. If you want to smooth the edges of the brush stroke, type a value in the Freehand smoothing box on the property bar.

  4. Drag until the stroke is the shape you want.

    5. If you want to set the width of the stroke, type a value in the Artistic media tool width box on the property bar.

  • If you have access to a brush stroke that isn’t listed in the Brush stroke list box, you can apply it by clicking the Browse button on the property bar, and locating the brush stroke file.
Related Topics
  • Applying brush strokes
  • To create a custom brush stroke


To create a custom brush stroke

  1. Select an object or a set of grouped objects.
  2. Open the Curve flyout [image], and click the Artistic media tool [image].
  3. Click the Brush button on the property bar.
  4. Click the object or grouped objects.
  5. Click the Save artistic media stroke button [image] on the property bar.
  6. Type a filename for the brush stroke.
  7. Click Save.

  • You can create custom brush strokes by clicking Effects } Artistic media, and specifying the settings you want in the Artistic media docker.
Related Topics
  • Applying brush strokes
  • To apply a preset brush stroke


Spraying objects along a line

Corel R.A.V.E. lets you spray a series of objects in a line. Besides graphic and text objects, you can import bitmaps and symbols to spray along a line.

You can control how a sprayed line appears by adjusting the spacing between objects, so they are closer or farther apart from each other. You can also vary the order of objects in the line. For example, if you are spraying a series of objects that includes a star, a triangle, and a square, you can change the spray order so that the square appears first, followed by the triangle and then the star. Corel R.A.V.E. also lets you shift the position of objects in a sprayed line by rotating them along the path or offsetting them in one of four different directions: alternating, left, random, or right. For example, you can choose a left offset direction to align the objects you spray to the left of the path.

You can also create a new spraylist with objects of your own.

Objects sprayed along a curved line. The objects and line can be edited after the objects have been sprayed.

Related Topics
  • To spray a line
  • To rotate the lines that you spray
  • To offset the lines that you spray
  • To create a new spray list


To spray a line

  1. Open the Curve flyout [image], and click the Artistic media tool [image].
  2. Click the Sprayer button [image] on the property bar.
  3. Choose a spraylist from the Spraylist file list box on the property bar.

    4. If the spraylist you want is not listed, click the Browse button on the property bar to select the folder in which the file is located.

  4. Drag to draw the line.

You can also |
Adjust the number of objects sprayed at each spacing point | Type a number in the top box of the Dabs/spacing of objects to be sprayed [image] box on the property bar.
Adjust the spacing between dabs | Type a number in the bottom box of the Dabs/spacing of objects to be sprayed [image] box on the property bar.
Set the spray order | Choose a spray order from the Choice of spray order list box on the property bar.
Adjust the size of spray objects | Type a number in the top box of the Size of objects to be sprayed box on the property bar.
Increase or decrease the size of the spray objects as they progress along the line | Type a number in the bottom box of the Size of objects to be sprayed box on the property bar.
Reset a spraylist to its saved settings | Click the Reset values button [image] on the property bar.

  • Increasing the value for the size of spray objects along the line causes objects to become larger as they are distributed along the path.
  • Spraylists that have more complex objects use more system resources. Corel R.A.V.E. takes longer to produce lines using complex objects, and these objects will increase the file size. Using symbols for each group in the list can help reduce file size and demands on your system. For more information about creating symbols, see "Working with symbols and sprites."
Related Topics
  • Spraying objects along a line
  • To rotate the lines that you spray
  • To offset the lines that you spray
  • To create a new spray list


To rotate the lines that you spray

  1. Select the spraylist that you want to adjust.
  2. Click the Rotation button [image] on the property bar.
  3. Type a value between zero and 360 in the Angle box on the property bar.

    4. If you want each object in the spray to rotate incrementally, enable the Use Increment check box and type a value in the Increment box.

  4. Enable one of the following options:
    • Path based — rotates objects in relation to the line
    • Page based — rotates objects in relation to the stage
  5. Press Enter.
Related Topics
  • Spraying objects along a line
  • To spray a line
  • To offset the lines that you spray
  • To create a new spray list


To offset the lines that you spray

  1. Select a spraylist.
  2. Click the Offset button [image] on the property bar.
  3. Enable the Use offset check box to offset objects from the path of the line sprayed.

    4. If you want to adjust the offset distance, type a new value in the Offset box.

  4. Choose an offset direction from the Offset direction list box.

    5. If you want to alternate between the left and right of the line, choose Alternating.

Related Topics
  • Spraying objects along a line
  • To spray a line
  • To rotate the lines that you spray
  • To create a new spray list


To create a new spray list

  1. Click Effects } Artistic media.
  2. Select an object, a set of grouped objects, or a symbol.
  3. Click the Save button on the Artistic media docker.
  4. Enable Object sprayer.
  5. Click OK.
  6. Type a filename in the Filename box.
  7. Click Save.
Related Topics
  • Spraying objects along a line
  • To spray a line
  • To rotate the lines that you spray
  • To offset the lines that you spray


Working with objects

Working with objects is an essential part of creating movies.

In this section, you’ll learn about

  • selecting objects
  • copying, duplicating, and deleting objects
  • copying object properties, transformations, and effects
  • positioning objects
  • aligning and distributing objects
  • snapping objects
  • using dynamic guides
  • changing the order of objects
  • sizing and scaling objects
  • rotating and mirroring objects
  • grouping objects
  • combining objects


Selecting objects

Before you can change an object, you must select it. You can select visible objects, hidden objects, and a single object in a group or a nested group. You can select objects in the order in which they were created. You can also select all objects at once and deselect objects.

A bounding box displays around a selected object, and an “X” appears at its center.

You can select a single object from a group.

Related Topics
  • To select objects
  • To deselect objects


To select objects

To select | Do the following
An object | Click an object using the Pick tool [image] .
Multiple objects | Hold down Shift, and click each object you want to select.
An object, starting with the first object created and moving toward the last object created | Press Shift + Tab until a selection box displays around the object you want to select.
An object, starting with the last object created and moving toward the first object created | Press Tab until a selection box displays around the object you want to select.
All objects | Click Edit } Select all } Objects.
An object in a group | Hold down Ctrl, and click an object in a group using the Pick tool.
An object in a nested group | Hold down Ctrl, and using the Pick tool, click an object you want to select until a selection box displays around it.
A hidden object | Hold down Alt, and using the Pick tool, click the topmost object until a selection box displays around the hidden object you want to select.
Multiple hidden objects | Hold down Shift + Alt and using the Pick tool, click the topmost object until a selection box displays around the hidden objects you want to select.
A hidden object in a group | Hold down Ctrl + Alt and using the Pick tool, click the topmost object until a selection box displays around the hidden object you want to select.

  • The status bar displays a description of each hidden object as you select it.

  • You can also select one or more objects by dragging around the object or objects using the Pick tool [image].
Related Topics
  • Selecting objects
  • To deselect objects


To deselect objects

To deselect | Do the following
All objects | Click the Pick tool [image] , and click a blank space in the drawing window.
A single object in multiple selected objects | Hold down Shift, and click the object using the Pick tool [image] .

Related Topics
  • Selecting objects
  • To select objects


Copying, duplicating, and deleting objects

Corel R.A.V.E. gives you two ways to copy objects. You can cut or copy an object to place it on the Clipboard and paste it into a movie or you can duplicate an object. Cutting an object to the Clipboard removes it from the movie; copying an object to the Clipboard leaves the original in the movie; and duplicating an object places a copy directly in the drawing window, not the Clipboard. Duplicating is faster than copying and pasting.

When you no longer need an object, you can delete it.

Related Topics
  • To cut or copy an object
  • To paste an object into a movie
  • To duplicate an object
  • To delete an object


To cut or copy an object

  1. Select an object.
  2. Click Edit, and click one of the following:
    • Cut
    • Copy

  • You can also cut or copy an object by right-clicking the object, and clicking Cut or Copy.
Related Topics
  • Copying, duplicating, and deleting objects
  • To paste an object into a movie
  • To duplicate an object
  • To delete an object


To paste an object into a movie

  • Click Edit } Paste.
Related Topics
  • Copying, duplicating, and deleting objects
  • To cut or copy an object
  • To duplicate an object
  • To delete an object


To duplicate an object

  1. Select an object.
  2. Click Edit } Duplicate.
Related Topics
  • Copying, duplicating, and deleting objects
  • To cut or copy an object
  • To paste an object into a movie
  • To delete an object


To delete an object

  1. Select an object.
  2. Click Edit } Delete.

  • You can also delete an object by clicking the object and pressing Delete.
Related Topics
  • Copying, duplicating, and deleting objects
  • To cut or copy an object
  • To paste an object into a movie
  • To duplicate an object


Copying object properties, transformations, and effects

Corel R.A.V.E. lets you copy one object’s attributes to another. You can copy object properties such as outline, fill, and text properties. You can copy object transformations such as sizing, rotating, and positioning. You can also copy effects applied to an object.

Related Topics
  • To copy an object’s fill, outline, or text properties to another object
  • To copy an object’s size, position, or rotation to another object
  • To copy effects from one object to another object


To copy an object’s fill, outline, or text properties to another object

  1. Click the Eyedropper flyout [image], and click the Eyedropper tool [image].
  2. Choose Object attributes from the list box on the property bar.
  3. Click the Properties flyout on the property bar, and enable any of the following check boxes:
    • Outline
    • Fill
    • Text
  4. Click the edge of the object whose properties you want to copy.
  5. Click the Eyedropper flyout [image], and click the Paintbucket tool [image].
  6. Click the edge of the object to which you want to copy the properties.

  • You can copy fill or outline properties or both by right-clicking an object, dragging over another object, and choosing Copy fill here, Copy outline here, or Copy all properties.
Related Topics
  • Copying object properties, transformations, and effects
  • To copy an object’s size, position, or rotation to another object
  • To copy effects from one object to another object


To copy an object’s size, position, or rotation to another object

  1. Click the Eyedropper flyout [image], and click the Eyedropper tool [image].
  2. Choose Object attributes from the list box on the property bar.
  3. Click the Transformations flyout on the property bar.
  4. Enable any of the following check boxes:
    • Size
    • Rotation
    • Position
  5. Click the edge of the object whose transformations you want to copy.
  6. Click the Eyedropper flyout [image], and click the Paintbucket tool [image].
  7. Click the edge of the object to which you want to copy the transformations.
Related Topics
  • Copying object properties, transformations, and effects
  • To copy an object’s fill, outline, or text properties to another object
  • To copy effects from one object to another object


To copy effects from one object to another object

  1. Click the Eyedropper flyout [image], and click the Eyedropper tool [image].
  2. Choose Object attributes from the list box on the property bar.
  3. Click the Effects flyout on the property bar, and enable any of the following check boxes:
    • Perspective
    • Envelope
    • Blend
    • Extrude
    • Contour
    • Lens
    • PowerClip
    • Drop shadow
    • Distortion
  4. Click the edge of the object whose effects you want to copy.
  5. Click the Eyedropper flyout [image], and click the Paintbucket tool [image].
  6. Click the edge of the object to which you want to copy the effects.
Related Topics
  • Copying object properties, transformations, and effects
  • To copy an object’s fill, outline, or text properties to another object
  • To copy an object’s size, position, or rotation to another object


Positioning objects

You can position objects by dragging them to a new location, by nudging, or by specifying their horizontal and vertical position.

The values you set in super nudging, and micro nudging allow you to move objects by increments. By default, you can nudge objects in two-pixel increments, but you can change the nudge values to suit your needs.

When you specify the position of an object, you can set horizontal and vertical coordinates that are relative to the object’s center anchor point or to another anchor point. You can also position objects by placing them at specific horizontal and vertical coordinates in the drawing window according to the object’s anchor point.

Related Topics
  • To move an object
  • To nudge an object
  • To set nudge distances
  • To position an object by x and y coordinates
  • To position an object using a different anchor point


To move an object

  • Drag an object to a new position on the stage.
Related Topics
  • Positioning objects
  • To nudge an object
  • To set nudge distances
  • To position an object by x and y coordinates
  • To position an object using a different anchor point


To nudge an object

To | Do the following
Nudge a selected object by the nudge distance | Press an Arrow key.
Nudge a selected object by a fraction of the nudge distance | Hold down Ctrl, and press an Arrow key.
Nudge a selected object by a multiple of the nudge distance | Hold down Shift, and press an Arrow key.

Related Topics
  • Positioning objects
  • To move an object
  • To set nudge distances
  • To position an object by x and y coordinates
  • To position an object using a different anchor point


To set nudge distances

  1. Click Tools } Options.
  2. In the Document list of categories, click Rulers.
  3. Type a value in the Nudge box.
  4. Type a value in one of the following boxes:
    • Super nudge
    • Micro nudge

  • You can also set the nudge distance by deselecting all objects and typing a value in the Nudge offset box on the property bar.
  • To use the nudge distances you set in new drawings, click Tools } Save settings as default.
Related Topics
  • Positioning objects
  • To move an object
  • To nudge an object
  • To position an object by x and y coordinates
  • To position an object using a different anchor point


To position an object by x and y coordinates

  1. Select an object.
  2. On the property bar, type values in the following boxes:
    • x — lets you position the object on the x axis
    • y — lets you position the object on the y axis
  3. Press Enter.
Related Topics
  • Positioning objects
  • To move an object
  • To nudge an object
  • To set nudge distances
  • To position an object using a different anchor point


To position an object using a different anchor point

  1. Select an object.
  2. Click Window } Dockers } Transformations } Position.
  3. Disable the Relative position check box in the Transformations docker.
  4. Type values in the following boxes:
    • H — lets you specify a value for the horizontal position of an object
    • V — lets you specify a value for the vertical position of an object
  5. Enable the check box that corresponds to the anchor point that you want to set.
  6. Click Apply.

  • By default, the point of origin (0,0) is at the lower-left corner of the stage.
  • When you enable the Relative position check box on the Transformations docker, the H and V boxes identify the position of the center anchor point as 0,0. When you specify a different position in the H and V boxes, the values represent a change from the object's current position as measured from the center anchor point.
Related Topics
  • Positioning objects
  • To move an object
  • To nudge an object
  • To set nudge distances
  • To position an object by x and y coordinates


Aligning and distributing objects

Corel R.A.V.E. lets you precisely align and distribute objects in a movie. You can align objects to each other and to parts of the stage such as the center, edges, and grid. When you align objects to objects, you can line them up by their centers or by their edges.

Corel R.A.V.E. lets you align multiple objects to the center of the stage horizontally or vertically. Single or multiple objects can also be arranged along the edge of the page and to the nearest point on a grid.

You can distribute objects at equal intervals in a specified area.

The scattered objects (left) with vertical alignment applied to them (right).

Related Topics
  • To align an object to an object
  • To align an object to the stage center
  • To align an object to the stage edge
  • To distribute objects


To align an object to an object

  1. Select the objects.
  2. Click Arrange } Align and distribute } Align and distribute.
  3. Click the Align tab.
  4. Enable the check boxes that correspond to the horizontal and vertical alignment you want.

    5. If you want to align objects vertically, enable the Left, Center, or Right option.

    If you want to align objects horizontally, enable the Top, Center, or Bottom option.

  5. From the Align objects to list box, choose Active objects.

    6. If you are aligning text objects, choose one of the following from the For text source objects use list box:

    • First line baseline
    • Last line baseline
    • Bounding box

  • The object used to align the left, right, top, or bottom edge is determined by the order of creation or order of selection. If you marquee select the objects before you align them, the last object created will be used. If you select the objects one at a time the last object selected will be the reference point for aligning the others.

  • You can also align objects by selecting them and clicking the Align and distribute button on the property bar.
Related Topics
  • Aligning and distributing objects
  • To align an object to the stage center
  • To align an object to the stage edge
  • To distribute objects


To align an object to the stage center

  1. Select an object.

    2. If you want to align multiple objects, marquee select the objects.

  2. Click Arrange } Align and distribute, and click one of the following:
    • Center to stage — aligns all objects to the stage center
    • Center to stage vertically — aligns objects to the stage center along a vertical axis
    • Center to stage horizontally — aligns objects to the stage center along a horizontal axis
Related Topics
  • Aligning and distributing objects
  • To align an object to an object
  • To align an object to the stage edge
  • To distribute objects


To align an object to the stage edge

  1. Select an object.

    2. If you want to align an object group, select the group.

  2. Click Arrange } Align and distribute } Align and distribute.
  3. Click the Align tab.
  4. Enable the check boxes that correspond to the horizontal and vertical alignment you want.

    5. If you want to align objects vertically, enable the Left, Center, or Right option.

    If you want to align objects horizontally, enable the Top, Center, or Bottom option.

  5. Choose Edge of stage from the Align to object list box.

  • You can also align objects by selecting them and clicking the Align and distribute button on the property bar.
  • You can align an object to the grid by choosing Grid from the Align objects to list box.
Related Topics
  • Aligning and distributing objects
  • To align an object to an object
  • To align an object to the stage center
  • To distribute objects


To distribute objects

  1. Select the objects.
  2. Click Arrange } Align and distribute } Align and distribute.
  3. Click the Distribute tab.
  4. Enable the check boxes that correspond to the distribution you want.
  5. In the Distribute to area, enable an option that corresponds to the distribution area.
Related Topics
  • Aligning and distributing objects
  • To align an object to an object
  • To align an object to the stage center
  • To align an object to the stage edge


Snapping objects

While you move or draw an object, you can snap it to another object in a drawing. You can snap an object to a number of snap points in the target object. When the pointer is close to a snap point, the snap point is highlighted, indicating it as the target that the pointer will snap to.

To snap an object to another object with greater precision, you first snap the pointer to a snap point in the object, and then snap the object to a snap point in the target object. For example, you can snap the pointer to a rectangle’s center, and then drag the rectangle by its center and snap it to the center of another rectangle.

The pointer was snapped to an end node of the screw (left), and then the screw was dragged to snap to the center of an ellipse (right).

Snapping modes determine what snap points in an object you can use. The table below includes descriptions of all available snapping modes.

Snapping mode | Description | Snapping mode indicator
Node | Lets you snap to an object’s node |
Intersection | Lets you snap to a geometric intersection of objects |
Midpoint | Lets you snap to a line segment midpoint |
Quadrant | Lets you snap to points that are at 0°, 90°, 130°, and 270° on a circle, ellipse, or arc |
Tangent | Lets you snap to a point on the outside edge of an arc, circle, or ellipse where a line will touch but not intersect the object |
Perpendicular | Lets you snap to a point on the outside edge of a segment where a line will be perpendicular to the object |
Edge | Lets you snap to a point that touches the edge of an object |
Center | Lets you snap to the center of the closest object (arc, regular polygon, or curve centroid) |
Text baseline | Lets you snap to a point in the baseline of artistic or paragraph text |

You can choose a number of snapping options. For example, you can disable some or all snapping modes to make the application run faster. You can also choose the distance from the pointer at which a snap point will become active by setting the snapping threshold.

Related Topics
  • To turn snapping on or off
  • To snap objects
  • To set snapping options


To turn snapping on or off

  • Click View } Snap to objects.

    • A check mark beside the Snap to objects command indicates that snapping is turned on.

  • You can also press Alt+ Z to toggle snapping on and off.
Related Topics
  • Snapping objects
  • To snap objects
  • To set snapping options


To snap objects

  1. Select the object you want to snap to the target object.
  2. Move the pointer over the object until the snap point you want becomes highlighted.
  3. Drag the object close to the target object, and when the snap point you want becomes highlighted, release the mouse button.

  • To snap an object as you draw it, drag in the drawing window and release the mouse button when the snap point in the target object becomes highlighted.
Related Topics
  • Snapping objects
  • To turn snapping on or off
  • To set snapping options


To set snapping options

  1. Click View } Snap to objects setup.
  2. In the Snapping modes area, enable one or more of the mode check boxes.

    3. If you want to enable all snapping modes, click Select all.

    If you want to disable all snapping modes, but without turning off snapping, click Deselect all.

  3. Choose one of the following snapping options from the Snapping threshold list box:
    • Low — activates a snap point when it is four screen pixels away from the pointer
    • Medium — activates a snap point when it is eight screen pixels away from the pointer
    • High — activates a snap point when it is sixteen screen pixels away from the pointer

You can also |
Display or hide snapping mode indicators | Enable or disable the Show snap location marks check box.
Display or hide screen tips | Enable or disable the Screen tip check box.

Related Topics
  • Snapping objects
  • To turn snapping on or off
  • To snap objects


Using dynamic guides

You can display dynamic guides to help you precisely move, align, and draw objects relative to other objects. Dynamic guides are temporary guidelines that you can pull from the following snap points in objects — center, node, quadrant, and text baseline.For more information about snap points and snapping modes, see "Snapping objects."

As you drag an object along a dynamic guide, you can view the object’s distance from the snap point used to create the dynamic guide, and place the object precisely. You can use dynamic guides to place objects in relation to other objects as you draw them. You can also display intersecting dynamic guides and then place an object at the intersection point.

A dynamic guide was pulled from a node in the bolt on the left. The screen tip beside the node displays the angle of the dynamic guide(0º)and the distance between the node and the pointer (1.5”). The bolt on the right was dragged along the dynamic guide and positioned precisely 1.5 inches away from the node used to generate the dynamic guide.

Dynamic guides contain invisible divisions called ticks to which your pointer gravitates. Ticks let you move objects with precision along a dynamic guide. You can adjust tick spacing to suit your needs, and you can disable snapping to ticks. You can set other options for dynamic guides. For example, you can choose to display dynamic guides at one or more preset angles, or at custom angles you specify. A preview of the angle settings you choose is available. When you no longer need a dynamic guideline at a certain angle, you can delete the angle settings. You can also display dynamic guides that are extensions of line segments.

An example of a dynamic guide that is an extension of a line segment

You can turn off dynamic guides at any time.

Related Topics
  • To enable or disable dynamic guides
  • To display dynamic guides
  • To place an object in relation to another object
  • To draw an object in relation to another object
  • To place an object at the intersection of dynamic guides
  • To set dynamic guide options


To enable or disable dynamic guides

  • Click View } Dynamic guides.

  • A check mark beside the Dynamic guides command indicates that dynamic guides are enabled.

  • You can toggle dynamic guides on and off by clicking the Dynamic guides button on the property bar or by pressing Shift+Alt+D.
Related Topics
  • Using dynamic guides
  • To display dynamic guides
  • To place an object in relation to another object
  • To draw an object in relation to another object
  • To place an object at the intersection of dynamic guides
  • To set dynamic guide options


To display dynamic guides

  1. With dynamic guides enabled, click a drawing tool.
  2. Move the pointer over and then off an eligible snap point of an object.
  3. Repeat step 2 with other objects to display other dynamic guides.

    4. The snap points you point to are registered in a queue and are used to create dynamic guides.

  • The eligible snap points — node, center, quadrant, and text baseline snap points — display only when the corresponding snapping modes are activated.For more information about snap points and snapping modes, see "Snapping objects."

  • To avoid displaying too many dynamic guides, you can clear the queue of points at any time by clicking in the drawing window or pressing Esc.
  • You can use the snap points you registered to display intersecting dynamic guides. To do this, you first display a dynamic guide and then move the pointer along the dynamic guide to where an intersecting dynamic guide would display from a registered snap point.
Related Topics
  • Using dynamic guides
  • To enable or disable dynamic guides
  • To place an object in relation to another object
  • To draw an object in relation to another object
  • To place an object at the intersection of dynamic guides
  • To set dynamic guide options


To place an object in relation to another object

  1. With dynamic guides enabled, select an object.

    2. If you want to move the object by a specific snap point, move the pointer over the snap point until the snap point becomes highlighted.

  2. Drag the object to an eligible snap point of the target object.
  3. When the snap point of the target object becomes highlighted, drag the object along the dynamic guide to position it.

  • The eligible snap points — node, center, quadrant, and text baseline snap points — display only when the corresponding snapping modes are activated. For more information about snap points and snapping modes, see "Snapping objects."
Related Topics
  • Using dynamic guides
  • To enable or disable dynamic guides
  • To display dynamic guides
  • To draw an object in relation to another object
  • To place an object at the intersection of dynamic guides
  • To set dynamic guide options


To draw an object in relation to another object

  1. With dynamic guides enabled, click a drawing tool.
  2. Move the pointer over an eligible snap point of an object.
  3. When the snap point becomes highlighted, move the pointer to display a dynamic guide.
  4. Move the pointer along the dynamic guide to where you want, and drag to draw an object.

  • The eligible snap points — node, center, quadrant, and text baseline snap points — display only when the corresponding snapping modes are activated. For more information about snap points and snapping modes, see "Snapping objects."
Related Topics
  • Using dynamic guides
  • To enable or disable dynamic guides
  • To display dynamic guides
  • To place an object in relation to another object
  • To place an object at the intersection of dynamic guides
  • To set dynamic guide options


To place an object at the intersection of dynamic guides

  1. With dynamic guides enabled, select an object.

    2. If you want to move the object by a specific snap point, move the pointer over the snap point until the snap point becomes highlighted.

  2. Drag the object to an eligible snap point of another object, and drag to display a dynamic guide. Don’t release the mouse button.
  3. Drag the object to another eligible snap point, and when the snap point becomes highlighted, drag to display another dynamic guide to where the two dynamic guides would intersect.
  4. When the intersection point displays, release the mouse button.

    5. Below is an example of using intersecting dynamic guidelines to position a washer in relation to two other objects — another washer and a bolt.

First, the washer was dragged by its center snap point (top left) to the other washer’s edge, and then to the right to display a dynamic guide (top right).

Next, the washer was dragged to the edge of the bolt, and then down to display another dynamic guide (top left). Last, the washer was positioned at the intersection point of the dynamic guides (top right).

  • The eligible snap points — node, center, quadrant, and text baseline snap points — display only when the corresponding snapping modes are activated. For more information about snap points and snapping modes, see "Snapping objects."
Related Topics
  • Using dynamic guides
  • To enable or disable dynamic guides
  • To display dynamic guides
  • To place an object in relation to another object
  • To draw an object in relation to another object
  • To set dynamic guide options


To set dynamic guide options

  1. Click View } Dynamic guides setup.
  2. Enable any of the following check boxes:
    • Angle screen tip — lets you display or hide the angle of dynamic guides
    • Distance — lets you display or hide the distance from the snap point, used to create the dynamic guide
  3. Type a value in the Tick spacing box to change the distance between the invisible divisions on the dynamic guides.
  4. In the Guides area, enable or disable the angle check boxes to choose the angles at which to create the dynamic guides.

    5. When you enable an angle check box, a preview of the dynamic guide displays in the Guides preview window.

  5. Enable the Extend along segment check box to create dynamic guides that are extension of line segments.

You can also | Do the following
Disable snapping to ticks | Disable the Snap to ticks check box.
Display a custom dynamic guide by specifying its angle | In the Guides area, type a value in the Degrees box, and click Add.
Delete angle settings | Click an angle check box in the list box, and click Delete.
Display dynamic guides at all available angles | Click Select all.

Related Topics
  • Using dynamic guides
  • To enable or disable dynamic guides
  • To display dynamic guides
  • To place an object in relation to another object
  • To draw an object in relation to another object
  • To place an object at the intersection of dynamic guides


Changing the order of objects

You can change the stacking order of objects on a layer by sending objects to the front or back, or behind or in front of other objects. You can also position objects precisely in the stacking order, as well as reverse the stacking order of multiple objects.

The four objects (left) are ordered from top to bottom to create the final image (right).

Related Topics
  • To change the order of an object
  • To reverse the order of multiple objects


To change the order of an object

  1. Select an object.
  2. Click Arrange } Order, and click one of the following:
    • To front — moves the selected object to the front of all other objects
    • To back — moves the selected object behind all other objects
    • Forward one — moves the selected object forward one position
    • Back one — moves the selected object behind one position
    • In front of — moves the selected object in front of a specific object
    • Behind — moves the selected object behind a specific object
Related Topics
  • Changing the order of objects
  • To reverse the order of multiple objects


To reverse the order of multiple objects

  1. Select the objects.
  2. Click Arrange } Order } Reverse order.
Related Topics
  • Changing the order of objects
  • To change the order of an object


Sizing and scaling objects

Corel R.A.V.E. lets you size and scale objects.In both cases, you change the dimensions of an object proportionally by preserving its aspect ratio. You can size an object’s dimensions by specifying values or changing the object directly. Scaling changes an object’s dimensions by a specified percentage.

You can change an object’s anchor point from its center to any of its eight selection handles.

Related Topics
  • To size an object
  • To scale an object


To size an object

To | Do the following
Size a selected object | Drag any of the corner selection handles.
Size a selected object from its center | Hold down Shift, and drag one of the selection handles.
Size a selected object to a multiple of its original size | Hold down Ctrl, and drag one of the selection handles.
Stretch a selected object as you size it | Hold down Alt, and drag one of the selection handles.

  • You can also set a precise size for the object by typing values in the Object size boxes on the property bar.
Related Topics
  • Sizing and scaling objects
  • To scale an object


To scale an object

  1. Select an object.
  2. Click Window } Dockers } Transformations } Scale.
  3. In the Transformations docker, type values in the following boxes:
    • H — lets you specify a percentage by which you want to scale the object horizontally
    • V — lets you specify a percentage by which you want to scale the object vertically

      • If you want to change the object’s anchor point, enable the check box that corresponds to the anchor point you want to set.

      If you want to maintain the aspect ratio, disable the Non-proportional check box.

  • You can also scale an object by dragging a selection handle.
Related Topics
  • Sizing and scaling objects
  • To size an object


Rotating and mirroring objects

Corel R.A.V.E. lets you rotate and create mirror images of objects. You can rotate an object by specifying horizontal and vertical coordinates. You can move the center of rotation to a specific ruler coordinate or to a point that is relative to the current position of the object.

Rotating objects around a single point

Mirroring an object flips it from left to right or top to bottom. By default, the mirror anchor point is in the center of the object.

Mirroring an object from top to bottom

Related Topics
  • To rotate an object
  • To mirror an object


To rotate an object

  1. Select an object.
  2. Click Window } Dockers } Transformations } Rotate.
  3. Disable the Relative center check box in the Transformations docker.

    4. To rotate an object around a point relative to its current position, enable the Relative center check box.

  4. Type a value in the Angle box.

You can also |
Specify the point around which you want to rotate the object | Type values in the H and V boxes to specify the horizontal and vertical positions. Click Apply.

  • You can also rotate a selected object by dragging a rotation handle clockwise or counterclockwise.
Related Topics
  • Rotating and mirroring objects
  • To mirror an object


To mirror an object

  1. Select an object.
  2. Click Window } Dockers } Transformations } Scale.
  3. In the Transformations docker, click one of the following:
    • Horizontal mirror [image] — lets you flip the object left to right
    • Vertical mirror — lets you flip the object top to bottom

      • If you want to flip the object on a specific anchor point, enable the check box that corresponds to the anchor point you want to set.

  4. Click Apply.

  • You can also mirror a selected object by holding down Ctrl and dragging a selection handle to the opposite side of the object.
  • You can open the Transformations docker by clicking Arrange } Transformations and selecting an option from the flyout.
Related Topics
  • Rotating and mirroring objects
  • To rotate an object


Grouping objects

You can group objects in Corel R.A.V.E.

When you group two or more objects, they are treated as a single unit. This lets you apply the same formatting, properties, and other changes to all the objects within the group at the same time. Corel R.A.V.E. also lets you group other groups to create nested groups.

You can also add and remove objects to and from a group and delete objects that are members of a group. If you want to edit a single object in a group, you can ungroup the objects.

Single objects retain their attributes when they are grouped.

Related Topics
  • To group objects
  • To add an object to a group
  • To remove an object from a group
  • To ungroup objects


To group objects

  1. Select the objects.
  2. Click Arrange } Group.

  • You can select objects from different layers and group them; however, once grouped, the objects will reside on the same layer.

  • You can create a nested group, by selecting two or more groups of objects and clicking Arrange } Group.
  • You can also group objects by dragging an object’s name in the Timeline docker over the name of another object.
Related Topics
  • Grouping objects
  • To add an object to a group
  • To remove an object from a group
  • To ungroup objects


To add an object to a group

  • In the Timeline docker, drag the name of the object to the name of the group you want to add it to.
Related Topics
  • Grouping objects
  • To group objects
  • To remove an object from a group
  • To ungroup objects


To remove an object from a group

  1. Double-click the name of the group in the Timeline docker.
  2. Drag an object from the group to a position outside the group.

    3. If you’re removing an object from a group, click the object in the object list, and drag it out of the group.

    If you want to delete an object that’s in a group, select the object in the object list and click Edit } Delete.

Related Topics
  • Grouping objects
  • To group objects
  • To add an object to a group
  • To ungroup objects


To ungroup objects

  1. Select one or more groups.
  2. Click Arrange } Ungroup.

  • You can also ungroup objects by clicking the Ungroup button on the property bar.
  • You can also ungroup all the nested groups in an object by clicking the Ungroup all button.
Related Topics
  • Grouping objects
  • To group objects
  • To add an object to a group
  • To remove an object from a group


Combining objects

Corel R.A.V.E. lets you combine objects.

Combining two or more objects creates a single object with common fill and outline attributes. You can combine rectangles, ellipses, polygons, stars, spirals, graphs, or text. Corel R.A.V.E. converts these objects to a single curve object. If you need to modify the attributes of an object that is combined, you can break the combined object apart. You can extract a subpath from a combined object to create two separate objects. You can also weld two or more objects to create a single object. For information about welding objects, see "Welding and intersecting objects."

The two objects (left) are combined to create a single object (right). The new object has the fill and outline properties of the last object selected before combining.

Related Topics
  • To combine objects
  • To break apart a combined object
  • To extract a subpath from a combined object


To combine objects

  1. Select the objects.
  2. Click Arrange } Combine.

  • Combined text objects become larger blocks of text.

  • You can also combine selected objects by clicking the Combine button [image] on the property bar.
  • You can close open lines in a combined object by clicking Arrange } Close path, and clicking a command.
Related Topics
  • Combining objects
  • To break apart a combined object
  • To extract a subpath from a combined object


To break apart a combined object

  1. Select a combined object.
  2. Click Arrange } Break curve apart.

  • If you break apart a combined object that contains artistic text, the text breaks apart into lines first, then into words. Paragraph text breaks into separate paragraphs.
Related Topics
  • Combining objects
  • To combine objects
  • To extract a subpath from a combined object


To extract a subpath from a combined object

  1. Select a segment, node, or group of nodes on a combined object using the Shape tool [image].
  2. Click the Extract subpath button [image] on the property bar.

  • After you have extracted the subpath, the path’s fill and outline properties are removed from the combined object.
Related Topics
  • Combining objects
  • To combine objects
  • To break apart a combined object


Shaping objects

Corel R.A.V.E. lets you shape objects in various ways.

In this section, you’ll learn about

  • working with curve objects
  • shaping curve objects using reflect nodes mode
  • skewing and stretching objects
  • smudging objects
  • roughening objects
  • applying distortion effects
  • shaping objects using envelopes
  • splitting and erasing portions of objects
  • trimming objects
  • welding and intersecting objects
  • blending objects
  • creating PowerClip objects

For more information about working with paths and subpaths, see "Reference: Shaping objects."


Working with curve objects

Corel R.A.V.E. lets you shape objects by manipulating their nodes and segments. An object’s nodes are the tiny squares that display along the object’s outline. The line between two nodes is called a segment. Moving an object’s segments lets you make coarse adjustments to the object’s shape, while changing the position of its nodes lets you fine-tune the shape of the object.

Most objects that are added to a movie are not curve objects, with the exception of spirals and freehand and Bézier lines. Therefore, if you want to customize the shape of an object, it is recommended that you convert that object to a curve object. By converting objects to curves, you can shape them by adding, removing, positioning, as well as aligning and transforming their nodes.

Before you can manipulate an object’s nodes, you must select them. When working with curve objects you can select individual, multiple, or all of the object’s nodes. Selecting multiple nodes lets you shape different parts of an object simultaneously.

When you add nodes, you increase the number of segments, and therefore the amount of control you have over the shape of the object. You can also remove nodes to simplify an object’s shape.

When you create an object, it is made up of one or multiple paths. If you are working on an open object, such as a freehand line, you can join its start and end nodes. When you join the start and end nodes, the two nodes are pulled together to create a closed object. You can add color to the inside of closed paths that you create. For information on applying fills, see "Filling objects." If the paths consist of multiple subpaths, you can break paths apart to extract subpaths. For information on breaking paths apart see "Splitting and erasing portions of objects."

After you create a curve object, you can align its nodes horizontally or vertically.

You can change the nodes on a curve object to one of four types: cusp, smooth, symmetrical, or line. Cusp nodes make the node’s intersecting line take on the shape of a corner or point when you adjust the position of the node’s control points. Smooth nodes make the node’s intersecting line take on the shape of a curve. Each control point can be shortened or lengthened independently, giving you smaller or larger angles to work with. Symmetrical nodes make the node’s intersecting line take on the shape of a curve as well as intersect the node at exactly the same angle. Line nodes let you shape objects by changing the shape of their segments. You can make a curve segment straight or a straight segment curved.

The components of a curve

You can also change the direction of a segment by reversing the position of its start and end nodes. The effect is transparent only when the ends of a segment are different.

You can also shape objects by stretching, scaling, rotating, and skewing their nodes. For example, you can scale the corner nodes of a curve object to enlarge the curve object proportionally. Stretching, on the other hand, elongates a curve object so that its shape is distorted. All or parts of a curve object can be rotated in a counterclockwise or clockwise direction. You can also skew nodes to shape a curve object.

Related Topics
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To convert objects to curve objects

  1. Select the object.
  2. Click Arrange } Convert to curves.

  • You can convert artistic text to curves so that you can shape individual characters.

  • You can also convert an object to a curve object by selecting the object and clicking the Convert to curves button [image] on the property bar.
Related Topics
  • Working with curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To select a node

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select a curve object.
  3. Click a node.

You can also |
Select multiple nodes | Press Shift, and click each node.
Select all nodes on a selected curved | Click Edit } Select all } Nodes.
Deselect a node | Press Shift, and click a selected node.
Deselect multiple nodes | Press Shift, and click each selected node.
Deselect all nodes | Click a blank space in the drawing window.

  • When a curve is selected by using the Shape tool, you can select the first node in a curve object by pressing Home, or the last node by pressing End.
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To add or remove a node

To | Do the following
Add a node | Open the Shape edit flyout [image] , click the Shape tool [image] , select a curve object, and double-click where you want to add a node.
Delete a node | Open the Shape edit flyout, click the Shape tool, select a curve object, and double-click a node.

  • You can also add a node on a selected line by opening the Curve flyout [image], clicking the Pen tool [image], and clicking a point between any two nodes.
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To join the end nodes of a single subpath

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Click a subpath.
  3. Click the Auto-close curve button [image] on the property bar.

  • You can close multiple subpaths by clicking Arrange } Close path. For more information, see "Closing multiple line segments."
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To join the nodes of multiple subpaths

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Press Shift, and click a node from each subpath.
  3. Click the Extend curve to close button [image] on the property bar.

  • If you want to join nodes from separate curve objects, you must first combine them into a single curve object, and then join the end nodes of the new subpaths. For information about combining objects, see "Combining objects."
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To align nodes

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select a curve object.
  3. Press Shift, and select the nodes you want to align.
  4. Click the Align nodes button [image] on the property bar.
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To make a curve cusp, smooth, or symmetrical

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Click a node.
  3. On the property bar, click one of the following buttons:
    • Make node a cusp
    • Make node smooth
    • Make node symmetrical

  • You can also change an existing node from one type to another using shortcut keys. To change a smooth node to a cusp node or a cusp node to a smooth node, click the node using the Shape tool and press C. To change a symmetrical node to a smooth node or a smooth node to a symmetrical node, click the node using the Shape tool and press S.
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To manipulate a curve object’s segments
  • To stretch, scale, rotate, or skew nodes


To manipulate a curve object’s segments

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select a curve object.
  3. Drag a segment until it’s the shape you want.

You can also |
Straighten a curve segment | Click a curve segment, and click the Convert curve to line button [image] on the property bar.
Curve a straight segment | Click a straight segment, and click the Convert line to curve [image] button on the property bar.
Change the direction of the curve | Click a segment, and click the Reverse curve direction button [image] on the property bar.

Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To stretch, scale, rotate, or skew nodes


To stretch, scale, rotate, or skew nodes

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select a curve object.
  3. Select the nodes along the curve you want to transform.
  4. On the property bar, click one of the following buttons:
    • Stretch and scale nodes
    • Rotate and skew nodes
  5. Drag a set of handles to transform the nodes.
Related Topics
  • Working with curve objects
  • To convert objects to curve objects
  • To select a node
  • To add or remove a node
  • To join the end nodes of a single subpath
  • To join the nodes of multiple subpaths
  • To align nodes
  • To make a curve cusp, smooth, or symmetrical
  • To manipulate a curve object’s segments


Shaping curve objects using reflect nodes mode

Reflect nodes mode lets you edit nodes and have the same edits take place in reverse on corresponding nodes. For example, you can move a node to the right, and its corresponding node will move the same distance to the left.

This is useful when you want to shape curve objects and have the changes mirrored across their left and right or top and bottom.

Usually, you will start with one curve object that is more or less symmetrical or two curve objects where the second was created by mirroring the first.

Related Topics
  • To shape a curve object using reflect nodes mode


To shape a curve object using reflect nodes mode

  1. Click the Shape tool [image].
  2. Select corresponding nodes on the left and right or top and bottom. Drag to select nodes or click a node, hold down Shift, and click each additional node.
  3. On the property bar, click one of the following:
    • Reflect nodes vertically button
    • Reflect nodes horizontally button
  4. Edit the nodes on one side.

    5. The changes occur in reverse on corresponding nodes on the other side.

  • To shape multiple objects using reflect nodes mode, click the first object, and drag to select nodes, or hold down Shift and click each node on the first object. Then hold down Shift, click the second object, and drag to select nodes, or hold down Shift and click each node on the second object.
Related Topics
  • Shaping curve objects using reflect nodes mode


Skewing and stretching objects

You can skew and stretch objects in Corel R.A.V.E. When you skew an object, you specify the degree by which you want to slant the object. Stretching changes an object’s vertical and horizontal dimensions non proportionally.

Corel R.A.V.E. also lets you change the skew and sizing anchor point of an object from its default center position.

Skewing an object horizontally

Stretching an object horizontally

Related Topics
  • To skew an object
  • To stretch an object


To skew an object

  1. Select an object.
  2. Click Arrange } Transformations } Skew.
  3. In the Transformations docker type a value in any of the following boxes:
    • H — lets you specify the number of degrees by which you want to skew the object horizontally
    • V — lets you specify the number of degrees by which you want to skew the object vertically

      • If you want to change the object’s anchor point, enable the Use anchor point check box, and enable the check box that corresponds to the anchor point you want to set.

  4. Click Apply.

  • If you move the skew anchor point, you can reset it to the center again.

  • You can also skew an object interactively by dragging one of its skew handles.
Related Topics
  • Skewing and stretching objects
  • To stretch an object


To stretch an object

  1. Select an object.
  2. Click Arrange } Transformations } Size.
  3. Enable the Non-proportional check box.
  4. In the Transformations docker, type a value in the following boxes:
    • H — lets you specify the width of a selected object
    • V — lets you specify the height of a selected object
  5. Click Apply.

  • The new values that you enter to stretch an object are the basis for a new ratio of the horizontal and vertical dimensions of the object. When you disable the Non-proportional check box, any resizing of the object is based on this new ratio. To revert the object to its original one-to-one proportions before transforming it again, you must disable the Non-proportional check box and then retype the original values.

  • You can stretch the sides of an object proportionally by disabling the Non-proportional check box, typing a value in either the H or V box, and pressing Enter.
  • You can also stretch an object from its center by pressing Shift and dragging a corner selection handle.
  • You can also stretch an object in increments of 100% by pressing Ctrl, and dragging a corner selection handle.
Related Topics
  • Skewing and stretching objects
  • To skew an object


Smudging objects

Smudging lets you distort an object by dragging the outline of an object or a group of objects. When applying smudging to an object, you can control the extent and shape of the distortion whether you activate the controls for the graphics tablet stylus or use the settings that apply to a mouse.

The smudging effect responds to both the angle of rotation — or bearing — and the tilt angle of a graphics tablet stylus. Rotating the stylus changes the angle of the smudging effect and tilting the stylus flattens the brush tip and changes the shape of the smudging. If you are using a mouse, you can simulate the bearing and tilt of the stylus by specifying values. Increasing the bearing angle from 0 - 359° changes the angle of the brush stroke. As you decrease the tilt angle from 90° - 1°, you change the smudging shape by flattening the brush tip.

Smudging can respond to the pressure of a stylus on a tablet where the smudging widens with more pressure and narrows with less. If you are using a mouse or want to override stylus pressure, you can enter real values to simulate the pressure of a stylus on a graphics tablet. Negative values to -10 create a narrowing distortion, 0 maintains an even stroke width, and positive values to 10 create an expanding distortion.

Objects placed in the foreground and background have been shaped by outside smudging (sun’s rays and blades of grass) and inside smudging (clouds).

Whether you are using a stylus or a mouse, you must specify the nib size. The nib size determines the width of the smudging applied to an object.

You can apply the smudging effect to the inside and outside of an object.

Related Topics
  • To smudge an object


To smudge an object

  1. Select an object using the Pick tool [image].
  2. Open the Shape edit flyout [image], and click the Smudge brush tool [image].
  3. Drag around the outline to distort it.

You can also |
Change the size of the brush nib | Type a value in the Size of the nib box [image] on the property bar.
Change the size of the brush nib when using the graphics stylus | Click the Use stylus pressure button [image] on the property bar and apply pressure to the stylus.
Widen or narrow the smudging | Type a value between -10 and 10 in the Add dry out to the effect box [image] on the property bar.
Specify the shape of the smudging | Type a value between 1 and 90 in the Enter a fixed value for tilt settings box [image] on the property bar.
Change the shape of the smudging when using the graphics stylus | Click the Use stylus tilt button [image] on the property bar.
Specify the angle of the nib shape for smudging | Type a value between 0 and 359 in the Enter a fixed value for bearing settings box [image] on the property bar.
Change the angle of the nib shape for smudging when using the graphics stylus | Click the Use stylus bearing button [image] on the property bar.
Smudge the inside of an object | Click the outside of an object and drag inwards.
Smudge the outside of an object | Click the inside of an object an drag outwards.

  • You cannot apply smudging to Internet or embedded objects, linked images, grids, masks, mesh-filled objects, or objects with blend and contour effects.

  • To get the minimum and maximum values for the smudging controls, right-click the control on the property bar and click Settings.
Related Topics
  • Smudging objects


Roughening objects

The roughening effect lets you apply a jagged or spiked edge to objects, including lines, curves, and text. You can control the size, angle, direction, and number of the indentations whether you activate the graphics tablet stylus or apply settings to a mouse.

The roughening effect is determined either by movements of a graphics tablet stylus, by fixed settings, or by automatically applying perpendicular spikes to the line. Tilting the stylus toward and away from the tablet’s surface increases and decreases the size of the spikes. If you are using a mouse, you can specify the tilt angle from 1 - 90°. You can determine the direction of the spikes by changing the angle of rotation (or bearing) of the stylus as you apply the roughening effect to an object. When you are using a mouse, you can set the bearing angle from 0 - 359°. You can also increase or decrease the number of spikes that are applied as you drag.

The roughening effect also responds to the pressure of the stylus on the tablet. The more pressure you apply, the more spikes are created in the roughened area. If you are using a mouse, you can specify values to simulate the stylus pressure.

You can also change the brush nib size.

Roughening allows you to apply jags or spikes to part of an outline or path.

Related Topics
  • To roughen an object


To roughen an object

  1. Select an object using the Pick tool [image].
  2. Open the Shape edit flyout [image], and click the Roughen brush tool [image].
  3. Point to the area on the outline you want to roughen, and drag the outline to distort it.

You can also |
Specify the size of the roughening spikes | Type a value from 1 to 192 pixels in the Size of the nib box [image] on the property bar.
Change the number of spikes in a roughened area | Type a value between 1 and 10 in the Enter a value for frequency of spikes box [image] on the property bar.
Change the number of spikes in a roughened area when using a graphics stylus | Click the Use stylus pressure button [image] on the property bar.
Specify the height of the roughening spikes | Type a value between 1 and 90 in the Enter a fixed value for tilt settings box [image] on the property bar.
Increase the number of roughening spikes as you drag | Type a value between -10 and 10 in the Add dry out to the effect box [image] on the property bar.
Change the height of the roughening spikes when using a graphics stylus | Click the Use stylus tilt button [image] on the property bar.
Specify the direction of the roughening spikes | Choose Fixed direction from the Spike direction list box. Type a value between 0 and 359 in the Enter a fixed value for bearing settings box [image] on the property bar.
Change the direction of the roughening spikes when using a graphics stylus | Choose Stylus setting from the Spike direction list box on the property bar.
Create roughening spikes perpendicular to the path or outline | Choose Auto from the Spike direction list box on the property bar.

  • Objects with distortions, envelopes, and perspective applied to them are converted to curve objects before the roughening effect is applied.

  • To make the tilt angle and bearing angle responsive to the graphics tablet stylus, right-click the roughened object, and select a command from the submenu.
  • To get the minimum and maximum values for the roughening controls, right-click the control on the property bar, and click Settings.
Related Topics
  • Roughening objects


Applying distortion effects

You can apply three types of distortion effects to shape objects.

Distortion effect | Description
Push and pull | Lets you push the edges of an object in or pull the edges of an object out
Zipper | Lets you apply a saw tooth effect to the edges of the object. You can adjust the amplitude and frequency of the effect.
Twister | Lets you rotate an object to create a swirl effect. You can choose the direction of the swirl, as well as the origin, degree, and amount of rotation.

From left to right: Original image; Zipper and Twister distortions applied; Pull distortion applied

After you distort an object, you can change the effect by altering the center of distortion. This point is identified by a diamond-shaped handle, around which a distortion appears. It is similar to a mathematical compass, where the pencil moves around a stationary point. You can place the center of distortion anywhere in the drawing window, or choose to center it in the middle of an object so that the distortion is distributed evenly and the shape of the object changes in relation to its center.

You can create an even more dramatic effect by applying a new distortion to an already distorted object. You don’t lose the effect of the original distortion if, for example, you apply a zipper distortion on top of a twister distortion. The Corel R.A.V.E. application also lets you remove and copy distortion effects.

Related Topics
  • To distort an object
  • To remove a distortion
  • To copy a distortion


To distort an object

  1. Open the Interactive tool flyout [image], and click the Interactive distortion tool [image].
  2. On the property bar, click one of the following buttons, and specify the settings you want:
    • Push and pull distortion
    • Zipper distortion
    • Twister distortion
  3. Point to where you want to place the center of distortion, and drag until the object is the shape you want.

You can also |
Change the center of distortion | Drag the diamond-shaped position handle to a new location.
Adjust the number of points on a zipper distortion | Move the slider on the center of the distortion handle.
Apply more than one distortion to an object | Click another distortion type on the property bar, click an object, and drag.

  • You can reapply the effects to distorted objects.

  • You can center a distortion by clicking the Center distortion button [image] on the property bar.
Related Topics
  • Applying distortion effects
  • To remove a distortion
  • To copy a distortion


To remove a distortion

  1. Select a distorted object.
  2. Click Effects } Clear distortion.

  • Removing a distortion this way clears the most recent distortion you’ve applied.

  • You can also remove a distortion from a selected object by clicking the Clear distortion button [image] on the property bar.
Related Topics
  • Applying distortion effects
  • To distort an object
  • To copy a distortion


To copy a distortion

  1. Select the object to which you want to copy a distortion.
  2. Click Effects } Copy effect } Distortion from.
  3. Click a distorted object.

  • You can also use the Eyedropper tool [image] to copy the effect. For more information, see "To copy effects from one object to another object."
Related Topics
  • Applying distortion effects
  • To distort an object
  • To remove a distortion


Shaping objects using envelopes

Corel R.A.V.E. lets you shape objects, including lines, artistic text, and paragraph text frames by applying envelopes to them. Envelopes are made of multiple nodes that you can move to shape the envelope and, as a result, change the shape of the object. You can apply a basic envelope that conforms to the shape of an object, or you can also apply a preset envelope. After you apply an envelope, you can edit it or add a new envelope to continue changing the object’s shape. Corel R.A.V.E. also lets you copy and remove envelopes.

You can edit an envelope by adding and positioning its nodes. Adding nodes gives you more control over the shape of the object contained in the envelope. Corel R.A.V.E. also lets you delete nodes, move multiple nodes simultaneously, change nodes from one type to another, and change a segment of an envelope to a line or curve. For more information about the different types of nodes, see "Working with curve objects."

You can also change the mapping mode of an envelope to specify how the object fits to the envelope. For example, you can stretch an object to fit the basic dimensions of the envelope, and then apply the horizontal mapping mode to compress it horizontally so that it fits the shape of the envelope.

Related Topics
  • To apply an envelope
  • To copy an envelope
  • To edit an envelope’s nodes and segments
  • To change the mapping mode


To apply an envelope

  1. Select an object.
  2. Open the Interactive tools flyout [image], and click the Interactive envelope tool [image].
  3. On the property bar, click one of the following buttons:
    • Envelope straight line mode [image] — creates envelopes based on straight lines, adding perspective to objects
    • Envelope single arc mode [image] — creates envelopes with an arc shape on one side, giving objects a concave or convex appearance
    • Envelope double arc mode [image] — creates envelopes with an S shape on one or more sides
    • Envelope unconstrained mode [image] — creates freeform envelopes, that let you change the properties of the nodes, and add and delete the nodes
  4. Click the object.
  5. Drag the nodes to shape the envelope.

    6. If you want to reset the envelope, press Esc before releasing the mouse.

You can also |
Apply a preset envelope | Click the Add preset button on the property bar, and click an envelope shape.
Apply an envelope to an object with an envelope | Click the Add new envelope button [image] on the property bar, and drag the nodes to change the shape of the envelope.
Remove an envelope | Click Effects } Clear envelope.

  • You can prevent the object’s straight lines from being converted to curves by enabling the Keep lines button [image] on the property bar.
Related Topics
  • Shaping objects using envelopes
  • To copy an envelope
  • To edit an envelope’s nodes and segments
  • To change the mapping mode


To copy an envelope

  1. Select an object to which you want to copy an envelope.
  2. Click Effects } Copy effect } Envelope from.
  3. Select the object from which you want to copy the envelope.

  • You can also copy an envelope by selecting an object, clicking the Copy envelope properties button on the property bar, and selecting an object with the envelope you want to copy.
  • You can also use the Eyedropper tool [image] to copy an envelope. For more information, see "To copy effects from one object to another object."
Related Topics
  • Shaping objects using envelopes
  • To apply an envelope
  • To edit an envelope’s nodes and segments
  • To change the mapping mode


To edit an envelope’s nodes and segments

  1. Open the Interactive tools flyout [image], and click the Interactive envelope tool [image].
  2. Select an object with an envelope.
  3. Double-click the envelope to add a node or double-click a node to delete it.

You can also |
Move several envelope nodes at once | Click the Envelope unconstrained mode button [image] on the property bar, marquee select the nodes you want to move, and drag any node to a new position.
Move opposing nodes an equal distance in the same direction | Press Shift, select two opposing nodes, and drag them to a new position.
Move opposing nodes an equal distance in the opposite direction | Click the Envelope single arc mode [image] or Envelope double arc mode [image] button on the property bar so that it appears raised, press Shift, and drag one of the nodes to a new position.
Change an envelope node type | Click the Envelope unconstrained mode button on the property bar so that it appears pressed, and click either the Make node a cusp [image] , the Make node smooth [image] , or the Make node symmetrical [image] button.
Change an envelope segment to a straight line or curve | Click the Envelope unconstrained mode button on the property bar so that it appears pressed, click a line segment, and click the Convert curve to line [image] button or the Convert line to curve [image] button.

Related Topics
  • Shaping objects using envelopes
  • To apply an envelope
  • To copy an envelope
  • To change the mapping mode


To change the mapping mode

  1. Open the Interactive tools flyout [image], and click the Interactive envelope [image] tool.
  2. Click an object with an envelope.
  3. On the property bar, choose one of the following from the Mapping mode list box:
    • Horizontal — stretches the object to fit the basic dimensions of the envelope, and then compresses the object horizontally to fit the shape of the envelope
    • Original — maps the corner handles of the object's selection box to the envelope's corner nodes. The other nodes are mapped linearly along the edge of the object's selection box.
    • Putty — maps the corner handles of the object's selection box to the envelope's corner nodes
    • Vertical — stretches the object to fit the basic dimensions of the envelope, and then compresses the object vertically to fit the shape of the envelope
  4. Drag the nodes or the nodes' control points.

  • You can't change the mapping mode of paragraph text frames to which you've applied an envelope.
Related Topics
  • Shaping objects using envelopes
  • To apply an envelope
  • To copy an envelope
  • To edit an envelope’s nodes and segments


Splitting and erasing portions of objects

You can split a bitmap or vector object in two and reshape it by redrawing its path. You can split a closed object along a straight or jagged line. Corel R.A.V.E. lets you choose between splitting an object into two objects, or leaving it as one object composed of two or more subpaths. You can specify whether you want to close paths automatically or keep them open.

Corel R.A.V.E. lets you erase unwanted portions of bitmaps and vector objects. Erasing automatically closes any affected paths and converts the object to curves. If you erase connecting lines, Corel R.A.V.E. creates subpaths rather than individual objects. You can also delete portions of objects, called virtual line segments, that are between intersections.

The Knife tool creates two separate objects by cutting the ellipse in half (left). The two objects are separated and used to form the top of the screw (right).

Related Topics
  • To split an object
  • To break a path
  • To erase portions of an object
  • To delete a virtual line segment


To split an object

  1. Open the Shape edit flyout [image], and click the Knife tool [image].
  2. Position the Knife tool over the object’s outline where you want to start cutting.

    3. The Knife tool snaps upright when positioned properly.

  3. Click the outline to start cutting.
  4. Position the Knife tool where you want to stop cutting, and click again.

You can also |
Split an object along a freehand line | Point to where you want to start the cut, and drag to where you want it to end.
Split an object along a Bézier line | Press Shift, click where you want to start cutting an object, and click each time you want to change the direction of the line. If you want to constrain the line by 15-degree increments, press Shift + Ctrl.
Split an object into two subpaths | Click the Leave as one object button [image] on the property bar.

  • By default, objects are split into two objects and paths are automatically closed.
  • When you use the Knife tool on a selected object, the object becomes a curve object.
Related Topics
  • Splitting and erasing portions of objects
  • To break a path
  • To erase portions of an object
  • To delete a virtual line segment


To break a path

To | Do the following
Break a path | Open the Shape edit flyout [image] , and click the Shape tool [image] . Select a node on the path, and click the Break curve button [image] on the property bar.
Extract a broken path from an object | Open the Shape edit flyout, and click the Shape tool. Right-click a path, and click Break apart. Select a segment, node, or group of nodes that represents the portion of the path you want to extract, and click the Extract subpath button [image] on the property bar.

Related Topics
  • Splitting and erasing portions of objects
  • To split an object
  • To erase portions of an object
  • To delete a virtual line segment


To erase portions of an object

  1. Select an object.
  2. Open the Shape edit flyout [image], and click the Eraser tool [image].
  3. Drag over the object.

You can also |
Change the size of the eraser nib | Type a value in the Eraser thickness box on the property bar, and press Enter.
Change the shape of the eraser nib | Click the Circle/square button on the property bar.
Maintain all the nodes of the area being erased | Disable the Auto-reduce on erase button on the property bar.

  • When you erase portions of objects, any affected paths are automatically closed.

  • You can erase straight lines by clicking where you want to start erasing, and then clicking where you want to finish erasing. Press Ctrl if you want to constrain the line’s angle.
  • You can also erase an area of a selected object by double-clicking the area with the Eraser tool.
Related Topics
  • Splitting and erasing portions of objects
  • To split an object
  • To break a path
  • To delete a virtual line segment


To delete a virtual line segment

  1. Open the Shape edit flyout [image], and click the Virtual segment delete tool [image] .
  2. Move the pointer to the line segment you want to delete.

    3. The Virtual segment delete tool snaps upright when positioned properly.

  3. Click the line segment.

    4. If you want to delete multiple line segments at one time, click the pointer to drag a marquee around all line segments you want to delete.

  • The Virtual segment delete tool does not work on linked groups such as drop shadows, text, or images.
Related Topics
  • Splitting and erasing portions of objects
  • To split an object
  • To break a path
  • To erase portions of an object


Trimming objects

Trimming creates irregularly shaped objects by removing object areas that overlap. You can trim almost any object, including clones, objects on different layers, and single objects with intersecting lines. However, you cannot trim paragraph text or masters of clones.

Before you trim objects, you must decide which object you want to trim (the target object) and which object you want to use to perform the trimming (the source object). For example, if you want to create a star-shaped cut out of a square object, the star is the source object because you are using it to trim the square. The square is the target object because it’s the object you want to trim. The source object trims the part of the target object it overlaps.

The target object retains its fill and outline attributes. For example, if you trim a rectangle that is overlapped by a circle, the area of the rectangle that was covered by the circle is removed, creating an irregular shape.

Corel R.A.V.E. lets you trim objects in different ways. You can use a front object as the source object to trim an object behind it, as well as use the back object to trim a front object. You can also remove hidden areas of overlapping objects, so that only the visible areas remain in the movie. Removing the hidden areas can reduce file size when you convert vector graphics to bitmaps.

Trimming can be used to reduce the number of objects in a drawing. Instead of adding eyes and spots to the bug, areas (shown on the left in gray) are trimmed to reveal the black background (right).

The letter “A” is the front object used to trim the back object. A partial silhouette of the letter is created in the logo (right).

Related Topics
  • To trim an object
  • To trim front and back objects
  • To trim overlapping areas among objects


To trim an object

  1. Select the source objects.
  2. Hold down Shift and click the target object.
  3. Click Arrange } Shaping } Trim.

  • If you marquee select the objects, Corel R.A.V.E. trims the bottom-most selected object. If you select multiple objects individually, the last object selected is trimmed.

  • You can also trim objects by marquee selecting the source and target objects and clicking the Trim button [image] on the property bar.
Related Topics
  • Trimming objects
  • To trim front and back objects
  • To trim overlapping areas among objects


To trim front and back objects

  1. Marquee select the source and target objects.
  2. Click Arrange } Shaping, and click one of the following:
    • Back minus front — removes the front object from the back one
    • Front minus back — removes the back object from the front one

  • You can trim the control object of a PowerClip object so that the object inside the PowerClip object will assume the new shape of the PowerClip container. For information about PowerClip objects, see "Creating PowerClip objects."
  • Linked objects such as drop shadows, text on a path, artistic media, blends, contours, and extrusions are converted to curve objects before they are trimmed.
Related Topics
  • Trimming objects
  • To trim an object
  • To trim overlapping areas among objects


To trim overlapping areas among objects

  1. Marquee select the objects you want to trim.
  2. Click Arrange } Shaping } Simplify.

  • You can trim the control object of a PowerClip object, so that the object inside the PowerClip object assumes the new shape.
  • Linked objects, such as drop shadows, text on a path, artistic media, blends, contours, and extrusions, are converted to curve objects before they are trimmed.
Related Topics
  • Trimming objects
  • To trim an object
  • To trim front and back objects


Welding and intersecting objects

You can create irregular shapes by welding and intersecting objects. You can weld or intersect almost any object, including clones, objects on different layers, and single objects with intersecting lines. However, you cannot weld or intersect paragraph text or masters of clones.

You can weld objects to create one object with a single outline. The new object uses the welded objects’ perimeter as its outline and adopts the fill and outline properties of the target object. All intersecting lines disappear.

You can weld objects regardless of whether they overlap each other. If you weld objects that do not overlap, they form a weld group that acts as a single object. In both cases, the welded object takes on the fill and outline attributes of the target object.

You can weld single objects with intersecting lines so that the object breaks into several subpaths, but its appearance remains the same.

Welding the leaves to the apple creates a single object outline.

Intersecting creates an object from the area where two or more objects overlap. The shape of this new object can be simple or complex, depending on the shapes you intersect. The new object’s fill and outline attributes depend on the object you define as the target object.

Related Topics
  • To weld an object
  • To intersect objects
  • To intersect multiple objects


To weld an object

  1. Select the source object or objects.
  2. Hold down Shift, and click the target object.
  3. Click Arrange } Shaping } Weld.

  • You can also weld objects by marquee-selecting the source and target objects and clicking the Weld button [image] on the property bar.
Related Topics
  • Welding and intersecting objects
  • To intersect objects
  • To intersect multiple objects


To intersect objects

  1. Select the source object.
  2. Hold down Shift, and select the target object.
  3. Click Arrange } Shaping } Intersect.

  • You can also intersect objects by selecting the source and target objects and clicking the Intersect button [image] on the property bar.
Related Topics
  • Welding and intersecting objects
  • To weld an object
  • To intersect multiple objects


To intersect multiple objects

  1. Marquee select the source object or objects.
  2. Hold down Shift, and click each target object.
  3. Click Arrange } Shaping } Intersect.

  • You can also intersect objects by marquee-selecting the source and target objects and clicking the Intersect button [image] on the property bar.
Related Topics
  • Welding and intersecting objects
  • To weld an object
  • To intersect objects


Blending objects

Corel R.A.V.E. lets you create blends, such as straight-line blends, blends along a path, and compound blends.

A straight-line blend shows a progression in shape and size from one object to another. The outline and fill colors of the intermediate objects progress along a straight-line path across the color spectrum. The outlines of intermediate objects show a gradual progression in thickness and shape.

After you create a blend, you can copy or clone its settings to other objects. When you copy a blend, the object takes on all the blend-related settings, except for their outline and fill attributes. When you clone a blend, changes you make to the original blend (also called the master) are applied to the clone.

Straight-line blends can be used to create graphics with a glass-like appearance. The rollover button (left) contains a blend of tightly overlapped blended objects.

You can fit objects along part or all of a path’s shape, and you can add one or more objects to a blend to create a compound blend.

The straight-line blend (top) is fitted to a curved path (bottom).

You can change the appearance of a blend by adjusting the number and spacing of its intermediate objects, the blend’s color progression, the nodes the blends map to, the blend’s path, and the start and end objects. You can fuse the components of a split or compound blend to create a single object.

This compound blend consists of three blends.

You can also split and remove a blend.

By mapping nodes, you can control the appearance of a blend. Four nodes on the arrow are mapped to the four corners of a square, showing a more gradual transition (bottom).

Related Topics
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To blend objects

To | Do the following
Blend along a straight line | Open the Interactive tools flyout [image] , and click the Interactive blend tool [image] . Select the first object, and drag over the second object. If you want to reset the blend, press Esc as you drag.
Blend an object along a freehand path | Open the Interactive tools flyout, and click the Interactive blend tool. Select the first object. Hold down Alt and drag to draw a line to the second object.
Fit a blend to a path | Open the Interactive tools flyout, and click the Interactive blend tool. Click the blend. Click the Path properties button [image] on the property bar. Click New path. Using the curved arrow, click the path to which you want to fit the blend.
Stretch the blend over an entire path | Select a blend that is already fitted on a path. Click the Miscellaneous blend options button [image] on the property bar, and enable the Blend along full path check box.
Create a compound blend | Using the Interactive blend tool, drag from an object to the start or end object of another blend.

Related Topics
  • Blending objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To copy or clone a blend

  1. Select the two objects you want to blend.
  2. Click Effects, and click one of the following:
    • Copy effect } Blend from
    • Clone effect } Blend from
  3. Select the blend whose attributes you want to copy or clone.

  • You can’t copy or clone a compound blend.

  • You can also use the Eyedropper tool [image] to copy a blend. For more information, see "To copy effects from one object to another object."
Related Topics
  • Blending objects
  • To blend objects
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To set the distance for intermediate objects in a blend fitted to a path

  1. Select a blend.
  2. Click the Use steps or fixed spacing for blend button [image] on the property bar.
  3. Type a value in the Number of steps or offset between blend shapes box on the property bar.
  4. Press Enter.

  • You can set object and color acceleration rates by clicking the Object and color acceleration button [image] on the property bar and moving the corresponding slider.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To set the color progression for intermediate objects in a blend

  1. Select a blend.
  2. On the property bar, click one of the following:
    • Direct blend
    • Clockwise blend
    • Counterclockwise blend

  • You can’t create color progressions using blended objects filled with bitmaps, or texture or pattern fills.

  • You can set how fast the object’s colors transform from the first to the last object by clicking the Object and color acceleration button [image] on the property bar and moving the corresponding sliders.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To map the nodes of a blend

  1. Select a blend.
  2. Click the Miscellaneous blend options button [image] on the property bar.
  3. Click the Map nodes button on the property bar.
  4. Click a node on the start object and on the end object.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To work with the start or end objects in a blend

To | Do the following
Select the start or end object | Select a blend, click the Start and end object properties button [image] on the property bar, and click Show start, or Show end.
Change the start or end object of a blend | Select a blend, click the Start and end object properties button on the property bar, and click New start, or New end. Click an object outside the blend that you want to use as the start or end of the blend.
Fuse the start or end object in a split or compound blend | Hold down Ctrl, click a middle object in a blend, and then click a start or end object. Click the Miscellaneous options button [image] on the property bar. If you have selected the start object, click the Fuse start button [image] . If you have selected the end object, click the Fuse end button [image] .

  • You can reverse the direction of the blend by clicking Arrange } Order } Reverse order.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To change the blend path
  • To split a blend
  • To remove a blend


To change the blend path

  1. Select a blend.
  2. Click the Path properties button [image] on the property bar, and click New path.
  3. Click the path you want to use for the blend.

You can also |
Detach a blend from a path | Click the Path properties button [image] on the property bar, and click Detach from path.
Change the path of a selected freehand blend | Click the blend path with the Shape tool [image] , and drag a path’s node.

  • To select the blend path, click the Path properties button and click Show path.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To split a blend
  • To remove a blend


To split a blend

  1. Select a blend.
  2. Click the Miscellaneous options button [image] on the property bar.
  3. Click the Split button [image].
  4. Click the intermediate object at the point at where you want to split the blend.

  • You can’t split a blend at the intermediate object that is immediately adjacent to the start or end object.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To remove a blend


To remove a blend

  1. Select a blend.
  2. Click Effects } Clear blend.

  • You can also remove a selected blend by clicking the Clear blend button [image] on the property bar.
Related Topics
  • Blending objects
  • To blend objects
  • To copy or clone a blend
  • To set the distance for intermediate objects in a blend fitted to a path
  • To set the color progression for intermediate objects in a blend
  • To map the nodes of a blend
  • To work with the start or end objects in a blend
  • To change the blend path
  • To split a blend


Creating PowerClip objects

Corel R.A.V.E. lets you place vector objects and bitmaps, such as photos, inside other objects, or containers. A container can be any object, for example artistic text or a rectangle. When you place an object into a container that is larger than the container, the object, called the content, is cropped to fit the form of the container. This creates a PowerClip object.

Objects before becoming a PowerClip object: artistic text and a bitmap

You can create more complex PowerClip objects by placing one PowerClip object inside another PowerClip object to produce a nested PowerClip object. You can also copy the contents of one PowerClip object to another PowerClip object.

In the PowerClip object, the artistic text is the container, and the bitmap forms the contents. The bitmap is shaped to the letters of the artistic text.

After you create a PowerClip object you can modify the content and the container. For example, you can lock the content, so that when you move the container, the content moves with it. Corel R.A.V.E. also lets you extract the content from a PowerClip object, so that you can delete the content or modify it without affecting the container.

Related Topics
  • To create a PowerClip object
  • To copy the content of a PowerClip object
  • To edit the content of a PowerClip object
  • To lock or unlock the content of a PowerClip object
  • To extract the content of a PowerClip object


To create a PowerClip object

  1. Select an object.
  2. Click Effects } PowerClip } Place inside container.
  3. Click the object you want to use as the container.

    4. If you want to create a nested PowerClip object, hold down the right mouse button, drag the PowerClip object inside a container, and click PowerClip inside.

Related Topics
  • Creating PowerClip objects
  • To copy the content of a PowerClip object
  • To edit the content of a PowerClip object
  • To lock or unlock the content of a PowerClip object
  • To extract the content of a PowerClip object


To copy the content of a PowerClip object

  1. Select an object.
  2. Click Effects } Copy effect } PowerClip from.
  3. Click a PowerClip object.
Related Topics
  • Creating PowerClip objects
  • To create a PowerClip object
  • To edit the content of a PowerClip object
  • To lock or unlock the content of a PowerClip object
  • To extract the content of a PowerClip object


To edit the content of a PowerClip object

  1. Select a PowerClip object.
  2. Click Effects } PowerClip } Edit contents.
  3. Edit the contents of the PowerClip object.
  4. Click Effects } PowerClip } Finish editing this level.

  • While you edit, the container displays in Wireframe mode and cannot be selected.
Related Topics
  • Creating PowerClip objects
  • To create a PowerClip object
  • To copy the content of a PowerClip object
  • To lock or unlock the content of a PowerClip object
  • To extract the content of a PowerClip object


To lock or unlock the content of a PowerClip object

  • Right-click a PowerClip object, and click Lock contents to PowerClip.

  • If you move the container while the content is unlocked, the content remains stationary and is not visible until you move the container over it.
Related Topics
  • Creating PowerClip objects
  • To create a PowerClip object
  • To copy the content of a PowerClip object
  • To edit the content of a PowerClip object
  • To extract the content of a PowerClip object


To extract the content of a PowerClip object

  1. Select a PowerClip object.
  2. Click Effects } PowerClip } Extract contents.

  • You must extract the contents of each level in a nested PowerClip separately.
Related Topics
  • Creating PowerClip objects
  • To create a PowerClip object
  • To copy the content of a PowerClip object
  • To edit the content of a PowerClip object
  • To lock or unlock the content of a PowerClip object


Reference: Shaping objects

Objects created in Corel R.A.V.E. follow a path that gives them their defining shape. When this path is broken or cut, subpaths remain.

Paths and subpaths
  • Paths outline an object's shape and are often visible as one or more line or curve segments. You can disconnect line segments from one another to create subpaths. Even though they are not connected, subpaths are still part of the defining path of the original object; however, you can extract a subpath to create two separate objects: the extracted subpath and the object it was extracted from.
  • Subpaths are the basic curves and shapes from which a single curve object is constructed. For example, a single curve object with subpaths is often created when text is converted to curves. The letter "O," for instance, is composed of two ellipses: the outside ellipse that defines the letter's shape and the inside ellipse that defines the "hole." The ellipses are subpaths that compose the single curve object, "O". One of the basic reasons for creating an object with subpaths is that you can produce objects with holes in them. In the preceding example, you can see objects underneath the center of the letter "O".


Working with layers

Layers help you organize and arrange objects in complex movies.

In this section, you’ll learn about

  • creating layers
  • changing and moving layers
  • moving and copying objects between layers
  • printing layers


Creating layers

All movies created in the Corel R.A.V.E. application consist of stacked objects. The vertical order of these objects — the stacking order — contributes to the appearance of the movie. You can organize these objects using invisible planes called layers. Layering gives you added flexibility when organizing and editing the objects in complex movies.

You can delete layers when you no longer need them. Hiding a layer lets you identify and edit the objects on other layers. You also reduce the time Corel R.A.V.E. needs to refresh your movie when you edit it.

Related Topics
  • To create a layer
  • To delete a layer
  • To display or hide a layer


To create a layer

  • In the Timeline docker, click New layer [image].
Related Topics
  • Creating layers
  • To delete a layer
  • To display or hide a layer


To delete a layer

  1. In the Timeline docker, click a layer name.
  2. Click Delete [image].

  • When you delete a layer, you also delete all the objects on it. To keep an object that is on the layer you’re deleting, move the object to a different layer first. For more information, see "Moving and copying objects between layers."
  • You can delete any unlocked layer. For more information about locking and unlocking layers, see "Changing and moving layers."

  • You can also delete a layer by right-clicking the layer in the Timeline docker, and clicking Delete.
Related Topics
  • Creating layers
  • To create a layer
  • To display or hide a layer


To display or hide a layer

  • In the Timeline docker, click the Eye icon beside the layer name.

    • The layer is hidden when the Eye icon is grayed.

  • You can also display or hide a layer by right-clicking the layer in the Timeline docker, and clicking Visible.
Related Topics
  • Creating layers
  • To create a layer
  • To delete a layer


Changing and moving layers

You can set a layer’s editing properties to make a layer active, so that you can change the objects on that layer. When you are making changes to objects on a layer, you can lock the other layers to prevent accidental changes to their objects. When you lock a layer you cannot select or edit it.

Renaming layers can be used to indicate their contents, position in the stacking order, and relationship with other layers.

You can also change a layer’s place in the stacking order.

Related Topics
  • To set a layer’s editing properties
  • To rename a layer
  • To change the position of a layer in the stacking order


To set a layer’s editing properties

To | Do the following
Make a layer active | In the Timeline docker, click the layer name.
Lock or unlock a layer | In the Timeline docker, click the Pencil icon beside the layer name. The layer is locked when the Pencil icon is grayed.

  • You can also lock or unlock a layer by right-clicking the layer in the Timeline docker, and clicking Editable.
Related Topics
  • Changing and moving layers
  • To rename a layer
  • To change the position of a layer in the stacking order


To rename a layer

  • In the Timeline docker, right-click the layer name, and click Rename.
Related Topics
  • Changing and moving layers
  • To set a layer’s editing properties
  • To change the position of a layer in the stacking order


To change the position of a layer in the stacking order

  • In the Timeline docker, drag a layer name to a new position.
Related Topics
  • Changing and moving layers
  • To set a layer’s editing properties
  • To rename a layer


Moving and copying objects between layers

Moving an object puts the object on another layer; copying an object puts a copy on another layer, leaving the original in place.

You can move or copy selected objects from one layer to another, as long as both layers are unlocked. For more information on locking layers, see "Changing and moving layers."

Moving or copying an object to another layer causes the object to become the top object on its new layer.

Related Topics
  • To move an object to another layer
  • To copy an object to another layer


To move an object to another layer

  • In the Timeline docker, drag an object to another layer.

  • Objects on different layers cannot be blended.
Related Topics
  • Moving and copying objects between layers
  • To copy an object to another layer


To copy an object to another layer

  1. In the Timeline docker, click an object.
  2. Click Edit } Copy.
  3. Click the name of the layer to which you want to copy the object.
  4. Click Edit } Paste.
Related Topics
  • Moving and copying objects between layers
  • To move an object to another layer


Printing layers

Enabling the print setting of a layer lets you print the layer and its contents. If you disable a layer’s print setting, the layer and its contents won’t appear when you print frames in a movie.

Related Topics
  • To enable or disable printing for a specific layer


To enable or disable printing for a specific layer

  • In the Timeline docker, click the Printer icon beside the layer name.

    • The layer is disabled for printing when the Printer icon is grayed.

  • Disabling the printing of a layer prevents its contents from displaying in full-screen previews. For information about full-screen previews, see “To preview a frame” in the Help.

  • You can also enable or disable the printing of a layer by right-clicking the layer in the Timeline docker and clicking Printable.
  • Layers that are disabled for printing will not be exported.
Related Topics
  • Printing layers


Working with symbols and sprites

The Corel R.A.V.E. application lets you create objects and save them as symbols. Symbols are defined once and can be referenced many times in a movie. Each time you insert a symbol into a movie, you create an instance of the symbol. Symbol definitions, as well as information about instances, are stored in a library, which is part of the Corel R.A.V.E. (CLK) file. Using symbols for objects that appear many times in a drawing helps to reduce file size.

In this section, you’ll learn about

  • creating, editing, and deleting symbols
  • using sprites in movies
  • creating, editing, and deleting sprites
  • using symbols in movies
  • managing collections and libraries
  • sharing symbols and sprites between movies

For information about modifying symbol instances and about unsupported object types, see "Reference: Working with symbols and sprites."

The term “symbol,” as it was used in earlier versions of Corel R.A.V.E., has been replaced by “special character” in Corel R.A.V.E. 3. For more information about working with special characters, see "Embedding graphics and adding special characters."


Creating, editing, and deleting symbols

Symbols are objects that are defined once and can be referenced many times in a movie. You can have multiple instances of a symbol in a movie with little impact on file size. Symbols make editing a movie quicker and easier, as changes made to a symbol are automatically inherited by all instances.

Symbols are created from objects. When you convert an object to a symbol, the new symbol is added to the Symbol manager, and the selected object becomes an instance. You can also create a symbol from multiple objects. You can edit a symbol; any changes you make affect all instances in a movie. The selection handles for symbols differ from those for objects. Selection handles for symbols are blue; selection handles for objects are black. You can also delete a symbol instance and purge unused symbol definitions. Purging removes all symbol definitions that are not instanced in a movie.

Using symbols for objects that appear many times helps to reduce file size.

Related Topics
  • To convert an object to a symbol
  • To make a linked symbol internal
  • To edit a symbol
  • To edit a linked symbol
  • To delete a symbol


To convert an object to a symbol

  1. Select an object or multiple objects.
  2. Click Edit } Symbol } New symbol.

  • Symbols cannot span layers. If you convert objects on different layers to a symbol, the objects are combined on the topmost object’s layer. For more information about layers, see "Working with layers."

  • You can also convert an existing object or objects to a symbol by dragging the object or objects to the Symbol manager docker.
Related Topics
  • Creating, editing, and deleting symbols
  • To make a linked symbol internal
  • To edit a symbol
  • To edit a linked symbol
  • To delete a symbol


To make a linked symbol internal

  1. Select a symbol.
  2. Click Edit } Symbol } Break link.

    3. If other instances of the symbol are in the movie, you are given the choice to break links to all instances. If you do, the internal symbol will then apply to all the instances.

  • You can also make a linked symbol internal by right-clicking a symbol and choosing Break link.
Related Topics
  • Creating, editing, and deleting symbols
  • To convert an object to a symbol
  • To edit a symbol
  • To edit a linked symbol
  • To delete a symbol


To edit a symbol

  1. In the Symbol manager docker, choose a symbol from the Symbols list.

    2. If you want to name or rename the symbol, double-click the symbol’s name box, and type a name.

  2. Click the Edit symbol button [image].
  3. Modify the objects on the stage.
  4. Click the Finish editing object tab in the bottom-left corner of the drawing window.

  • Changes made to a symbol are automatically made to all instances in the active drawing.
  • While working in symbol edit mode, you cannot add layers or save a drawing.

  • You can also edit a symbol by selecting an instance in the drawing window, and clicking the Edit symbol button [image] on the property bar or holding down Ctrl and clicking a symbol.
  • While editing a symbol, you can insert an instance of another symbol, which creates a nested symbol. You cannot, however, insert an instance of the same symbol.
Related Topics
  • Creating, editing, and deleting symbols
  • To convert an object to a symbol
  • To make a linked symbol internal
  • To edit a linked symbol
  • To delete a symbol


To edit a linked symbol

  1. Click File } Open.
  2. Choose the drive and folder where the library is stored.
  3. Click a library filename.

    4. Library files have a .csl filename extension.

  4. Click Open.
  5. In the Symbol manager docker, click the active document, and choose a symbol from the Symbols list.

    6. If you want to rename the symbol, click the name again, and type a new name.

  6. Click the Edit symbol button [image].
  7. Modify the objects on the drawing page.
  8. Click the Finish editing object tab in the bottom-left corner of the drawing window.
  9. Click File } Save.

  • You may need permission to change files on the network.
Related Topics
  • Creating, editing, and deleting symbols
  • To convert an object to a symbol
  • To make a linked symbol internal
  • To edit a symbol
  • To delete a symbol


To delete a symbol

  1. In the Symbol manager docker, choose a symbol from the Symbols list.
  2. Click the Delete symbol button [image].

  • When you delete a symbol, it is removed from the Symbol manager, and all instances of the symbol are removed from the movie.
Related Topics
  • Creating, editing, and deleting symbols
  • To convert an object to a symbol
  • To make a linked symbol internal
  • To edit a symbol
  • To edit a linked symbol


Creating, editing, and deleting sprites

You can create more complex movies by using sprites. Sprites are animated symbols which have their own timelines, independent of the main movie’s timeline. You can use sprites to create nested animations. For example, you can create a bird that moves across the screen and simultaneously flaps its wings. With sprites, you can easily include multiple occurrences of an animation in a movie. For example, a sprite consisting of a snowflake falling could be referenced many times in a movie to create a snowy background. Sprites can also be used to break up a movie into modules which can be edited separately.

Since sprites are symbols, they are defined once and can be referenced many times. You can have multiple instances of a sprite in a movie with little impact on file size. Movie playback speed is increased, as the sprite is loaded only once. Sprites make editing a movie quicker and easier, as changes made to a sprite are automatically inherited by all instances.

Sprites are created from animated objects. When you convert an animated object to a sprite, the new sprite is added to the library, and the selected object becomes an instance. You can also create a sprite from multiple animated objects. For information about animating objects, see "Animating objects."

You can edit a sprite; any changes you make affect all instances in a movie. You can also delete a sprite from the library.

For more information about symbols, see "Creating, editing, and deleting symbols" and "Using sprites in movies."

Related Topics
  • To convert an animated object to a sprite
  • To edit a sprite
  • To delete a sprite


To convert an animated object to a sprite

  1. Select an animated object or objects.
  2. Click Edit } Symbol } New symbol.

  • Sprites cannot span layers. If you convert objects on different layers to a sprite, the objects are combined on the topmost object’s layer. For more information about layers, see "Working with layers."
  • If an object has a life span of two or more frames, it is converted to a sprite whether or not it has been animated. If an object has a life span of only one frame, it is converted to a symbol.

  • You can also convert an existing animation to a sprite by dragging the animated object or objects to the Symbol manager docker.
Related Topics
  • Creating, editing, and deleting sprites
  • To edit a sprite
  • To delete a sprite


To edit a sprite

  1. In the Symbol manager docker, choose a sprite from the Symbols list.

    2. If you want to name or rename the sprite, double-click the sprite’s name box, and type a name.

  2. Click the Edit symbol button [image].
  3. Make any changes.
  4. Click the Finish editing object tab in the bottom-left corner of the drawing window.

  • Changes made to a sprite are automatically made to all instances of the sprite in the active movie.
  • While working in symbol edit mode, you cannot add layers or save a movie.

  • You can also edit a sprite by selecting an instance on the stage and clicking the Edit symbol button [image] on the property bar.
  • You can control the animation in a sprite by applying behaviors within its timeline. For more information, see "Using behaviors."
Related Topics
  • Creating, editing, and deleting sprites
  • To convert an animated object to a sprite
  • To delete a sprite


To delete a sprite

  1. In the Symbol manager docker, choose a sprite from the Symbols list.
  2. Click the Delete symbol button [image].

  • When you delete a sprite, it is removed from the library, and all instances of the sprite are removed from the movie.
Related Topics
  • Creating, editing, and deleting sprites
  • To convert an animated object to a sprite
  • To edit a sprite


Using sprites in movies

You can insert a sprite into a movie, which creates a sprite instance. You can modify certain properties of the object or objects in a sprite instance, such as size and position, without affecting the sprite definition in the library. You can revert a sprite instance to an animated object or objects while preserving its properties. You can also delete a sprite instance.

When you insert a sprite instance into a movie, the life span of the instance is determined by the life span of the sprite. You can change the life span of a sprite instance in a movie. Extending its life span repeats the animation, while shortening its life span cuts off the animation. Changing the life span of a sprite instance in a movie does not affect the sprite definition in the library; the sprite’s timeline is independent of the main movie’s timeline. You can also tween a sprite instance, which allows you to create nested animations.

Sprites are used to animate the tail, legs, and trunk (top). These animations are nested as the elephant moves across the stage (bottom).

You can control how and when a sprite instance plays in a movie by using behaviors. Certain behaviors can be directed to sprite instances in a movie with the Tell target parameter. For a list of behaviors to which the Tell target parameter can be applied, see "Adding and removing behaviors."

Related Topics
  • To insert a sprite instance
  • To modify a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To delete a sprite instance
  • To change the life span of a sprite instance
  • To tween a sprite instance


To insert a sprite instance

  1. Open the Symbol manager docker by clicking Edit } Symbol } Symbol manager.
  2. Choose a sprite from the Symbols list.
  3. Click the Insert symbol button [image].

  • You can also insert a sprite instance by dragging a sprite from the Symbol manager docker to the stage.
Related Topics
  • Using sprites in movies
  • To modify a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To delete a sprite instance
  • To change the life span of a sprite instance
  • To tween a sprite instance


To modify a sprite instance

  1. On the stage, select a sprite instance.
  2. Make any changes.

  • If a sprite contains multiple objects, all objects in the sprite instance are treated as if they were a group. You cannot modify individual objects in a sprite instance.
  • Not all properties of objects in a sprite instance can be modified. For a list of object properties that can be modified, see "Modifying symbol instances."

  • When a sprite instance is selected, you can modify many object properties on the property bar.
Related Topics
  • Using sprites in movies
  • To insert a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To delete a sprite instance
  • To change the life span of a sprite instance
  • To tween a sprite instance


To revert a sprite instance to an animated object or objects

  1. Select a sprite instance.
  2. Click Edit } Symbol } Revert to objects.

  • The sprite remains in the library.
  • You cannot revert a sprite instance that has been tweened in the main timeline.

  • You can also revert a sprite instance to an animated object or objects by right-clicking the sprite instance and clicking Revert to objects.
Related Topics
  • Using sprites in movies
  • To insert a sprite instance
  • To modify a sprite instance
  • To delete a sprite instance
  • To change the life span of a sprite instance
  • To tween a sprite instance


To delete a sprite instance

  1. Select a sprite instance.
  2. Press Delete.

  • The sprite remains in the library.
Related Topics
  • Using sprites in movies
  • To insert a sprite instance
  • To modify a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To change the life span of a sprite instance
  • To tween a sprite instance


To change the life span of a sprite instance

  1. In the Timeline docker, click a sprite instance.
  2. Drag the end frame of the timeline of the sprite instance to the frame you want.
  3. Drag the start frame of the timeline of the sprite instance to the frame you want.
Related Topics
  • Using sprites in movies
  • To insert a sprite instance
  • To modify a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To delete a sprite instance
  • To tween a sprite instance


To tween a sprite instance

  1. In the Timeline docker, click a sprite instance.
  2. Increase the life span of the sprite instance by dragging the end frame of its timeline to the frame you want.

    3. The sprite’s animation now repeats until the new end frame is reached.

  3. Click the end frame or an intermediate frame in the timeline of the sprite instance.
  4. Click Movie } Insert keyframe.
  5. On the stage, modify the object or objects in the sprite instance.

  • All objects in a sprite instance are treated as if they were a group. You cannot modify individual objects in a sprite instance.
  • Not all properties of objects in a sprite instance can be modified. For a list of object properties that can be modified, see "Modifying symbol instances."

  • You can also group the sprite instance with other objects and then tween the group. For more information, see "Grouping objects" and "Tweening groups of objects."
  • You can also change a frame to a keyframe by double-clicking it.
Related Topics
  • Using sprites in movies
  • To insert a sprite instance
  • To modify a sprite instance
  • To revert a sprite instance to an animated object or objects
  • To delete a sprite instance
  • To change the life span of a sprite instance


Using symbols in movies

You can insert a symbol into a movie, which creates a symbol instance. You can modify certain properties of a symbol instance, such as size and position, without affecting the symbol definition stored in the library. You can revert a symbol instance to an object or objects while preserving its properties. You can also delete a symbol instance.

Related Topics
  • To insert a symbol instance
  • To purge unused symbol definitions
  • To modify a symbol instance
  • To revert a symbol instance to an object or objects
  • To delete a symbol instance


To insert a symbol instance

  1. Open the Symbol manager docker by clicking Edit } Symbol } Symbol manager.

    2. If you want the symbol scaled automatically to match the current drawing scale, ensure that the Scale to world units button [image] is enabled.

  2. Choose a symbol from the Symbols list.
  3. Click the Insert symbol button [image].

  • The term “symbol,” as it was used in earlier versions of Corel R.A.V.E., has been replaced by “special character” in Corel R.A.V.E. 3. For more information about working with special characters, see "Embedding graphics and adding special characters."

  • You can also insert a symbol instance by dragging a symbol from the Symbol manager docker to the drawing window.
Related Topics
  • Using symbols in movies
  • To purge unused symbol definitions
  • To modify a symbol instance
  • To revert a symbol instance to an object or objects
  • To delete a symbol instance


To purge unused symbol definitions

  1. In the Symbol manager docker, click the active document.
  2. Click the Purge unused definitions button [image].
Related Topics
  • Using symbols in movies
  • To insert a symbol instance
  • To modify a symbol instance
  • To revert a symbol instance to an object or objects
  • To delete a symbol instance


To modify a symbol instance

  1. Select a symbol instance.
  2. Make any changes.

  • If a symbol contains multiple objects, all objects in the symbol instance are treated as if they were a group. You cannot modify individual objects in a symbol instance.
  • Not all properties of a symbol instance can be modified. For a list of properties that can be modified, and therefore tweened, see "Modifying symbol instances."

  • When a symbol instance is selected, you can modify many object properties on the property bar.
  • You can animate a symbol instance in the same way you animate other objects in a movie. For more information, see "Animating objects."
Related Topics
  • Using symbols in movies
  • To insert a symbol instance
  • To purge unused symbol definitions
  • To revert a symbol instance to an object or objects
  • To delete a symbol instance


To revert a symbol instance to an object or objects

  1. Select a symbol instance.
  2. Click Edit } Symbol } Revert to objects.

  • The symbol remains in the Symbol manager.

  • You can also revert a symbol instance to an object by right-clicking the symbol instance and clicking Revert to objects.
Related Topics
  • Using symbols in movies
  • To insert a symbol instance
  • To purge unused symbol definitions
  • To modify a symbol instance
  • To delete a symbol instance


To delete a symbol instance

  1. Select a symbol instance.
  2. Press Delete.

  • The symbol remains in the Symbol manager.
Related Topics
  • Using symbols in movies
  • To insert a symbol instance
  • To purge unused symbol definitions
  • To modify a symbol instance
  • To revert a symbol instance to an object or objects


Managing collections and libraries

Most of the symbols you will use have already been created and are stored in library files that are grouped into collections.

The Symbol manager docker always displays libraries and collections that are in your local Symbols folder. You can add collections and libraries to your Symbols folder from elsewhere on the network. When you insert a local or external symbol into a drawing, a copy of the symbol definition is added to the document, but it remains linked to the source symbol.

Related Topics
  • To add a collection or library
  • To delete a collection or library


To add a collection or library

  1. Click Window } Dockers } Symbol manager.
  2. In the tree, click Local Symbols or Network Symbols.
  3. Click the Add library button [image].
  4. Locate and choose a collection or library.
  5. Click OK.

  • By default, library files are referenced from their original location. If you want to copy a library to your User Symbols folder, enable the Copy libraries locally checkbox.
  • If you are adding a collection, you can enable the Recursive check box to include subfolders.
Related Topics
  • Managing collections and libraries
  • To delete a collection or library


To delete a collection or library

  1. In the Symbol manager docker, click a collection or library.
  2. Press Delete.

  • The collection or library is removed from the tree in the Symbol manager docker, but files are not deleted.
Related Topics
  • Managing collections and libraries
  • To add a collection or library


Sharing symbols and sprites between movies

In Corel R.A.V.E., each movie has its own library of symbols, which is part of the Corel R.A.V.E. (CLK) file. You can share symbols and sprites between movies by copying and pasting. Copying symbols to the Clipboard leaves the originals in the library.

You can also copy and paste instances of a symbol or sprite to and from the Clipboard. Pasting an instance places the symbol or sprite in the library and also places an instance of the symbol or sprite in the movie. Subsequent pasting will place another instance of the symbol or sprite in the movie without adding to the library. If a modified symbol or sprite instance is pasted into a movie, the new instance maintains the properties of the original instance, and the new symbol or sprite definition in the library maintains the properties of the original symbol or sprite. Symbol or sprite instances are copied and pasted in the same way other objects are. For more information, see "Copying, duplicating, and deleting objects."

Related Topics
  • To copy or paste symbols and sprites
  • To export a symbol library
  • To create a new library
  • To add a symbol to an existing library


To copy or paste symbols and sprites

To | Do the following
Copy symbols and sprites to the Clipboard | In the Symbol manager docker, choose the symbol and sprites from the Symbols list, right-click, and click Copy.
Paste symbols and sprites from the Clipboard | In the Symbol manager docker, right-click, and click Paste.

  • If a pasted symbol or sprite has the same name as an existing symbol, the new name is appended with an increment number. For example, a pasted symbol named “logo” would be renamed “logo1.”
Related Topics
  • Sharing symbols and sprites between movies
  • To export a symbol library
  • To create a new library
  • To add a symbol to an existing library


To export a symbol library

  1. In the Symbol manager docker, click the active document.
  2. Click the Export library button [image].
  3. Choose the drive and folder where you want to save the library file.
  4. Type a filename in the File name box.
  5. Click Save.
Related Topics
  • Sharing symbols and sprites between movies
  • To copy or paste symbols and sprites
  • To create a new library
  • To add a symbol to an existing library


To create a new library

  1. Click File } Save.
  2. Choose the drive and folder where you want to store the library.
  3. Type a filename in the File name box.
  4. Choose CSL - Corel Symbol Library from the Save as type list box.
  5. Click Save.
Related Topics
  • Sharing symbols and sprites between movies
  • To copy or paste symbols and sprites
  • To export a symbol library
  • To add a symbol to an existing library


To add a symbol to an existing library

  1. Click File } Open.
  2. Choose the drive and folder where the library is stored.
  3. Choose CSL - Corel Symbol Library from the Files of type list box.
  4. Choose the library file where you want to add a symbol.
  5. Paste a symbol to the document.
  6. Save the library file.
Related Topics
  • Sharing symbols and sprites between movies
  • To copy or paste symbols and sprites
  • To export a symbol library
  • To create a new library


Reference: Working with symbols and sprites

This reference section contains information on the following:

  • modifying symbol instances
  • unsupported object types


Modifying symbol instances

The following object and tween properties can be modified for symbol and sprite instances. If a symbol contains multiple objects, all objects in the instance are treated collectively as a single object, just as if they were grouped.

Object property | Notes
Position | Can be modified on the property bar. For more information, see "Positioning objects."
Size | Can be modified on the property bar. For more information, see "Sizing and scaling objects."
Scale | Percentage is relative to the symbol definition. Can be modified on the property bar. For more information, see "Sizing and scaling objects."
Skew | For more information, see "Skewing and stretching objects."
Rotation angle | Can be modified on the property bar. For more information, see "Rotating and mirroring objects."
Transparency | Uniform transparency only. Click the Symbol effects tab in the Object properties docker. For more information, see "Applying transparencies."
Mirroring | Can be modified on the property bar. For more information, see "Rotating and mirroring objects."
Wrap paragraph text | Click the General tab in the Object properties docker. Can also be modified on the property bar. For more information, see "Wrapping paragraph text around objects and text."
Order | Can be modified on the property bar. For more information, see "Changing the order of objects."
Name | The name of an instance is displayed in the Timeline docker. Click twice to change it. Sprite instances must have unique names to be referenced with Tell target when using behaviors. For more information, see "Using behaviors."

Tween property | Notes
Rotation direction | For more information, see "To rotate an object over time."
Color direction | For more information, see "To rotate an object over time."
Scale | Can be modified on the property bar after clicking an intermediate frame in an object's timeline
Skew | For more information, see "To move an object along a path."


Unsupported object types

Most objects in Corel R.A.V.E. can be converted to symbols, with the following exceptions

Unsupported object type | Notes
Linked or embedded objects | Includes barcodes
Objects with lenses that are not frozen | Lenses must be frozen.
Control objects in link groups | All related objects in the link group must be included in the symbol.
Placed PDF or EPS files |
Locked object | Object must be unlocked.
Paragraph text |
Guidelines |
Rollovers | You cannot convert a rollover to a symbol; however, you can include a symbol instance in a rollover state.
Parts of a tween | The entire object tween needs to be converted to a sprite.


Filling objects

You can add colored, patterned, textured, and other fills to the inside of objects. You can customize a fill and set it as a default, so that each object you draw has the same fill.

In this section, you’ll learn about

  • applying uniform fills
  • applying fountain fills
  • applying pattern fills
  • applying texture fills
  • applying mesh fills
  • working with fills


Applying uniform fills

You can apply a uniform fill to objects. Uniform fills are solid colors you can choose or create using color models and color palettes. For information about creating colors, see "Working with color."

Related Topics
  • To apply a uniform fill


To apply a uniform fill

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive fill tool [image].
  3. Choose Uniform fill from the Fill type list box on the property bar.
  4. Specify the settings you want on the property bar, and press Enter.

  • You can also fill a selected object by clicking a color on the color palette.
  • You can mix colors in a uniform fill by selecting a filled object, pressing Ctrl, and clicking another color on the color palette.
Related Topics
  • Applying uniform fills


Applying fountain fills

A fountain fill is a smooth progression of two or more colors that adds depth to an object. There are four types of fountain fills: linear, radial, conical, and square. A linear fountain fill flows in a straight line across the object, a conical fountain fill creates the illusion of light hitting a cone, a radial fountain fill radiates from the center of the object, and a square fountain fill is dispersed in concentric squares from the center of the object.

You can apply preset fountain fills, two-color fountain fills, and custom fountain fills to objects. Custom fountain fills can contain two or more colors, which you can position anywhere in the fill’s progression. After you create a custom fountain fill, you can save it as a preset.

When you apply a fountain fill, you can specify attributes for the fill type you choose; for example, the direction of a fill’s color blend, the fill’s angle, center point, midpoint, and edge pad.

There are four types of fountain fills: (left to right) linear, radial, conical, and square.

Related Topics
  • To apply a preset fountain fill
  • To apply a two-color fountain fill
  • To apply a custom fountain fill
  • To change the fountain fill print and display quality
  • To set the display quality for fountain fills


To apply a preset fountain fill

  1. Select an object.
  2. Open the Fill flyout [image], and click the Fountain fill dialog button [image].
  3. Choose a fill from the Presets list box.
  4. Specify the settings you want.
Related Topics
  • Applying fountain fills
  • To apply a two-color fountain fill
  • To apply a custom fountain fill
  • To change the fountain fill print and display quality
  • To set the display quality for fountain fills


To apply a two-color fountain fill

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive fill tool [image].
  3. Choose a fountain fill from the Fill type list box on the property bar.
  4. Open the Fill dropdown picker on the property bar, and click a color.
  5. Open the Last fill picker on the property bar, and click a color.
  6. Specify the settings you want.

  • You can mix colors in a two-color fountain fill by selecting one of the interactive vector handles, pressing Ctrl, and clicking a color on the color palette.
  • You can add a color to a fountain fill by dragging a color from the color palette to an object’s interactive vector handle.
Related Topics
  • Applying fountain fills
  • To apply a preset fountain fill
  • To apply a custom fountain fill
  • To change the fountain fill print and display quality
  • To set the display quality for fountain fills


To apply a custom fountain fill

  1. Select an object.
  2. Open the Fill flyout [image], and click the Fountain fill dialog button [image].
  3. Choose a fountain fill from the Type list box on the property bar.
  4. Enable the Custom option.
  5. Click the box at one end of the area just above the color band, and click a color on the color palette.
  6. Click the box at the opposite end of the area just above the color band, and click a color.
  7. Specify the attributes you want.

You can also |
Add an intermediate color | Double-click between the two ends of the area just above the color band, and click a color on the color palette.
Change a color | Click the vector just above the color band, and click a color on the color palette.
Delete a color | Double-click the vector just above the color you want to delete.
Change the position of a color | Drag the vector just above the color to a new location.
Save the fill as a preset | Type a name in the Presets box, and click the Add preset button [image] .

  • You can also create a custom fountain fill by dragging colors from the color palette in the drawing window onto the object’s interactive vector handles.
Related Topics
  • Applying fountain fills
  • To apply a preset fountain fill
  • To apply a two-color fountain fill
  • To change the fountain fill print and display quality
  • To set the display quality for fountain fills


To change the fountain fill print and display quality

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive fill tool [image].
  3. Choose a fountain fill from the Fill type list box on the property bar.
  4. Click the Fountain step lock/unlock [image] button on the property bar, type a value in the Fountain step box, and press Enter.

  • When the Fountain step box is locked, the number of steps in the printed fountain fill is determined by the value specified in the Print dialog box. For information about setting fountain fill steps for printing, see "Fine-tuning print jobs."
Related Topics
  • Applying fountain fills
  • To apply a preset fountain fill
  • To apply a two-color fountain fill
  • To apply a custom fountain fill
  • To set the display quality for fountain fills


To set the display quality for fountain fills

  1. Click Tools } Options.
  2. In the list of categories, double-click Workspace, and click Display.
  3. Type a value in the Preview fountain steps box.
Related Topics
  • Applying fountain fills
  • To apply a preset fountain fill
  • To apply a two-color fountain fill
  • To apply a custom fountain fill
  • To change the fountain fill print and display quality


Applying pattern fills

You can fill objects with two-color, full-color, or bitmap pattern fills.

Examples of bitmap pattern fills

A two-color pattern fill is composed of only the two colors that you choose. A full-color pattern fill is a more complex vector graphic that can be composed of lines and fills. A bitmap pattern fill is a bitmap image whose complexity is determined by its size, image resolution, and bit depth.

Corel R.A.V.E. provides preset pattern fills that you can apply to objects; however, you can also create your own pattern fills. For example, you can create pattern fills from objects that you draw or images that you import.

You can change the tile size of pattern fills. You can also specify exactly where these fills begin by setting the tile origin. Corel R.A.V.E. also lets you offset tiles in a fill. Adjusting the horizontal or vertical position of the first pattern, relative to the top of the object, affects the rest of the fill.

You can choose how the pattern fill appears by specifying whether to mirror the fill so that alternating tiles are the reflections of one another. If you want a pattern fill to change according to actions you perform on the filled object, you can specify that you want it to transform with the object. For example, if you enlarge an object filled with a pattern that transforms, the pattern becomes larger while the number of tiles is not increased.

You can apply a pattern of two colors or many colors to an object.

Related Topics
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To apply a two-color pattern fill

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive fill tool [image].
  3. Choose Two color pattern from the Fill type list box on the property bar.
  4. Open the Fill dropdown picker, and click a pattern.
  5. Open the Front color picker, and click a color.
  6. Open the Back color picker, and click a color.

  • You can also mix colors in a two-color pattern fill by pressing Ctrl and clicking a color on the color palette.
  • You can mix a color with only one of the colors in the fill by pressing Ctrl and dragging a color to the interactive handle.
Related Topics
  • Applying pattern fills
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To apply a full-color or bitmap pattern fill

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive fill tool [image].
  3. Choose one of the following from the Fill type list box on the property bar:
    • Full-color pattern
    • Bitmap pattern
  4. Open the Fill dropdown picker, and click a pattern.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To create a two-color pattern fill

  1. Select an object.
  2. Open the Fill flyout [image], and click the Pattern fill dialog [image] button.
  3. Enable the 2-color option.
  4. Open the following color pickers, and click a color:
    • Front — to choose a foreground color
    • Back — to choose a background color
  5. Click Create.
  6. In the Two-color pattern editor dialog box, enable one of the following options in the Bitmap size area:
    • 16 X 16 — changes the resolution of the Edit grid to 16 x 16 squares
    • 32 X 32 — changes the resolution of the Edit grid to 32 x 32 squares
    • 64 X 64 — changes the resolution of the Edit grid to 64 x 64 squares
  7. In the Pen size area, enable one of the following options:
    • 1 X 1 — changes the pen size to a 1-grid square
    • 2 X 2 — changes the pen size to a 2 x 2 square
    • 4 X 4 — changes the pen size to a 4 x 4 square
    • 8 X 8 — changes the pen size to an 8 x 8 square
  8. Click in the grid to enable a square. If you want to disable a square, right-click the square.

    9. Squares that are enabled form the foreground, and squares that are disabled form the background.

  • You can also create a foreground pattern by dragging in the grid.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To create a two-color pattern fill from an image

  1. Click Tools } Create } Pattern.
  2. Enable the Two-color option.
  3. In the Resolution area, enable one of the following options:
    • Low — creates a low-resolution, two-color pattern
    • Medium — creates a medium-resolution, two-color pattern
    • High — creates a high-resolution, two-color pattern
  4. Click OK.
  5. Select the image or area of the image that you want to use in the pattern.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To create a full-color pattern from an image

  1. Click Tools } Create } Pattern.
  2. Enable the Full color option.
  3. Click OK.
  4. Select the image or area of the image that you want to use in the pattern.
  5. In the Create pattern dialog box, click OK.
  6. Type a filename for the pattern in the File name box.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a pattern fill from an imported image
  • To change the size of pattern tiles


To create a pattern fill from an imported image

  1. Select an object.
  2. Open the Fill flyout [image], and click the Pattern fill dialog [image] button.
  3. Enable one of the following options:
    • 2-color
    • Full-color
    • Bitmap
  4. Click Load.
  5. In the Import dialog box, locate the image you want to use, and double-click the filename.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To change the size of pattern tiles


To change the size of pattern tiles

  1. Select an object.
  2. Open the Fill flyout [image], and click the Pattern fill dialog button [image].
  3. Enable one of the following options:
    • 2-color
    • Full-color
    • Bitmap
  4. Type a value in any of the following boxes:
    • Width — lets you change the width of a pattern tile
    • Height — lets you change the height of a pattern tile

You can also |
Set the tile origin of a pattern fill | Type values in the X and Y boxes in the Origin area.
Offset the tile origin of a pattern fill | Enable the Row or Column option, and type a value in the % of tile size box.
Rotate a pattern fill | Type a value in the Rotate box.
Skew a pattern fill | Type a value in the Skew box.
Mirror a pattern fill | Enable the Mirror fill check box.
Transform a pattern fill with the object | Enable the Transform fill with object check box.

  • You can also change the size of pattern tiles by opening the Interactive fill flyout [image], clicking the Interactive fill tool [image], selecting an object, and clicking the Small tile for pattern, Medium tile for pattern, or Large tile for pattern button on the property bar.
  • You can skew or rotate tiles by opening the Interactive fill flyout [image], clicking the Interactive fill tool [image], selecting an object, and dragging the skewing or rotation handles to change the appearance of the pattern.
Related Topics
  • Applying pattern fills
  • To apply a two-color pattern fill
  • To apply a full-color or bitmap pattern fill
  • To create a two-color pattern fill
  • To create a two-color pattern fill from an image
  • To create a full-color pattern from an image
  • To create a pattern fill from an imported image


Applying texture fills

A texture fill is a randomly generated fill that you can use to give your objects a natural appearance. Corel R.A.V.E. provides preset textures, and each texture has a set of options that you can change. You can use colors from any color model or palette to customize texture fills. Texture fills can hold only RGB colors; however, other color models and palettes can be used as a reference to select colors. For information about color models, see "Understanding color models."

You can change the tile size of texture fills. Increasing the resolution of a texture tile increases the accuracy of the fill. You can also specify exactly where these fills begin by setting the tile origin. Corel R.A.V.E. also lets you offset tiles in a fill. Adjusting the horizontal or vertical position of the first tile, relative to the top of the object, affects the rest of the fill.

You can rotate, skew, adjust the tile size, and change the center of the texture to create a custom fill.

If you want a texture fill to change according to the actions you perform on the filled object, you can specify that you want the fill to transform with the object. For example, if you enlarge an object filled with a texture that transforms, the texture becomes larger instead of increasing the number of tiles.

Texture fills are powerful features that can enhance a drawing. However, they also increase the size of a file and the time it takes to print, so you may want to use them in moderation.

Related Topics
  • To apply a texture fill


To apply a texture fill

  1. Select an object.
  2. Open the Fill flyout [image], and click the Texture fill dialog button [image].
  3. Choose a texture library from the Texture library list box.
  4. Choose a texture from the Texture list.

You can also |
Create a custom texture fill | Specify the settings you want in the Style name area.
Change the size of texture tiles | Click Tiling, and type values in the Width and Height boxes.
Set the tile origin of a texture fill | Click Tiling, and type values in the X and Y boxes in the Origin area.
Offset the tile origin of a texture fill | Click Tiling, and enable the Row or Column option. Type an amount of offset in the % of tile size box.
Rotate a texture fill | Click Tiling, and type a value in the Rotate box.
Skew a texture fill | Click Tiling, and type a value in the Skew box.
Mirror a texture fill | Click Tiling, and enable the Mirror fill check box.

  • You can modify the texture you choose from the texture library and save it to another library, but you cannot save textures to or overwrite textures in the texture library.

  • You can save a custom texture fill by clicking the plus sign (+) in the Texture fill dialog box and typing a name in the Texture name box.
Related Topics
  • Applying texture fills


Applying mesh fills

When you fill an object with a mesh fill, you can create unique effects. For example, you can create smooth color transitions in any direction without having to create blends or contours. When you apply a mesh fill, you specify the number of columns and rows in the grid, and you specify the grid’s intersecting points. After you have created a mesh object, you can edit the mesh fill grid by adding and removing nodes or intersections. You can also remove the mesh.

A mesh fill can be applied only to closed objects or a single path. If you want to apply a mesh fill to a complex object, you must first create a mesh-filled object and combine it with the complex object to form a PowerClip object. For more information about working with PowerClip objects, see "Creating PowerClip objects."

You can add color to a patch of a mesh fill and to the individual intersection nodes. You can also choose to mix colors for a more blended appearance.

Related Topics
  • To apply a mesh fill to an object
  • To add color to a patch in a mesh fill


To apply a mesh fill to an object

  1. Select an object.
  2. Open the Interactive fill flyout [image], and click the Interactive mesh fill tool [image].
  3. Type the number of columns in the top portion of the Grid size box on the property bar.
  4. Type the number of rows in the bottom portion of the Grid size box on the property bar, and press Enter.
  5. Adjust the grid nodes on the object.

You can also |
Add an intersection | Click once within a grid, and click the Add intersection button [image] on the property bar.
Add a node | Hold down Shift, and double-click where you want to add the node.
Remove a node or an intersection | Click a node, and click the Delete node(s) button [image] on the property bar.
Shape the mesh fill | Drag a node to a new location.
Remove the mesh fill | Click the Clear mesh button [image] on the property bar.

  • If the mesh object contains color, adjusting the intersection nodes of the mesh affects how the colors blend together.

  • You can also marquee select or freehand marquee select nodes to shape an entire area of the mesh.
  • You can add an intersection by double-clicking in a space, or you can add a single line by double-clicking a line.
Related Topics
  • Applying mesh fills
  • To add color to a patch in a mesh fill


To add color to a patch in a mesh fill

  1. Select a mesh-filled object.
  2. Open the Interactive fill flyout [image], and click the Interactive mesh fill tool [image].
  3. Drag a color from the color palette to a patch in the object.

You can also |
Color an intersection node in a mesh fill | Click an intersection node, and click a color on the color palette.
Mix a color in a mesh fill | Select part of the mesh, press Ctrl, and click a color on the color palette.

  • You can also drag a color from the color palette to an intersection node.
  • You can also freehand marquee select nodes to apply a color to an entire area of the mesh.
Related Topics
  • Applying mesh fills
  • To apply a mesh fill to an object


Working with fills

There are a number of tasks that are common to all types of fills. You can choose a default fill color so that every object you add to a drawing has the same fill. You can also remove any fill, copy it to another object, or use it to fill an area surrounded by an open curve.

Related Topics
  • To choose a default fill color
  • To remove a fill
  • To copy a fill to another object
  • To show fills in open curves


To choose a default fill color

  1. Click a blank area on the stage to deselect all objects.
  2. Open the Fill flyout [image], and click the Fill color dialog.
  3. Specify any fill settings.
Related Topics
  • Working with fills
  • To remove a fill
  • To copy a fill to another object
  • To show fills in open curves


To remove a fill

  1. Select an object.
  2. Open the Fill flyout [image], and click the No fill button [image].
Related Topics
  • Working with fills
  • To choose a default fill color
  • To copy a fill to another object
  • To show fills in open curves


To copy a fill to another object

  1. Open the Eyedropper flyout [image], and click the Eyedropper tool [image].
  2. Choose Sample color from the list box on the property bar.
  3. Click the Sample size flyout on the property bar, and enable one of the following options:
    • 1X1 — lets you choose the average color in a 1X1 pixel area of the object
    • 3X3 — lets you choose the average color in a 3X3 pixel area of the object
    • 5X5 — lets you choose the average color in a 5X5 pixel area of the object
  4. Click the object whose fill you want to copy.
  5. Open the Eyedropper flyout [image], and click the Paintbucket tool [image].
  6. Click the object to which you want to apply the fill.

  • Fills you copy may not match the original fill. The closest equivalent RGB color is applied.

  • If you want to sample a color from your desktop, click the Eyedropper tool, choose Sample color from the list box on the property bar, and click Select from desktop. Click anywhere on your desktop to sample a color.
Related Topics
  • Working with fills
  • To choose a default fill color
  • To remove a fill
  • To show fills in open curves


To show fills in open curves

  1. Click Tools } Options.
  2. In the list of categories, double-click Document, and click General.
  3. Enable the Fill open curves check box.
Related Topics
  • Working with fills
  • To choose a default fill color
  • To remove a fill
  • To copy a fill to another object


Working with color

Your application lets you choose and create colors using a wide variety of industry-standard palettes, color mixers, and color models. You can create and edit custom color palettes to store frequently used colors for future use.

You can also customize how color palettes display on your screen by changing the size of swatches, the number of rows in palettes, and other properties.

In this section, you’ll learn about

  • choosing colors
  • creating custom color palettes


Choosing colors

You can choose fill and outline colors using fixed or custom color palettes, color viewers, color harmonies, or color blends.

For information about applying the colors you choose, see "Applying uniform fills" and "Formatting lines and outlines."

When you want to use a color that already exists in an object or document, you can sample the color to achieve an exact match. For more information, see "To copy a fill to another object."

Choosing a color using the default color palette

A color palette is a collection of color swatches. You can choose fill and outline colors using the default color palette, which contains 99 colors from the CMYK color model. The selected fill and outline colors display in the color swatches on the status bar.

Choosing a color using fixed or custom color palettes

Fixed color palettes are provided by third-party manufacturers. Some examples of these are PANTONE, HKS Colors, and TRUMATCH. It may be useful to have on hand a manufacturer’s swatch book, which is a collection of color samples that shows exactly what each color looks like when printed.

Some fixed color palettes — PANTONE, HKS Colors, TOYO, DIC, Focoltone, and SpectraMaster — are collections of spot colors. If you create color separations when you print, each color from these color palettes requires a separate printing plate. This can significantly affect the cost of your print job. If you want to use these colors, but you don’t want to use spot colors, convert the spot colors to process colors when printing.

Custom color palettes can include colors from any color model or fixed color palette. You can save a custom color palette for future use. For more information about working with custom color palettes, see "Creating custom color palettes" and "Opening and editing custom color palettes."

Choosing a color using color viewers

Color viewers give a representation of a range of colors using either one-dimensional or three-dimensional shapes. The default color viewer is based on the HSB color model, but you can use this viewer to choose CMYK, CMY, or RGB colors. For information about color models, see "Understanding color models."

Choosing a color using color harmonies

Color harmonies work by superimposing a shape, such as a rectangle or a triangle, over a color wheel. Each vertical row in the color grid begins with the color located at one of the points on the superimposed shape.

The colors at each corner of the shape are always complementary, contrasting, or harmonious, depending on the shape you choose. The color harmonies allow you to choose the color model you prefer to use, and are most useful when you’re choosing several colors for a project.

Choosing a color using color blends

When you choose a color using color blends, you combine base colors to get the color you want. The color blender displays a grid of colors that it creates from the four base colors you choose.

Related Topics
  • To choose a color using the default color palette
  • To choose a color using a fixed or custom color palette
  • To choose a color using a color viewer
  • To choose a color using color harmonies
  • To choose a color using color blends


To choose a color using the default color palette

To | Do the following
Choose a fill color for a selected object | Click a color swatch.
Choose an outline color for a selected object | Right-click a color swatch.
Choose from different shades of a color | Click and hold a color swatch to display a pop-up color picker, and click a color.
View more colors in the default color palette | Click the scroll arrows at the top and bottom of the color palette.

  • You can display color names by pointing to a swatch.
Related Topics
  • Choosing colors
  • To choose a color using a fixed or custom color palette
  • To choose a color using a color viewer
  • To choose a color using color harmonies
  • To choose a color using color blends


To choose a color using a fixed or custom color palette

  1. Select an object.
  2. Open one of the following flyouts:
    • the Fill flyout, and click the Fill color dialog tool [image].
    • the Outline flyout, and click the Outline color dialog tool [image].
  3. Click the Palettes tab.
  4. Choose a fixed or custom palette from the Palette list box.
  5. Move the color slider to set the range of colors displayed in the color selection area.
  6. Click a color in the color selection area.

  • Each color swatch on a fixed color palette is marked with a small white square.
  • You should use the same color model for all colors in a movie; the colors will be consistent and you will be able to predict the colors of the final output more accurately. It is preferable to use the same color model that you are using for the final output.

  • You can display or hide the names of fixed or custom colors by clicking Options } Show color names.
  • You can swap the Old color (of the selected object) and the New color (which has been chosen in the color selection area) by clicking Options } Swap colors.
Related Topics
  • Choosing colors
  • To choose a color using the default color palette
  • To choose a color using a color viewer
  • To choose a color using color harmonies
  • To choose a color using color blends


To choose a color using a color viewer

  1. Select an object.
  2. Open one of the following flyouts:
    • the Fill flyout, and click the Fill color dialog tool [image].
    • the Outline flyout, and click the Outline color dialog tool [image].
  3. Click the Models tab.
  4. Choose a color model from the Model list box.
  5. Click Options } Color viewers, and click a color viewer.
  6. Move the color slider.
  7. Click a color in the color selection area.

  • You should use the same color model for all colors in a movie; the colors will be consistent and you will be able to predict the colors of the final output more accurately. It is preferable to use the same color model that you are using for the final output.

  • You can swap the Old color (of the selected object) and the New color (which has been chosen in the color selection area) by clicking Options } Swap colors.
Related Topics
  • Choosing colors
  • To choose a color using the default color palette
  • To choose a color using the default color palette
  • To choose a color using color harmonies
  • To choose a color using color blends


To choose a color using color harmonies

  1. Select an object.
  2. Open one of the following flyouts:
    • the Fill flyout, and click the Fill color dialog tool [image].
    • the Outline flyout, and click the Outline color dialog tool [image].
  3. Click the Mixers tab.
  4. Click Options } Mixers } Color harmonies.
  5. Choose a shape from the Hues list box.
  6. Choose an option from the Variation list box.
  7. Drag the black dot on the color wheel.
  8. Click a color swatch on the color palette below the color wheel.

  • You can change the number of swatches in the color grid by dragging the Size slider.
  • You can swap the Old color (of the selected object) and the New color (which has been chosen in the color selection area) by clicking Options } Swap colors.
Related Topics
  • Choosing colors
  • To choose a color using the default color palette
  • To choose a color using the default color palette
  • To choose a color using a color viewer
  • To choose a color using color blends


To choose a color using color blends

  1. Select an object.
  2. Open one of the following flyouts:
    • the Fill flyout, and click the Fill color dialog tool [image].
    • the Outline flyout, and click the Outline color dialog tool [image].
  3. Click the Mixers tab.
  4. Click Options } Mixers } Color blend.
  5. Open each color picker, and click a color.
  6. Click a color in the color selection area.

  • You can only blend colors that are in the default color palette. If you want to blend other colors, change the default color palette. For information, see "To open a custom color palette."

  • You can change the cell size of the color grid by moving the Size slider.
  • You can swap the Old color (of the selected object) and the New color (which has been chosen in the color selection area) by clicking Options } Swap colors.
Related Topics
  • Choosing colors
  • To choose a color using the default color palette
  • To choose a color using the default color palette
  • To choose a color using a color viewer
  • To choose a color using color harmonies


Creating custom color palettes

Custom color palettes are collections of colors that you save. A number of preset custom color palettes are available; however, you can create color palettes from scratch. Custom color palettes are useful when you frequently choose the same colors, or when you want to work with a set of colors that look good together.

You can create a custom color palette by choosing each color manually, or by using colors in an object or an entire area.

Related Topics
  • To create a custom color palette
  • To create a color palette from an object
  • To create a color palette from a document


To create a custom color palette

  1. Click Window } Color palettes } Palette editor.
  2. Click New palette [image].
  3. Type a filename.
  4. Click Save.
Related Topics
  • Creating custom color palettes
  • To create a color palette from an object
  • To create a color palette from a document


To create a color palette from an object

  1. Select an object.
  2. Click Window } Color palettes } Create palette from selection.
  3. Type a filename.
  4. Click Save.
Related Topics
  • Creating custom color palettes
  • To create a custom color palette
  • To create a color palette from a document


To create a color palette from a document

  1. Click Window } Color palettes } Create palette from document.
  2. Type a filename.
  3. Click Save.
Related Topics
  • Creating custom color palettes
  • To create a custom color palette
  • To create a color palette from an object


Opening and editing custom color palettes

You can open a custom color palette, and you can set it as the default color palette. For more information about customizing color palettes, see "Setting color palette properties."

When you create a custom color palette, the color palette is empty; however, you can edit it by adding the colors you want to include, as well as changing, deleting, sorting, and renaming colors.

Related Topics
  • To open a custom color palette
  • To edit a custom color palette


To open a custom color palette

  1. Click Window } Color palettes } Open palette.
  2. Click Window } Color palettes } Color palette browser.
  3. Click the Open palette button [image].
  4. Choose the folder where the custom color palette is stored.
  5. Double-click the filename.

    6. If you want to set the opened custom color palette as the default palette, right-click anywhere on the edge of the color palette border, and click Set as default.

  • You can close a custom color palette by right-clicking the edge of the color palette, and clicking Palette } Close.
Related Topics
  • Opening and editing custom color palettes
  • To edit a custom color palette


To edit a custom color palette

  1. Click Window } Color palettes } Palette editor.
  2. Choose a palette from the list box.
  3. Modify any colors.

To | Do the following
Add a color | Click Add color. Click a color in the color selection area, and click Add to palette.
Change a color | In the color selection area, click the color that you want to change, click Edit color, and click the new color in the color selection area.
Delete a color | Click a color in the color selection area, and click Delete color.
Sort colors | Click Sort colors, and click a color sorting method.
Rename a color | Click a color in the color selection area, and type a color name in the Name box.

  • You can delete multiple colors from a custom color palette by holding down Shift or Ctrl, and clicking in the color selection area.
Related Topics
  • Opening and editing custom color palettes
  • To open a custom color palette


Setting color palette properties

Your application offers you the option of customizing color palettes.

Color palettes can be either docked or floating. Docking a color palette attaches it to the edge of the application window. Undocking a color palette pulls it away from the edge of the application window, so it floats and can be easily moved around.

You can set the right mouse button action for color swatches to either display a context menu or to set the outline color. You can also adjust the color swatch border and size, and you can hide or display the No color well.

Related Topics
  • To dock or undock a color palette
  • To set the right mouse button action for color swatches
  • To customize the color swatches


To dock or undock a color palette

To | Do the following
Dock a color palette | Click the top of the color palette border, and drag the color palette to any edge of the application window until a thin black toolbar outline displays.
Undock a color palette | Click the color palette border, and drag the color palette away from the edge of the application window.
Change the number of rows on a docked color palette | Click Tools } Customization. In the Customization list of categories, click Color palette. Type a value in the Maximum palette rows when docked box.

  • You can set a maximum of seven rows in a color palette.
Related Topics
  • Setting color palette properties
  • To set the right mouse button action for color swatches
  • To customize the color swatches


To set the right mouse button action for color swatches

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Color palette.
  3. Enable one of the following check boxes:
    • Context menu
    • Set outline color

  • If you enable Set outline color, you can still display the context menu by right-clicking anywhere on the border of a color palette.
Related Topics
  • Setting color palette properties
  • To dock or undock a color palette
  • To customize the color swatches


To customize the color swatches

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Color palette.
  3. Enable or disable any of the following check boxes:
    • Wide borders
    • Large swatches
    • Show no color well
Related Topics
  • Setting color palette properties
  • To dock or undock a color palette
  • To set the right mouse button action for color swatches


Understanding color models

You need a precise method to define colors. Color models provide various methods to define colors, each model defining colors through the use of specific color components. There are a range of color models to choose from when creating graphics.

CMYK color model

The CMYK color model defines color using the following components:

  • cyan (C)
  • magenta (M)
  • yellow (Y)
  • black (K)

The cyan, magenta, yellow, and black components are the amounts of cyan, magenta, yellow, and black ink that a CMYK color contains and are measured in percent from 0 to 100.

The CMYK color model is a subtractive color model. Subtractive color models use reflected light to display color. Printed materials are produced using the CMYK color model. When you combine cyan, magenta, yellow, and black, so that the value of each component is 100, the result is black. When the value of each component is 0, the result is pure white.

RGB color model

The RGB color model defines color using the following components:

  • red (R)
  • green (G)
  • blue (B)

The red, green, and blue components are the amounts of red, green, and blue light that an RGB color contains and are measured in values ranging from 0 to 255.

The RGB color model is an additive color model. Additive color models use transmitted light to display color. Monitors use the RGB color model. When you add red light, blue light, and green light together, so that the value of each component is 255, the color white displays. When the value of each component is 0, the result is pure black.

HSB color model

The HSB color model defines color using the following components:

  • hue (H)
  • saturation (S)
  • brightness (B)

Hue describes the pigment of a color and is measured in degrees from 0 to 359 (for example, 0 degrees is red, 60 degrees yellow, 120 degrees green, 180 degrees cyan, 240 degrees blue, and 300 degrees magenta). Saturation describes the vividness or dullness of a color and is measured in percent from 0 to 100 (the higher the percentage, the more vivid the color). Brightness describes the amount of white that the color contains and is measured in percent from 0 to 100 (the higher the percentage, the brighter the color).

Grayscale color model

The Grayscale color model defines color using only one component, lightness, and is measured in values ranging from 0 to 255. Each Grayscale color has equal values of the red, green, and blue components of the RGB color model.


Working with color styles

The Corel R.A.V.E. application lets you create and apply color style in movies. After you create a color style, you can edit it and apply it to any number of objects. When you edit a style, all the unlocked objects using that style are automatically updated, letting you make design changes to many objects in one step.

You can save all styles in the active movie and use them for all new movies you create. For more information, see "Saving defaults."

In this section, you’ll learn about

  • creating and applying color styles
  • editing and sorting color styles
  • moving and copying color styles


Creating and applying color styles

A color style is a color you save and apply to objects in a movie. Since an infinite number of colors are available in Corel R.A.V.E., color styles can make it easier to apply the exact color you want.

When you create a color style, the new style is saved to the active movie. After you create a color style, you can apply it to objects in the movie. You can also delete color styles if you no longer require them.

One powerful feature of color styles is that you can create a shade or series of shades based on a color style. The original color style is referred to as the “parent” color, and the shades are referred to as “child” colors. For most of the available color models and palettes, child colors share the same hue as the parent color but have different saturation and brightness levels. With the PANTONE MATCHING SYSTEM, PANTONE Hexachrome, and Custom spot color palettes, child and parents are linked to one another but have different tint levels.

Corel R.A.V.E. has an Auto-create feature for creating color styles from selected objects. For example, you can import a movie and Auto-create color styles from an object in the movie. When you create color styles from an object, the color style is automatically applied to that object so that if you decide to change a color style, the object’s related color will also be updated. For more information on importing files, see "Importing files."

When you use the Auto-create feature, you can choose to create few or many parent color styles. After you have converted all colors to color styles, you can, for example, use one parent color to control all red objects, or many parents, one for each shade of red in the movie.

When creating child colors, colors added from a color-matching system are converted to the parent color’s color model so that they can be grouped into appropriate parent-child groups automatically.

Related Topics
  • To create a color style
  • To create a child color
  • To create a series of child colors
  • To create parent and child colors from an object


To create a color style

  1. Click Tools } Color styles.
  2. In the Color styles docker, click the New color style button [image].
  3. Select a color from the New color style dialog box.

You can also |
Apply a color style | Select an object, and double-click the name of the style you want to apply in the Color styles docker.
Delete a color style | Right-click the color style in the Color styles docker, and click Delete.

  • You can also create a color style from an object or the color palette by dragging a color to the Color styles docker.
  • You can also apply a color style to an object by dragging a color from the Color styles docker.
Related Topics
  • Creating and applying color styles
  • To create a child color
  • To create a series of child colors
  • To create parent and child colors from an object


To create a child color

  1. Click Tools } Color styles.
  2. In the Color styles docker, choose the color style to which you want to link a child color.
  3. Click the New child color(s) button [image].
  4. In the Create a new child color dialog box, specify the settings you want.
  5. Type a name in the Color name box.

  • You can also create a child color by typing values in the Saturation and Brightness boxes.
Related Topics
  • Creating and applying color styles
  • To create a color style
  • To create a series of child colors
  • To create parent and child colors from an object


To create a series of child colors

  1. Click Tools } Color styles.
  2. In the Color styles docker, choose the color style to which you want to link a child color.
  3. Click the New child color(s) button [image].
  4. In the Number of shades area, type a value in the Create box.
  5. Enable one of the following options:
    • Lighter shades — creates child colors that are lighter than the parent
    • Darker shades — creates child colors that are darker than the parent
    • Both — creates an equal number of light and dark child colors
  6. Adjust the Shade similarity slider.

    7. Move the slider to the left to create very different shades; move the slider to the right to create very similar shades.

  • You can also create a series of child colors by right-clicking a color style and clicking Create a child color.
Related Topics
  • Creating and applying color styles
  • To create a color style
  • To create a child color
  • To create parent and child colors from an object


To create parent and child colors from an object

  1. Click Tools } Color styles.
  2. Select an object or a group of objects.
  3. In the Color styles docker, click the Auto create color styles button [image].
  4. Enable any of the following check boxes:
    • Use fill colors
    • Use outline colors
  5. Enable the Automatically link similar colors together check box to link similar colors together under their appropriate parent colors.
  6. Click the Convert child palette colors to CMYK check box.

    7. If you want to convert colors added from a color-matching system to CMYK so that they can be grouped under an appropriate parent color, enable this check box. If you want these colors to represent separate color styles, disable the check box.

  • If you enable the Automatically link similar colors check box, move the Parent creation index slider to determine the number of parent colors created. To test different slider values, click Preview.
Related Topics
  • Creating and applying color styles
  • To create a color style
  • To create a child color
  • To create a series of child colors


Editing and sorting color styles

You can edit both parent and child colors in Corel R.A.V.E. When you change the hue of a parent color, all of its child colors are updated, based on the new hue and the original saturation and brightness values. For color styles using the PANTONE MATCHING SYSTEM, PANTONE Hexachrome, and Custom spot color palettes, if you change the color of a parent, all child colors are updated, based on the new color and the original tint.

If you want to change the color of the object later, you can edit the parent color, and Corel R.A.V.E. will automatically adjust the child colors. For example, if you change a parent color from red to yellow, Corel R.A.V.E. converts the child colors of the red parent to shades of yellow.

Sorting color styles allows you to locate a style in less time. Instead of having color styles appearing randomly in a list, you can sort color styles alphabetically by name, or you can have all parent colors with child colors listed first.

Related Topics
  • To edit a parent or child color


To edit a parent or child color

  1. Click Tools } Color styles.
  2. In the Color styles docker, choose the parent or child color you want to edit.
  3. Click the Edit color style button [image].
  4. Select a color from either of the following dialog boxes:
    • Edit color style — for parent colors
    • Edit child color — for child colors

You can also |
Rename a color style | Right-click a color style, click Rename, type a new name for the color, and press Enter.
Sort colors by name | Click Tools } Color styles, right-click the folder whose color styles you want to sort, and click Sort } By names.
Sort by links | Click Tools } Color styles, right-click the folder whose color styles you want to sort, and click Sort } By color styles with children.

  • You can also edit a parent or child color by right-clicking the color and clicking Edit color.
  • You can also rename a color style by clicking the color style, pausing, clicking the color style a second time, typing the new name, and pressing Enter.
Related Topics
  • Editing and sorting color styles


Moving and copying color styles

You can move a child color from one parent to another. The child color will change color based on the new hue and the original saturation, brightness, or tint levels. You can also copy color styles from one movie to another.

Related Topics
  • To move a child color
  • To copy a color style from one movie to another


To move a child color

  1. Click Tools } Color styles.
  2. In the Color styles docker, drag the child color under another parent color using the Pick tool [image].
Related Topics
  • Moving and copying color styles
  • To copy a color style from one movie to another


To copy a color style from one movie to another

  1. Open the movie with the color style you want to copy.
  2. Open the movie to which you want to copy the style.
  3. Click Tools } Color styles.
  4. In the Color styles docker, drag the color style to another movie folder.
Related Topics
  • Moving and copying color styles
  • To move a child color


Adding three-dimensional effects to objects

You can create the illusion of three-dimensional depth in Corel R.A.V.E. objects by adding contour, extrusion, or drop shadow effects.

In this section, you’ll learn about

  • contouring objects
  • applying perspective to objects
  • creating vector extrusions
  • creating drop shadows


Contouring objects

You can contour an object to create a series of concentric lines that progress to the inside or outside of the object. Corel R.A.V.E. also lets you set the number and distance of the contour lines.

After contouring an object, you can copy or clone its contour settings to another object.

You can also change the colors of the fill between the contour lines and the contour outlines themselves. You can set a color progression in the contour effect, where one color blends into another. The color progression can follow a straight, clockwise, or counterclockwise path through the color range of your choice.

A center contour has been applied to the above object. The number of contour lines, as well as the distance between lines, can be changed.

An outside contour has been applied to the above object. Note that an outside contour projects from the outside edge of the object.

Related Topics
  • To contour an object
  • To copy or clone a contour
  • To set the fill color for a contour object
  • To specify an outline color for the contour object
  • To set the fill progression


To contour an object

  1. Open the Interactive tools flyout [image], and click the Interactive contour tool [image].
  2. Click an object or a set of grouped objects, and drag the start handle toward the center to create an inside contour.
  3. Move the object slider to change the number of contour steps.

You can also |
Specify the number of contour lines | Click the Inside button [image] on the property bar, and type a value in the Contour steps box on the property bar.
Specify the distance between contour lines | Type a value in the Contour offset box on the property bar.
Accelerate contour line progression | Click the Object and color acceleratio n button [image] on the property bar, and move the object slider.

  • You can create an outside contour by dragging the start handle away from the center.
Related Topics
  • Contouring objects
  • To copy or clone a contour
  • To set the fill color for a contour object
  • To specify an outline color for the contour object
  • To set the fill progression


To copy or clone a contour

  1. Select the object you want to contour.
  2. Click Effects and click one of the following:
    • Copy effect } Contour from
    • Clone effect } Contour from
  3. Click a contour object.

  • You can also use the Eyedropper tool [image] to copy a contour. For more information, see "To copy effects from one object to another object."
Related Topics
  • Contouring objects
  • To contour an object
  • To set the fill color for a contour object
  • To specify an outline color for the contour object
  • To set the fill progression


To set the fill color for a contour object

  1. Open the Interactive tools flyout [image], and click the Interactive contour tool [image].
  2. Select a contour object.
  3. Open the Fill color picker on the property bar, and click a color.

    4. If the original object has a fountain fill, a second color picker displays.

  • You can accelerate the fill color progression by clicking the Object and color acceleration button [image] on the property bar.
  • You can change the contour center’s color by dragging a color from the color palette to the end fill handle.
Related Topics
  • Contouring objects
  • To contour an object
  • To copy or clone a contour
  • To specify an outline color for the contour object
  • To set the fill progression


To specify an outline color for the contour object

  1. Open the Interactive tools flyout [image], and click the Interactive contour tool [image].
  2. Select a contour object.
  3. Open the Outline color picker on the property bar, and click a color.
Related Topics
  • Contouring objects
  • To contour an object
  • To copy or clone a contour
  • To set the fill color for a contour object
  • To set the fill progression


To set the fill progression

  1. Open the Interactive tools flyout [image], and click the Interactive contour tool [image].
  2. Select a contour object.
  3. Click one of the following buttons on the property bar:
    • Linear contour colors
    • Clockwise contour colors
    • Counterclockwise contour colors
Related Topics
  • Contouring objects
  • To contour an object
  • To copy or clone a contour
  • To set the fill color for a contour object
  • To specify an outline color for the contour object


Applying perspective to objects

You can create a perspective effect by shortening one or two sides of an object. This effect gives an object the appearance of receding in one or two directions, thereby creating a one-point perspective or a two-point perspective.

Perspective effects can be added to objects or grouped objects. You can also add a perspective effect to linked groups, such as contours, blends, extrusions, and objects created with the Artistic media tool. You can’t add perspective effects to paragraph text, bitmaps, or symbols.

The original graphic (left) with one-point (middle) and two-point (right) perspectives applied to it.

After you apply a perspective effect, you can copy it to other objects in a drawing, adjust it, or remove it from the object.

Related Topics
  • To apply a perspective
  • To copy an object’s perspective effect
  • To adjust the perspective
  • To remove an object’s perspective effect


To apply a perspective

To |
Apply a one-point perspective | Click Effects } Add perspective. Press Ctrl, and drag a node.
Apply a one-point perspective | Click Effects } Add perspective. Press Ctrl, and drag a node.
Apply a two-point perspective | Click Effects } Add perspective. Drag the nodes on the outside of the grid to apply the effect you want.

  • Pressing Ctrl constrains the node’s movement to the horizontal or vertical axis to create a one-point perspective effect.

  • You can move opposing nodes the same distance in opposite directions by pressing Ctrl + Shift as you drag.
Related Topics
  • Applying perspective to objects
  • To copy an object’s perspective effect
  • To adjust the perspective
  • To remove an object’s perspective effect


To copy an object’s perspective effect

  1. Select an object to which you want to apply a perspective effect.
  2. Click Effects } Copy effect } Perspective from.
  3. Select an object whose perspective effect you want to copy.

  • You can also use the Eyedropper tool [image] to copy a perspective effect. For more information, see "To copy effects from one object to another object."
Related Topics
  • Applying perspective to objects
  • To apply a perspective
  • To adjust the perspective
  • To remove an object’s perspective effect


To adjust the perspective

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select an object that has a perspective effect.
  3. Drag a node to a new position.

  • You can also adjust the perspective by dragging one or both of the vanishing points.
  • You can move opposing nodes the same distance in opposite directions by pressing Ctrl + Shift while dragging the node.
Related Topics
  • Applying perspective to objects
  • To apply a perspective
  • To copy an object’s perspective effect
  • To remove an object’s perspective effect


To remove an object’s perspective effect

  1. Select an object that has a perspective effect.
  2. Click Effects } Clear perspective.
Related Topics
  • Applying perspective to objects
  • To apply a perspective
  • To copy an object’s perspective effect
  • To adjust the perspective


Creating vector extrusions

You can make objects appear three-dimensional by creating vector extrusions. You can create vector extrusions by projecting points from an object and joining them to create an illusion of three dimensions. Corel R.A.V.E. also lets you apply a vector extrusion to an object in a group.

After you create an extrusion, you can copy or clone its attributes to a selected object. Cloning and copying transfer the extrusion attributes of an extruded object to another. However, the cloned extrusion settings cannot be edited independently from the master.

You can change an extruded form by rotating it and rounding its corners.

Corel R.A.V.E. also lets you remove a vector extrusion.

Extruded fills

You can apply fills to an entire vector extrusion or to the extruded surfaces of a vector extrusion. You can cover each surface individually with the fill, or you can drape the fill so that it blankets the entire object with no breaks to the pattern or texture.

Extruded fills:(left to right) solid color, solid color with lighting, draped two-color pattern, undraped two-color pattern, draped bitmap

Lighting

You can enhance vector extrusions by applying light sources. You can add up to three light sources to project toward the extruded object with varying intensity. When you no longer need light sources, you can remove them.

Vanishing points

You can create a vector extrusion in which the lines of the extrusion converge at a vanishing point. The vanishing point of a vector extrusion can be copied to another object so that both objects appear to recede toward the same point.

Vector extrusions with the same vanishing point

You can also give two vector extrusions different vanishing points.

Vector extrusions with different vanishing points

Related Topics
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To create a vector extrusion

  1. Open the Interactive tools flyout [image], and click the Interactive extrude tool [image].
  2. Choose an extrusion type from the Extrusion type list box on the property bar.
  3. Select an object.
  4. Drag the object’s selection handles to set the direction and depth of the extrusion.

    5. If you want to reset the extrusion, press Esc before releasing the mouse button.

You can also |
Apply preset settings to a vector extrusion | Select an extrude object, click Interactive extrude tool, and choose a preset setting from the Preset list box on the property bar.

Related Topics
  • Creating vector extrusions
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To copy or clone a vector extrusion

  1. Select the object you want to extrude.
  2. Click Effects and click one of the following:
    • Copy effect } Extrude from
    • Clone effect } Extrude from
  3. Click an extruded object.

  • You can also use the Eyedropper tool [image] to copy a vector extrusion. For more information, see "To copy effects from one object to another object."
Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To change a vector extrusion’s form

To | Do the following
Rotate an extrusion | Select an extruded object. Click the Extrude rotation button [image] on the property bar. Drag the extrusion in the direction you want.
Round the corners of an extruded rectangle or square | Open the Shape edit flyout [image] , and click the Shape tool [image] . Drag a corner node along the outline of the rectangle or square.

Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To remove a vector extrusion

  1. Select an extruded object.
  2. Click Effects } Clear extrude.

  • You can also remove a vector extrusion by clicking the Clear extrude button [image] on the property bar.
Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To apply a fill to a vector extrusion

  1. Select an extruded object with the Interactive extrude tool [image].
  2. Click the Color button [image] on the property bar.
  3. Click one of the following buttons:
    • Use object fill [image] — applies the object’s fill to the extrusion.
    • Use solid color [image] — applies a solid color to the extrusion
    • Use color shading [image] — applies a gradient fill to the extrusion

  • You can apply an unbroken pattern or texture fill to an object by enabling the Drape fills check box before you click the Use object fill button.
Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To add light to a vector extrusion
  • To change the vanishing point of a vector extrusion


To add light to a vector extrusion

  1. Select an extruded object.
  2. Click the Lighting button [image] on the property bar.
  3. Click any of the three Light buttons [image] .

    4. The lights appear as numbered circles in the preview window.

  4. Drag the numbered circles in the Light intensity preview window to position the lights.

    5. If you want to create more realistic shading, enable the Use full color range check box.

You can also |
Adjust the intensity of a light source | Select a light in the Light intensity preview window and move the Intensity slider.
Remove a light source | Click an active Light button.

Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To change the vanishing point of a vector extrusion


To change the vanishing point of a vector extrusion

To | Do the following
Lock a vanishing point | Double-click an extruded object. Choose VP locked to object or VP locked to page from the Vanishing point properties list box on the property bar.
Copy a vanishing point | Double-click an extruded object whose vanishing point you want to change. Choose Copy VP from the Vanishing point properties list box on the property bar. Select the extruded object that has the vanishing point you want to copy.
Set one vanishing point for two extrusions | Double-click an extruded object. Choose Shared vanishing point from the Vanishing point properties list box on the property bar. Select the extruded object that has the vanishing point you want to share.
Related Topics
  • Creating vector extrusions
  • To create a vector extrusion
  • To copy or clone a vector extrusion
  • To change a vector extrusion’s form
  • To remove a vector extrusion
  • To apply a fill to a vector extrusion
  • To add light to a vector extrusion


Creating drop shadows

Drop shadows simulate light falling on an object from one of five particular perspectives: flat, right, left, bottom, and top. You can add drop shadows to most objects or groups of objects, including artistic text, paragraph text, and bitmaps.

When you add a drop shadow, you can change its perspective, and you can adjust attributes such as color, opacity, fade level, angle, and feathering.

A drop shadow applied to an object

After you create a drop shadow, you can copy it or clone it to a selected object. When you copy a drop shadow, the original and copy have no connection and can be edited independently. With cloning, the master object’s drop shadow attributes are automatically applied to its clone.

The feathered effect softens the edges of a drop shadow.

By separating a drop shadow from its object, you can gain more control over the drop shadow itself. Drop shadows are bitmaps, so any feature or effect that can be used to modify a bitmap can be applied to a drop shadow. You can also set the rendering resolution of a drop shadow.

You can also remove a drop shadow.

Related Topics
  • To add a drop shadow
  • To copy or clone a drop shadow
  • To separate a drop shadow from an object
  • To adjust the resolution of a drop shadow
  • To remove a drop shadow


To add a drop shadow

  1. Open the Interactive tools flyout [image], and click the Interactive drop shadow tool [image].
  2. Click an object.
  3. Drag from the center or side of the object until the drop shadow is the size you want.
  4. Specify any attributes on the property bar.

  • You can’t add drop shadows to linked groups, such as blended objects, contoured objects, beveled objects, extruded objects, objects created with the Artistic media tool [image], or other drop shadows.
Related Topics
  • Creating drop shadows
  • To copy or clone a drop shadow
  • To separate a drop shadow from an object
  • To adjust the resolution of a drop shadow
  • To remove a drop shadow


To copy or clone a drop shadow

  1. Select the object to which you want to copy or clone a drop shadow.
  2. Click Effects and click one of the following:
    • Copy effect } Drop shadow from
    • Clone effect } Drop shadow from
  3. Click the drop shadow of an object.

  • You can also use the Eyedropper tool [image] to copy a drop shadow. For more information, see "To copy effects from one object to another object."
Related Topics
  • Creating drop shadows
  • To add a drop shadow
  • To separate a drop shadow from an object
  • To adjust the resolution of a drop shadow
  • To remove a drop shadow


To separate a drop shadow from an object

  1. Select an object’s drop shadow.
  2. Click Arrange } Break drop shadow group apart.
  3. Drag the shadow.
Related Topics
  • Creating drop shadows
  • To add a drop shadow
  • To copy or clone a drop shadow
  • To adjust the resolution of a drop shadow
  • To remove a drop shadow


To adjust the resolution of a drop shadow

  1. Click Tools } Options.
  2. In the Workspace list of categories, click General.
  3. Type a value in the Resolution box.
Related Topics
  • Creating drop shadows
  • To add a drop shadow
  • To copy or clone a drop shadow
  • To separate a drop shadow from an object
  • To remove a drop shadow


To remove a drop shadow

  1. Select an object’s drop shadow.
  2. Click Effects } Clear drop shadow.

  • You can also remove a drop shadow from an object by clicking the Clear drop shadow button [image] on the property bar.
Related Topics
  • Creating drop shadows
  • To add a drop shadow
  • To copy or clone a drop shadow
  • To separate a drop shadow from an object
  • To adjust the resolution of a drop shadow


Changing the transparency of objects

You can apply a transparency to an object so that all objects behind it show through. The Corel R.A.V.E. application also lets you specify how the color of the transparent object combines with the color of the object beneath it.

In this section, you’ll learn about

  • applying transparencies
  • applying merge modes


Applying transparencies

When you apply a transparency to an object, you make the objects beneath it partially visible. You can apply transparencies using the same kind of fills you apply to objects; that is, uniform, fountain, texture, and pattern. For more information about these fills, see "Filling objects."

By default, Corel R.A.V.E. applies all transparencies to the object’s fill and outline; however, you can specify whether you want the transparency to apply only to the object’s outline or fill.

You can also copy a transparency from one object to another.

When you position a transparency over an object, you can freeze it, making the view of the object move with the transparency.

Some types of transparencies: uniform, fountain, textured, and patterned

Related Topics
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To apply a uniform transparency

  1. Select an object.
  2. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  3. On the property bar, choose Uniform from the Transparency type list box.
  4. Click a color on the color palette.
  5. Type a value in the Starting transparency box on the property bar, and press Enter.
Related Topics
  • Applying transparencies
  • To apply a fountain transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To apply a fountain transparency

  1. Select an object.
  2. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  3. On the property bar, choose one of the following fountain transparencies from the Transparency type list box:
    • Linear
    • Radial
    • Conical
    • Square
  4. Reposition the interactive vector handles that display, or point to where you want the transparency to start on the object, and drag to where you want the transparency to end.

    5. If you want to reset the transparency, press Esc before releasing the mouse button.

  5. Type a value in the Transparency midpoint box on the property bar, and press Enter.

  • You can create a custom fountain transparency by dragging colors, whose shades convert to grayscale, from the color palette onto the object’s interactive vector handles [image].
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To apply a textured transparency

  1. Select an object.
  2. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  3. Choose Texture from the Transparency type list box on the property bar.
  4. Choose a sample from the Texture library list box on the property bar.
  5. Open the First transparency picker on the property bar and click a texture.
  6. On the property bar, type values in the following boxes:
    • Starting transparency — lets you change the opacity of the starting color
    • Ending transparency — lets you change the opacity of the ending color
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To apply a pattern transparency

  1. Select an object.
  2. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  3. From the Transparency type list box on the property bar, choose one of the following:
    • Two-color pattern — a simple picture composed of “on” and “off” pixels. The only shades included in the picture are the two that you assign.
    • Full-color pattern — a picture composed of lines and fills, instead of dots of color like bitmaps. These vector graphics are smoother and more complex than bitmap images and are easier to manipulate.
    • Bitmap pattern — a color picture composed of patterns of light and dark or differently colored pixels in a rectangular array.
  4. Open the First transparency picker on the property bar, and click a pattern.
  5. On the property bar, type values in the following boxes:
    • Starting transparency
    • Ending transparency
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a textured transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To specify the extent of a transparency

  1. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  2. Select an object to which a transparency has been applied.
  3. From the Transparency target list box on the property bar, choose one of the following:
    • Fill
    • Outline
    • All
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To copy a transparency to another object
  • To freeze the contents of a transparency


To copy a transparency to another object

  1. Select an object to which you want to apply a transparency.
  2. Click Effects } Copy effect } Lens from.
  3. Using the horizontal cursor, select the object with the transparency you want to copy.
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To freeze the contents of a transparency


To freeze the contents of a transparency

  1. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  2. Select an object to which a transparency has been applied.
  3. Click the Freeze button [image] on the property bar.

  • The view of the object beneath the transparency moves with it; however, the actual object remains unchanged.
Related Topics
  • Applying transparencies
  • To apply a uniform transparency
  • To apply a fountain transparency
  • To apply a textured transparency
  • To apply a pattern transparency
  • To specify the extent of a transparency
  • To copy a transparency to another object


Applying merge modes

You can apply a merge mode to a transparency to specify how the color of a transparency is combined with the color of the object behind it.

Merge mode | Description
Normal | Applies the transparency color on top of the base color
Add | Adds the values of the transparency color and the base color
Subtract | Adds the values of the transparency color and the base color together, and then subtracts 255
Difference | Subtracts the transparency color from the base color and multiplies by 255. If the transparency color value is 0, the result will always be 255.
Multiply | Multiplies the base color by the transparency color, and then divides by 255. This has a darkening effect, unless you are applying color to white. Multiplying black with any color results in black. Multiplying white with any color leaves the color unchanged.
Divide | Divides the base color by the transparency color, or conversely, divides the transparency color by the base color, depending on which color has the higher value
If lighter | Replaces any base color pixels that are a darker color with the transparency color. Base color pixels that are lighter than the transparency color are not affected.
If darker | Replaces any base color pixels that are a lighter color with the transparency color. Base color pixels that are darker than the transparency color are not affected.
Texturize | Converts the transparency color to grayscale, and then multiplies the grayscale value by the base color
Hue | Uses the hue of the transparency color, as well as the saturation and lightness of the base color. If you are adding color to a grayscale image, there will be no change because the colors are desaturated.
Saturation | Uses the lightness and hue of the base color and the saturation of the transparency color
Lightness | Uses the hue and saturation of the base color and the lightness of the transparency color
Invert | Uses the transparency color’s complementary color. If a transparency color value is 127, there will be no change because the color value falls in the center of the color wheel.
Logical AND | Converts the transparency and base colors to binary values, and then applies the Boolean algebraic formula AND to these values
Logical OR | Converts the transparency and base colors to binary values, and then applies the Boolean algebraic formula OR to these values
Logical XOR | Converts the transparency and base colors to binary values, and then applies the Boolean algebraic formula XOR to these values
Red | Applies the transparency color to the red channel of RGB objects
Green | Applies the transparency color to the green channel of RGB objects
Blue | Applies the transparency color to the blue channel of RGB objects

Related Topics
  • To apply a merge mode


To apply a merge mode

  1. Open the Interactive tools flyout [image], and click the Interactive transparency tool [image].
  2. Select an object with a transparency.
  3. Choose a merge mode from the Transparency operation list box on the property bar.
Related Topics
  • Applying merge modes


Using lenses with objects

Lenses contain creative effects that let you change the appearance of an object without actually changing the object.

In this section, you’ll learn about

  • applying lenses
  • editing lenses


Applying lenses

Lenses change how the object area beneath the lens appears, not the actual properties and attributes of the objects. You can apply lenses to any vector object, such as a rectangle, ellipse, closed path, or polygon. You can also change the appearance of artistic text and bitmaps. When you apply a lens over a vector object, the lens itself becomes a vector image. Likewise, if the lens is placed over a bitmap, the lens also becomes a bitmap.

After you apply a lens, you can copy it and use it with another object.

The lens types applied to the original (far left): (left to right) Heat map, Magnify, and a Custom color map

The following are the types of lenses you can apply to objects.

Lens | Description
Brighten | Lets you brighten and darken object areas and set the rate of the brightness and darkness
Color add | Lets you simulate an additive light model. The colors of the objects beneath the lens are added to the color of the lens as if you were mixing colors of light. You can choose the color and the amount of color you want to add.
Color limit | Lets you view an object area with only black and the lens color showing through. For example, if you place a green color limit lens over a bitmap, all colors except green and black are filtered out in the lens area.
Custom color map | Lets you change all the colors of the object area beneath the lens to a color ranging between two colors you specify. You can choose the range’s start and end colors and the progression between the two colors. The progression can follow a direct, forward, or reverse route through the color spectrum.
Fish eye | Lets you distort, magnify, or shrink the objects beneath the lens, according to the percentage value you specify
Heat map | Lets you create the effect of an infrared image by mimicking the heat levels of colors in object areas beneath the lens
Invert | Lets you change the colors beneath the lens to their complementary CMYK colors. Complementary colors are colors that are opposite one another on the color wheel.
Magnify | Lets you magnify an area on an object by an amount that you specify. The magnify lens overrides the original object’s fill, making the object look transparent.
Tinted grayscale | Lets you change the colors of object areas beneath the lens to their grayscale equivalents. Tinted grayscale lenses are particularly effective for creating sepia-tone effects.
Transparency | Lets you make an object look like a piece of tinted film or colored glass
Wireframe | Lets you display the object area beneath the lens with the outline or fill color you choose. For example, if you set red for the outline and blue for the fill, all areas beneath the lens appear to have red outlines and blue fills.

Related Topics
  • To apply a lens
  • To copy a lens


To apply a lens

  1. Select an object.
  2. Click Effects } Lens.
  3. Choose a lens type from the list box in the Lens docker.
  4. Specify the settings you want.

  • You cannot apply the lens effect directly to linked groups such as contoured objects, beveled objects, extruded objects, drop shadows, paragraph text or objects created with the Artistic media tool [image].

  • You can preview the different types of lenses in real-time before auto-applying one to a drawing by clicking the Lock button and then choosing a lens and settings to preview. When you find the lens you want to use, click the Lock button again, and click Apply.
  • You can apply a lens to a linked group by selecting an unrelated object, applying a lens to that object, and dragging the object over the linked group.
Related Topics
  • Applying lenses
  • To copy a lens


To copy a lens

  1. Select an object.
  2. Click Effects } Copy effect } Lens from.
  3. Click the object whose lens you want to copy.
Related Topics
  • Applying lenses
  • To apply a lens


Editing lenses

You can edit a lens to change how it affects the area beneath it. For example, you can change the viewpoint of a lens, indicated by an X in the drawing window, to display any part of a drawing. The viewpoint represents the center point of what is being viewed through the lens. You can position the lens anywhere in the drawing window, but it always shows the area around its viewpoint marker. For example, you can use the viewpoint marker on the Magnify lens to enlarge part of a map.

You can also display a lens only where it overlaps other objects or the background. As a result, the lens effect is not seen where the lens covers blank space (white space) in the drawing window.

Freezing the current view of a lens lets you move the lens without changing what’s displayed through it. In addition, changes you make to the areas beneath the lens have no effect on the view.

Related Topics
  • To edit a lens


To edit a lens

  1. Select an object.
  2. Click Effects } Lens.
  3. Enable the Viewpoint check box on the Lens docker.

    4. If you want to display a lens only where it covers other objects, enable the Remove face check box.

  4. Click Edit to display the viewpoint marker.
  5. Drag the viewpoint marker in the drawing window to a new location.
  6. Click End.

    7. If you want to freeze the current view of a lens, enable the Frozen check box.

  7. Click Apply.

  • The Remove face check box is not available for the Fish Eye and Magnify lenses.
Related Topics
  • Editing lenses


Working with bitmaps

You can convert a vector graphic to a bitmap. Also, you can import and crop bitmaps in the Corel R.A.V.E. application.

You can also add color masks, watermarks, special effects, and change the color and tone of the images.

In this section, you’ll learn about

  • converting vector graphics to bitmaps
  • adding bitmaps
  • cropping and editing bitmaps
  • using Digimarc watermarks to identify bitmaps
  • working with colors in bitmaps
  • applying special effects to bitmaps
  • applying color and tone effects
  • transforming color and tone effects
  • removing dust and scratch marks from bitmaps


Converting vector graphics to bitmaps

When you convert a vector graphic to a bitmap, you can apply special effects in the Corel R.A.V.E. application that are unavailable to vector graphic or objects. As you convert the vector, you can select the color mode of the bitmap. A color mode determines the number and kind of colors that make up the bitmap, so that file size is also affected.

You can also determine settings such as the aliasing, background transparency, and color profile, as you convert it a vector graphic to a bitmap.

Related Topics
  • To convert a vector graphic to a bitmap


To convert a vector graphic to a bitmap

  1. Select an object.
  2. Click Bitmaps } Convert to bitmap.
  3. Choose a color mode from the Color list box.
  4. Choose a resolution from the Resolution list box.
  5. Enable any of the following check boxes:
    • Anti-aliasing — smooths the edges of the bitmap
    • Transparent background — makes the background of the bitmap transparent
    • Apply ICC profile — applies the International Color Consortium profiles to standardize colors across devices and color spaces

  • Making the background of a bitmap transparent lets you see images or a background otherwise obscured by the bitmap background.
Related Topics
  • Converting vector graphics to bitmaps


Adding bitmaps

You can import a bitmap into a movie either directly or by linking it to an external file. When you link to an external file, edits to the original file are automatically updated in the imported file.

Related Topics
  • To import a bitmap


To import a bitmap

  1. Click File } Import.
  2. Choose the folder where the bitmap is stored.
  3. Select the file.

    4. If you want to link the image to the movie, enable the Link bitmap externally check box.

  4. Click Import.
  5. Click where you want to place the bitmap.

    6. If you want to center the image on the stage, press Enter.

  • Ensure that All file formats is chosen from the Files of type list box when you import an image.

  • You can import a bitmap in its original size by pressing Spacebar when you click the Import button.
  • Linking to a bitmap results in a smaller file size than importing the bitmap directly.
Related Topics
  • Adding bitmaps


Cropping and editing bitmaps

After you add a bitmap to a movie, you can crop, resample, and resize the bitmap. Cropping removes unwanted areas of a bitmap. When you resample a bitmap, you can change the image size, the resolution, or both by adding or removing pixels. For example, if you make an image larger without resampling, you can lose details because the image’s pixels are spread over a greater area. By resampling, you can add pixels to preserve more detail from the original image. Resizing an image maintains the same number of pixels in a smaller or larger area. For example, you can lose details when you make an image larger without resampling because the image’s pixels are spread over a greater area. Upsampling adds pixels to maintain some of the original’s details.

With resampling, you can either increase the resolution of an image by adding pixels (upsampling) or decrease the resolution by subtracting pixels (downsampling).

Related Topics
  • To crop a bitmap
  • To resample a bitmap
  • To resize a bitmap


To crop a bitmap

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select a bitmap.
  3. Drag the bitmap’s corner nodes to the shape you want.

    4. If you want to add a node, double-click the node boundary by using the Shape tool where you want the node to display.

  4. Click Bitmaps } Crop bitmap.

  • You cannot crop a bitmap comprised of more than one object.

  • You can also crop a selected bitmap after you drag the bitmap’s corner nodes by clicking the Crop bitmap button [image] on the property bar.
Related Topics
  • Cropping and editing bitmaps
  • To resample a bitmap
  • To resize a bitmap


To resample a bitmap

  1. Select a bitmap.
  2. Click Bitmaps } Resample.
  3. In the Resolution area, type values in any of the following boxes:
    • Horizontal
    • Vertical

      • If you want to maintain the proportions of the bitmap, enable the Maintain aspect ratio check box.

      If you want to maintain the file size, enable the Maintain original size check box.

  • You can also resample a selected bitmap by clicking the Resample button [image] on the property bar.
  • Enable the Anti-alias check box to minimize the jagged appearance of curves.
Related Topics
  • Cropping and editing bitmaps
  • To crop a bitmap
  • To resize a bitmap


To resize a bitmap

  1. Select a bitmap.
  2. Click Bitmaps } Resample.
  3. Choose a unit of measure from the list box beside the Width and Height boxes.
  4. Type values in any of the following boxes:
    • Width
    • Height

      • If you want to minimize the jagged appearance of curves, enable the Anti-alias check box.

  • You can maintain the proportions of the bitmap by enabling the Maintain aspect ratio check box and typing a value in either the Width or Height box.
  • You can also resample the bitmap as a percentage of its original size by typing values in the % boxes.
Related Topics
  • Cropping and editing bitmaps
  • To crop a bitmap
  • To resample a bitmap


Using Digimarc watermarks to identify bitmaps

A Digimarc watermark embeds copyright details, contact information, and image attributes in an image. A watermark makes subtle changes to the brightness of pixels in an image. These changes cannot be readily seen; however at high magnification, you might notice changes in the brightness of some pixels. Digimarc watermarks aren't affected by normal editing, printing, and scanning.

Detecting watermarks

When you open an image in Corel R.A.V.E., you can check for a watermark. If a watermark is present, a copyright symbol displays on the title bar. You can find information about the watermarked image by reading the embedded message and by linking to the contact profile in the Digimarc database.

Embedding watermarks

In Corel R.A.V.E., you can also embed Digimarc watermarks in images. First, you must obtain a unique Creator ID by subscribing to Digimarc's online service. The Creator ID includes contact details, such as name, phone number, address, email and World Wide Web addresses.

Once you have a Creator ID, you can embed a watermark in an image. You can specify the copyright year, image attributes, and the durability of a watermark. You can also specify the target output method for an image, such as print or Web.

Digimarc watermarks do not prevent unauthorized image use or copyright infringement. But the watermarks do communicate copyright claims. They also provide contact information for those who want to use or license an image.

For more information about Digimarc, see www.digimarc.com.

Related Topics
  • To detect a watermark
  • To get a Creator ID
  • To embed a watermark


To detect a watermark

  1. Click Bitmaps } Plug-ins } Digimarc } Read watermark.
  2. Click Web lookup to view the Web page with contact details, or call the Digimarc fax-back service at the listed fax number.
Related Topics
  • Using Digimarc watermarks to identify bitmaps
  • To get a Creator ID
  • To embed a watermark


To get a Creator ID

  1. Click Bitmaps } Plug-ins } Digimarc } Embed watermark.
  2. Click Personalize.
  3. In the Personalize creator ID dialog box, click Register, and follow the instructions on the Digimarc Web site.
  4. In the Personalize creator ID dialog box, type your Creator ID in the Creator ID box.
Related Topics
  • Using Digimarc watermarks to identify bitmaps
  • To detect a watermark
  • To embed a watermark


To embed a watermark

  1. Click Bitmaps } Plug-ins } Digimarc } Embed watermark.
  2. In the Copyright year(s) box, type a year or years.
  3. In the Image attributes area, enable the check boxes for the applicable attributes.
  4. Choose an option from the Target output list box.
  5. Type a value in the Watermark durability box.

    6. Higher values increase the persistence of the watermark under common image modifications such as dithering, cropping, compression, and scaling.

    If you want to confirm the information available to viewers when they detect the watermark, enable the Verify check box.

  • In the Copyright year(s) box, you cannot type a year before 1922 or after the current year. Separate the years with commas.
  • In the Target output box, Monitor and Web require a DPI setting of less than 200, while Printer requires a dpi setting of 300 or higher.

  • Combine all objects with the background before adding a watermark. For more information about combining objects with the background, see "Combining objects."
Related Topics
  • Using Digimarc watermarks to identify bitmaps
  • To detect a watermark
  • To get a Creator ID


Working with colors in bitmaps

Corel R.A.V.E. lets you change colors in monochrome images, apply PostScript halftone screens to optimize color and black-and-white bitmaps for printing, hide and show colors, and mask colors.

Monochrome bitmaps have two colors: black and white. You can replace the black and white pixels with any color on a color palette.

If you plan to print to a PostScript printer, you can optimize color or black-and-white printing by applying a halftone screen to an image. Halftone screens break down an image into small dots or lines for clearer printing, continuous tones, and special effects. However, you can only see the screen's effect on the bitmap after you print it on a PostScript printer.

You can hide and display selected colors by masking them. Hiding colors in a bitmap lets objects or backgrounds show through the image. Hiding a color can also alter the apparent shape of a bitmap. For example, if a bitmap shows a person on a black background, you can hide the background so that the bitmap appears to take on the shape of the person rather than a rectangular shape. Also, hiding colors in bitmaps can increase the speed at which objects are rendered on the screen. You can also display certain colors in a bitmap to change the image's appearance or see where a particular color has been applied. You can mask as many as 10 colors in a bitmap.

Color masking also lets you change selected colors without altering the other colors in an image. You can also save a bitmap color mask to a file and open the file for future use.

Related Topics
  • To color a monochrome bitmap
  • To apply a screen to a bitmap
  • To hide or display a color in a bitmap
  • To open a bitmap color mask file
  • To change a masked color


To color a monochrome bitmap

  1. Select a bitmap using the Pick tool [image].
  2. Right-click a color on the color palette to change the color of the foreground (black) pixels.
  3. Click a color on the color palette to change the color of the background (white) pixels.
Related Topics
  • Working with colors in bitmaps
  • To apply a screen to a bitmap
  • To hide or display a color in a bitmap
  • To open a bitmap color mask file
  • To change a masked color


To apply a screen to a bitmap

  1. Select a bitmap using the Pick tool [image].
  2. Open the Fill flyout [image], and click the Fill color dialog [image] button.
  3. Click the Palettes tab.
  4. Choose a fixed palette from the Palette list box.
  5. Click Options and click PostScript options.
  6. Choose an option from the Type list to set the dot shape or line type.
  7. Type a value in the Frequency box to set the number of dots or lines that display in every inch of the screen.
  8. Type a value in the Angle box to set the angle of the dots or lines that display on the screen.
Related Topics
  • Working with colors in bitmaps
  • To color a monochrome bitmap
  • To hide or display a color in a bitmap
  • To open a bitmap color mask file
  • To change a masked color


To hide or display a color in a bitmap

  1. Select the bitmap using the Pick tool [image].
  2. Click Bitmaps } Bitmap color mask.
  3. Enable one of the following options:
    • Hide colors
    • Show colors
  4. Enable the check box next to the channel that you want to hide or display
  5. Move the Tolerance slider to set the color tolerance for the color.
  6. Click the Color selector button [image].
  7. Click the bitmap, and click the color that you want to hide or display.
  8. Click Apply.

  • Higher tolerance levels target a broader range of colors around the color you select. For example, if you select baby blue and increase the tolerance, Corel R.A.V.E. hides or displays pastel blue, electric blue, and so on.
Related Topics
  • Working with colors in bitmaps
  • To color a monochrome bitmap
  • To apply a screen to a bitmap
  • To open a bitmap color mask file
  • To change a masked color


To open a bitmap color mask file

  1. Click Bitmaps } Bitmap color mask.
  2. Click the Open mask button [image].
  3. Choose the folder where the color mask file is stored.
  4. From the Files of type list box, choose a file type.
  5. Double-click the file.

  • Bitmap color mask files have the filename extension .ini.
Related Topics
  • Working with colors in bitmaps
  • To color a monochrome bitmap
  • To apply a screen to a bitmap
  • To hide or display a color in a bitmap
  • To change a masked color


To change a masked color

  1. Click Bitmaps } Bitmap color mask.
  2. Choose a color from the list of masked colors.
  3. Click the Edit color button [image].
  4. Use the controls in the Select color dialog box to edit the color.

You can also |
Save a bitmap color mask | Click the Save mask button [image] . Choose the folder where you want to save the current color mask. Type a name for the file in the File name list box. Click Save.

  • You can also change a masked color by clicking the Color selector button [image], selecting another color from the bitmap, and clicking Apply.
Related Topics
  • Working with colors in bitmaps
  • To color a monochrome bitmap
  • To apply a screen to a bitmap
  • To hide or display a color in a bitmap
  • To open a bitmap color mask file


Applying special effects to bitmaps

You can apply a wide range of special effects to bitmaps, such as three-dimensional and artistic effects.

Adding plug-in filters to Corel R.A.V.E. provides additional features and effects that you can use to edit images. You can add plug-in filters and you can remove them when you no longer need them.

Special effect type | Description
3-D | Lets you create the illusion of three-dimensional depth. The 3-D effects include embossing, page curl, and perspective.
Art strokes | Lets you apply hand-painted techniques. The art stroke media and styles include crayon, impressionist, pastels, watercolor, and pen and ink.
Blur | Lets you blur an image to simulate gradual change, movement, or speckling. The blur effects include Gaussian blur, motion blur, and zoom.
Camera | Lets you simulate the effect produced by diffusion filters of a diffusion lens.
Color transform | Lets you create photographic illusions by using color reduction and replacements. The color transform effects include half-tones, psychedelic, and solarizing.
Contour | Lets you highlight and enhance the edges of an image. The contour effects include edge tracing and highlighting.
Creative | Lets you apply a variety of textures and shapes to an image. The creative effects include fabric, glass block, crystal fragments, vortex, and stained glass.
Distort | Lets you distort image surfaces. The distort effects include ripples, blocks, swirl, and tile.
Noise | Lets you modify the graininess of an image. The noise effects include adding noise, applying dust and scratch, and diffusing to change an image’s granularity.
Sharpen | Lets you create a sharpening effect to focus and enhance edges. The sharpen effects include accentuating edge detail and sharpening smooth areas.
Plug-ins | Lets you apply effects from a third-party filter to bitmaps in Corel R.A.V.E. An installed plug-in appears at the bottom of the Bitmaps menu.

Left to right: Add noise effect, Zoom blur effect, Solarize color transform effect, Edge detect contour effect, Sharpen effect

Left to right: Original image, Emboss effect, Cubist artistic effect, Mosaic creative effect, Distort pixelate effect

Corel R.A.V.E. automatically inflates a bitmap to make a special effect cover the entire image. You can disable the automatic inflate and manually specify how much you want to inflate the bitmap.

Related Topics
  • To apply a special effect
  • To add a plug-in filter
  • To inflate a bitmap manually


To apply a special effect

  1. Select a bitmap.
  2. Click Bitmaps, choose a special effect type, and click an effect.
  3. Adjust any special effect settings.
Related Topics
  • Applying special effects to bitmaps
  • To add a plug-in filter
  • To inflate a bitmap manually


To add a plug-in filter

  1. Click Tools } Options.
  2. In the list of categories, double-click Workspace, and click Plug-ins.
  3. Click Add.
  4. Choose a folder containing a plug-in.

  • To remove a plug-in filter, click a plug-in folder from the Plug-in folders list, and click Remove.
Related Topics
  • Applying special effects to bitmaps
  • To apply a special effect
  • To inflate a bitmap manually


To inflate a bitmap manually

  1. Select a bitmap.
  2. Click Bitmaps } Inflate bitmap } Manually inflate bitmap.
  3. Type a number representing the pixel amount to inflate to in the Width and Height boxes or a percentage amount to inflate the bitmap in the Percentage boxes. Use the original bitmap size as reference.
  4. Enable the Maintain aspect ratio check box to inflate the bitmap proportionally.

  • To automatically inflate the bitmap to cover the entire image, enable the Auto inflate bitmap check box.
Related Topics
  • Applying special effects to bitmaps
  • To apply a special effect
  • To add a plug-in filter


Applying color and tone effects

Corel R.A.V.E. lets you apply color and tone to a bitmap. For example, you can replace colors, shift them between different color modes and adjust the brightness, lightness, and darkness of colors.

By applying color and tone effects, you can restore detail lost in shadows or highlights, remove color casts, correct underexposure or overexposure, and generally improve the quality of the bitmaps.

You can apply the following color and tone effects.

Effect | Description
Contrast enhancement | Lets you adjust the tone, color, and contrast of a bitmap while preserving shadow and highlight detail. An interactive histogram lets you shift or compress brightness values to printable limits. The histogram can also be adjusted by sampling values from the bitmap.
Local equalization | Lets you enhance contrast near edges to reveal detail in both light and dark regions. You can set the height and width around the region to accentuate contrast.
Sample/Target balance | Lets you adjust color values in a bitmap with sample colors taken from the image. You can choose sample colors from the dark, midtone, and light ranges of an image and apply target colors to each of the sample colors.
Tone curve | Lets you perform color corrections precisely by controlling individual pixel values. By changing pixel brightness values, you can make changes to shadows, midtones, and highlights.
Brightness-contrast-intensity | Lets you adjust the brightness of all colors and the difference between light and dark areas.
Color balance | Lets you add cyan or red, magenta or green, and yellow or blue to selected tones in a bitmap.
Gamma | Lets you accentuate detail in low contrast areas without affecting shadows or highlights.
Hue-Saturation-Lightness | Lets you adjust the color channels in a bitmap and change the position of colors in the spectrum. This effect allows you to change colors and their richness, as well as the percentage of white in an image.
Selective color | Lets you change color by changing the percentage of spectrum CMY process colors from the red, yellow, green, cyan, blue, and magenta color spectrums in a bitmap. For example, decreasing the percentage of magenta in the reds spectrum results in a color shift toward yellow.
Replace colors | Lets you replace one bitmap color with another color. A color mask is created to define the color to be replaced. Depending on the range you set, you can replace one color or shift an entire bitmap from one color range to another. You can set the hue, saturation, and lightness for the new color.
Desaturate | Lets you reduce the saturation of each color in a bitmap to zero, remove the hue component, and convert each color to its grayscale equivalent. This creates a grayscale image without changing the color mode.
Channel mixer | Lets you mix color channels to balance the colors of a bitmap. For example, if a bitmap has too much red, you can adjust the red channel in an RGB bitmap to improve image quality.

Related Topics
  • To apply a color or tone effect


To apply a color or tone effect

  1. Select a bitmap.
  2. Click Effects } Adjust, and click a color or tone effect.
  3. Specify any settings.
Related Topics
  • Applying color and tone effects


Transforming color and tone effects

You can transform the color and tone of an object to produce a special effect. For example, you can create an image that looks like a photographic negative or flatten the appearance of an image.

The color and tone transform effects are

  • Deinterlace — lets you remove lines from scanned or interlaced images.
  • Invert — lets you reverse the colors of an object. Inverting an object creates the appearance of a photographic negative.
  • Posterize — lets you reduce the number of tonal values in an image. Posterize removes gradations and creates larger areas of flat color.
Related Topics
  • To transform a color and tone effect


To transform a color and tone effect

  1. Select a bitmap.
  2. Click Effects } Transform.
  3. Click a transform effect:
    • De interlace — set the effect level
    • Invert — the color and tone will invert automatically
    • Posterize — set the effect level
Related Topics
  • Transforming color and tone effects


Removing dust and scratch marks from bitmaps

You can quickly improve the appearance of a bitmap by removing dust and scratch marks. The dust and scratch filter works by eliminating the contrast between pixels that exceed the contrast threshold you set. You can set a radius to determine how many pixels are affected by the changes. The settings you choose depend on the size of the blemish and the area surrounding it. For example, if you have a white scratch that is 1 or 2 pixels wide on a dark background, you can set a radius of 2 or 3 pixels and set the contrast threshold higher than if the same scratch was on a light background.

Related Topics
  • To remove dust and scratch marks from a bitmap


To remove dust and scratch marks from a bitmap

  1. Click Effects } Correction } Dust and scratch.
  2. Move the following sliders:
    • Radius — lets you set the range of pixels used to produce the effect. Set the radius as low as possible to retain image detail.
    • Threshold — lets you set the amount of noise reduction. Set the threshold as high as possible to retain image detail.
Related Topics
  • Removing dust and scratch marks from bitmaps


Changing color modes in bitmaps

Changing an image to another color mode, such as RGB, CMYK or Grayscale, changes a bitmap’s color structure.

In this section, you’ll learn about

  • changing the color mode of bitmaps
  • changing bitmaps to black-and-white images
  • changing bitmaps to the paletted color mode
  • changing bitmaps to duotones


Changing the color mode of bitmaps

The colors of the images that you work with in Corel R.A.V.E. are based on color modes. Color modes define the color characteristics of images and are described by their component colors. The CMYK color mode is composed of cyan, magenta, yellow, and black values and the RGB color mode is composed of red, green, and blue values.

Although you may not be able to see the difference between an image in the CMYK color mode and an image in the RGB color mode on screen, the images are quite different. For the same image dimensions, an RGB image has a smaller file size than a CMYK image and the RGB color space, or gamut, can display more colors. Therefore, images intended for the Web or other on-screen uses are generally in RGB mode, which is the best color mode for Corel R.A.V.E. Where accurate print reproduction is needed, such as on a commercial printing press, images are generally converted to CMYK mode. Paletted color images attempt to preserve color fidelity while reducing the file size.

Each time you convert an image, you may lose color information. For this reason, you should save an edited image before you change it to a different color mode. For more information about color modes, see "Working with color."

Corel R.A.V.E. supports the following color modes for bitmaps:

Color |
Black-and-White (1-bit) | Grayscale (8-bit)
Duotone (8-bit) | Paletted (8-bit)
RGB Color (24-bit) | Lab Color (24-bit)
CMYK Color (32-bit) |

Related Topics
  • To change the color mode of a bitmap


To change the color mode of a bitmap

  1. Click a bitmap.
  2. Click Bitmaps } Mode, and click one of the following:
    • Black and White (1-bit)
    • Grayscale (8-bit)
    • Duotone (8-bit)
    • Paletted (8-bit)
    • RGB color (24-bit)
    • Lab color (24-bit)
    • CMYK color (32-bit)

  • The mode which the selected bitmap is in will not be available in the menu.
Related Topics
  • Changing the color mode of bitmaps


Changing bitmaps to black-and-white images

You can change any image to a black-and-white image. In addition to conversion settings such as threshold, screen type, and intensity, there are seven conversion options that affect how the converted images will look.

Conversion |
Line art | Produces a high-contrast, black-and-white image. Colors with a grayscale value lower than the threshold value that you set change to black, while colors with a grayscale value higher than the threshold value change to white.
Ordered | Organizes the gray levels into repeating geometric patterns of black and white pixels. Solid colors are emphasized and image edges are hard. This option is best suited for uniform colors.
Halftone | Creates different shades of gray by varying the pattern of black and white pixels in an image. You can choose the screen type, angle for the halftone, lines per unit, and the unit of measure.
Cardinality-Distribution | Creates a textured look by applying a calculation and distributing the result to the screen.
Jarvis | Applies the Jarvis algorithm to the screen. This form of error diffusion is suitable for photographic images.
Stucki | Applies the Stucki algorithm to the screen. This form of error diffusion is suitable for photographic images.
Floyd-Steinberg | Applies the Floyd-Steinberg algorithm to the screen. This form of error diffusion is suitable for photographic images.

Related Topics
  • To change a bitmap to a black-and-white image


To change a bitmap to a black-and-white image

  1. Click a bitmap.
  2. Click Bitmaps } Mode } Black-and-white (1-bit).
  3. Choose an option from the Conversion list box.
  4. Move the Intensity slider.

    5. If you want to view different parts of the image, you can drag the image in the Preview window.

  • The Intensity slider is not available for the Halftone conversion option.
Related Topics
  • Changing bitmaps to black-and-white images


Changing bitmaps to the paletted color mode

The paletted color mode, also called indexed color mode, is sometimes used for images on the World Wide Web. When you convert an image to the paletted color mode, a fixed color value is assigned to each pixel. These values are stored in a compact color table, or palette containing up to 256 colors. As a result, the paletted color mode image contains less data than the original, and it has a smaller file size. Conversion to paletted color mode works best on images that have a limited range of colors.

Choosing, editing, and saving a color palette

When you change an image to the paletted color mode, you can use a predefined palette or you can customize a color palette by replacing individual colors.

Saving conversion settings

After you choose a color palette and set the dithering and range sensitivity for changing an image to the paletted color mode, you can save the settings as a conversion preset that you can use with other images. You can add as many conversion presets as you want.

The color palette you use is called the processed color palette. It can be saved for use with other images.

For more information about the predefined color palettes available for the paletted color mode, see "Palette types." For more information about creating and opening custom color palettes, see "Creating custom color palettes."

Dithering

Changing images to the paletted color mode lets you use dithering to enhance color information. Dithering places pixels with specific colors or values relative to other pixels of a specific color. The relationship of one colored pixel to another creates the appearance of additional colors that do not exist in the color palette.

You can use two types of dithering: ordered dithering and error diffusion. Ordered dithering approximates color blends using fixed dot patterns; as a result, solid colors are emphasized and edges appear harder. Error diffusion scatters pixels irregularly, making edges and colors softer. Jarvis, Stucki, and Floyd-Steinberg are conversion options that provide error diffusion.

The Ordered dithering option applies more quickly than the error diffusion options (Jarvis, Stucki, and Floyd-Steinberg) but is less accurate.

Specifying a range sensitivity color

You can change an image to the paletted color mode and specify a focus color and a range sensitivity for the focus color, so that the focus color and colors that fall within the range settings are included in the processed color palette. You can also specify how much emphasis to place on the range sensitivity. Because the palette has a maximum of 256 colors, emphasizing a focus color reduces the number of colors that fall outside the range sensitivity.

Related Topics
  • Palette types
  • To change an image to the paletted color mode
  • To create a custom processed color palette
  • To change a bitmap by setting range sensitivity


Palette types

Palette type | Description
Uniform | Provides a range of 256 colors with equal parts of red, green, and blue
Standard VGA | Provides the Standard VGA 16-color palette
Adaptive | Provides colors original to the image and preserves the individual colors (the entire color spectrum) in the image
Optimized | Creates a color palette based on the highest percentage of colors in the image. You can also specify a range sensitivity color for the color palette. This is the most common color palette for photographic images.
Black Body | Contains colors that are based on temperature. For example, black may represent cold temperatures, while red, orange, yellow, and white may represent hot temperatures.
Grayscale | Provides 256 shades of gray, ranging from black to white
System | Provides the predefined palette of colors used by the operating system.
Web-safe | Provides a predefined palette of 216 non-dithered colors that will display the same on the Microsoft® Internet Explorer and Netscape Navigator® browsers. This palette is not recommended for use with photographs and only benefits users with older computers.
Custom | Lets you add colors to create a customized color palette

Related Topics
  • Changing bitmaps to the paletted color mode
  • To change an image to the paletted color mode
  • To create a custom processed color palette
  • To change a bitmap by setting range sensitivity


To change an image to the paletted color mode

  1. Click a bitmap.
  2. Click Bitmaps } Mode } Paletted (8-bit).
  3. Click the Options tab.
  4. Choose a color palette type from the Palette list box.
  5. Choose an option from the Dithering list box.
  6. Move the Dithering intensity slider.

    7. If you want to save the conversion settings as a preset, click the Add preset button, and type a name in the Save preset box.

  • You can achieve better color fidelity by choosing the palette you want to use when you change an image to a paletted bitmap or when you export a GIF or PNG. For example, the standard color palette provides more colors than necessary for an image with a limited range of colors, but you can choose an optimized palette to ensure that color representation is accurate.

  • You can choose a custom color palette by clicking Open, locating the color palette file you want, and double-clicking the filename.
  • You can load preset conversion settings by choosing a preset from the Preset list box.
Related Topics
  • Changing bitmaps to the paletted color mode
  • Palette types
  • To create a custom processed color palette
  • To change a bitmap by setting range sensitivity


To create a custom processed color palette

  1. Click a bitmap.
  2. Click Bitmaps } Mode } Paletted (8-bit).
  3. Click the Processed palette tab.
  4. Click a color, and click the Edit button.
  5. In the Color table, specify the color you want, and click Edit color.
  6. Edit the color, and click OK.
  7. Click the Save palette as button [image] to save a new palette.
  8. Choose the disk and folder where you want to store the color palette.
  9. Type a name in the Name box, and click Save.
Related Topics
  • Changing bitmaps to the paletted color mode
  • Palette types
  • To change an image to the paletted color mode
  • To change a bitmap by setting range sensitivity


To change a bitmap by setting range sensitivity

  1. Click a bitmap.
  2. Click Bitmaps } Mode } Paletted (8-bit).
  3. Click the Options tab.
  4. Choose Optimized from the Palette list box.
  5. Enable the Color range sensitivity to check box.
  6. Click the Eyedropper tool [image], and click a color in the image.
  7. Click the Range sensitivity tab.
  8. Move the range sensitivity sliders.

    9. If you want to preview the color palette, click the Processed palette tab.

Related Topics
  • Changing bitmaps to the paletted color mode
  • Palette types
  • To change an image to the paletted color mode
  • To create a custom processed color palette


Changing bitmaps to duotones

To convert an image to a duotone, you change a bitmap to the grayscale color mode and enhance it using one to four additional colors, giving the image greater tonal depth.

The following four variations of the color mode correspond to the number of additional inks:

  • Monotone — a grayscale image colored with a single tone
  • Duotone — a grayscale image colored with two tones. In most cases, one is black and the other is colored.
  • Tritone — a grayscale image colored with three tones. In most cases, one is black and the other two are colored.
  • Quadtone — a grayscale image colored with four tones. In most cases, one is black and the other three are colored.

The four color mode variations. From left to right: the original image, monotone, duotone, tritone, and quadtone.

Adjusting tone curves

When you change an image to a duotone, a tone curve grid that represents the dynamic tone curves that are used throughout the conversion is displayed. The horizontal plane (x-axis) displays the 256 possible shades of gray in a grayscale image (0 is black; 255 is white). The vertical plane (y-axis) indicates the intensity of a color (from 0 to 100 percent) that is applied to the corresponding grayscale values. For example, a grayscale pixel with a color value of 25 is printed with a 25-percent tint of the color. By adjusting the tone curves, you can control the color and intensity of the tone that is added to an image.

Saving and loading inks

You can save an adjusted duotone tone curve and ink settings and then load them for use with other bitmaps.

Specifying how overprint colors display

When you change an image to a duotone, you can specify which colors will overprint when you print an image. Overprint colors are used to preserve color integrity when inks overlap. When you display the image, each color is applied on the screen in sequence, creating a layered effect.

You can view all instances in which the colors you choose for the duotone conversion overlap. Associated with each instance is the color that is produced by the overlap. You can also choose new overprint colors to see how they overlap.

Duotones will hold their color ink information when saving to Encapsulated PostScript (EPS), Portable Document Format (PDF) and CorelDRAW (CDR) file formats. Other file formats don’t support duotone images.

Related Topics
  • To change an image to a duotone


To change an image to a duotone

  1. Click a bitmap.
  2. Click Bitmaps } Mode } Duotone (8-bit).
  3. Click the Curves tab.
  4. Choose a duotone type from the Type list box.
  5. Double-click an ink color in the Type window.
  6. In the Select color dialog box, choose a color, and click OK.

    7. If you want to adjust the color’s tone curve, click the ink tone curve on the grid to add a node and drag the node to adjust the percentage of color at that point on the curve.

  7. Repeat steps 5 and 6 for each ink color you want to use.

You can also |
Display all the ink tone curves on the grid. | Enable the Show all check box.
Save the ink settings | Click Save. Choose the disk and folder where you want to save the file, and type a filename in the Name box.
Specify how overprint colors display | Click the Overprint tab, and enable the Use overprint check box. Double-click the color you want to edit, and choose a new color.

  • You can load preset ink colors by clicking Load, locating the file in which the ink settings are stored, and double-clicking the filename.
Related Topics
  • Changing bitmaps to duotones


Adding and formatting text

The Corel R.A.V.E. application lets you use text in movies.

In this section, you’ll learn about

  • adding and selecting text
  • encoding text
  • changing the appearance of text
  • editing and converting text
  • aligning and spacing text
  • shifting and rotating text
  • moving text
  • fitting text to a path
  • formatting paragraph text
  • combining and linking paragraph text frames
  • wrapping paragraph text around objects and text
  • embedding graphics and adding special characters
  • displaying nonprinting characters


Adding and selecting text

There are two types of text you can add to movies — artistic text and paragraph text. Artistic text can be used to add short lines of text to which you can apply a wide range of effects, such as drop shadows. Paragraph text can be used for larger bodies of text that have greater formatting requirements. You can add both paragraph and artistic text directly in the drawing window.

You can add artistic text along an open or closed path. You can also fit existing artistic and paragraph text to a path. For more information, see "Fitting text to a path."

When adding paragraph text, you must first create a text frame. By default, paragraph text frames remain the same size regardless of how much text they contain. Any text that continues past the bottom-right border of the text frame is hidden until you either enlarge the text frame or link it to another text frame. You can fit text to a frame, which automatically adjusts the point size of text so that the text fits perfectly in the frame. For information about fitting text to a frame, see "To fit text to a paragraph text frame." You can also have paragraph text frames automatically expand and shrink as you type, so that the text fits perfectly in the frame.

You can insert a paragraph text frame inside a graphic object. This lets you use objects as containers for text so that you can use different shapes for text frames. You can also separate text from an object. When you do, the text retains its shape, and you can move or modify the text and the object independently.

Paragraph text placed inside an object. The object is made invisible by removing its outline.

When you import or paste text, you have the option of maintaining formatting, maintaining fonts and formatting, or discarding fonts and formatting. Maintaining fonts ensures that imported and pasted text retains its original font type. Maintaining formatting ensures that formatting information such as bullets, columns, and bold or italic formatting is preserved. If you choose to discard fonts and formatting, the imported or pasted text takes on the properties of the selected text object, or if none is selected, the default font and formatting properties. For more information about pasting, see "To paste an object into a movie."

To modify text, you must first select it. You can select entire text objects or specific characters.

Related Topics
  • To add artistic text
  • To add paragraph text
  • To set options for importing and pasting text
  • To select text


To add artistic text

  • Click anywhere in the drawing window using the Text tool [image], and type.
Related Topics
  • Adding and selecting text
  • To add paragraph text
  • To set options for importing and pasting text
  • To select text


To add paragraph text

To | Do the following
Add paragraph text | Click the Text tool [image] . Drag in the drawing window to size the paragraph text frame, and type.
Add paragraph text inside an object | Click the Text tool. Move the pointer over the object’s outline, and click the object when the pointer changes to an Insert in object pointer. Type inside the frame.
Separate a paragraph text frame from an object | Select the object using the Pick tool [image] , and click Arrange } Break paragraph text inside a path apart.
Have paragraph text frames automatically adjust to fit text | Click Tools } Options. In the list of categories, double-click Text, and click Paragraph. Enable the Expand and shrink paragraph text frames to fit text check box.

  • Enabling the Expand and shrink paragraph text frames to fit text check box on the Paragraph page of the Options dialog box affects only new text frames. Existing paragraph text frames remain fixed in size.

  • You can adjust the size of a paragraph text frame by clicking the text frame using the Pick tool, and dragging any selection handle.
Related Topics
  • Adding and selecting text
  • To add artistic text
  • To set options for importing and pasting text
  • To select text


To set options for importing and pasting text

  1. Import or paste the text.
  2. In the Importing / pasting text dialog box, enable one of the following options:
    • Maintain fonts and formatting
    • Maintain formatting only
    • Discard fonts and formatting

      • If you want to use the same formatting options whenever you import or paste text, enable the Don’t show this warning again check box.

  • Clicking Cancel will cancel the import or paste operation.
  • If you choose to maintain fonts and a required font is not installed on your computer, the PANOSE font matching system substitutes the font for you. For more information, see "Substituting unavailable fonts."

  • You can re-enable the Importing / pasting text dialog box by clicking Tools } Options, clicking Warnings in the Workspace list of categories, and enabling the Pasting and importing text check box.
Related Topics
  • Adding and selecting text
  • To add artistic text
  • To add paragraph text
  • To select text


To select text

To select | Do the following
An entire text object | Click the text object using the Pick tool [image] .
Specific characters | Drag across the text using the Text tool [image] .

  • You can select multiple text objects by holding down Shift and clicking each text object using the Pick tool.
Related Topics
  • Adding and selecting text
  • To add artistic text
  • To add paragraph text
  • To set options for importing and pasting text


Encoding text

After opening or importing a drawing that contains text in a language different from the language of your operating system, you may find that text does not display correctly. To correctly display text, you can change the encoding. Encoding determines the character set of text.

Encoding settings do not help correctly display text outside the drawing window, such as keywords, file names, and text entries in the Object manager and Object data manager dockers. You have to use code page settings in the Open or Import dialog boxes to set the proper characters for such text. For information about using code page settings, see "Importing files."

Related Topics
  • To correctly display text in any language


To correctly display text in any language

  1. Click Text } Encode.
  2. In the Text encoding dialog box, choose the Other encoding option.
  3. From the Other encoding list box, choose an encoding setting that makes the text readable.

    4. The preview window displays the text with the selected encoding setting.

Related Topics
  • Encoding text


Changing the appearance of text

You can change the default text style, so that all new artistic or paragraph text you create has the same properties. You can enhance artistic text and paragraph text by modifying their character properties. For example, you can change the font type and size or make the text bold or italic. You can also change the position of text to subscript or superscript. You can add underlines, strikethrough lines, and overlines to text. You can change the thickness of these lines, as well as the distance between the lines and the text. You can also change the color of text.

You can change the case of text to lowercase or uppercase without deleting or replacing letters. You can increase or decrease font size by a specified increment amount. By default, the unit of measure is points. You can change this setting for the active movie and all subsequent movies you create.

Related Topics
  • To change the default text style
  • To change character properties
  • To change the color of text
  • To change text case
  • To resize text


To change the default text style

  1. Click a blank space in the drawing window using the Pick tool [image].
  2. Click Text } Format text.
  3. Click the Character tab.
  4. Specify the properties you want.

    5. Following each property change you make, by default you must specify whether the changes are applied to artistic text, paragraph text, or both. You can override this default by disabling the Auto apply button [image] next to Apply.

  • To have changes to the default text style apply to future documents, click Tools } Save settings as default.
Related Topics
  • Changing the appearance of text
  • To change character properties
  • To change the color of text
  • To change text case
  • To resize text


To change character properties

  1. Select the text.
  2. Click Text } Format text.
  3. Click the Character tab.
  4. Specify the character attributes you want.

  • You can also make selected text bold, italic, or underlined by clicking the Bold button [image], Italic button [image], or Underline button [image] on the property bar.
Related Topics
  • Changing the appearance of text
  • To change the default text style
  • To change the color of text
  • To change text case
  • To resize text


To change the color of text

  1. Select the text using the Text tool [image].
  2. Click a color on the color palette.

  • You can change the color of an entire text object by selecting it with the Pick tool [image] and dragging a color swatch from the color palette to the text object.
Related Topics
  • Changing the appearance of text
  • To change the default text style
  • To change character properties
  • To change text case
  • To resize text


To change text case

  1. Select the text.
  2. Click Text } Change case.
  3. Enable one of the following options:
    • Sentence case — capitalizes the initial letter of the first word in each sentence
    • Lowercase — makes all text lowercase
    • Uppercase — makes all text uppercase
    • Title case — capitalizes the initial letter of each word
    • Toggle case — reverses the case; all uppercase letters become lowercase and all lowercase letters become uppercase
Related Topics
  • Changing the appearance of text
  • To change the default text style
  • To change character properties
  • To change the color of text
  • To resize text


To resize text

To | Do the following
Increase the size of text | Select the text using the Text tool [image] , hold down Ctrl, and press 8 on the number pad.
Decrease the size of text | Select the text using the Text tool, hold down Ctrl, and press 2 on the number pad.
Specify the amount by which to resize text | Click Tools } Options. Click Tools } Options. In the list of categories, click Text, and type a value in the Keyboard text increment box. If you want to change the default unit of measure, choose a unit from the Default text units list box.

  • You must be in Num lock mode to increase or decrease the size of text.
Related Topics
  • Changing the appearance of text
  • To change the default text style
  • To change character properties
  • To change the color of text
  • To change text case


Editing and converting text

You can edit text directly in the drawing window or in a dialog box.

Corel R.A.V.E. lets you convert artistic text to paragraph text if you require more formatting options, and paragraph text to artistic text if you’d like to apply special effects.

You can also convert both paragraph and artistic text to curves. This transforms characters into single line and curve objects, letting you add, delete, or move the nodes of individual characters to alter their shape. For more information, see "Working with curve objects." When you convert text to curves, the appearance of the text is preserved, including font, style, character position and rotation, spacing, and any other text settings and effects. Any linked text objects are also converted to curves. If you convert paragraph text in a fixed-sized frame to curves, any text that overflows the frame is deleted. For information about fitting text to a frame, see "Formatting paragraph text."

Related Topics
  • To edit text
  • To convert text


To edit text

  1. Select the text.
  2. On the property bar, click the Edit text [image] button.
  3. Make changes to the text in the Edit text dialog box.

You can also |
Edit text in the drawing window | Select the text using the Text tool [image] , and edit it.

  • You cannot edit text that has been converted to curves.
Related Topics
  • Editing and converting text
  • To convert text


To convert text

To convert | Do the following
Paragraph text to artistic text | Select the text using the Pick tool [image] , and click Text } Convert to artistic text.
Artistic text to paragraph text | Select the text using the Pick tool, and click Text } Convert to paragraph text.
Artistic or paragraph text to curves | Select the text using the Pick tool, and click Arrange } Convert to curves.

  • You cannot convert paragraph text to artistic text when the paragraph text is linked to another frame, has special effects applied to it, or overflows its frame.

  • You can also convert text to curves by right-clicking the text using the Pick tool and clicking Convert to curves.
Related Topics
  • Editing and converting text
  • To edit text


Aligning and spacing text

You can align both paragraph and artistic text horizontally. Aligning paragraph text lines up text relative to the paragraph text frame. You can horizontally align all paragraphs or only selected paragraphs in a paragraph text frame. You can vertically align all paragraphs in a paragraph text frame. You can also align text to another object.

You can align a text object to other objects using the first line baseline, last line baseline, or the edge of the text bounding box.

Artistic text can be aligned horizontally, but not vertically. When you align artistic text, it is aligned with the entire text object. If characters have not been shifted horizontally, applying no alignment produces the same result as applying left alignment.

You can change character and word spacing in selected paragraphs, or in an entire paragraph text frame or artistic text object. Changing character spacing between selected or specific text is also referred to as tracking; changing character spacing in an entire block of text is also called kerning. You can change the line spacing of text, which is also referred to as leading. Changing the leading for artistic text applies the spacing to lines of text separated by a carriage return. For paragraph text, leading applies only to lines of text within the same paragraph. You can also change the spacing before and after paragraphs in paragraph text, and you can kern selected characters. Kerning balances the optical space between letters.

Related Topics
  • To align text horizontally
  • To align paragraph text vertically in a text frame
  • To align text to an object
  • To change the spacing of text
  • To apply range kerning to selected characters


To align text horizontally

  1. Select the text object using the Pick tool [image].
  2. Click Text } Format text.
  3. Click the Paragraph tab.
  4. Choose an item from the Alignment list box.

  • To align selected paragraphs in a paragraph text frame, select them using the Text tool [image].
Related Topics
  • Aligning and spacing text
  • To align paragraph text vertically in a text frame
  • To align text to an object
  • To change the spacing of text
  • To apply range kerning to selected characters


To align paragraph text vertically in a text frame

  1. Select the paragraph text.
  2. Click Text } Format text.
  3. Click the Columns tab.
  4. Choose an alignment option from the Vertical justification list box.
Related Topics
  • Aligning and spacing text
  • To align text horizontally
  • To align text to an object
  • To change the spacing of text
  • To apply range kerning to selected characters


To align text to an object

  1. Hold down Shift, select the text, and then select the object.
  2. Click Arrange } Align and distribute } Align and distribute.
  3. Choose one of the following from the For text source objects use list box:
    • First line baseline — aligns the text using the baseline of the first line of text
    • Last line baseline — aligns the text using the baseline of the last line of text
    • Bounding box — aligns the text using its bounding box
  4. Enable one of the following horizontal alignment check boxes:
    • Left
    • Right
    • Center
  5. Enable one of the following vertical alignment check boxes:
    • Top
    • Bottom
    • Center
  6. Click Apply.

  • The object used to align the left, right, top, or bottom edges is determined by the order of creation or order of selection. If you marquee select the objects before you align them, the last object created will be used. If you select the objects one at a time the last object selected will be the reference point for aligning the others. If you’ve applied a linear transformation, such as rotation, to the text and are aligning with a baseline, the objects align using the baseline point of the starting edge of the text object.
  • If you are aligning text objects to each other and have elected to align with the first line baseline or last line baseline, the vertical and horizontal alignment check boxes are grayed. The baseline points of the text objects are aligned to each other.

  • You can also align objects by selecting them and clicking the Align and distribute button on the property bar.
Related Topics
  • Aligning and spacing text
  • To align text horizontally
  • To align paragraph text vertically in a text frame
  • To change the spacing of text
  • To apply range kerning to selected characters


To change the spacing of text

  1. Select the text.
  2. Click Text } Format text.
  3. Click the Paragraph tab.
  4. In the Spacing area, type values in any of the boxes.

  • Character and word spacing can only be applied to entire paragraphs, or to an entire paragraph text frame or artistic text object. For information about adjusting character and word spacing for selected characters, see "To apply range kerning to selected characters."
  • Values represent a percentage of the space character. The Character values range from -100 to 2000 percent. All other values range from 0 to 2000 percent.

  • You can also change the spacing between words and characters proportionately by selecting the text object using the Shape tool [image] and dragging the Interactive horizontal spacing arrow in the bottom-right corner of the text object. Drag the Interactive vertical spacing arrow in the bottom-left corner of the text object to change the line spacing proportionately.
Related Topics
  • Aligning and spacing text
  • To align text horizontally
  • To align paragraph text vertically in a text frame
  • To align text to an object
  • To apply range kerning to selected characters


To apply range kerning to selected characters

  1. Select two or more characters using the Text tool [image].
  2. Click Text } Format text.
  3. Click the Character tab.
  4. Type a value in the Range kerning box.
Related Topics
  • Aligning and spacing text
  • To align text horizontally
  • To align paragraph text vertically in a text frame
  • To align text to an object
  • To change the spacing of text


Shifting and rotating text

Shifting artistic and paragraph text vertically and horizontally can create an interesting effect. You can also rotate characters. Straightening text pulls the text into its original position. You can return vertically shifted characters to the baseline without affecting their rotation angle.

Related Topics
  • To shift or rotate a character
  • To straighten a shifted or rotated character
  • To return a vertically shifted character to the baseline

Rotated characters


To shift or rotate a character

  1. Select the character or characters using the Text tool [image].
  2. Click Text } Format text.
  3. Click the Character tab.
  4. In the Shift area, type a value in one of the following boxes:
    • Horizontal [image] — a positive number moves characters to the right, and a negative number moves characters to the left
    • Vertical [image] — a positive number moves characters up, and a negative number moves characters down
    • Rotate [image] — a positive number rotates characters counter-clockwise, and a negative number rotates characters clockwise

  • You can also shift or rotate characters whose nodes you select using the Shape tool [image] by typing values in the Horizontal shift box, Vertical shift box, or Angle of rotation box on the property bar.
Related Topics
  • Shifting and rotating text
  • To straighten a shifted or rotated character
  • To return a vertically shifted character to the baseline


To straighten a shifted or rotated character

  1. Select the text.
  2. Click Text } Straighten text.
Related Topics
  • Shifting and rotating text
  • To shift or rotate a character
  • To return a vertically shifted character to the baseline


To return a vertically shifted character to the baseline

  1. Open the Shape edit flyout [image], and click the Shape tool [image].
  2. Select the text object, and select the node to the left of the character.
  3. Click Text } Align to baseline.
Related Topics
  • Shifting and rotating text
  • To shift or rotate a character
  • To straighten a shifted or rotated character


Moving text

Corel R.A.V.E. lets you move paragraph text between frames, and artistic text between artistic text objects. You can also move paragraph text to an artistic text object, and artistic text to a paragraph text frame.

Related Topics
  • To move text


To move text

  1. Select the text using the Text tool [image].
  2. Drag the text to another paragraph text frame or artistic text object.

You can also |
Move text within the same frame or object | Select the text, and drag it to a new position.
Move or copy selected text to a new text object | Right-click and drag the text to a new position, and click Copy here or Move here.

Related Topics
  • Moving text


Fitting text to a path

You can add artistic text along the path of an open object (for example, a line) or a closed object (for example, a square). You can also fit existing text to a path. Artistic text can be fitted to an open or closed path. Paragraph text can be fitted to open paths only.

After you fit text to a path, you can adjust the text’s position relative to that path. For example, you can place the text on the opposite side of the path, or you can adjust the distance between the text and the path.

Corel R.A.V.E. treats text fitted to a path as one object; however, you can separate the text from the object if you no longer want it to be part of the path.When you separate text from a curved or closed path, the text retains the shape of the object to which it was fitted. Straightening the text reverts it to its original appearance.

Related Topics
  • To add text along a path
  • To fit text to a path
  • To adjust the position of text fitted to a path
  • To separate text from a path
  • To straighten text
  • To fit text to a paragraph text frame


To add text along a path

  1. Select a path using the Pick tool [image].
  2. Click Text } Fit text to path.
  3. Point to the path, and click when the pointer changes to the Fit to path pointer [image].
  4. Type along the path.

  • If the text is fitted to a closed path, the text is centered along the path. If the text is fitted to an open path, the text flows from the point of insertion.
  • You can’t fit text to the path of another text object.

  • You can also fit text to a path by clicking the Text tool [image] and pointing to a path. When the pointer changes to a Fit to path pointer, click where you want the text to begin, and type.
Related Topics
  • Fitting text to a path
  • To fit text to a path
  • To adjust the position of text fitted to a path
  • To separate text from a path
  • To straighten text
  • To fit text to a paragraph text frame


To fit text to a path

  1. Select a text object using the Pick tool [image].
  2. Click Text } Fit text to path.

    3. The pointer changes to a thick, black arrow.

  3. Click a path.
Related Topics
  • Fitting text to a path
  • To add text along a path
  • To adjust the position of text fitted to a path
  • To separate text from a path
  • To straighten text
  • To fit text to a paragraph text frame


To adjust the position of text fitted to a path

  1. Using the Pick tool [image], select the text fitted to a path.
  2. Choose a setting from any of the following list boxes on the property bar:
    • Text orientation — the angle at which the text sits on the path
    • Vertical placement — the vertical alignment of the text relative to the path
    • Distance from path — the distance between the text and the path to which it is fit
    • Text placement — the side of the path on which the text is fitted
    • Horizontal offset — the horizontal position of the text along the path

  • You can also change the horizontal position of fitted text by selecting it with the Shape tool [image] and dragging the character nodes you want to reposition.
  • Using the Pick tool, you can move text along the path by dragging the small red node that displays beside the text.
Related Topics
  • Fitting text to a path
  • To add text along a path
  • To fit text to a path
  • To separate text from a path
  • To straighten text
  • To fit text to a paragraph text frame


To separate text from a path

  1. Select the fitted text using the Pick tool [image].
  2. Click Arrange } Break text apart.
Related Topics
  • Fitting text to a path
  • To add text along a path
  • To fit text to a path
  • To adjust the position of text fitted to a path
  • To straighten text
  • To fit text to a paragraph text frame


To straighten text

  1. Select the fitted text using the Pick tool [image].
  2. Click Arrange } Break text apart.
  3. Click Text } Straighten text.
Related Topics
  • Fitting text to a path
  • To add text along a path
  • To fit text to a path
  • To adjust the position of text fitted to a path
  • To separate text from a path
  • To straighten text


Formatting paragraph text

Corel R.A.V.E. offers various formatting options for paragraph text. For example, you can fit text to a paragraph text frame. Fitting text to a frame increases or decreases the point size of text so that it fits the text frame exactly. You can also use columns to lay out text-intensive projects such as newsletters, magazines, and newspapers. You can create columns of equal or varying widths and gutters.

Applying drop caps to paragraphs enlarges the initial letter and insets it into the body of text. You can customize a drop cap by changing its settings. For example, you can change the distance between the drop cap and the body of text, or specify the number of lines of text you want to appear beside the drop cap. You can remove the drop cap at any point, without deleting the letter.

You can use bulleted lists to format information. You can have text wrap around bullets, or you can offset a bullet from text to create a hanging indent. Corel R.A.V.E. lets you customize bullets by changing their size, position, and distance from text.After you add a bullet, you can remove it without deleting the text.

You can add tabs to indent paragraph text. You can also remove tabs and change tab alignment. Setting trailing leader tabs automatically creates dots that precede the tab.

Indenting changes the space between a paragraph text frame and the text that it contains. You can indent an entire paragraph, the first line of a paragraph, all but the first line of a paragraph (a hanging indent), or from the right side of the frame. You can also remove an indent without deleting or retyping text.

Hyphenating splits words between lines when the whole word does not fit on one line. You can have Corel R.A.V.E. hyphenate automatically. You can specify hyphenation settings such as the minimum number of letters before and after a hyphen, and the hot zone.

Paragraph text frame formatting can be applied to selected frames only, selected frames and frames they are currently linked to, or to all selected and subsequently linked frames. For information about setting these options, see "To choose paragraph text frame formatting options."

Related Topics
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add bullets
  • To add a tab
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To fit text to a paragraph text frame

  1. Select a paragraph text frame.
  2. Click Text } Fit text to frame.

  • If you fit text to linked paragraph text frames, the application adjusts the size of text in all of the linked text frames. For more information about linking frames, see "Combining and linking paragraph text frames."
Related Topics
  • Formatting paragraph text
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add bullets
  • To add a tab
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To add columns to paragraph text frames

  1. Select a paragraph text frame.
  2. Click Text } Format text.
  3. Click the Columns tab.
  4. Type a value in the Number of columns box.
  5. Specify the settings and options you want.

  • You can change the size of columns and gutters by dragging a side selection handle in the drawing window with the Text tool [image].
Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add a drop cap
  • To add bullets
  • To add a tab
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To add a drop cap

  1. Select the paragraph text.
  2. Click Text } Format text.
  3. Click the Effects tab.
  4. Choose Drop cap from the Effect type list box.
  5. Click one of the following icons:
    • Dropped — wraps text around the drop cap
    • Hanging indent — offsets the drop cap from the body of text

You can add a drop cap (left) or a hanging indent drop cap(right).

You can also |
Specify the number of lines beside a drop cap | Type a value in the Dropped lines box.
Specify the distance between the drop cap and the body of text | Type a value in the Distance from text box.
Remove drop caps | Choose None from the Effect type list box.

Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add bullets
  • To add a tab
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To add bullets

  1. Select the paragraph text.
  2. Click Text } Format text.
  3. Click the Effects tab.
  4. Choose Bullet from the Effect type list box.
  5. Choose a font from the Font list box.
  6. Open the Symbol picker, and click a symbol.
  7. Click one of the following icons:
    • Bulleted — wraps text around the bullet
    • Hanging indent — adds a bullet with a hanging indent. Type a value in the Position box to specify the distance the bullet is indented from the paragraph text frame.

  • Bullets are inserted at the beginning of each new line that is preceded by a return.
Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add a tab
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To add a tab

  1. Select the paragraph text.
  2. Click Text } Format text.
  3. Click the Tabs tab.
  4. Click the Plus (+) button.
  5. Click the new cell in the Tabs column, and type a value.

You can also |
Change the alignment of tabs | Click the cell in the Alignment column, and choose an alignment option from the list box.
Set tabs with trailing leader characters | Click the cell in the Leadered column.
If you want to change the default character, choose a character from the Character list box. If you want to change the default spacing, specify a value in the Spacing box. | Delete a tab Click the cell and click the Minus (-) button.

  • You can also add, move, or delete tabs on the horizontal ruler at the top of the drawing window. Click to add a tab, drag a tab marker to move it, and drag a tab marker off the ruler to delete it. For information about rulers, see "Setting up the rulers."
Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add bullets
  • To indent paragraph text
  • To hyphenate paragraph text automatically


To indent paragraph text

  1. Select the paragraph text.
  2. Click Text } Format text.
  3. Click the Paragraph tab.
  4. Type values in the following boxes in the Indents area:
    • First line—indents the first line of paragraph text.
    • Left—creates a hanging indent in which all but the first line of text is indented.
    • Right—indents the right side of paragraph text

  • You can remove indents by typing 0 in the First Line, Left, and Right boxes.
  • You can indent an entire paragraph by typing the same value in the First line and Left boxes.
Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add bullets
  • To add a tab
  • To hyphenate paragraph text automatically


To hyphenate paragraph text automatically

  1. Select the paragraph text frame or a paragraph.
  2. Click Text } Format text.
  3. Click the Paragraph tab.
  4. Click Hyphenation settings, and enable the Automatic hyphenation check box.
  5. Specify the settings you want.
Related Topics
  • Formatting paragraph text
  • To fit text to a paragraph text frame
  • To add columns to paragraph text frames
  • To add a drop cap
  • To add bullets
  • To add a tab
  • To indent paragraph text


Combining and linking paragraph text frames

You can combine paragraph text frames. You can also break paragraph text frames apart into subcomponents — columns, paragraphs, bullets, lines, words, and characters. Every time you break apart a text frame, the subcomponents are placed into separate paragraph text frames.

Linking paragraph text frames directs the flow of text from one text frame to another if the amount of text exceeds the size of the first text frame. If you shrink or enlarge a linked paragraph text frame, or change the size of the text, the amount of text in the next text frame is automatically adjusted. You can link paragraph text frames before or after you type text.

You cannot link artistic text. However, you can link a paragraph text frame to an open or closed object. When you link a paragraph text frame to an open object (for example, a line), the text flows along the path of the line. Linking a text frame to a closed object (for example, a rectangle) inserts a paragraph text frame and directs the flow of text inside the object. If text exceeds the open or closed path, you can link the text to another text frame or object.

After linking paragraph text frames, you can redirect the flow from one object or text frame to another. When you select the text frame or object, a blue arrow indicates the direction of the text flow. You can hide or display these arrows.

You can make text flow between frames and objects by linking the text.

You can remove links between multiple paragraph text frames, and between paragraph text frames and objects. When you have only two linked paragraph text frames and you remove the link, the text flows into the remaining paragraph text frame. Removing a link between paragraph text frames with a series of links redirects the flow of text into the next paragraph text frame or object.

By default, Corel R.A.V.E. applies paragraph formatting such as columns, drop caps, and bullets to only the selected paragraph text frames; however, you can change your settings so that formatting is applied to all linked frames, or all selected and subsequently linked frames. For example, if you apply columns to the text in one text frame, you can choose whether you want all of the linked frames to also be formatted in columns. For information about paragraph formatting, see "Formatting paragraph text."

Related Topics
  • To combine or break apart paragraph text frames
  • To link paragraph text frames and objects
  • To change text flow to a different text frame or object
  • To remove links between text frames or objects
  • To choose paragraph text frame formatting options


To combine or break apart paragraph text frames

  1. Select a text frame.

    2. If you are combining text frames, hold down Shift and select subsequent text frames using the Pick tool [image].

  2. Click Arrange, and click one of the following:
    • Combine
    • Break paragraph text apart

  • Text frames with envelopes, text fitted to a path, and linked frames cannot be combined.
  • If you select a text frame with columns first, the combined text frame will have columns.
Related Topics
  • Combining and linking paragraph text frames
  • To link paragraph text frames and objects
  • To change text flow to a different text frame or object
  • To remove links between text frames or objects
  • To choose paragraph text frame formatting options


To link paragraph text frames and objects

  1. Select the starting text frame using the Text tool [image].
  2. Click the Text flow tab [image] at the bottom of the text frame or object.

    3. If the frame cannot hold all the text, the tab contains an arrow [image].

  3. When the pointer changes to a Link to pointer [image], click the frame or object into which you want to continue the text flow.

  • If a text frame is linked, the Text flow tab changes [image], and a blue arrow indicates the direction of text flow. To hide or display these indicators, see "To choose paragraph text frame formatting options."
  • To link paragraph text frames successfully, the text frames cannot be automatically sized. For information, see "Adding and selecting text."
Related Topics
  • Combining and linking paragraph text frames
  • To combine or break apart paragraph text frames
  • To change text flow to a different text frame or object
  • To remove links between text frames or objects
  • To choose paragraph text frame formatting options


To change text flow to a different text frame or object

  1. Using the Pick tool [image], click the Text flow tab [image] at the bottom of the text frame or object from which you want to change the link.
  2. Select the new text frame or object into which you want the text flow to continue.
Related Topics
  • Combining and linking paragraph text frames
  • To combine or break apart paragraph text frames
  • To link paragraph text frames and objects
  • To remove links between text frames or objects
  • To choose paragraph text frame formatting options


To remove links between text frames or objects

  1. Click the text frame to which another text frame is linked.
  2. Click Arrange } Break paragraph text apart.
Related Topics
  • Combining and linking paragraph text frames
  • To combine or break apart paragraph text frames
  • To link paragraph text frames and objects
  • To change text flow to a different text frame or object
  • To choose paragraph text frame formatting options


To choose paragraph text frame formatting options

  1. Click Tools } Options.
  2. In the list of categories, double-click Text, and click Paragraph.

    3. If you want to hide or display the text flow indicators, disable or enable the Show linking of text frames check box.

  3. Enable one of the following options:
    • To all linked frames — applies paragraph formatting to selected frames and all frames linked to them
    • To selected frames only — applies paragraph formatting to only the selected frames
    • To selected and subsequent frames — applies paragraph formatting to selected frames and any frames later linked to these frames.
Related Topics
  • Combining and linking paragraph text frames
  • To combine or break apart paragraph text frames
  • To link paragraph text frames and objects
  • To change text flow to a different text frame or object
  • To remove links between text frames or objects


Wrapping paragraph text around objects and text

You can change the shape of text by wrapping paragraph text around an object, artistic text, or a paragraph text frame. You can wrap text using contour or square wrapping styles. The contour wrapping styles follow the curve of the object. The square wrapping styles follow the bounding box of the object. You can also adjust the amount of space between paragraph text and the object or text, as well as remove any wrapping style you apply.

Wrapping text around an object using the contour wrapping style (left) and the square wrapping style (right)

Related Topics
  • To wrap paragraph text around an object or text
  • To remove a wrapping style


To wrap paragraph text around an object or text

  1. Select the object or text around which you want to wrap text.
  2. Click Window } Dockers } Properties.
  3. In the Object properties docker, click the General tab.
  4. Choose a wrapping style from the Wrap paragraph text list box.

    5. If you want to change the amount of space between wrapped text and the object or text, type a value in the Text wrap offset box.

  5. Click the Text tool [image], and drag to create a paragraph text frame over the object or text.
  6. Type text in the paragraph text frame.

  • You can wrap existing paragraph text around a selected object by applying a wrapping style to the object and dragging the paragraph text frame over the object.
Related Topics
  • Wrapping paragraph text around objects and text
  • To remove a wrapping style


To remove a wrapping style

  1. Select the wrapped text or the object it wraps.
  2. Click Window } Dockers } Properties.
  3. In the Object properties docker, click the General tab.
  4. Choose None from the Wrap paragraph text list box.
Related Topics
  • Wrapping paragraph text around objects and text
  • To wrap paragraph text around an object or text


Embedding graphics and adding special characters

You can embed a graphic object or bitmap in text. The graphic object or bitmap is treated as a text character. As a result, you can apply formatting options according to the type of text in which you embed the graphic object. You can also remove an embedded object from text, after which the object returns to its original state.

You can add special characters to text as text objects or as graphic objects. When you add special characters as text, you can format the characters as you do the text. When you add special characters as graphic objects, the characters are curves. Consequently, you can edit them as you would other graphic objects.

You can create patterns with special characters by tiling them across the page. Each character in the pattern is a separate object to which you can apply effects. You can change the spacing between the rows and columns in which the characters are arranged.

Related Topics
  • To embed a graphic object in text
  • To remove an embedded object from text
  • To add a special character as a text object
  • To add a special character as a graphic object
  • To create a pattern using a special character


To embed a graphic object in text

  1. Select a graphic object.
  2. Right-click and drag the object to the text.
  3. Click Move into text or Copy into text.
Related Topics
  • Embedding graphics and adding special characters
  • To remove an embedded object from text
  • To add a special character as a text object
  • To add a special character as a graphic object
  • To create a pattern using a special character


To remove an embedded object from text

  1. Select an embedded object using the Text tool [image].
  2. Click Edit } Cut.
  3. Click the Pick tool [image], and click outside the text object.
  4. Click Edit } Paste.
Related Topics
  • Embedding graphics and adding special characters
  • To embed a graphic object in text
  • To add a special character as a text object
  • To add a special character as a graphic object
  • To create a pattern using a special character


To add a special character as a text object

  1. Using the Text tool [image], click where you want to add the special character.
  2. Click Text } Insert character.
  3. Choose a category from the list box.
  4. Double-click a character in the list.

    5. The size of the character is determined by the font size of the text.

Related Topics
  • Embedding graphics and adding special characters
  • To embed a graphic object in text
  • To remove an embedded object from text
  • To add a special character as a graphic object
  • To create a pattern using a special character


To add a special character as a graphic object

  1. Click Text } Insert character.
  2. Choose a category from the list box.
  3. Type a value in the Character size box.
  4. Drag a special character from the list to the stage.
Related Topics
  • Embedding graphics and adding special characters
  • To embed a graphic object in text
  • To remove an embedded object from text
  • To add a special character as a text object
  • To create a pattern using a special character


To create a pattern using a special character

  1. Click Text } Insert character.
  2. Choose a category from the list box.
  3. Click a special character in the list.
  4. Click the flyout button [image], and click Tile special character.

    5. If you want to change the row and column spacing, click the flyout button, click Tile options, and type values in the Horizontal and Vertical boxes.

  5. Drag the special character to the stage.
Related Topics
  • Embedding graphics and adding special characters
  • To embed a graphic object in text
  • To remove an embedded object from text
  • To add a special character as a text object
  • To add a special character as a graphic object


Displaying nonprinting characters

You can specify which nonprinting characters, such as spaces and tabs, display. For example, if you choose to display nonprinting characters, each space you add displays as a tiny black dot. When enabled, nonprinting characters display only when you add or edit text.

Related Topics
  • To specify which nonprinting characters display
  • To display nonprinting characters


To specify which nonprinting characters display

  1. Click Tools } Options.
  2. In the list of categories, click Text.
  3. In the Non-printing character display list, enable the check boxes you want.
Related Topics
  • Displaying nonprinting characters
  • To display nonprinting characters


To display nonprinting characters

  1. Select a text object.
  2. On the property bar, click the Edit text button [image].
  3. Click the Nonprinting characters button [image].

  • You can also display or hide nonprinting characters in the drawing window by clicking the Text tool [image], and clicking the Nonprinting characters button on the property bar.
Related Topics
  • Displaying nonprinting characters
  • To specify which nonprinting characters display


Using writing tools

Writing tools let you correct errors in spelling and grammar, correct mistakes automatically, and help to refine your writing style.

In this section, you’ll learn about

  • using QuickCorrect
  • using the spelling checker and Grammatik
  • using the thesaurus
  • using text in more than one language
  • customizing the writing tools
  • using checking styles
  • using rule classes
  • analyzing a movie
  • using user word lists
  • working with languages
  • checking statistics

For more information about using the writing tools, see "Reference: Using writing tools."


Using QuickCorrect

QuickCorrect automatically corrects misspelled words and capitalization errors. You can customize QuickCorrect by specifying which types of errors you want corrected.

Adding words to QuickCorrect lets you replace words and abbreviations that you often mistype. The next time you type the misspelled word, QuickCorrect corrects the word automatically. You can use this feature to create shortcuts to frequently used words and phrases. For example, you can store the phrase “for your information” under the abbreviation “FYI” so that each time you type “FYI” followed by a space, it is replaced with the phrase.

You can have QuickCorrect add corrections made with the spelling checker to its word list so that the next time you misspell the word the same way, it is automatically corrected.

You can also undo a QuickCorrect correction.

Related Topics
  • To customize QuickCorrect
  • To add words to QuickCorrect
  • To add spelling corrections to QuickCorrect
  • To undo a QuickCorrect correction


To customize QuickCorrect

  1. Click Text } Writing tools } QuickCorrect.
  2. Enable any of the following check boxes:
    • Capitalize first letter of sentences
    • Change straight quotes to typographic quotes
    • Correct two initial, consecutive capitals
    • Capitalize names of days
    • Replace text while typing

  • The Correct two initial, consecutive capitals option doesn’t make a change when a capital letter is followed by a space or period, or if a word contains other capital letters.
  • Instead of enabling the Capitalize first letter of sentences check box, you can change the text case to sentence case. For more information, see "To change text case."
Related Topics
  • Using QuickCorrect
  • To add words to QuickCorrect
  • To add spelling corrections to QuickCorrect
  • To undo a QuickCorrect correction


To add words to QuickCorrect

  1. Click Text } Writing tools } QuickCorrect.
  2. Enable the Replace text while typing check box.
  3. In the Replace box, type the text to be replaced.
  4. Type the replacement text in the With box.
  5. Click Add.

  • You can use this feature to create shortcuts to frequently used words and phrases. Type the abbreviation in the Replace box, and the word or phrase in the With box.
Related Topics
  • Using QuickCorrect
  • To customize QuickCorrect
  • To add spelling corrections to QuickCorrect
  • To undo a QuickCorrect correction


To add spelling corrections to QuickCorrect

  1. Click Tools } Options.
  2. In the list of categories, double-click Text, and click Spelling.
  3. Enable the Add corrections to QuickCorrect check box.
Related Topics
  • Using QuickCorrect
  • To customize QuickCorrect
  • To add words to QuickCorrect
  • To undo a QuickCorrect correction


To undo a QuickCorrect correction

  • Click Edit } Undo QuickCorrect.
Related Topics
  • Using QuickCorrect
  • To customize QuickCorrect
  • To add words to QuickCorrect
  • To add spelling corrections to QuickCorrect


Using the spelling checker and Grammatik

The writing tools let you check your text in many ways. By using the spelling checker and Grammatik, you can check the spelling and grammar in an entire movie, part of a movie, or only selected text.

You can manually edit text and then resume checking the movie.

The spelling checker and Grammatik replace words or phrases in two ways: you can choose a word, or define an automatic replacement for a word. Defining automatic replacement words is useful for words that are regularly misspelled. Automatic replacement words are stored in a user word list file. For more information about user word list files, see "Using user word lists."

You can skip a writing error once but flag subsequent occurrences of the problem, or you can skip the error for the rest of the proofreading session.

Related Topics
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To check an entire movie

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Choose Document from the Check list box.
  3. Click Start.
Related Topics
  • Using the spelling checker and Grammatik
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To check part of a movie

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. From the Check list box, choose one of the following:
    • Paragraph
    • Selected text
    • Sentence
    • Word
  3. Click one of the following:
    • Start — begins a new check
    • Resume — continues an interrupted check

  • The options available from the Check list box vary according to the type of drawing you are checking.
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To check selected text

  1. Select the text you want to check.
  2. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik

      • By default, the Auto start command is enabled for the Spelling checker and Grammatik. If you want to disable the Auto start command, click Options } Auto start; to check a movie, you must click the Start button in the Writing tools dialog box.

Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To edit text manually

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. When the checking stops on a word or phrase, click where you want to make changes.
  3. Edit the text.
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To replace a word or phrase

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. When the checking stops, choose a word or phrase from the Replacements list.
  3. Click Replace.

  • If the spelling checker does not offer replacement words, you can edit text manually in the Replace with box.
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To define automatic replacements
  • To skip an error once
  • To skip all occurrences of an error


To define automatic replacements

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. When the checking stops on a word, click Auto replace.
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To skip an error once
  • To skip all occurrences of an error


To skip an error once

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. When the checking stops, click Skip once.
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip all occurrences of an error


To skip all occurrences of an error

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. When the checking stops, click Skip all.

  • You can also skip all occurrences of a word for all proofreading sessions by adding it to a User word list. For more information about user word list files, see "Using user word lists."
Related Topics
  • Using the spelling checker and Grammatik
  • To check an entire movie
  • To check part of a movie
  • To check selected text
  • To edit text manually
  • To replace a word or phrase
  • To define automatic replacements
  • To skip an error once


Using the thesaurus

You can use the thesaurus to refine your writing style. The thesaurus lets you look up options such as synonyms, antonyms, and related words.

You can replace a word using the thesaurus. When you look up a word, the thesaurus provides a short definition and a list of the lookup options selected. The thesaurus also maintains a history list of the words that you have looked up. Each time you start the thesaurus, it begins a new history list.

The thesaurus automatically replaces a word with a suggested word, but you can also use the thesaurus to insert words.

Related Topics
  • To replace a word
  • To insert a word


To replace a word

  1. Select a word.
  2. Click Text } Writing tools } Thesaurus.
  3. Click Look up.
  4. In the list of categories, double-click a definition and click a word.
  5. Click Replace.

You can also |
Look up words suggested by the thesaurus | View definitions in the pane to the right of the suggested words.
Look up any word | Type a word in the list box at the top of the Thesaurus page. Click Look up.
Look up recently checked words | Choose a word from the list box at the top of the Thesaurus page.

  • In some instances, the thesaurus prompts you to select the correct form of the word you want to insert. This happens when you want to replace a word that is the same in the present or past tense (such as “read”) or a word that can be used as multiple parts of speech (for example, “wonder”, which can be used as either a noun or a verb).

  • Click the left and right arrows to scroll through word lists.
Related Topics
  • Using the thesaurus
  • To insert a word


To insert a word

  1. In the movie, click where you want to insert the word.
  2. Click Text } Writing tools } Thesaurus.
  3. Type a word in the box at the top of the Thesaurus page.
  4. Click Look up.
  5. Choose a word from the list box.
  6. Click Insert.

  • In some instances, the thesaurus prompts you to select the correct form of the word you want to insert. This happens when you want to replace a word that is the same in the present or past tense (such as “read”) or a word that can be used as multiple parts of speech (for example, “wonder”, which can be used as either a noun or a verb).
Related Topics
  • Using the thesaurus
  • To replace a word


Using text in more than one language

A movie can contain text that alternates between different languages. For example, if you have a French language module installed on your computer, you can include a French word or paragraph in English text. You can assign languages to text for use with the writing tools. When you run the spelling checker, Grammatik, or the thesaurus, Corel R.A.V.E. checks words, phrases, and sentences according to their assigned language. This prevents foreign words from being marked as misspelled. You can use the writing tools the same way you would if the text were all in one language.

Related Topics
  • To assign a language


To assign a language

  1. Select the text.
  2. Click Text } Writing tools } Language.
  3. Choose a language.

  • You can also set the language you choose as the default language by enabling the Save as default writing tools language check box.
Related Topics
  • Using text in more than one language


Customizing the writing tools

You can customize how the spelling checker checks spelling in a movie. For example, you can choose how the spelling checker starts and whether it searches for misspelled words, irregular capitalization, duplicate words, or words with numbers.

You can customize how Grammatik checks grammar in a movie. For example, you can customize Grammatik to start automatically, to prompt you before it automatically replaces words, and to show spelling suggestions for misspelled words.

You can customize the thesaurus to look up words or close automatically. The thesaurus can also be customized to suggest spelling suggestions for misspelled words and display multiple alternative word lists.

Related Topics
  • To set spelling checker options
  • To set Grammatik options
  • To set thesaurus options


To set spelling checker options

  1. Click Text } Writing tools } Spell check.
  2. Click Options, and click one of the following:
    • Auto start
    • Beep on misspelled
    • Recheck all text
    • Check words with numbers
    • Check duplicate words
    • Check irregular capitalization
    • Prompt before auto replacement
    • Show phonetic suggestions

  • Any options you change will be effective the next time you open the spelling checker.
Related Topics
  • Customizing the writing tools
  • To set Grammatik options
  • To set thesaurus options


To set Grammatik options

  1. Click Text } Writing tools } Grammatik.
  2. Click Options, and click one of the following:
    • Auto start
    • Prompt before auto replacement
    • Suggest spelling replacements

  • Any options you change will be effective the next time you open Grammatik.
Related Topics
  • Customizing the writing tools
  • To set spelling checker options
  • To set thesaurus options


To set thesaurus options

  1. Click Text } Writing tools } Thesaurus.
  2. Click Options, and click one of the following:
    • Auto look up
    • Auto close
    • Spelling assist

  • Any options you change will be effective the next time you open Thesaurus.
Related Topics
  • Customizing the writing tools
  • To set spelling checker options
  • To set Grammatik options


Using checking styles

A checking style is a preset writing style rule applied to a movie. Using a checking style lets you check a movie that has a specific type of writing. For example, you can choose an advertising checking style to check advertising copy or marketing materials.

You can create, delete, edit, and restore a checking style.

You can specify a maximum number of items when Grammatik checks the grammar of a movie. For example, you can specify the maximum number of consecutive nouns that Grammatik allows.

Choosing a formality level lets Grammatik check a movie for strict or relaxed use of language and diction. Each checking style has a default level of formality assigned to it. Each formality level focuses on a different style of writing. You can choose from three formality levels: informal, standard, and formal.

Related Topics
  • To select a checking style
  • To create a checking style
  • To delete a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items
  • To change a formality level


To select a checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose one of the following:
    • Spelling plus
    • Quick check
    • Very strict
    • Formal memo or letter
    • Informal memo or letter
    • Technical or scientific
    • Documentation or speech
    • Student composition
    • Advertising
    • Fiction
    • Grammar As-You-Go
  4. Click Select.

  • A checking style remains in effect until you disable the checking style or choose another one.
Related Topics
  • Using checking styles
  • To create a checking style
  • To delete a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items
  • To change a formality level


To create a checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose Very strict from the list.
  4. Click Edit.
  5. In the Edit checking styles dialog box, disable any rule classes in the Rule classes list that you do not want to include.
  6. Modify any of the settings.
  7. Click Save as.
  8. In the Save as checking style dialog box, type a name in the Custom style name box.
Related Topics
  • Using checking styles
  • To select a checking style
  • To delete a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items
  • To change a formality level


To delete a checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose a checking style from the list.
  4. Click Delete.

  • You can delete custom checking styles, but you cannot delete preset checking styles.
Related Topics
  • Using checking styles
  • To select a checking style
  • To create a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items
  • To change a formality level


To edit a checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose a checking style.
  4. Click Edit.
  5. Modify any of the settings.
  6. Click Save.

  • When you save an edited checking style, an asterisk (*) is added to the style name.
Related Topics
  • Using checking styles
  • To select a checking style
  • To create a checking style
  • To delete a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items
  • To change a formality level


To restore an edited checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose an edited checking style from the list.
  4. Click Edit.
  5. Click Restore.

    6. If you want to save an edited or restored checking style with a new name, click Save as, and type the new name in the Save as checking style dialog box.

  • Custom checking styles saved with new names cannot be returned to default settings.
Related Topics
  • Using checking styles
  • To select a checking style
  • To create a checking style
  • To delete a checking style
  • To edit a checking style
  • To specify the maximum number of certain items
  • To change a formality level


To specify the maximum number of certain items

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose a checking style from the list.
  4. Click Edit.
  5. In the Maximum allowed area, type values in any of the following boxes:
    • Consecutive nouns
    • Consecutive prepositional phrases
    • Long sentence length
    • Spell numbers below or equal to
    • Words allowed in split infinitive

  • Set the Spell numbers below or equal to value to zero if you do not want figures to be flagged as errors.
Related Topics
  • Using checking styles
  • To select a checking style
  • To create a checking style
  • To delete a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To change a formality level


To change a formality level

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose a checking style from the list.
  4. Click Edit.
  5. In the Formality levels area, enable one of the following:
    • Informal
    • Standard
    • Formal
Related Topics
  • Using checking styles
  • To select a checking style
  • To create a checking style
  • To delete a checking style
  • To edit a checking style
  • To restore an edited checking style
  • To specify the maximum number of certain items


Using rule classes

Rule classes contain groups of grammar and style rules. Grammatik uses rule classes to detect common writing errors.

You can enable or disable rules at any time during a Grammatik session. When you disable a rule, Grammatik ignores all the errors associated with that rule during the current proofreading session. You can also choose which rule classes to apply during a Grammatik session or save a new set of rules as a Checking style.

Related Topics
  • To enable a rule
  • To disable a rule
  • To add rule classes
  • To save a set of rules as a new checking style


To enable a rule

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Turn on rules.
  3. In the Turn on rules dialog box, choose the rules you want to enable from the Rules list.

  • The Turn on rules command is available only when you have disabled a rule during proofreading. Otherwise, it is grayed.
Related Topics
  • Using rule classes
  • To disable a rule
  • To add rule classes
  • To save a set of rules as a new checking style


To disable a rule

  1. Click Text } Writing tools } Grammatik.
  2. Start a new grammar checking session.
  3. When Grammatik alerts you to an error you do not want to flag, click Turn off.
Related Topics
  • Using rule classes
  • To enable a rule
  • To add rule classes
  • To save a set of rules as a new checking style


To add rule classes

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Checking styles.
  3. In the Checking styles dialog box, choose a checking style from the list.
  4. Click Edit.
  5. In the Edit checking styles dialog box, enable any check boxes beside the rule classes in the Rule classes list that you want to add.
Related Topics
  • Using rule classes
  • To enable a rule
  • To disable a rule
  • To save a set of rules as a new checking style


To save a set of rules as a new checking style

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Save rules.
  3. In the Save rules dialog box, click Save as.
  4. In the Save as checking style dialog box, type a name in the Custom style name box.

  • The Save rules command is available only when a rule has been turned off.
Related Topics
  • Using rule classes
  • To enable a rule
  • To disable a rule
  • To add rule classes


Analyzing a movie

Grammatik lets you analyze the grammatical structure of text in a movie. You can analyze parts of a sentence and parts of speech. When Grammatik analyzes a sentence, it assigns a sentence part to each word or group of words. Grammatik uses Parse Tree to let you view the parts of a sentence. When Grammatik analyzes text, it assigns a part of speech to each word in a sentence. You can view the parts of speech that Grammatik assigns to a sentence.

You can view a basic counts report to analyze a writing style. The basic counts report determines if there are too many long words or if paragraphs are too long and complicated for the reader to easily understand.

You can also view a flagged errors report to analyze a writing style. The flagged errors report lists the types of errors flagged in a movie and reports the number of times each error was flagged. You can also use this report to identify the types of grammar problems that often appear in a movie.

Viewing a readability report lets you analyze the amount of skill required for a reader to understand the text in a movie. Grammatik analyzes the readability of a movie by comparing the text with a comparison document. You can choose from one of three Grammatik comparison documents, or you can add a custom comparison document.

Related Topics
  • To view a parse tree
  • To view parts of speech
  • To view a basic counts report
  • To view a flagged errors report
  • To view the readability of a movie
  • To add a comparison document


To view a parse tree

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Analysis } Parse tree.

  • The location of the cursor determines the sentence that displays in the parse tree.
Related Topics
  • Analyzing a movie
  • To view parts of speech
  • To view a basic counts report
  • To view a flagged errors report
  • To view the readability of a movie
  • To add a comparison document


To view parts of speech

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Analysis } Parts of speech.

  • The location of the cursor determines the sentence that displays in the Parts of speech dialog box.
Related Topics
  • Analyzing a movie
  • To view a parse tree
  • To view a basic counts report
  • To view a flagged errors report
  • To view the readability of a movie
  • To add a comparison document


To view a basic counts report

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Analysis } Basic counts.
Related Topics
  • Analyzing a movie
  • To view a parse tree
  • To view parts of speech
  • To view a flagged errors report
  • To view the readability of a movie
  • To add a comparison document


To view a flagged errors report

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Analysis } Flagged.
Related Topics
  • Analyzing a movie
  • To view a parse tree
  • To view parts of speech
  • To view a basic counts report
  • To view the readability of a movie
  • To add a comparison document


To view the readability of a movie

  1. Click Text } Writing tools } Grammatik.
  2. Click Options } Analysis } Readability.
  3. In the Readability dialog box, choose a comparison document from the Comparison document list box.
Related Topics
  • Analyzing a movie
  • To view a parse tree
  • To view parts of speech
  • To view a basic counts report
  • To view a flagged errors report
  • To add a comparison document


To add a comparison document

  1. Open the drawing you want to use as a comparison document.
  2. Click Text } Writing tools } Grammatik.
  3. Click Options } Analysis } Readability.
  4. In the Readability dialog box, click Add document.

  • Grammatik lets you add only one custom comparison document. If you add a second document, it overwrites the first custom comparison document.
Related Topics
  • Analyzing a movie
  • To view a parse tree
  • To view parts of speech
  • To view a basic counts report
  • To view a flagged errors report
  • To view the readability of a movie


Using user word lists

A word list is a list of words or phrases scanned when you proof text by using the writing tools. Writing tools scan two types of word lists: user word lists and main word lists. Each language comes with a default user word list. You can customize user word lists by adding, deleting, or replacing words. Main word lists are lists of specialized words used by the spell checker for a particular language, field or company.

You can choose a user word list to help proof a text. You can have up to 10 user word lists active simultaneously. For example, if you want the spelling checker to scan both the US English and the Canadian English main word lists, choose both lists. If you work in the medical profession, you can select a third-party medical word list that runs with the writing tools. Each language supported by the spelling checker has a default main word list. The active User Word Lists are scanned first; if the word or phrase is not found there, the active Main Word Lists are scanned. You can add, disable, or remove word lists.

You can add a word to a user word list so that the word is not flagged as an error. You can also add replacement words to a user word list, which lets you choose a replacement when the spelling checker or Grammatik stops on a word.

You can edit or delete words in a User Word List at any time.

Related Topics
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To choose a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. Enable the User word list check box.

    4. If there is only one user word list, no check box will display.

  • The default user word list for the language is always enabled.
Related Topics
  • Using user word lists
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To add a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. Click in the User word lists list where you want to position the new user word list.
  4. Click Add list.
  5. In the Add user word list dialog box, choose the new user word list.
  6. Click Open.

  • The filename extension for a user word list is .uwl.
  • When you check a movie, the user word lists are scanned in the order they display in the User word lists list.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To disable a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. Disable the check box that corresponds to a user word list.

  • The default user word list for the language is always enabled.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To remove a user word list

  1. Click Text } Writing tools } Spell check.
  2. Click Options } User word lists.
  3. Choose a user word list.
  4. Click Remove list.

  • You cannot remove the default language word list.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To add a word to a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. In the User word lists dialog box, choose a user word list.
  4. Type a word in the Word/phrase box.
  5. If you want to add a replacement word, type it in the Replace with box.
  6. Click Add entry.
  7. Click Close.

  • In the spelling checker, replacement words appear in the Replacements box.

  • Click Add from the Spell checker or Grammatik pages to add the word to the current user word list.
  • You can also add short phrases to a user word list.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To add alternative words to a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. In the User word lists dialog box, choose a user word list.
  4. Type a word in the Word/phrase box.
  5. Type a replacement word in the Replace with box.
  6. Click Add entry.
  7. Click Close.

  • You can also add short phrases to a user word list.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To edit a word or phrase in a user word list
  • To delete a word or phrase from a user word list


To edit a word or phrase in a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. Choose the User word list that contains the word or phrase you want to edit.
  4. Choose the word or phrase you want to edit.
  5. Edit the word or phrase in the Replace with box.
  6. Click Replace entry.

  • If the word list you want to edit does not appear in the User word lists dialog box, click Add list to open the list.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To delete a word or phrase from a user word list


To delete a word or phrase from a user word list

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
  2. Click Options } User word lists.
  3. Choose the word list you want to edit.
  4. Choose the word or phrase you want to delete.
  5. Click Delete entry.
Related Topics
  • Using user word lists
  • To choose a user word list
  • To add a user word list
  • To disable a user word list
  • To remove a user word list
  • To add a word to a user word list
  • To add alternative words to a user word list
  • To edit a word or phrase in a user word list


Working with languages

Many languages are available for use with the writing tools. You can choose a language for the current file or set it as the default language for all of the writing tools.

Many of the languages support hyphenation. Hyphenation lets you reduce the raggedness of text along the right margin by dividing a word that falls at the end of a line, instead of forcing the entire word to the next line.

Every language has specific ways of formatting dates, time, currency symbols, and other text. You can check for the formatting conventions of another language by adding a language to the writing tools. For example, the spelling checker can format all dates in a movie according to French conventions (such as 12 avril 1996).

If you no longer require a language, you can remove it.

You can set a data file to set the language file that the thesaurus uses to look up words.

Related Topics
  • To choose a language
  • To set the default language
  • To add a language
  • To remove a language
  • To set a data file


To choose a language

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
    • Thesaurus
  2. Click Options } Language.
  3. In the Select language dialog box, choose a language from the Language list.

  • To see only the languages supported by the current writing tool, enable the Show available languages only check box.
Related Topics
  • Working with languages
  • To set the default language
  • To add a language
  • To remove a language
  • To set a data file


To set the default language

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
    • Thesaurus
  2. Click Options } Language.
  3. In the Select language dialog box, choose a language from the Language list.
  4. Enable the Save as default writing tools language check box.

  • To see only the languages supported by the current writing tool, enable the Show available languages only check box.
Related Topics
  • Working with languages
  • To choose a language
  • To add a language
  • To remove a language
  • To set a data file


To add a language

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
    • Thesaurus
  2. Click Options } Language.
  3. Click Add.
  4. In the Add language code dialog box, type the language code and description of the language that you want to add.
Related Topics
  • Working with languages
  • To choose a language
  • To set the default language
  • To remove a language
  • To set a data file


To remove a language

  1. Click Text } Writing tools, and click one of the following:
    • Spell check
    • Grammatik
    • Thesaurus
  2. Click Options } Language.
  3. Choose a language from the list.
  4. Click Remove.

  • You can remove only languages you have added.
Related Topics
  • Working with languages
  • To choose a language
  • To set the default language
  • To add a language
  • To set a data file


To set a data file

  1. Click Text } Writing tools } Thesaurus.
  2. Click Options } Set data file.
  3. In the Open dialog box, choose the data file.
  4. Click Open.
Related Topics
  • Working with languages
  • To choose a language
  • To set the default language
  • To add a language
  • To remove a language


Checking statistics

You can check text statistics to count text elements, including the number of lines, words, characters, and the names of the fonts and styles used. You can either display statistics for selected text objects or for the entire movie. If no text is selected, all text elements in the movie, including tab and space characters, are counted.

Related Topics
  • To count text elements for an entire movie


To count text elements for an entire movie

  1. Click a blank space in the drawing window.
  2. Click Text } Text statistics.

You can also |
Count text elements for selected text | Select a block of text. Click Text } Text statistics.

  • If you want to display information about the styles used, enable the Show style statistics check box.
Related Topics
  • Checking statistics


Reference: Using writing tools

Additional information about parts of speech is available in the following topic:

  • analyzing parts of a sentence


Analyzing parts of a sentence

The abbreviations that identify parts of a sentence or speech are listed below.

Abbreviation | Explanation
3v | The third person is a present tense of a verb. Examples: He “waits,” she “brushes” her hair, “does” it sing.
<> | Punctuation clarifies the meaning of a phrase or statement by inserting punctuation marks. Examples, period (.), comma (,), question mark (?).
abrv | An abbreviation is a shortened version of a word. For example: etc. is an abbreviation of etcetera.
adj | An adjective modifies a noun. Example: a "good" book.
adv | An adverb modifies a verb or an adjective. Examples: go "quickly," a "very" good book.
aux | An auxiliary verb is a form of "be," "have," or "do." Examples: "is" coming, "had" not run, "did" he say.
bv | A base verb is the form of a verb that comes after "to" in an infinitive, or after a modal like "would."
c/s | Comparative and superlative are forms of adjectives or adverbs that indicate a degree of comparison. Examples: happier, slowest.
cj | A conjunction joins words, phrases, or clauses. Examples: the book "and" the pen, "because" it is late.
det | A determiner is a type of adjective. Examples: "a," "an," "the," "some," "these," "any."
direct object | A direct object receives the action. Example: Bob gave her "an apple".
ij | An interjection is an exclamation. Examples: hi!, oh!, hey!
indirect object | An Indirect Object tells "to whom" or "for whom." Example: Bob gave an apple to "her."
inf | A split infinitive is a verb in its infinitive form (to be, to run) that is split by intervening modifiers. For example, in the split infinitive "to boldly go," the adverb "boldly" splits the infinitive "to go."
main clause | A main clause is complete in meaning without any other sentence component. Example: "We will have the meeting today."
mod | A modal is a type of auxiliary verb. Examples: will, must, can, should, might.
num | A number is a unit of measure. Examples of a number are: three, 497, 6:00.
phrasal | A phrasal is a preposition that is part of a verb phrase, but separated from it. Example: put the book "down."
pn | A plural noun is the plural form of a noun. Examples of a plural noun are: "books," "children."
poss | A possessive noun is a possessive form of a noun, indicating ownership. Examples: "dog's" leg, "students'" cars, "Joe's" son.
ppt | A past participle is a past-tense form of a verb. Example: the note was "written" in ink.
prep phr | A prepositional phrase is a preposition and its object, plus any modifiers. Prepositional phrases usually function as adjectives, adverbs, or nouns. Example: We came back "for the second show."
pres-p | A present participle is a form of a verb, usually created by adding "ing." Examples: He is "writing" a book. She is "going" to bed.
prn | A pronoun takes the place of a noun. Examples: "I," "me," "you," "mine," "yourself," "these," "who," "which."
pv | The past is the past tense of a verb. Examples: He "wrote" the book. We "went" to the store.
relative clause | A relative clause is a type of subordinate clause that acts like an adjective, describing a noun or pronoun before it. A relative clause usually starts with a relative pronoun like "who," "whom," or "what." Example: The employees "who used the dental plan" appreciated the change.
rel prn | A relative pronoun introduces a subordinate clause and links it with an independent clause. Example: The noise "that" scared you was made by the boy "who" lives next door.
sn | A singular noun is the name of one person, place, thing, or idea. Examples: "Tom," "Canada," "pen," "health."
subject | The subject of a clause performs the action. A subject can be one word or several. Examples: "John" ran, "The cats" meowed, "All the children and their mothers" took naps.
subordinate clause | A subordinate clause is also called a dependent clause. A subordinate clause cannot stand alone. It depends on another clause to complete its meaning. Example: We will have the meeting today, "since everyone is here."
that clause | A that clause is a specialized subordinate clause starting with "that." Example: We were sure "that you would pay us."
verb or verb phrase | A verb or verb phrase shows action in the verb. Verbs can contain one or several words. VERB is used for a single word. For example: John "ran." A VERB PHRASE is used when several words make up the verb. For example: He "has gone" (VERB PHRASE).
wh- clause | A Wh- Clause is a specialized subordinate clause starting with "when," "how," "why," or "where." A wh-clause can act like a noun, an adverb, or an adjective. Examples: We knew "where she would go," I will tell you "when I go."


Working with Asian text

If you are running Corel R.A.V.E. on an Asian operating system, or if you have Asian language support installed on another operating system, you can take advantage of the Asian text formatting capabilities available with Corel R.A.V.E.

In this section, you’ll learn about

  • formatting Asian text
  • using Asian line-breaking rules


Formatting Asian text

Asian character input is only supported in Corel R.A.V.E. when using an Asian operating system or when language kit is installed on a non-Asian operating system. You can choose a default font and text orientation (either horizontal or vertical) when typing text on an operating system that has Asian language support. When you type artistic or paragraph text, the program uses a default artistic or paragraph text style.

You can also mix Asian text and other scripts in one text object and set the spacing between the two. You can change the font properties of one or both languages in a block of Latin or Asian text.

Related Topics
  • To choose a default font for Asian text
  • To choose a text orientation
  • To specify spacing between Latin and Asian text
  • To change the font properties of Latin and Asian text


To choose a default font for Asian text

  1. Click the Text tool [image].
  2. Choose an input method from the Input Method Editor (IME) on the status bar.
  3. Choose a font from the Font list list box on the property bar.
Related Topics
  • Formatting Asian text
  • To choose a text orientation
  • To specify spacing between Latin and Asian text
  • To change the font properties of Latin and Asian text


To choose a text orientation

To | Do the following
Choose a default text orientation | Click a blank space in the drawing window, click Text } Format text, click the Paragraph tab, and choose either Horizontal or Vertical from the Orientation list box.
Change the text orientation | Using the Pick tool, select the text and click Text } Format text. Click the Paragraph tab, and choose either Horizontal or Vertical from the Orientation list box.

  • The default orientation for Asian text is horizontal.
  • When you change the text orientation from horizontal to vertical, underlines become left lines and overlines become right lines.
  • If you have Asian text support installed with your operating system, you can also change text orientation on the Text tool property bar.
Related Topics
  • Formatting Asian text
  • To choose a default font for Asian text
  • To specify spacing between Latin and Asian text
  • To change the font properties of Latin and Asian text


To specify spacing between Latin and Asian text

  1. Click Text } Format text.
  2. Click the Paragraph tab.
  3. Type a value in the Language box.

  • The inter-language spacing is based on the percentage of a standard space. For example, two spaces are represented by typing a value of 200.
Related Topics
  • Formatting Asian text
  • To choose a default font for Asian text
  • To choose a text orientation
  • To change the font properties of Latin and Asian text


To change the font properties of Latin and Asian text

  1. Select the text.
  2. Click Text } Format text.
  3. Click the Character tab and choose one of the following from the Script list box:
    • Latin
    • Asian
  4. Change any font properties.

  • The text orientation setting applies to the entire text object. You cannot mix orientations in one text object.
Related Topics
  • Formatting Asian text
  • To choose a default font for Asian text
  • To choose a text orientation
  • To specify spacing between Latin and Asian text


Using Asian line-breaking rules

Corel R.A.V.E. includes line-breaking rules for use with Asian text when you have an Asian operating system. For most Asian languages, a line of text can break between any two characters, with a few exceptions. Some characters cannot appear at the end of a line. These characters are referred to as “leading characters.” Other characters — referred to as “following characters” — cannot appear at the beginning of a line. The line breaks either after the following character or before the character that precedes the following character. Still others — referred to as “overflow characters” — are not wrapped but are, instead, allowed to extend beyond the right or bottom margin.

To enforce one or more of the line-breaking rules, you can enable any of the rules. To customize the rules, you can add or remove characters. You can also reset the rules to the default.

Related Topics
  • To disable or enable line-breaking rules
  • To add or remove characters to a line-breaking rule
  • To reset a line-breaking rule to the default


To disable or enable line-breaking rules

  1. Click Text } Format text.
  2. Click the Rules tab.
  3. Enable any of the following check boxes:
    • Leading characters — ensures that a line does not break after any of the characters in the list
    • Following characters — ensures that a line does not break before any of the characters in the list
    • Overflow characters — ensures that the characters in the list are allowed to extend beyond the margin of the line

  • You must have Asian text support installed on your operating system and have paragraph text selected to view the Rules tab.
Related Topics
  • Using Asian line-breaking rules
  • To add or remove characters to a line-breaking rule
  • To reset a line-breaking rule to the default


To add or remove characters to a line-breaking rule

  1. Click Text } Format text.
  2. Click the Rules tab.
  3. Type or remove the characters in the appropriate box.

  • You must have Asian text support installed on your operating system and have paragraph text selected to view the Rules tab.
Related Topics
  • Using Asian line-breaking rules
  • To disable or enable line-breaking rules
  • To reset a line-breaking rule to the default


To reset a line-breaking rule to the default

  1. Click Text } Format text.
  2. Click the Rules tab.
  3. Click the Default button beside a rule.

  • You must have Asian text support installed on your operating system and have paragraph text selected to view the Rules tab.
Related Topics
  • Using Asian line-breaking rules
  • To disable or enable line-breaking rules
  • To add or remove characters to a line-breaking rule


Managing fonts

Corel R.A.V.E. has several features that allow you to manage fonts.

In this section, you’ll learn about

  • substituting unavailable fonts
  • embedding fonts
  • using Bitstream Font Navigator


Substituting unavailable fonts

You can use PANOSE font matching to access a list of fonts that can be used as substitutes for fonts used in a movie but not installed on your computer.

You can set font matching options. You can use font matching in text only, in both text and text styles, or you can turn off font matching. With font matching, you can accept the default substitute font, or you can choose another font to substitute for the missing font. You can apply the substitution temporarily or permanently to the active movie.

You can build a list of exceptions to font substitutions. Exceptions override default font substitutions. You can also specify font equivalents. This is useful when sharing movies across the two platforms, because sometimes the same font has a different spelling for its name on each platform.

Related Topics
  • To set font matching options
  • To substitute a missing font
  • To build a list of exceptions to font substitutions
  • To match more Windows and Macintosh fonts


To set font matching options

  1. Click Tools } Options.
  2. In the list of categories, double-click Text, and click Fonts.
  3. Click PANOSE font matching.
  4. In the PANOSE font matching preferences dialog box, enable one of the following options:
    • Never use font matching — applies default font substitutions for both text in the document and text styles
    • Use font matching for text — lets you select font substitutions for text in the document and applies default font substitutions for text styles
    • Use font matching for text and styles — lets you select font substitutions for both text in the document and text styles
Related Topics
  • Substituting unavailable fonts
  • To substitute a missing font
  • To build a list of exceptions to font substitutions
  • To match more Windows and Macintosh fonts


To substitute a missing font

  1. Open a movie.
  2. Enable one of the following options:
    • Show fonts in the same code page — displays only missing fonts that support the code page of the active drawing
    • Show all fonts — displays all missing fonts
  3. In the Font matching results dialog box, choose a missing font.

    4. If you want to override the default substitution, choose a font from the bottom list box.

  4. Enable one of the following options:
    • Temporary — replaces the missing font with the substitution, but only in the current session of the movie
    • Permanent — permanently makes the font substitution in the document. When you save the file and reopen it, the new font automatically displays.

  • In order for the Font matching results dialog box to display, the movie that you open must contain fonts that aren’t installed on your computer.
Related Topics
  • Substituting unavailable fonts
  • To set font matching options
  • To build a list of exceptions to font substitutions
  • To match more Windows and Macintosh fonts


To build a list of exceptions to font substitutions

  1. Click Tools } Options.
  2. In the list of categories, double-click Text, and click Fonts.
  3. Click PANOSE font matching.
  4. In the PANOSE font matching preferences dialog box, click Exceptions.
  5. In the PANOSE font matching exceptions dialog box, click Add.
  6. In the Add matching exception dialog box, type the name of the font you want to replace in the Missing font box.
  7. Choose a font that is installed on your computer from the Substituted font list.
Related Topics
  • Substituting unavailable fonts
  • To set font matching options
  • To substitute a missing font
  • To match more Windows and Macintosh fonts


To match more Windows and Macintosh fonts

  1. Click Tools } Options.
  2. In the list of categories, double-click Text, and click Fonts.
  3. Click PANOSE font matching.
  4. In the PANOSE font matching preferences dialog box, click Spellings.
  5. Click Add.
  6. Choose a Windows font name from the Windows name list box.
  7. Type the Macintosh spelling for the font in the Macintosh name list box.
Related Topics
  • Substituting unavailable fonts
  • To set font matching options
  • To substitute a missing font
  • To build a list of exceptions to font substitutions


Embedding fonts

You can choose to embed fonts in a movie.Embedding fonts ensures that all fonts used in a movie are available when the movie is opened on another computer. When fonts are embedded, font substitution is not required, and a movie displays and prints the same way on all computers. For more information about font substitution, see "Substituting unavailable fonts."

Related Topics
  • To embed fonts in a file


To embed fonts in a file

  1. Click File } Save as.
  2. Click Options.
  3. Enable the Embed fonts using TrueDoc check box.
  4. Click Save.

  • Only characters used in the movie are embedded in the file.
Related Topics
  • Embedding fonts
  • To embed fonts in a file


Using Bitstream Font Navigator

Bitstream Font Navigator is a font management system included with your application. Font Navigator lets you store up to 2000 fonts in a database (or “catalog”). You can access fonts quickly, organize them, and preview them before using them. See the Font Navigator documentation for information about installing and using Font Navigator.


Creating interactive objects

The Corel R.A.V.E. application lets you create interactive objects known as rollovers, which are often used as navigation tools. Rollovers are sometimes referred to as buttons; however, they do not have to be round. They can be created from almost any shape or object.

In this section, you’ll learn about

  • creating rollovers
  • editing rollovers
  • repeating animation in rollovers
  • adding sound to rollovers
  • creating hyperlinks


Creating rollovers

You can create a rollover from almost any object or group of objects. Rollovers are interactive objects that can change in appearance when you click or point to them.

To create a rollover, you add and edit the following rollover states:

  • Normal — the default state of the rollover when there is no mouse activity associated with it
  • Over — triggered when the pointer is over the rollover
  • Down — triggered when the rollover is clicked

For example, you can make a button change color when it is clicked, or display text when you point to it.

You can also animate the contents of different rollover states. For example, you can make a button fade in and out in its normal state, and display rotating text when you point to it. For more information about creating animation, see "Animating objects" and "Animating text."

After you create a rollover, you can preview it.

A simple rollover in its normal, over, and down states.

An animated rollover. The text fades in and out and changes size in the over state, and the house rotates in the down state.

Related Topics
  • To create a rollover
  • To animate a rollover
  • To preview a rollover


To create a rollover

  1. In the Timeline docker, select an object or group of objects.
  2. Click Effects } Rollover } Create rollover.
  3. Click Effects } Rollover } Edit rollover.

    4. The Internet toolbar displays.

  4. On the Internet toolbar, choose a rollover state from the Active rollover state list box.
  5. Edit the rollover state by adding, removing, or modifying objects.
  6. Click Effects } Rollover } Finish editing object.

  • You can also finish editing the rollover by clicking the Finish editing object tab in the bottom-left corner of the drawing window.
  • Create rollover, Edit rollover and Finish editing object are also accessible from the Internet toolbar.
Related Topics
  • Creating rollovers
  • To animate a rollover
  • To preview a rollover


To animate a rollover

  1. In the Timeline docker, click a rollover.
  2. Click Effects } Rollover } Edit rollover.
  3. Click one of the following tabs:
    • Normal
    • Over
    • Down
  4. Using the Pick tool, select an object or objects on the stage.
  5. Tween any of the object’s properties or interactive effects.
  6. Click Effects } Rollover } Finish editing object.

  • For information about tweening, see "Tweening objects" or "Tweening text."
  • All objects in all rollover states must exist for the entire life span of the rollover. Otherwise they may not display as you want. For information about determining the life span of objects, see "Increasing the life span of objects."
Related Topics
  • Creating rollovers
  • To create a rollover
  • To preview a rollover


To preview a rollover

  1. In the Timeline docker, click a rollover.
  2. On the Internet toolbar, click the Live preview of rollovers button [image].

    3. If the rollover is animated, click Movie } Control } Play movie to preview the animation.

    If the rollover contains a sprite, click File } Flash preview in browser to preview the animation.

  • When previewing rollovers, you cannot undo any changes. To continue working, disable the Live preview of rollovers button when you finish testing the rollover.
Related Topics
  • Creating rollovers
  • To create a rollover
  • To animate a rollover


Editing rollovers

You can edit rollovers at any time by changing the contents of individual rollover states. You can modify any object in a rollover state.

When you no longer need a rollover state, you can remove it by deleting its contents. For example, deleting the down state of a rollover produces a rollover that doesn’t change when you click it.

You can also duplicate a rollover state to populate an empty state. For example, duplicating the over rollover state populates the empty down state and produces a button that looks the same whether you click or point to it.

Related Topics
  • To edit rollover states


To edit rollover states

  1. In the Timeline docker, click a rollover.
  2. Click Effects } Rollover } Edit rollover.
  3. On the Internet toolbar, choose a rollover state from the Active rollover state list box.
  4. Edit the objects on the stage.
  5. Click Effects } Rollover } Finish editing object.

You can also | Do the following
Delete a rollover state | While in Edit rollover mode, choose a rollover state from the Active rollover state list box, and click the Delete rollover state button [image] .
Duplicate a rollover state | While in Edit rollover mode, choose a rollover state from the Active rollover state list box, and click the Duplicate state button [image] .

  • You can duplicate a rollover state only if a subsequent rollover state is empty. Normal will duplicate to Over or Down, and Over will duplicate to Down.
  • Deleting all objects in a rollover state has the same effect as deleting the state itself — nothing changes when the state is entered. The other states are not affected.

  • You can also edit a rollover by right-clicking the rollover and clicking Edit rollover. To finish editing the rollover, right-click the rollover and click Finish editing object.
Related Topics
  • Editing rollovers


Repeating animation in rollovers

You can repeat animation effects in rollovers by looping them. For example, you can produce a rollover that pulsates continuously and flashes text when you point to it.

You can loop rollovers as a whole. Looping a rollover repeats the rollover so that it exists for the duration of a movie.

You can loop any of the individual rollover states. Looping a rollover state lets you repeat everything in the state for the duration of the rollover timeline. The number of times a rollover state loops is determined by the length of the rollover timeline.

You can loop objects within a rollover state. Looping an object in a rollover state lets you repeat the object’s animation for the duration of the rollover state. The number of times an object loops within a rollover state is determined by the life span of the rollover state.

If a rollover contains a sprite, the sprite loops by default when exported to the Macromedia Flash (SWF) file format.

Related Topics
  • To loop a rollover
  • To loop a rollover state
  • To loop an object in a rollover state


To loop a rollover

  1. In the Timeline docker, click a rollover.
  2. Click the Single play icon [image] to the left of the rollover’s name.

  • After looping a rollover, the Single play icon changes to a Looping arrow icon [image].
Related Topics
  • Repeating animation in rollovers
  • To loop a rollover state
  • To loop an object in a rollover state


To loop a rollover state

  1. In the Timeline docker, click a rollover.
  2. Click Effects } Rollover } Edit rollover.
  3. On the Internet toolbar, choose a rollover state from the Active rollover state list box.
  4. In the Timeline docker, click the Single play icon [image] to the left of the rollover state’s name.

  • A rollover state loops only if its timeline is shorter than the rollover timeline.
  • After looping a rollover state, the Single play icon [image] changes to a Looping arrow icon [image].
Related Topics
  • Repeating animation in rollovers
  • To loop a rollover
  • To loop an object in a rollover state


To loop an object in a rollover state

  1. In the Timeline docker, click a rollover.
  2. Click Effects } Rollover } Edit rollover.
  3. On the Internet toolbar, choose a rollover state from the Active rollover state list box.
  4. In the Timeline docker, double-click the selected rollover state.
  5. Click an object.
  6. Click the Single play icon [image] to the left of the object you want to loop.

  • An object loops only if its timeline is shorter than the rollover state’s timeline.
  • After looping an object, the Single play icon [image] changes to a Looping arrow icon [image].

  • You can un-loop an object by clicking the Looping arrow icon [image]. It will change back to a Single play icon [image].
Related Topics
  • Repeating animation in rollovers
  • To loop a rollover
  • To loop a rollover state


Adding sound to rollovers

When you add sound to a rollover, you associate a sound file with a rollover state that is activated by pointing or clicking. When that state becomes inactive, the sound stops. For example, pointing to a rollover may start a melody that stops when you click the rollover or point elsewhere. When you add sound to a rollover, you are adding a sound behavior. For more information about behaviors, see "Using behaviors."

Related Topics
  • To add sound to a rollover


To add sound to a rollover

  1. In the Timeline docker, click a rollover.
  2. On the Internet toolbar, choose one of the following rollover states from the Active rollover state list box:
    • Down
    • Over
  3. Choose Sound from the Behavior list box on the Internet toolbar.
  4. Click the Sound file button [image] on the Internet toolbar.
  5. In the Open dialog box, choose the folder where the sound file is stored.
  6. Double-click the filename.

  • Only the uncompressed WAV file format is supported.
  • You cannot add sound to the normal rollover state.
Related Topics
  • Adding sound to rollovers


Creating hyperlinks

Corel R.A.V.E. lets you create hyperlinks from rollovers and other objects in a movie. Hyperlinks are text, drawings, or images that let you connect to any file published on the Internet.

To link to a document published on the Internet, you must assign that document’s URL (for example, http://www.corel.com/support/faq) to the selected object. This automatically creates a clickable area called a hotspot that is linked to the URL. You can define the hotspot area using the object’s shape or the bounding box around the object. You can also display the hotspot area and change the colors of its cross-hatch pattern and background for easier identification. This cross-hatching is a visual aid in Corel R.A.V.E. and is not included in the exported file.

Corel R.A.V.E. lets you choose how to display the linked document in a Web browser. For example, you can instruct the browser to open the document in a new window, or in the current frame.

You can add comments to a hyperlink. Comments are displayed on the Web browser’s status bar or as a ToolTip when the pointer is moved over the hyperlink.

When you create a hyperlink from a rollover, you are adding a URL behavior. For more information about behaviors, see "Using behaviors."

Related Topics
  • To link an object to a URL


To link an object to a URL

  1. Select a rollover.
  2. Choose URL from the Behavior list box on the Internet toolbar.

    3. If the Internet toolbar is not displayed, click Window } Toolbars } Internet.

  3. In the Internet address list box, type the URL, including the prefix (http:// or ftp://).
  4. Choose one of the following target options from the Target frame list box:
    • Blank — to open the URL in a new browser window
    • Parent — to open the URL in the parent frame of the frame containing the hyperlink
    • Self — to open the URL in the current frame
    • Top— to open the URL in the root frame of the browser

You can also | Do the following
Choose a hotspot’s shape | Open the Hotspot flyout, and enable one of the two options in the Define hotspot using: section of the box.
Choose the cross-hatch color of a hotspot | Open the Hotspot flyout, and click a color on the Cross-hatch color picker.
Choose the background color of a hotspot | Open the Hotspot flyout, and click a color on the Background color picker.
Add comments | Open the Alt comments flyout, and type a comment in the Alt comments box.

Related Topics
  • Creating hyperlinks


Using behaviors

The Corel R.A.V.E. application lets you use behaviors to make movies interactive. Behaviors are commands applied to frames or objects in a movie. When applied to a frame, a behavior is executed at a specific point in time. When applied to an object, a behavior is executed when the user interacts with the object. You can use behaviors to create interactive diagrams, presentations, introduction sequences, and navigation systems, and then export them to Macromedia Flash format. For example, you can play a short animation while waiting for a main movie to load, or you can let the user navigate to different parts of a movie.

While creating an interactive movie, you can use the Macromedia Flash preview to view the movie in your Web browser. For more information, see "To preview a movie in Macromedia Flash."

For information about exporting movies and publishing them to the World Wide Web, see "Exporting and publishing movies."

In this section, you’ll learn about

  • playing, stopping, and controlling movies
  • controlling quality, visibility, and sound
  • loading and unloading movies
  • adding sound and hyperlinks
  • adding and removing behaviors
  • viewing and editing behaviors


Playing, stopping, and controlling movies

You can control the flow of a movie by using the Play, Stop, Go to, and Wait for load behaviors. By default, a movie starts playing at frame 1 and plays each frame consecutively until it reaches the end of the timeline. The Play and Stop behaviors force the movie to start or stop at specific points. The Go to behavior can be used to jump to a frame other than the next consecutive one. The Wait for load behavior lets you preload content, which is useful for optimizing playback in Macromedia Flash Player. For example, you can use Wait for load to play a simple animation and display a “Loading...” message, while the rest of the movie is downloaded.

Play and Stop

The Play and Stop behaviors can be applied to frames or rollover states. When applied to a frame, the movie starts or stops playing when it reaches that frame. If a Play or Stop behavior is applied to a rollover state, the movie starts or stops playing when that state becomes active. For example, you can create a rollover button that stops a movie when clicked. If a movie is already playing, the Play behavior has no effect. If a movie has been stopped, the Stop behavior has no effect.

For information about rollovers, see "Creating interactive objects."

Go to

The Go to behavior can be applied to frames or rollover states. When applied to a frame, it can be used to create a loop within a movie. When applied to a rollover state, it can be used to exit a loop or to navigate to another part of a movie. Go to moves the playhead to a specific frame. You specify the frame by providing a frame label, a frame number, or a relative frame. For example, you can force the playhead to move to the frame with label “Start,” move to frame 20, move ahead five frames, or move back eight frames.

For information about labeling frames, see "To label a frame." You can also label a frame while adding a behavior. For more information, see "To add a behavior to a frame."

Wait for load

The Wait for load behavior can be applied to frames only. It makes a movie stop and wait until the movie or specific content is loaded before proceeding. The default parameter is frame 0, which means the movie pauses until the entire movie is loaded. You can wait for a specific frame to load by specifying a frame label or frame number, or you can wait for a specific sprite to load. The Wait for load behavior can be used in conjunction with a Go to behavior, moving play to the main portion of a movie once it has been loaded. You can also play an animation while a movie is loading by inserting a sprite instance at the frame that has the Wait for load behavior applied.

Using the Tell target parameter

By default, the Play, Stop, and Go to behaviors apply to the main timeline of the active movie. You can use the Tell target parameter to direct these behaviors to a sprite instance. This lets you control how and when a sprite plays in a movie. For information about sprites, see "Working with symbols and sprites."

Adding, editing, and previewing behaviors

For information about adding the Play, Stop, Go to, and Wait for load behaviors, see "Adding and removing behaviors." For information about viewing and editing these behaviors, see "Viewing and editing behaviors."

You can see the effect of Play, Stop, and Go to behaviors when you play a movie in Corel R.A.V.E. If a movie contains a Wait for load behavior, you can use the Macromedia Flash preview to view the movie in your Web browser. For information about previewing movies in Corel R.A.V.E. and the Macromedia Flash Player, see "Previewing animation."


Controlling quality, visibility, and sound

You can toggle between high and low quality in the Macromedia Flash Player by using the Toggle high quality behavior. Turning off high quality turns off anti-aliasing, resulting in decreased image quality in a movie, but potentially speeding up the playback of movies containing complex images. Turning on high quality turns on anti-aliasing, which improves image quality but can slow down movies with complex images.

You can hide or show a symbol or sprite with the Show/hide behavior. When applied to a rollover state, the Show/hide behavior lets you give the user control over what part of a movie is displayed. For example, a map can display different information based on what a user selects.

Applying the Show/hide behavior to rollover buttons gives the user control over what is displayed on the map.

You can disable sound in a movie with the Stop all sounds behavior.

All three behaviors can be applied to frames or rollover states. When adding a Show/hide behavior, you must select a target symbol or sprite. There are no parameters for the Stop all sounds and Toggle high quality behaviors.

For information about adding these behaviors, see "Adding and removing behaviors." For information about viewing and editing these behaviors, see "Viewing and editing behaviors." To preview movies using these behaviors, you can use the Macromedia Flash preview in your Web browser. For more information, see "To preview a movie in Macromedia Flash."

For information about symbols and sprites, see "Working with symbols and sprites."


Loading and unloading movies

You can use the Load movie behavior in a movie to load and play another movie that has been saved to the Macromedia Flash file format (SWF). By specifying the location of the saved Macromedia Flash file, you can apply a Load movie behavior to a frame or rollover state. If the behavior is applied to a frame, the movie is loaded when the playhead reaches the specified frame. If the behavior is applied to a rollover state, the user controls when a movie is loaded by pointing to or clicking a rollover.

You can load a movie at a specific level or, if you want to use a sprite as a placeholder, you can specify a uniquely named sprite instance.

Movie levels

A loaded Macromedia Flash movie can replace another movie or play concurrently with all other loaded movies. When multiple movies are loaded, each movie is assigned a level. The movie loaded first is at level 0. This movie is the main movie and determines the stage size, background, and frame rate for all other loaded movies. By default, a movie is loaded at the next available level. You can override this default by specifying a level. If you specify a level that already contains a movie, the movie at that level is replaced. If you specify level 0, all movies are unloaded before the new movie is loaded at level 0.

Using sprites as placeholders for movies

If you want more control over the size and position of a loaded movie on the stage, you can use a sprite as a placeholder. For example, you can create a rectangle with no fill or outline in a particular area of the stage, increase its life span, and convert it to a sprite. You can insert an instance of this sprite into a movie and give the sprite instance a unique name (for example, “Movie screen”). You can then load a movie to replace the sprite. The loaded movie plays in the space previously occupied by the “Movie screen” sprite instance, rather than taking over the entire stage. For more information about creating sprites and using them in movies, see "Working with symbols and sprites."

Applying Load movie and Unload movie behaviors to rollover buttons gives the user control over which movie plays. A sprite is used as a placeholder to ensure that the movies play on the television screen.

You can add an Unload movie behavior to a frame or rollover state. When adding the Unload movie behavior, you must specify the level of the movie to be unloaded, or the name of the sprite instance that the movie replaced.

For information about adding these behaviors, see "Adding and removing behaviors." For information about viewing and editing these behaviors, see "Viewing and editing behaviors." To preview movies using these behaviors, you can use the Macromedia Flash preview in your Web browser. For more information, see "To preview a movie in Macromedia Flash."


Adding sound and hyperlinks

You can add a Sound behavior to the over or down rollover state. The sound file begins to play when the rollover is pointed to (the over state) or clicked (the down state). When you add a Sound behavior, the sound file is embedded in the Corel R.A.V.E. file. For more information about adding sound to rollovers, see "Adding sound to rollovers."

You can add a URL behavior to a frame, rollover state, or object. When a URL behavior is applied to a frame, the URL is loaded in the Web browser when the playhead reaches the specified frame. When a URL behavior is applied to a rollover state, the URL is loaded in the Web browser when the specified state is activated. An object with a URL behavior applied to it is treated like a rollover with two states — normal and down. The behavior is applied to the down state so that the URL is loaded in the Web browser when the object is clicked. For more information about the options available with the URL behavior, see "Creating hyperlinks."

For more information about rollovers, see "Creating interactive objects."

For information about adding these behaviors, see "Adding and removing behaviors." For information about viewing and editing these behaviors, see "Viewing and editing behaviors." To preview movies using these behaviors, you can use the Macromedia Flash preview in your Web browser. For more information, see "To preview a movie in Macromedia Flash."


Adding and removing behaviors

You can add behaviors to one or more of the following:

  • frame — behavior is triggered when the playhead reaches the specified frame
  • rollover state — behavior is triggered when the specified rollover state becomes active
  • object — behavior is triggered when the object is clicked

When you add more than one behavior to a particular frame, rollover state, or object, the behaviors are executed in the order they are applied; however, you can change the order. Behavior order is important, as one behavior can affect the execution of another. For example, if one frame has Wait for load, Go to, and Stop behaviors applied to it in that order, the Stop behavior is never executed because the preceding Go to behavior moves the playhead to another frame. Similarly, if a Stop all sounds behavior is executed before a Sound behavior, the Sound behavior has no effect, because sound is disabled.

You can also choose to remove behaviors.

The table below lists each behavior, what it can be applied to, its parameters, and where to look for more information.

Behavior | Can be applied to | Parameters | For more information
Play | frame, rollover state | Tell target (optional) | "Playing, stopping, and controlling movies"
Stop | frame, rollover state | Tell target (optional) | "Playing, stopping, and controlling movies"
Go to | frame, rollover state | Frame label, frame number, or relative frame Tell target (optional) | "Playing, stopping, and controlling movies"
Wait for load | frame | Frame label, frame number, or sprite (defaults to entire active movie) | "Playing, stopping, and controlling movies"
Stop all sounds | frame, rollover state | None | "Controlling quality, visibility, and sound"
Toggle high quality | frame, rollover state | None | "Controlling quality, visibility, and sound"
Show/hide | frame, rollover state | Target (symbol or sprite) | "Controlling quality, visibility, and sound"
Load movie | frame, rollover state | URL or local path to SWF file Level number or sprite (optional) | "Loading and unloading movies"
Unload movie | frame, rollover state | Level number or sprite | "Loading and unloading movies"
Sound | rollover state (over or down) | Path to sound file | "Adding sound and hyperlinks"
URL | frame, rollover state, object | URL, target (browser window and frame options), comments, and hotspot options | "Adding sound and hyperlinks"

Related Topics
  • To add a behavior to a frame
  • To add a behavior to a rollover state
  • To add a URL behavior to an object
  • To remove a behavior from a frame
  • To remove a behavior from a rollover state
  • To remove a URL behavior from an object


To add a behavior to a frame

  1. In the Timeline docker, click a frame.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose a behavior from the Behavior list box.
  4. Specify the settings you want.

    5. If you want to assign a label to the frame, type a label name in the Frame label name box.

  5. Click Apply.

  • In the Timeline docker, the green Behavior icon [image] displays in the Behaviors timeline for the current frame.
  • If more than one behavior is applied to a frame, the behaviors are performed in the order they are applied. The box on the right side of the Behaviors dialog box lists the behaviors from top to bottom in the order they’re applied.

  • You can change the order of behaviors by choosing a behavior from the list and clicking the Move up one button [image] or the Move down one button [image].
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a rollover state
  • To add a URL behavior to an object
  • To remove a behavior from a frame
  • To remove a behavior from a rollover state
  • To remove a URL behavior from an object


To add a behavior to a rollover state

  1. Click a rollover.

    2. If the Internet toolbar is not displayed, click Window } Toolbars } Internet to display it.

  2. On the Internet toolbar, choose a state from the Active rollover state list box.
  3. Click Movie } Behaviors.
  4. In the Behaviors dialog box, choose a behavior from the Behavior list box.
  5. Specify the settings you want.
  6. Click Apply.

  • In the Timeline docker, the green Behavior icon [image] next to a rollover name indicates that a behavior has been applied to the current rollover state.
  • If more than one behavior is applied to a rollover state, the behaviors are performed in the order they are applied. The box on the right side of the Behaviors dialog box lists the behaviors from top to bottom in the order they’re applied.

  • You can change the order of behaviors by choosing a behavior from the list and clicking the Move up one button [image] or the Move down one button [image].
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a frame
  • To add a URL behavior to an object
  • To remove a behavior from a frame
  • To remove a behavior from a rollover state
  • To remove a URL behavior from an object


To add a URL behavior to an object

  1. Click an object.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose URL from the Behavior list box.
  4. Specify the settings you want.
  5. Click Apply.

  • The object cannot be a symbol instance.
  • In the Timeline docker, the green Behavior icon [image] next to the object’s name indicates that a behavior has been applied to the object.
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a frame
  • To add a behavior to a rollover state
  • To remove a behavior from a frame
  • To remove a behavior from a rollover state
  • To remove a URL behavior from an object


To remove a behavior from a frame

  1. In the Timeline docker, click a frame.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose a behavior from the list on the right side.
  4. Click the Delete button [image].

  • You can also open the Behaviors dialog box by right-clicking a frame and clicking Behaviors.
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a frame
  • To add a behavior to a rollover state
  • To add a URL behavior to an object
  • To remove a behavior from a rollover state
  • To remove a URL behavior from an object


To remove a behavior from a rollover state

  1. Click a rollover.

    2. If the Internet toolbar is not displayed, click Window } Toolbars } Internet to display it.

  2. On the Internet toolbar, choose a state from the Active rollover state list box.
  3. Click Movie } Behaviors.
  4. In the Behaviors dialog box, choose a behavior from the list on the right side.
  5. Click the Delete button [image].

  • You can also open the Behaviors dialog box by clicking the Behaviors button [image] in the Timeline docker.
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a frame
  • To add a behavior to a rollover state
  • To add a URL behavior to an object
  • To remove a behavior from a frame
  • To remove a URL behavior from an object


To remove a URL behavior from an object

  1. Click an object.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose the URL behavior from the list on the right side.
  4. Click the Delete button [image].

  • You can also open the Behaviors dialog box by clicking the Behaviors button [image] in the Timeline docker.
Related Topics
  • Adding and removing behaviors
  • To add a behavior to a frame
  • To add a behavior to a rollover state
  • To add a URL behavior to an object
  • To remove a behavior from a frame
  • To remove a behavior from a rollover state


Viewing and editing behaviors

Once a behavior is applied, you can view or change its settings. For example, you can see which frame a Go to behavior will jump to, change the sound file for a Sound behavior, or change a Show/hide behavior to show or hide a different symbol.

Related Topics
  • To view or edit a behavior applied to a frame
  • To view or edit a behavior applied to a rollover state
  • To view or edit a URL behavior applied to an object


To view or edit a behavior applied to a frame

  1. In the Timeline docker, click a frame.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose a behavior from the list on the right side.

    4. If you want to edit the behavior, change the settings you want, and click Apply.

  • You can also view or edit the behaviors applied to a frame by double-clicking the green Behavior icon [image] in the frame’s Behaviors timeline.
Related Topics
  • Viewing and editing behaviors
  • To view or edit a behavior applied to a rollover state
  • To view or edit a URL behavior applied to an object


To view or edit a behavior applied to a rollover state

  1. Click a rollover.

    2. If the Internet toolbar is not displayed, click Window } Toolbars } Internet to display it.

  2. On the Internet toolbar, choose a state from the Active rollover state list box.
  3. Click Movie } Behaviors.
  4. In the Behaviors dialog box, choose a behavior from the list on the right side.

    5. If you want to edit the behavior, change the settings you want, and click Apply.

  • You can also view or edit the behaviors applied to the current rollover state by double-clicking the green Behavior icon [image] next to the rollover name in the Timeline docker.
Related Topics
  • Viewing and editing behaviors
  • To view or edit a behavior applied to a frame
  • To view or edit a URL behavior applied to an object


To view or edit a URL behavior applied to an object

  1. Click an object.
  2. Click Movie } Behaviors.
  3. In the Behaviors dialog box, choose the URL behavior from the list on the right side.

    4. If you want to edit the behavior, change the settings you want, and click Apply.

  • You can also view or edit a URL behavior applied to an object by double-clicking the green Behavior icon [image] next to the object’s name in the Timeline docker.
Related Topics
  • Viewing and editing behaviors
  • To view or edit a behavior applied to a frame
  • To view or edit a behavior applied to a rollover state


Exporting and publishing movies

The Corel R.A.V.E. application lets you export movies and publish them to the World Wide Web.

In this section, you’ll learn about

  • exporting movies
  • publishing movies to the World Wide Web


Exporting movies

Corel R.A.V.E. lets you export a movie to the following file formats:

  • Macromedia Flash (SWF) — the primary format for maintaining animation, interactivity, sound, and behaviors in a movie
  • GIF Animation — lets you export movies to the bitmap-based Graphics Interchange Format. The GIF format is useful for simple animations. Interactivity, sound, and behaviors are not supported.
  • Video for Windows (AVI) — lets you export movies that can be opened in video-editing applications. Interactivity, sound, and behaviors are not supported.
  • QuickTime (MOV) — lets you export a movie to the QuickTime format. The QuickTime format preserves animation. Interactivity, sound, and behaviors are not supported.

For information about these file formats, see “File formats” in the Help.

When exporting a movie to the Macromedia Flash format, you can control the quality and file size of the exported file by adjusting filter settings. You can determine bitmap settings, optimize objects in a movie to reduce file size, and set the frame size of the exported movie. If you have added sound to rollovers or an audio layer to the movie, you can ensure that it is exported with the movie. Also, you can protect the exported Macromedia Flash file from importing.

If you are satisfied with the export settings for Macromedia Flash, you can save them as a preset for later use.

Related Topics
  • To export a movie to the Macromedia Flash file format
  • To export a movie to the GIF, Video for Windows, or QuickTime file format


To export a movie to the Macromedia Flash file format

  1. Click File } Export.
  2. Choose the folder where you want to save the file.
  3. Choose Macromedia Flash from the Files of type list box.
  4. Type a filename in the File name box, and click Export.
  5. In the Flash export dialog box, specify the export settings you want.

    6. If you want to save the settings as a preset, click the Add preset button, and type a name in the Setting name box.

  • Before exporting, you can preview the Macromedia Flash movie in your Web browser by clicking Preview in the Flash export dialog box. This requires the Macromedia Flash Player plug-in to be installed.
Related Topics
  • Exporting movies
  • To export a movie to the GIF, Video for Windows, or QuickTime file format


To export a movie to the GIF, Video for Windows, or QuickTime file format

  1. Click File } Export.
  2. Choose the folder where you want to save the file.
  3. Type a filename in the File name box.
  4. Choose a file format from the Files of type list box.
  5. Enable any of the following check boxes:
    • Selected only — saves only the selected objects. This option is available only if at least one object is selected.
    • Crop to stage — crops objects to the stage
    • Web_safe_filenames — replaces blank spaces in a filename with underscores. Special characters are replaced with characters suitable for Web-based filenames.
    • Do not show filter dialog — lets you use the default settings for the selected file format (or filter) without opening its dialog box
  6. Click Export.

    7. If a dialog box opens for the selected file format, specify the export settings you want.

  • You can export a movie to an office presentation application such as Microsoft PowerPoint or Corel Presentations. For more information, see the Working with Office Help by clicking Help } Working with Office.
Related Topics
  • Exporting movies
  • To export a movie to the Macromedia Flash file format


Publishing movies to the World Wide Web

Corel R.A.V.E. lets you publish a movie to the Web by exporting it to the Macromedia Flash format and referencing it in an HTML file that is automatically generated based on templates. For information about Macromedia Flash settings, see "Exporting movies."

By default, Corel R.A.V.E. uses the movie dimensions to set the size of the image in the HTML file. You can override this default by specifying values for width and height.

When you publish a movie to the Web, you can set various options. You can choose to loop the movie continuously, display the Macromedia Flash Player plug-in control menu, or control the quality of the animation playback. If you don’t want the movie to start as soon as the HTML document opens, you can pause the movie at the start. You can also set the position of the exported movie in the HTML document by aligning it to the left, right, top, or bottom of the document.

You can use the preflight feature to identify potential export problems. Preflight checks the Macromedia Flash file and displays a summary of issues and suggested solutions. You can also preview a movie in your Internet browser before exporting it.

The resulting HTML code can be edited in an HTML authoring application. For information about inserting Macromedia Flash files in HTML documents, see your HTML authoring program’s documentation.

Related Topics
  • To publish a movie to the Web


To publish a movie to the Web

  1. Click File } Publish to the Web.
  2. Choose the folder where you want to store the file.
  3. Type a filename in the File name box, and click Export.
  4. In the Flash export dialog box, click the General tab and specify the options you want.
  5. Click the HTML tab and specify the options you want.

You can also |
Match the dimensions of the image with the movie dimensions | Enable the Match movie check box under the HTML tab.
Set the dimensions of the image | Disable the Match movie check box, and type values in the Width and Height boxes.
Examine potential export problems | Click the Issues tab, and click an error or a warning.
Preview a movie in your Internet browser before exporting it | Click Preview on the General page. To play or stop the movie in your browser, right-click the image and click Play. To enable or disable looping, right-click the image, and then click Loop.

  • Publishing to the Web produces two files — an HTML document and a Macromedia Flash (SWF) file. Open the HTML document to view the Macromedia Flash movie.
  • You should have the latest Macromedia Flash Player plug-in installed on your computer to preview a Macromedia Flash file in a browser.

  • You can choose a Macromedia Flash HTML template by clicking the Open button under the HTML tab. You can also create your own template following the syntax in the default file, which is listed in the Flash HTML template box.
  • If the Paused at start option is selected, the HTML file will display the first frame of the movie in your browser. To play or stop the movie in your browser, right-click the image and click Play. To enable or disable looping, right-click the image, and then click Loop.
Related Topics
  • Publishing movies to the World Wide Web


Printing

Corel R.A.V.E. provides extensive options for printing your work.

In this section, you'll learn about

  • printing your work
  • laying out print jobs
  • previewing print jobs
  • fine-tuning print jobs
  • printing to a PostScript printer
  • using Preflight


Printing your work

In the Corel R.A.V.E. application, you can print one or more copies of the same movie. You can specify whether to print the current movie, current frame, a series of movies, specific frames, or selections.

Before printing a movie, you can specify printer properties, including paper size and device options.

Related Topics
  • To set printer properties
  • To print your work


To set printer properties

  1. Click File } Print.
  2. Click the General tab.
  3. Click Properties.
  4. Set any properties in the dialog box.
Related Topics
  • Printing your work
  • To print your work


To print your work

  1. Click File } Print.
  2. Click the General tab.
  3. Choose a printer from the Name list box.
  4. Type a value in the Number of copies box.

    5. If you want the copies collated, enable the Collate check box.

  5. Enable one of the following options:
    • Current movie — prints the active movie
    • Current frame — prints the active frame
    • Frames — prints the frames that you specify
    • Movies — prints the movies that you specify
    • Selection — prints the objects that you have selected

  • You must select objects before printing a selection.
  • The Collate check box is available only for movies with more than one frame.
Related Topics
  • Printing your work
  • To set printer properties


Laying out print jobs

You can lay out a print job by specifying the size, position, and scale. Tiling a print job prints portions of each page on separate sheets of paper that you can assemble into one sheet. You would, for example, tile a print job that is larger than your printer paper.

If the orientation of a print job differs from the orientation specified in the printer properties, a message prompts you to adjust the paper orientation of the printing device. You can disable this prompt, so that the printer adjusts paper orientation automatically.

Related Topics
  • To specify the size and position of a print job
  • To tile a print job
  • To change the page orientation prompt


To specify the size and position of a print job

  1. Click File } Print.
  2. Click the Layout tab.
  3. Enable one of the following options:
    • As in document — maintains the image size, as it is in the document
    • Fit to page — sizes and positions the print job to fit to a printed page
    • Reposition images to — lets you reposition the print job by choosing a position from the list box

  • Enabling the Reposition images to option lets you specify size, position, and scale in the corresponding boxes.
Related Topics
  • Laying out print jobs
  • To tile a print job
  • To change the page orientation prompt


To tile a print job

  1. Click File } Print.
  2. Click the Layout tab.
  3. Enable the Print tiled pages check box.
  4. Type values in the following boxes:
    • Tile overlap — lets you specify the number of inches by which to overlap tiles
    • % of page width — lets you specify the percentage of the page width the tiles will occupy

  • Enable the Tiling marks check box to include tiling alignment marks.
Related Topics
  • Laying out print jobs
  • To specify the size and position of a print job
  • To change the page orientation prompt


To change the page orientation prompt

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Printing.
  3. Choose Page orientation prompt from the Option list.
  4. Choose one of the following from the Setting list box:
    • Off — always match orientation
    • On — ask if orientations differ
    • Off — don't change orientation
Related Topics
  • Laying out print jobs
  • To specify the size and position of a print job
  • To tile a print job


Previewing print jobs

You can preview your work to show how the position and size of the print job will appear on paper.

Before printing your work, you can view a summary of issues for a print job to find potential printing problems. For example, you can check the current print job for print errors, possible print problems, and suggestions for resolving issues.

Related Topics
  • To preview a print job
  • To view a summary of issues for a print job


To preview a print job

  1. Click File } Print.
  2. Click the Mini preview button [image].
Related Topics
  • Previewing print jobs
  • To view a summary of issues for a print job


To view a summary of issues for a print job

  1. Click File } Print.
  2. Click the Issues tab.

    3. If you don't want Preflight to check for certain issues, click Settings, double-click Printing, and disable any check boxes that correspond to issues you want overlooked.

  • You can save settings by clicking the Add preflight settings button [image] and typing a name in the Save preflight style box.
Related Topics
  • Previewing print jobs
  • To preview a print job


Fine-tuning print jobs

You can rasterize a print job. Rasterizing a frame converts it to a bitmap and improves the print speed when printing to non-PostScript printing devices.

Related Topics
  • To rasterize a frame


To rasterize a frame

  1. Click File } Print.
  2. Click the Advanced tab.
  3. Enable the Rasterize entire frame check box, and type a number in the box to set the resolution.
Related Topics
  • Fine-tuning print jobs


Printing to a PostScript printer

PostScript is a page-description language that sends printing instructions to a PostScript device. All the elements in a print job (for example, curves and text) are represented by lines of PostScript code that the printing device uses to produce the document.

You can print to a PostScript printing device. To ensure that a print job prints properly on a PostScript Level 1 device, you can test for potential issues such as complex graphics and banding in fountain fills.

Related Topics
  • To print to a PostScript device
  • To test for complex graphics
  • To test fountain fills for banding


To print to a PostScript device

  1. Click File } Print.
  2. Click the General tab.
  3. Choose a PostScript printer from the Name list box.
  4. Click the Advanced tab.
  5. From the PostScript compatibility list box, choose the PostScript level that corresponds to the printer.

    6. If you want to compress bitmaps when printing, enable the Use JPEG compression check box in the PostScript bitmap printing area, and move the Quality factor slider.

  • Bitmap compression settings can be saved in PostScript Interpreted (PS or PRN) files when you print to a file using a PostScript driver.
Related Topics
  • To test for complex graphics
  • To test fountain fills for banding


To test for complex graphics

  1. Click File } Print.
  2. Click the Issues tab.
  3. Click Settings.
  4. Double-click Printing.
  5. Enable any of the following check boxes:
    • Text with texture fills (PS Level1 Only)
    • Bitmaps in complex clipping paths (PS Level1 only)
    • Texture fills in complex objects (PS Level1 only)
    • Complex clipping regions (PS Level1 only)
    • Objects with outline having many nodes (PS Level1 only)
    • Objects with outline and fill having many nodes (PS Level1 only)
Related Topics
  • To test for complex graphics
  • To test fountain fills for banding


To test fountain fills for banding

  1. Click File } Print.
  2. Click the Issues tab.
  3. Click Settings.
  4. Double-click Printing.
  5. Enable the Banded fountain fills check box.

  • Testing fountain fills for banding applies only to linear fountain fills.
Related Topics
  • To print to a PostScript device
  • To test for complex graphics


Using Preflight

Preflight checks the status of your file before you decide to output it. A summary of issues and potential problems, and suggestions for resolving them is provided. You can specify which issues Preflight checks for. You can also save Preflight settings. For more information about specific Preflight settings, see any of the following:

  • To check for issues relating to printing a file, see "To view a summary of issues for a print job."
  • To check for issues relating to exporting a SWF file, see "To view the issues summary for a Macromedia Flash file."


File formats

A file format defines how an application stores information in a file. If you want to use a file created in a different application than the one you are currently using, you must import that file. Conversely, if you create a file in one application and want to use it in another application, you must export the file to a different file format.

When you name a file, an application automatically appends a filename extension, usually three characters in length; for example, .cdr, .bmp, .tif, and .eps. This filename extension helps you and the computer differentiate between files of different formats.

The following file formats are used in this application:

  • Adobe Illustrator (AI)
  • Windows Bitmap (BMP)
  • Computer Graphics Metafile (CGM)
  • CorelDRAW (CDR)
  • Corel PHOTO-PAINT (CPT)
  • Microsoft Word Document (DOC)
  • Corel DESIGNER (DSF)
  • AutoCAD Drawing Interchange Format (DXF)
  • AutoCAD Drawing Database (DWG)
  • Corel Presentation Exchange (CMX)
  • Encapsulated PostScript (EPS)
  • Macromedia Flash (SWF)
  • GIF
  • GIMP (XCF)
  • JPEG (JPG)
  • JPEG 2000 (JP2)
  • QuickTime Movie (MOV)
  • Adobe Photoshop (PSD)
  • PICT (PCT)
  • Portable Document Format (PDF)
  • Hewlett-Packard Plotter (PLT)
  • Portable Network Graphics (PNG)
  • Corel Painter (RIF)
  • Scalable Vector Graphics (SVG)
  • TIFF Bitmap (TIF)
  • WordPerfect Document (WPD)
  • WordPerfect Graphic (WPG)
  • Other file formats
  • Recommended formats for importing graphics from other applications


Adobe Illustrator (AI)

The Adobe Illustrator file format (AI) was developed by Adobe Systems, Incorporated for the Macintosh and Windows platforms. It is primarily vector-based although later versions support bitmap information.

Related Topics
  • To import an Adobe Illustrator file
  • Adobe Illustrator (AI) technical notes


To import an Adobe Illustrator file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose AI - Adobe Illustrator from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.
Related Topics
  • Adobe Illustrator (AI)
  • Adobe Illustrator (AI) technical notes


Windows Bitmap (BMP)

The Windows bitmap (BMP) file format was developed as a standard for representing graphic images as bitmaps on the Windows operating system.

Related Topics
  • To import a bitmap file
  • Windows Bitmap (BMP) technical notes


To import a bitmap file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose BMP - Windows bitmap from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

Related Topics
  • Windows Bitmap (BMP)
  • Windows Bitmap (BMP) technical notes


Computer Graphics Metafile (CGM)

Computer Graphics Metafile (CGM) is an open, platform-independent metafile format used for storing and exchanging 2-D graphics. It supports RGB color. CGM files can contain both vector graphics and bitmaps, but usually contain one graphic type or the other, rarely both.

You can import and export the following CGM files:

  • CGM Version 1
  • CGM Version 3

You can also import the following CGM files:

  • GM Version 4 — ACGM
  • CGM Version 4 — GREX
  • CGM Version 4 — WebCGM
Related Topics
  • To import a CGM file
  • Computer Graphics Metafile (CGM) technical notes


To import a CGM file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose CGM - Computer Graphics Metafile from the Files of type list.
  4. Click the filename.
  5. Click Import.
Related Topics
  • Computer Graphics Metafile (CGM)
  • Computer Graphics Metafile (CGM) technical notes


CorelDRAW (CDR)

CorelDRAW (CDR) files are primarily vector graphic drawings. Vectors define a picture as a list of graphic primitives (rectangles, lines, text, arcs, and ellipses). Vectors are mapped point by point to the page, so if you reduce or increase the size of a vector graphic, the original image will not be distorted.

Vector graphics are created in graphics design applications, such as CorelDRAW, or bitmap-tracing applications, such as CorelTRACE, but you can also edit them in image-editing applications like Corel PHOTO-PAINT. You can use vector images of various formats in desktop publishing programs.

Related Topics
  • To import a CorelDRAW file
  • CorelDRAW (CDR) technical notes


To import a CorelDRAW file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose CDR - CorelDRAW from the Files of type list box.
  4. Click the filename.
  5. Click Open.
Related Topics
  • CorelDRAW (CDR)
  • CorelDRAW (CDR) technical notes


Corel Presentation Exchange (CMX)

Corel Presentation Exchange (CMX) is a metafile format that supports bitmap and vector information and the full range of PANTONE, RGB, and CMYK colors. It was developed to save files with the data necessary to open and edit them in other Corel applications.

Related Topics
  • To import a Corel Presentation Exchange file
  • Corel Presentation Exchange (CMX) technical notes


To import a Corel Presentation Exchange file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose CMX - Corel Presentation Exchange from the Files of type list box.
  4. Click the filename.
  5. Click Open.
  6. Click the image window.
  7. In the Convert to bitmap dialog box, adjust any of the settings.
Related Topics
  • Corel Presentation Exchange (CMX)
  • Corel Presentation Exchange (CMX) technical notes


Corel PHOTO-PAINT (CPT)

Files saved to the Corel PHOTO-PAINT (CPT) file format are bitmaps that represent shapes as pixels arranged to form an image. When you save a graphic to the Corel PHOTO-PAINT format, masks, floating objects, and lenses are saved with the image. Corel R.A.V.E. can import a Corel PHOTO-PAINT file, including files that contain color and grayscale information.

Related Topics
  • Corel PHOTO-PAINT (CPT) technical notes


Microsoft Word Document (DOC)

You can import Microsoft Word 97, 2000, and 2002 files.

Related Topics
  • To import a Microsoft Word file
  • Microsoft Word (DOC) technical notes


To import a Microsoft Word file

  1. Click File } Import.
  2. Choose the drive and folder where the file is stored.
  3. Choose DOC - MS Word 97/2000/2002 from the Files of type list box.
  4. Click the filename.
  5. Click Import.

    6. If the document has a table, you will see the Import table data dialog box. Click the Table outline button, and choose whether or not to add lines around the table and its cells.

  6. Position the import placement start cursor [image] in the drawing window, and click.

  • Only text is imported from Microsoft Word. If the file contains graphical elements, these are lost during conversion and do not display in Corel R.A.V.E.

  • You can place your imported text by dragging a marquee to define a paragraph text box, or by pressing the Space bar to place the imported text in the default location.
Related Topics
  • Microsoft Word Document (DOC)
  • Microsoft Word (DOC) technical notes


Corel DESIGNER (DSF)

You can import Corel DESIGNER (formerly Micrografx Designer) files.

Related Topics
  • To import a Corel DESIGNER file (DSF)
  • Corel DESIGNER (DSF) technical notes


To import a Corel DESIGNER file (DSF)

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose DSF, DWR - Corel/Micrografx Designer from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. In the Designer import dialog box, adjust any of the settings.
Related Topics
  • Corel DESIGNER (DSF)
  • Corel DESIGNER (DSF) technical notes


AutoCAD Drawing Database (DWG)

AutoCAD Drawing Database (DWG) files are vector files used as a native format for AutoCAD drawings.

Related Topics
  • To import an AutoCAD Drawing Database file
  • AutoCAD Drawing Database (DWG) technical notes


To import an AutoCAD Drawing Database file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose DWG-AutoCAD from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. From the 3D projection list box in the Import AutoCAD file dialog box, choose a plane projection of a three-dimensional object as seen from a given focal point.

    7. If you want to reduce the number of nodes on the imported object, enable Auto-reduce nodes.

  7. In the Scaling area, enable one of the following options:
    • Automatic — scales the drawing using the scale of the AutoCAD source file
    • English (1 unit = 1 inch) — lets you scale the drawing in inches
    • Metric (1 unit = 1 mm) — lets you scale the drawing in millimeters

  • If your file has specified views, they will appear automatically in the 3D projection list box.
  • If you are importing a file that does not have the font installed on your system, a PANOSE font matching dialog box will display and let you substitute the font.
Related Topics
  • AutoCAD Drawing Database (DWG)
  • AutoCAD Drawing Database (DWG) technical notes


AutoCAD Drawing Interchange Format (DXF)

The Drawing Interchange Format (DXF) is a tagged data representation of the information contained in an AutoCAD drawing file. The Drawing Interchange format is a native file format of AutoCAD. It has become a standard for exchanging CAD drawings and is supported by many CAD applications. The Drawing Interchange format is vector-based and supports up to 256 colors.

Related Topics
  • To import an AutoCAD Drawing Interchange file
  • AutoCAD Data Interchange Format (DXF) technical notes


To import an AutoCAD Drawing Interchange file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose DXF - AutoCAD from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. In the Import AutoCAD file dialog box, choose a plane projection of a three-dimensional object as seen from a given focal point from the 3D projection list box.

    7. If you want to reduce the number of nodes on the imported object, enable Auto-reduce nodes.

  7. In the Scaling area, enable one of the following options:
    • Automatic — scales the drawing using the scale of the AutoCAD source file
    • English (1 unit = 1 inch) — lets you scale the drawing in inches
    • Metric (1 unit = 1 mm) — lets you scale the drawing in millimeters

  • If you are importing a file that does not have the font installed on your system, a PANOSE font matching dialog box will display and let you substitute the font.
Related Topics
  • AutoCAD Drawing Interchange Format (DXF)
  • AutoCAD Data Interchange Format (DXF) technical notes


Encapsulated PostScript (EPS)

An Encapsulated PostScript (EPS) file is a metafile supported by most illustration and page layout programs. To view or print an EPS file, you must have a PostScript printer installed.

Related Topics
  • To import an encapsulated PostScript file
  • Encapsulated PostScript technical notes


To import an encapsulated PostScript file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose EPS - Encapsulated PostScript from the Files of type list box.
  4. Click the filename.
  5. Click Import.
Related Topics
  • Encapsulated PostScript (EPS)
  • Encapsulated PostScript technical notes


GIF

GIF is a bitmap-based format designed for use on the Web. It is highly compressed to minimize file transfer time and supports images with up to 256 colors. The GIF format provides the ability to store multiple bitmaps in a file. When the multiple images are displayed in rapid succession, the file is called an animated GIF file.

Related Topics
  • To import a GIF file
  • GIF technical notes


To import a GIF file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose GIF - CompuServe bitmap from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

Related Topics
  • GIF
  • GIF technical notes


JPEG (JPG)

JPEG is a standard format developed by the Joint Photographic Experts Group, allowing the transfer of files between a wide variety of platforms, using superior compression techniques. JPEG supports 8-bit grayscale and color depths up to 32-bit CMYK.

Related Topics
  • To import a JPEG file
  • JPEG technical notes


To import a JPEG file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose JPG - JPEG bitmaps from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

You can also | Do the following
Resample a graphic while importing | For more information, see "To resample a bitmap while importing."
Crop a graphic while importing | For more information, see "To crop a bitmap while importing."

  • You can drag on the stage to place the image proportionally at the size you choose.
Related Topics
  • JPEG (JPG)
  • JPEG technical notes


JPEG 2000 (JP2)

The JPEG 2000 (JP2) file format is a JPEG image with advanced compression and file data capabilities. JP2 files can store more descriptive file data (or metadata) than JPEG 2000 codestream files, which are optimized for network transmission.

Related Topics
  • To import a JPEG 2000 file
  • JPEG 2000 (JP2) technical notes


To import a JPEG 2000 file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose JP2 - JPG 2000 bitmaps from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.
Related Topics
  • JPEG 2000 (JP2)
  • JPEG 2000 (JP2) technical notes


Kodak Photo CD Image (PCD)

Kodak Photo CD image file is a raster format developed by Eastman Kodak for scanning photographic images onto compact discs. Photo CD allows high-quality digital storage and manipulation of photographic images. It is typically used by photofinishers and service bureaus who provide the service of placing photographs on CDs.

Related Topics
  • To import a Kodak Photo CD image file
  • Kodak Photo CD (PCD) image technical notes


To import a Kodak Photo CD image file

  1. Click File } Import.
  2. Choose the folder where the file is stored.
  3. Choose PCD - Kodak Photo-CD image from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. In the PCD import dialog box, move any of the following sliders:
    • Brightness — lets you set the amount of light
    • Contrast — lets you specify the contrast between the pixels in the image
    • Saturation — lets you specify the purity of a color
    • Red — lets you specify the amount of red in the image
    • Green — lets you specify the amount of green in the image
    • Blue — lets you specify the amount of blue in the image
  7. Choose an image size from the Resolutions list box.
  8. Choose a color mode from the Image type list box.

You can also | Do the following
Resample a graphic while importing | For more information, see "To resample a bitmap while importing."
Crop a graphic while importing | For more information, see "To crop a bitmap while importing."

  • You can remove the adjustments made by the photofinisher at the time the original image was scanned and placed on the Photo CD disk by enabling the Subtract scene balance check box.
  • You can identify out-of-gamut areas of the image by enabling the Show colors out of gamut check box which renders the out-of-gamut pixels in pure red or pure blue.
Related Topics
  • Kodak Photo CD Image (PCD)
  • Kodak Photo CD (PCD) image technical notes


QuickTime Movie (MOV)

The QuickTime (MOV) file format is a video and animation system developed by Apple Computer. QuickTime files run on all Mac OS operating systems and on Windows operating systems that have a QuickTime driver installed.

Related Topics
  • To import a QuickTime movie
  • To export a movie to the QuickTime format
  • QuickTime (MOV) technical notes


To import a QuickTime movie

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose MOV - QuickTime movie from the Files of type list box.
  4. Click the filename.
  5. Click Import.

  • A QuickTime driver must be installed to import the QuickTime file.
Related Topics
  • QuickTime Movie (MOV)
  • To export a movie to the QuickTime format
  • QuickTime (MOV) technical notes


To export a movie to the QuickTime format

  1. Click File } Export.
  2. Choose the folder where you want to save the file.
  3. Type a filename in the File name box.
  4. Choose a MOV - QuickTime from the Files of type list box.
  5. Enable any of the following check boxes:
    • Selected only — saves only the selected objects. This option is available only if at least one object is selected.
    • Crop to stage — crops objects to the stage
    • Web_safe_filenames — replaces blank spaces in a filename with underscores. Special characters are replaced with characters suitable for Web-based filenames.
    • Do not show filter dialog — lets you use the default settings for the selected file format (or filter) without opening its dialog box
  6. Click Export.
Related Topics
  • QuickTime Movie (MOV)
  • To import a QuickTime movie
  • QuickTime (MOV) technical notes


PICT

The Macintosh PICT file format was developed for the Mac OS platform by Apple Computer Inc. It is a native file format of QuickDraw and can contain both vectors and bitmaps. The Macintosh PICT file format is widely used in Macintosh applications where graphics are used.

Related Topics
  • To import a PICT file
  • PICT (PCT) technical notes


To import a PICT file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PCT - Macintosh PICT from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage page.
  7. You can drag on the stage to place the graphic proportionally at the size you choose.
Related Topics
  • PICT
  • PICT (PCT) technical notes


PaintBrush (PCX)

The PaintBrush (PCX) file format is a bitmap format originally developed by the ZSoft Corporation for the PC Paintbrush program.

Related Topics
  • To import a PaintBrush file
  • PaintBrush (PCX) technical notes


To import a PaintBrush file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PCX - PaintBrush from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the image window.
Related Topics
  • PaintBrush (PCX)
  • PaintBrush (PCX) technical notes


Portable Document Format (PDF)

The Portable Document Format (PDF) is a file format designed to preserve fonts, images, graphics, and formatting of an original application file. Using Adobe Acrobat Reader and Adobe Acrobat Exchange, a PDF file can be viewed, shared, and printed by Mac OS, Windows, and UNIX users.

You can import an entire PDF file, individual pages from the file or multiple pages.

Related Topics
  • To import a Portable Document Format file
  • Portable Document Format (PDF) technical notes


To import a Portable Document Format file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PDF - Adobe Portable Document Format from the Files of type list box.
  4. Click the filename.
  5. Click Import.

    6. If you are importing a multipage document, select the pages you want to import, and click OK.

  6. Click the stage.
Related Topics
  • Portable Document Format (PDF)
  • Portable Document Format (PDF) technical notes


HPGL Plotter file (PLT)

The PLT file format, developed by Hewlett Packard is vector-based. It is used in programs, such as AutoCAD, for printing drawings on plotters. Other Corel applications can interpret a SUBSET of the HPGL and HPGL/2 command set. A scaling factor of 1016 plotter units = 1 inch is used.

Related Topics
  • To import an HPGL Plotter file
  • HPGL Plotter (PLT) technical notes


To import an HPGL Plotter file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PLT — HPGL Plotter File from the Files of type list.
  4. Click the file name.
  5. Click Import.
  6. In the HPGL options dialog box, adjust any of the settings.
Related Topics
  • HPGL Plotter file (PLT)
  • HPGL Plotter (PLT) technical notes


Portable Network Graphics (PNG)

The Portable Network Graphics (PNG) file format is an excellent file format for lossless, portable, and well-compressed storage of bitmaps. It takes up a minimum amount of disk space and can be easily read and exchanged between computers. The Portable Network Graphics format provides a replacement for the GIF format and can also replace many common uses of the TIFF format. The PNG file format does not support animation.

The Portable Network Graphics format is designed to work well in online viewing, such as on the Web, and it’s fully streamable with a progressive display option. Some Web browsers do not support all formatting and features.

Related Topics
  • To import a Portable Network Graphics file
  • Portable Network Graphics (PNG) technical notes


To import a Portable Network Graphics file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PNG - Portable Network Graphics from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

  • You can drag on the stage to place the image proportionally at the size you choose.
Related Topics
  • Portable Network Graphics (PNG)
  • Portable Network Graphics (PNG) technical notes


Adobe Photoshop (PSD)

The Adobe Photoshop (PSD) file format is the native bitmap file format for Adobe Photoshop.

Related Topics
  • To import an Adobe Photoshop file
  • Adobe Photoshop (PSD) technical notes


To import an Adobe Photoshop file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose PSD - Adobe Photoshop from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

Related Topics
  • Adobe Photoshop (PSD)
  • Adobe Photoshop (PSD) technical notes


Corel Painter (RIF)

Importing a Corel Painter (RIF) file retains all the information of a project, such as floating objects, making Corel Painter files much larger than GIF or JPEG files. Corel Painter files can be opened for editing, resizing, and adjusting floaters and shapes and can be compressed using a lossless compression method.

Related Topics
  • To import a Corel Painter file


To import a Corel Painter file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose RIFF - Painter 5/6 from the Files of type list box.
  4. Click the filename.
  5. Click Import.
  6. Click the stage.

You can also | Do the following
Resample a graphic while importing | For more information, see "To resample a bitmap while importing."
Crop a graphic while importing | For more information, "To crop a bitmap while importing."

Related Topics
  • Corel Painter (RIF)


Scalable Vector Graphics (SVG)

Scalable Vector Graphics (SVG) is an open standard graphics file format that allows designers to put the power of vector graphics to work on the Web. It was created by the World Wide Web Consortium (W3C).

Scalable Vector Graphics are described in Extensible Markup Language (XML). They are vector graphic images, which can provide superior detail and faster download times than bitmaps. Compressed Scalable Vector Graphics files have an .svgz filename extension.

To view SVG files, you need an SVG viewer plug-in such as the Corel SVG viewer.

Unicode support

SVG files support Unicode encoding for text.

Related Topics
  • Scalable Vector Graphics (SVG) technical notes

  • You must embed fonts when you require the display of a specific font that the users may not have installed on their computers.
  • As the number of fonts or fountain fill steps increases, so does the size of the file.

  • To preview the SVG file, you can use the Corel SVG viewer installed with the application.


Macromedia Flash (SWF)

Macromedia Flash is a file format for creating and displaying vector-based images and animation. Macromedia Flash files are extremely compact and high quality, making them ideal for use on the Web.

Before you save a file to the Macromedia Flash file format, you can determine if there are potential export problems. You can check the current file and display a summary of errors, possible problems, and a suggestion for resolving the issue. To publish a Macromedia Flash file to the Internet, you have to create a HTML file that encapsulates the Macromedia Flash file and specifies browser settings. The required HTML document can be generated automatically. For more information about exporting movies to the Macromedia Flash format, see "To export a movie to the Macromedia Flash file format."

Related Topics
  • To export a Macromedia Flash file
  • To view the issues summary for a Macromedia Flash file
  • To publish a Macromedia Flash file to the Web
  • Macromedia Flash (SWF) technical notes


To export a Macromedia Flash file

  1. Click File } Export.
  2. Locate the folder where you want to save the file.
  3. Choose SWF-Macromedia Flash from the Save as type list box.
  4. Type a filename in the File name list box.
  5. Click Export.
  6. In the Flash export dialog box, choose values from any of the following list boxes:
    • JPG compression — lets you determine the amount of JPEG file compression
    • Resolution — lets you set the resolution of the image
    • Smoothing — lets you tone down differences between adjacent pixels
  7. Enable one of the following options in the Bounding box size area:
    • Page — lets you apply the bounding box to the page
    • Objects — lets you align the bounding box exactly to the objects in the file
  8. Enable any of the following check boxes in the Optimization area:
    • Convert dashed outlines — converts dashed outlines to solid lines
    • Rounded caps and corners — rounds the corners and endpoints of lines and curves
    • Use default fountain steps — lets you use default fountain steps for fountain fills

  • The more you compress a sound, the smaller the size and the lower the sound quality.

  • You can save the settings in the Flash export dialog box to a preset by clicking the Add preset button [image] and typing a name in the Setting name box.
  • To preview a Macromedia Flash file in a browser, you must have the Macromedia Flash Player plug-in installed on your computer.
Related Topics
  • Macromedia Flash (SWF)
  • To view the issues summary for a Macromedia Flash file
  • To publish a Macromedia Flash file to the Web
  • Macromedia Flash (SWF) technical notes


To view the issues summary for a Macromedia Flash file

  1. Click File } Export.
  2. Locate the folder where you want to save the file.
  3. Choose SWF-Macromedia Flash from the Save as type list box.
  4. Type a filename in the File name list box.
  5. Click Export.
  6. In the Flash export dialog box, click the Issues tab.
  7. Click an error or warning in the error list to see the details and suggestions for resolving the issue.

    8. If you want to overlook certain issues, click Settings, and disable the check boxes that correspond to those issues.

  • The Issues tab heading indicates the number of issues. The icon on the tab heading changes depending on the severity of the issue(s) identified.
Related Topics
  • Macromedia Flash (SWF)
  • To export a Macromedia Flash file
  • To publish a Macromedia Flash file to the Web
  • Macromedia Flash (SWF) technical notes


To publish a Macromedia Flash file to the Web

  1. Click File } Publish to the Web } Flash embedded in HTML.
  2. Locate the folder where you want to save the file.
  3. Type a filename in the File name list box.
  4. Click Export.
  5. In the Flash export dialog box, click the HTML tab.
  6. Choose a template from the Flash HTML template list box.
  7. Type values in the Width and Height boxes to specify the dimensions of the HTML document.

    8. If you want to set the movie dimensions relative to the browser window, type percentage values in the Width and Height boxes.

  8. Enable any of the following check boxes:
    • Paused at start — pauses the movie until you initiate play
    • Loop — repeats the movie when it reaches the last frame
    • Display menu — displays a shortcut menu when you right-click the movie
  9. Choose any of the options available in the following list boxes:
    • Quality — lets you set the level of anti-aliasing
    • Window mode — lets you use the absolute positioning, transparent movie, and layering capabilities of Microsoft Internet Explorer 5.0 or later.
    • HTML alignment — lets you define the position of the movie within the browser window
    • Scale — determines how the movie is placed within the boundaries set in the Width and Height boxes

  • You can type values in the Width and Height boxes only when you disable the Match movie check box. Match movie is the default and sets the dimensions of the HTML document to the size of the movie.
  • You should have the latest Macromedia Flash Player plug-in installed on your computer to preview a Macromedia Flash file file in a browser.

  • You can also set the dimensions of the HTML document in pixels by typing values in the Width and Height boxes.
  • You can also choose a template by clicking Open.
  • You can preview a movie in a Web browser window by clicking Preview.
Related Topics
  • Macromedia Flash (SWF)
  • To export a Macromedia Flash file
  • To view the issues summary for a Macromedia Flash file
  • Macromedia Flash (SWF) technical notes


TIFF

The Tagged Image File format (TIFF) is a raster format designed as a standard. Almost every graphics application can read and write TIFF files. There are many variations of TIFF, considering that TIFF supports six different encoding routines and three different image modes: black and white, grayscale, and color. Uncompressed TIFF images may be 1, 4, 8, 24 bits per pixel. TIFF images compressed using the LZW algorithm may be 4, 8, or 24 bits per pixel. TIFF files can save RGB, CMYK, and Lab color mode information, but not duotones.

Related Topics
  • TIFF technical notes


WordPerfect Document (WPD)

The WordPerfect Document format (WPD) is the native file format for WordPerfect files. Corel R.A.V.E. supports WPD files from WordPerfect 4.2 to 10. Corel R.A.V.E. imports only text from a WordPerfect file. Graphic elements are not imported. WordPerfect files for versions 4 and 5 have the file extensions .wp4 and .wp5.

Related Topics
  • General notes on importing text files


WordPerfect Graphic (WPG)

The Corel WordPerfect Graphic file format (WPG) is primarily a vector graphic format, but it can store both bitmap and vector data. The WPG files may contain up to 256 colors chosen from a palette of more than one million colors.

Related Topics
  • To import a WordPerfect Graphic file
  • WordPerfect Graphic (WPG) technical notes


To import a WordPerfect Graphic file

  1. Click File } Import.
  2. Locate the folder where the file is stored.
  3. Choose WPG - WordPerfect Graphic from the Files of type list box.
  4. Click the filename.
  5. Click Open.
Related Topics
  • WordPerfect Graphic (WPG)
  • WordPerfect Graphic (WPG) technical notes


GIMP (XCF)

XCF is the native GIMP format. It supports layers and other GIMP-specific information.


Other file formats

Corel R.A.V.E. also supports the following file formats:

  • Adobe Type 1 Font (PFB) — The PFB file format is for an Adobe Type 1 Font file.
  • ANSI Text (TXT) — ANSI Text (TXT) is a vector format that stores ANSI characters. This format is able to store text information but not formatting information, such as the font type or size. When you import a TXT file to, or export it file from CorelDRAW, only the text is transferred. If there are graphic elements in the file, they will not be imported or exported.
  • Audio Video Interleaved (AVI) — Audio video interleaved format is a Microsoft multi-media format where audio and video elements are stored in alternating segments.
  • CALS Compressed Bitmap (CAL) — CALS Raster (CAL) is a bitmap format used mainly for document storage by high-end CAD programs. It supports a monochrome (1-bit) color depth and is used as a data graphics exchange format for computer aided design and manufacturing, technical graphics, and image processing applications.
  • Corel ArtShow 5 (CPX) — The CPX file format is a native file format of Corel ArtShow 5. It can contain both vectors and bitmaps.
  • CorelDRAW Compressed (CDX) — The CDX file format is a compressed CorelDRAW file.
  • CorelDRAW Template (CDT) — the CDT file format is for a CorelDRAW template file.
  • encapsulated PostScript (Desktop Color Separation) — the DCS file format, developed by QuarkXPress, is an extension of the standard encapsulated PostScript (EPS) file format. Generally, the DCS file format consists of five files. Four of the five files contain information about high-resolution color. This information is expressed in CMYK (cyan, magenta, yellow and black) format. The fifth file, considered the master file, contains a PICT preview of the DCS file.
  • FPX — The FlashPix file format stores images at different resolutions in a single file.
  • Frame Vector Metafile (FMV) — The FMV file format is for a Frame Vector Metafile.
  • GEM Paint (IMG) — GEM Paint (IMG) is a bitmap format that is the native bitmapped file format of the GEM environment. IMG files support 1 and 4-bit paletted color. and are compressed using an RLE method. IMG was a common format in the early days of desktop publishing.
  • GEM File (GEM) — The GEM file format is for a GEM file.
  • Lotus PIC (PIC) — The PIC file format is for a Lotus PIC file.
  • MAC AIFF Sound (AIF) — the AIFF file format is a Macintosh AIFF sound file.
  • MacPaint Bitmap (MAC) — MacPaint (MAC) is a bitmap format that uses the file extensions MAC, PCT, PNT and PIX. It is the format used by the MacPaint program that was included with the Macintosh 128. It supports only 2 colors and a palette of patterns. It is used mainly by Macintosh graphics applications to store black-and-white graphics and clipart. The maximum size for MAC images is 720x576.
  • Macromedia FreeHand (FH) — the FH format is the native vector file format for Macromedia Freehand. Corel graphics applications only support Macromedia FreeHand versions 7 and 8.
  • MET Metafile (MET) — The MET file format is for a MET Metafile.
  • Micrografx 2.x, 3.x (DRW) — The DRW file format is for a Micrografx 2.x or 3.x file.
  • Micrografx Picture Publisher 4 (PP4) — The PP4 file format is a native file format for Micrographx Picture Publisher 4.
  • Micrografx Picture Publisher 5 (PP5) — The PP5 file format is a native file format for Micrographx Picture Publisher 5.
  • NAP Metafile (NAP) — The NAP file format is for a NAP Metafile.
  • OS/2 Bitmap (BMP) — This type of bitmap file is designed for the OS/2 operating system.
  • Pattern File (PAT) — The PAT file format is for a pattern file.
  • PostScript Interpreted (PRN) — PRN PostScript (PS or PRN) is a metafile format for PostScript printers. This format is written in ANSI text. The PostScript Interpreted import filter can import PS, PRN, and EPS PostScript files.
  • PostScript Interpreted (PS) — PRN PostScript (PS or PRN) is a metafile format for PostScript printers. This format is written in ANSI text. The PostScript Interpreted import filter can import PS, PRN, and EPS PostScript files.
  • Rich Text Format (RTF) — Rich Text Format (RTF) is a text format that stores plain text plus text formatting such as bold. When you import an RTF file to Corel R.A.V.E., only the text is transferred.If there are graphic elements in your file they will not be imported to Corel R.A.V.E.
  • SCITEX CT Bitmap (SCT) — The SCT file format is used for importing 32-bit color and grayscale SCITEX images. SCITEX bitmaps are created from high-end scanners. The bitmaps are then processed for output by film recorders or high-end page layout programs.
  • TrueType Font (TTF) — The TrueType Font (TTF) file format was created jointly by Apple Computer and Microsoft Corporation. It is the most common format for fonts used in both Macintosh and Windows operating systems. The TTF file format prints a font as bitmaps or vectors depending on the capabilities of your printer. True Type fonts print as they appear on screen and can be resized to any height.
  • Visio (VSD) — VSD is the Visio drawing format. It can contain bitmaps and vectors.
  • Windows Waveform (WAV) — The WAV file format is for a Window waveform file.
  • Windows Metafile Format (WMF) — Windows Metafile Format (WMF), developed by Microsoft Corporation, stores both vector and bitmap information. It was developed as the internal file format for Microsoft Windows 3. It supports 24-bit RGB color and is supported by most Windows applications.
  • XPixMap Image (XPM) — The XPM file format is used with an XPixMap Image file.


Recommended formats for importing from other applications

Application | Recommended import format
Adobe Illustrator version 8 and earlier | AI
Adobe Illustrator version 9 and later | PDF
AutoCAD | DXF, DWG, HPGL (PLT files)
Text | Clipboard, RTF
CorelDRAW | CDR, Clipboard
Deneba Canvas, Macromedia FreeHand and other vector packages | PCT, .AI, FN
Microsoft Office | WMF, PNG, VSD. For more information, click Help } Working with Office.
WordPerfect Office | WPG
Micrografx Designer | DRW, AI


Reference: Technical notes about file formats

This section contains technical reference information about file formats. For more information about file formats, see "File formats."


Adobe Illustrator (AI) technical notes

Importing an Adobe Illustrator file
  • Adobe Illustrator 9 and later use Portable Document Format (PDF) files for their native format using the filename extension .ai. These files can be imported using the PDF import filter. For instructions about how to import a PDF, see "To import a Portable Document Format file."
  • Corel applications provide full support for all AI file formats up to and including Adobe Illustrator 10. Corel applications cannot import AI files containing bitmaps linked as EPS files.
  • Imported Adobe Illustrator graphics come into the application as a group of objects. Click Arrange } Ungroup to manipulate objects in the imported graphic.
  • Adobe Acrobat 6.0 files are not fully supported.


Windows Bitmap (BMP) technical notes

Importing a Windows Bitmap file
  • You can import Windows Bitmap files conforming to the Windows and OS/2 BMP specification.
  • Windows Bitmap files may be either black & white, 16 colors, grayscale, paletted, or RGB color (24-bit), and will print accordingly, depending on your printer.
  • Run-length encoding (RLE) compression may be used on all bitmaps, except RGB color (24-bit), and black and white bitmaps.
  • The resolution can range from 72 to 300 dpi and go higher if you choose custom settings
  • The maximum image size is 64,535 x 64,535 pixels.


CorelDRAW (CDR) technical notes

  • Imported CorelDRAW files appear as a group of objects. Click Arrange } Ungroup to manipulate individual objects in the imported graphic.
  • Linked symbols are converted to internal symbols.


Corel Symbol Library (CSL) technical notes

  • Corel Symbol Library (CSL) files store symbols that can be used in other files.
  • Corel Symbol Library (CSL) files can be stored locally or on a network, allowing for easy deployment and management of symbol collections.
  • Corel Symbol Library (CSL) files can also store sprites.
  • For more information, see "Managing collections and libraries."


Computer Graphics Metafile (CGM) technical notes

You can import and export CGM files versions 1 and 3.

Importing a Computer Graphics Metafile
  • The CGM filter accepts only markers supported by the CGM file format standard. Private-use markers are ignored.
  • Text is editable, provided the file is exported from the source application using the correct text options. The typeface you see may not correspond to the one used in the source application; however, you can easily change this in the Corel application.
  • If the CGM file contains a font that is not on your computer, the PANOSE font matching dialog box will let you replace the font with an available one.


Corel Presentation Exchange (CMX) technical notes

  • The following versions are available: 5, 6, 7, 8, 9, 10, and 11.
  • This file format is available in CorelDRAW, Corel PHOTO-PAINT, and Corel R.A.V.E. They import Corel Presentation Exchange (CMX) files as bitmaps.


Corel PHOTO-PAINT (CPT) technical notes

  • This filter is available in CorelDRAW, Corel PHOTO-PAINT, Corel R.A.V.E., and CorelTRACE.
  • Corel PHOTO-PAINT files may be either black & white, grayscale, paletted, CMYK color (32-bit), RGB color (24-bit), or LAB.


Corel DESIGNER (DSF) technical notes

  • Guidelines and grid settings are not converted.
  • Snap points are not converted.
  • Objects on some pages may be grouped together. You may want to select the group and then ungroup it before editing.
  • OLE data is displayed as picture objects. OLE data object types are lost in the conversion.
  • Curvygons are converted to curves.
  • Gradient transparency may be offset in some cases.
  • Hatch fills are rendered but are actually part of the object fill. They are separate objects but are grouped.
  • Bitmap fills may not be scaled properly.
  • Unclosed, filled lines are converted to two objects: one for the line and one for the fill.
  • Warped text is converted to curves.
  • Repelled text (block text that wraps around an object) is converted to multiple text objects.
  • Each character in text on a path is converted to a separate text object.
  • Each line of a non-rectangular text object (text that was placed within an object) is converted to a separate text object.
  • Tab stops may stretch or shrink if there are a lot of transformations to block text.
  • Block text that was scaled by dragging the bounding box will use the smaller of the two scaling dimensions (vertical or horizontal).
  • Text flowing between containers is not preserved; each container is converted to a separate object.
  • Small caps text won't always come in with exactly the same dimensions.


Encapsulated PostScript technical notes

Importing an Encapsulated PostScript file
  • The encapsulated PostScript file is imported in a placeable format by default. The applications display a thumbnail, or preview, in the active file.
  • If the encapsulated PostScript file contains a placeable header (that is, a small bitmap representation of the image), the placeable header is imported and displayed. The EPS information remains attached to the header and is used when the image is printed to a PostScript printer.
  • When you import a file with large or complex gradient fills, you may generate a large number of objects.


GIF technical notes

  • Corel applications import versions 87A and 89A of the GIF file format, but export only to version 89A. Version 87A supports basic features and interlacing. The newer version, 89A, includes all features found in 87A plus the ability to use transparent colors and to include comments and other data of the image file.
  • Corel applications support the following color depths when importing animated GIF files: black and white (1-bit), 16 colors, grayscale (8-bit), and 256 color paletted (8-bit).
  • The GIF file format supports a maximum image size of 64,535 pixels by 64,535 pixels and uses LZW compression.
  • You can export movies you create in Corel R.A.V.E. as animated GIF files. You can also open and edit animated GIF files in Corel R.A.V.E.


HTML technical notes

Importing an HTML file
  • The HTML import filter extracts editable information from a Web document and brings objects into Corel R.A.V.E. in a manner similar to the original layout.
  • Imported HTML files that exceed the boundaries of the drawing page continue down the workspace without a page break.


JPEG technical notes

  • You can preview and adjust the settings of the image you are exporting. You can zoom in to get a closer look at the image by clicking in the Original window using the Zoom tool.


JPEG 2000 (JP2) technical notes

  • JPEG 2000 standard files offer better image compression and storage of metadata such as dimensions, tone scale, color space, and intellectual property rights.
  • A region of interest in a JP2 image is an area where the compression ratio in a transmitted image is lower, which results in higher fidelity for that part of the image.
  • JPEG 2000 codestream files are optimized for network transmissions, resisting bit errors and, therefore, data loss on low bandwidth channels.
  • Not all Web browsers support JPEG 2000 formats. You might require a plugin to view these files.


QuickTime (MOV) technical notes

  • QuickTime Movie (MOV) files are animation files that support 24-bit and 8-bit color. Multiple tracks are not supported.
  • You can export to the QuickTime format from Corel R.A.V.E.


PICT (PCT) technical notes

  • Corel graphics applications can import vector drawings and bitmaps contained in PICT (PCT) files.
  • Objects that contain a fill and an outline will open as a group of two objects. One object will be the outline and the other the fill.
  • PICT fills are often bitmap patterns, and the Corel application tries to maintain these fills as bitmap patterns.
  • Pattern outlines are converted to a solid color.
  • Text in PICT files opens as editable text. If a typeface in the imported file is not available on your computer, it is converted to the font that it most closely resembles.
  • Text alignment may not quite agree with the original file. This is due to the differences in font size, and inter-character and inter-word spacing between the two formats. Any misalignment is easily corrected.


PaintBrush (PCX) technical notes

Importing a PaintBrush (PCX) file
  • PCX files can be imported if they conform to the following PCX specifications: 2.5, 2.8, and 3.0.
  • Bitmaps may be either black and white, 16 colors, grayscale (8-bit), paletted (8-bit), or RGB color (24-bit).
  • RLE compression is supported and the maximum image size is 64,535 x 64,535 pixels.
  • These files may contain one, two, or four color planes. Files containing three color planes or more than four color planes cannot be imported.


Portable Document Format (PDF) technical notes

Importing a Portable Document Format file
  • Corel R.A.V.E.imports Portable Document Format and Adobe Illustrator 9, and 10 files.


Portable Network Graphics (PNG) technical notes

  • You can import Portable Networks Graphics (PNG) files from 1-bit black and white to 24-bit color; 48-bit color is not supported.
  • Masks and indexed-color, grayscale, and true color images are supported. Masks, however, are not saved in 1-bit black and white or 8-bit paletted files.
  • LZ77 compression is supported, and the maximum image size is 30,000 x 30,000 pixels. Sample depths range from 1 to 16 bits.
  • The PNG file format is also robust, checking full-file integrity and detecting common transmission errors. The PNG file format can store gamma and chromatic data for improved color matching on different platforms.


Adobe Photoshop (PSD) technical notes

Importing an Adobe Photoshop file
  • Adobe Photoshop files with mono, grayscale, and color up to 32-bit CMYK are supported.
  • Some layer effects cannot be imported.


Macromedia Flash (SWF) technical notes

  • Macromedia Flash (SWF) files cannot be imported into Corel R.A.V.E. You can, however, link, embed, export, and publish Macromedia Flash files to the Web in a format equivalent to Macromedia Flash 4. To do this choose File } Publish to the Web } HTML.


TARGA (TGA) technical notes

  • The following features are supported: uncompressed color-mapped images, uncompressed RGB images, run-length encoding (RLE) compressed color-mapped images, RLE-compressed RGB images (types 1, 2, 9, and 10 as defined by the AT&T Electronic Photography and Imaging Center), and masks.
  • You can import TGA files from 8-bit grayscale to 24-bit RGB.
  • RLE compression is supported, and the maximum image size is 64,535 x 64,535 pixels.


TIFF technical notes

Importing a TIFF file
  • Black and white, color, and grayscale TIFF files up to and including the 6.0 specification can be imported and exported.
  • TIFF files compressed using CCITT, Packbits 32773, or LZW compression can also be imported. However, you may notice additional loading time with these files since the application decodes the file compression.


WordPerfect Graphic (WPG) technical notes

  • This filter imports graphics created in WordPerfect applications.
  • Graphics Text Type 2 is not supported.


General notes on importing text files

  • When you import a text file into a Corel application, it appears almost the same as in the source application. However, some formatting attributes and page layout features may not be supported. In such cases, the application tries to simulate the results of a feature when a reasonable substitution can be made.
  • The following word processing features are not supported: headers, footers, footnotes and endnotes, embedded graphics, columns, tables, and macros.
  • Font matching support is included. You can modify font matching settings in the Font matching results dialog box. Fonts are converted by size and by family, provided the source file format includes font family information that the application can access.
  • Rich Text Format (.rtf) files are automatically converted to the Microsoft Windows ANSI (American National Standards Institute) character set. The Macintosh Character Set and Standard IBM PC Code Page 437 are also supported.
  • Corel graphics applications attempt to make the closest match possible of characters. Font matching is used if the imported text font is not on the user's system. However, if a match cannot be made, the font characters will appear in the application as unrecognizable text.
  • Conversion of font sizes is supported. The following table shows font family conversion capabilities.

Word processing application | From .rtf to Corel graphics
WordPerfect | All fonts supported
Microsoft .rtf | All fonts supported
Microsoft Word PC | All fonts supported
Ami Professional | Limited font support
Microsoft Word Macintosh | All fonts supported
Word for Windows | All fonts supported

“All fonts supported” means that Corel graphics applications support all font families supported by that application.

“Limited font support” means that Corel graphics applications supports only selected fonts from the fonts supported by that application. This typically includes Standard PostScript fonts and the Standard HP PCL fonts.

  • When converting Macintosh files, font support is limited by the supported font families of the Windows formats.
  • Fonts converted to formats other than those listed in the table above will map to fonts that Corel graphics applications find as the best fit.
  • You may encounter alignment problems when converting from and to a proportional and nonproportional font. Therefore, if you import a document created in a nonproportional font to a proportional font, some pages may have more text on a page than the original document.
  • Source documents that contain a table of contents and indexing convert into the appropriate functions in an .rtf file.
  • Data that is automatically outlined converts to regular text.
  • Style sheet properties are converted to RTF. The file will appear as in the source application; however, the style sheet from the original application is not imported.
  • Text contained within a frame or a positioned object is retained.


AutoCAD Data Interchange Format (DXF) technical notes

  • The Data Exchange File (DXF) filter is supported in AutoCAD 2.5, 2.6, R9, R10, R11, R13, R14, and R2000 (R15).
  • AutoCAD 2000/2002 is supported.
  • Layers are retained on import.
Importing an AutoCAD Data Interchange Format file
  • The DXF filter imports vector graphics created in AutoCAD 12, AutoCAD 13, AutoCAD 14, and AutoCAD 2000/2002.
  • Solid and trace entities are filled.
  • A point is imported as an ellipse of minimum size.
  • Files exported as "Entities only" may come into the Corel application incorrectly due to a lack of header information.
  • Various justifications on text entries may not be preserved. Normal text placement (no justification) works best.
  • If the DXF file contains a font that is not on the user's computer, PANOSE font matching dialog box will let the user replace the font with an available one.


AutoCAD Drawing Database (DWG) technical notes

  • The AutoCAD Drawing Database (DWG) filter is supported in AutoCAD 2.5, 2.6, R9, R10, R11, R13, R14, and AutoCAD 2000/2002.
  • If the DWG file contains a font that is not on your computer, the PANOSE font matching dialog box lets you replace the font with an available one.


Windows Metafile (WMF) technical notes

Importing a Windows Metafile
  • The following features are not supported: PANOSE font matching and rotated and skewed bitmaps.


HPGL Plotter (PLT) technical notes

Importing a PLT file
  • Corel applications support versions 1 and 2 of PLT file formats although some features of version 2 are not supported.
  • You can import images larger than the Corel application's maximum page size by enabling the Scale option in the HPGL options dialog box, which lets you resize the imported image.
  • The curve resolution factor can be set to a value between 0.0 and 1.0 inches. The value can be very precise; up to eight decimal places are accepted. A setting of 0.0 results in the highest resolution, but it also greatly increases file size. A curve resolution of 0.004 inches is recommended.
  • The PLT file format does not contain color information. Instead, the various objects in a PLT file have certain pen numbers associated with them. When imported into a Corel application, each pen number is assigned a specific color. You can specify the color assigned to a particular pen, so that you can match the original colors of the graphic.
  • The Pen selection list contains 256 pens although not all of the pens may be assigned. You can change the color assignments by choosing the pen and then choosing a new color for that pen from the Pen color list box. Choosing Custom colors brings up a color definition dialog box that allows you to define a custom color using RGB values.
  • You can change the pen width assignments by choosing the pen and then choosing a new width for that pen from the Pen width list box.
  • You can set a defined pen to the Unused option. You can also reset the current Pen Library pen settings to the previously saved settings.
  • Corel applications support numerous dotted, dashed, and solid line types of the PLT file format. The pattern number of a line in a PLT file is translated to a line type pattern.
  • If the PLT file contains a font that is not on the user's computer, the PANOSE font matching dialog box will let the user replace the font with an available one.


PostScript (PS) technical notes

  • The PostScript Interpreted import filter can import PostScript (PS), Printer (PRN), and encapsulated PostScript (EPS) files.
  • The PostScript information is converted to objects.
  • The PostScript Interpreted import filter lets you import multiple pages. In contrast, the EPS filter is used only to import EPS files and displays the EPS bitmap header or, if there is no header, a gray box.
  • The PostScript Interpreted import filter converts RGB bitmaps to CMYK.
  • Font information is maintained only if the font was embedded in the original file prior to import.
  • Files that are too large may not import into some applications due to memory limitations. This problem can be caused by complex gradient fills that increase the number of objects in a graphic.
  • EPS file formats (EPS placeable, PostScript Interpreted) may not import properly if you choose All files from the Files of type list box. To import PostScript Interpreted files successfully, choose the PostScript Interpreted import filter. For more information, see "Encapsulated PostScript (EPS)."


Scalable Vector Graphics (SVG) technical notes

Importing an SVG file
  • Most of the information in SVG files created in other applications is preserved in the imported file, even if Corel R.A.V.E. does not support a feature. For example, information about ink strokes in an SVG file created in Corel Grafigo will be preserved in the imported file, even though the ink strokes will not display.
  • Clipped and masked objects are imported as PowerClip objects.
  • Group, object, and symbol names and IDs are retained in the imported file.
  • Symbols in the imported file display in the Symbol manager docker.
  • Bitmap files embedded in an SVG file are retained.
  • Links to external graphic JavaScript files are supported on import unless the external files are stored on the Web.
  • Links to external files, such as files of the GIF, PNG, or JPEG formats, are supported on import unless the external files are stored on the Web.
  • SVG color definitions and names are supported.
  • Round-tripping is supported.
  • Metadata is supported.
  • Hyperlinks are supported.


Adobe Type 1 Fonts technical notes

  • Most Type 1 fonts are single master fonts that permit only style editing; for example, Roman, italic, bold. A single master Type 1 font contains two files: a Printer Font Metrics (PFM) file and a Printer Font Binary (PFB) file.
  • Some Type 1 fonts are also available in multiple master format. You can customize design elements of multiple master fonts such as weight, width, style, and optical size. A multiple master base font is the multiple master font itself, from which you create variations called multiple master instances. A multiple master base font is composed of a PFM file, a PFB file, and a Multiple Master Metrics (MMM) file. A multiple master instance is composed of a PFM file and a PostScript Printer Stub (PSS) file.
  • Each exported character must comprise a single object. Before you export multiple objects, you must combine them by clicking Arrange } Combine. You cannot export multiple objects or grouped objects.
  • Avoid intersecting lines. Any object in your character should lie completely inside or outside of others, as shown in the examples below:

Three objects correctly combined; five objects correctly combined; five objects incorrectly combined

  • Fill and outline attributes applied to objects are not exported.
  • Adobe Type 1 fonts you create are compatible with Adobe Type Manager version 2.0, but not with earlier versions.


OS/2 Bitmap technical notes

  • Corel applications support Standard Version 1.3 and Enhanced Version 2.0 or later versions of the OS/2 Bitmap file format.
  • Corel applications support the following color depths when importing BMP files: 1-bit black and white, 256 shade (8-bit) grayscale, 16-color (4-bit) and 256-color (8-bit) paletted, and 24-bit RGB.
  • The OS/2 Bitmap file format supports a maximum image size of 64,535 x 64,535 pixels. OS/2 uses Run-length encoding (RLE) compression.


Kodak Photo CD (PCD) image technical notes

  • PCD images are derived from 35mm film negatives or slides that have been converted to digital format and stored on a CD.
  • Kodak Photo CD (PCD) images may be subject to copyright. The Corel application will not display a warning message about this.
  • Other Kodak-compatible applications may install Kodak's pcdlib.dll file in the Windows folder instead of the Windows\System folder. This will produce an error message.
  • When you import Photo CD files, a dialog box will display prompting you to choose the desired file resolution and color. The resolution is limited to 72 dpi and the maximum image size is 2048 x 3072 pixels.
  • You can import the following color modes: RGB (24 bit), paletted (8 bit), and grayscale (8 bit).
  • Click on the Enhancement tab if you want to color-correct the image before importing it.
  • The Image size indicator will update to reflect the choices you have made regarding resolution and color.
GamutCD color correction

This color correction method uses gamut mapping to enhance the color fidelity and tonal ranges of the CD image.

To
Do the following
Set active area
Use the mouse to specify an active area within the image in the view field. This ensures GamutCD will base its color correction on the area of the photo that you are going to use and removes any black borders left from the original scan.
Set neutral colors
Define neutral colors by clicking on pure whites, blacks, and grays within the active area.
White in image
Choose this option if an image has pure white elements. If you do not have any white elements, disable this option. Otherwise, the gamut mapping will over-brighten your image as it maps the lightest elements of your image to white.
This option will assist GamutCD in enhancing the tonal range of an image and removing color cast. If the white element in an image is not pure white, you may want to lower the setting from 255 in the number box to the right.
Black in Image
Choose this option if you have pure black elements in an image. If the image does not have any black elements, disable this option. Otherwise, the gamut mapping will darken your image since it maps the darkest elements of your image to black.
This option will assist GamutCD in enhancing the tonal range of an image and removing color cast. If the black element in an image is not pure black, you may want to raise the setting from 0 in the number box to the right.

Kodak color correction

This color correction method allows you to alter color tints, adjust brightness and color saturation, as well as make adjustments to the level of contrast.

To | Do the following
Remove scene | Turns off the Scene balance adjustment.
Balance adjustment | The photo finisher applied at the time the original image was scanned and placed on the Photo CD disk.
Color metric | Allows you to adjust contrast by preset amounts.
Show out-of-gamut | If the changes you've made are too extreme, the preview colors will display out-of-gamut pixels as pure red or pure blue.


Microsoft Word (DOC) technical notes

Importing a DOC file
  • The following Microsoft Word (DOC) versions are available: Microsoft Word 97/2000, Microsoft Word for Windows 6/7, Microsoft Word for Windows 2.x, Microsoft Word 3.0, 4.0, 5.0, 5.5.
  • The embedded-field method for building indexes in Microsoft Word is supported, while the style-implied method for building indexes is not.
  • The Corel application tries to match the fonts in the file you are importing with the same or similar fonts, depending on the fonts installed on your computer. However, the Normal text style in Microsoft Word is converted to the default text style. To set the default text style, click Tools } Customization. In the list of categories, double-click Document, double-click Styles, and choose a text style.
  • Whenever possible, the application automatically converts characters available in the sets "Symbol" or "MS Linedraw" to the corresponding Windows character set entries.
  • Most fonts are proportionally spaced and text is reflowed when imported. As a result, soft line and page breaks often appear in new locations if you are converting to a fixed-pitch or nonscalable font.
  • When importing text, the page size in the original document is ignored. The text is fit to the current page size, and this may affect the placement of text.
  • Footnotes or endnotes created in Microsoft Word 3.x, 4.x, 5.0, or 5.5 are not supported.
  • Tables are converted to text in place (in rectangles). The total height and width is determined by the original table.
  • If the file contains more then one table, each is placed on a new page.
  • If a table is longer then the current page, the table data will continue down and off the page.
  • Nested tables are not fully supported within this implementation. The text within a nested table will appear within the text box of the top level table cell as text only (no bounding lines).
  • Inserted graphic elements such as GIFs, bitmaps, and so on are not supported — they will be dropped.
  • Equations are not maintained — the data and results should be maintained but unlinked.
  • Text direction is not maintained.

For more information, see "To import a Microsoft Word file."


WordPerfect Document (WPD) technical notes

  • The WPD filter imports text files created in WordPerfect 4.2, 5.0, 5.1, Corel WordPerfect 6, 7, 8, and WordPerfect 9 and 10.
  • The following features are not supported: index functions, text in table of contents, and style sheets.
  • Equations and formulas created in the WordPerfect equation language are converted to regular text.
  • Graphic features like HLine and VLine are not converted.
  • When importing text, the page size in the original document is ignored. The text is fit to the current page size which may affect the placement of text.
  • For more information, see "General notes on importing text files."


WI technical notes

Importing a WI file
  • Corel applications support the following color depths when importing Wavelet Compressed Bitmap (.wi files): 256-shade (8-bit) grayscale, and 24-bit RGB.


CUR technical notes

  • The Windows 3.x/NT Cursor Resource (.cur files) file format is used to create icons for Windows 3.1, Windows NT, and Windows 95 interfaces.
  • The Windows 3.x/NT Cursor Resource file format supports cursor graphic elements that are used in Windows pointers. You can select a color for Transparent and Inverse masks.
  • Corel applications support the following color depths when importing .cur files: 1-bit black-and-white, 16 color (4-bit) paletted, 256 color (8-bit) paletted.
  • The Windows 3.x/NT Cursor Resource file format supports a maximum image size of 32 x 32 pixels.


Customizing your application

You can customize your application by arranging command bars and commands to suit your needs. Command bars include menus, toolbars, the property bar, and the status bar.

Help topics are based on the application’s default settings. When you customize command bars, commands, and buttons, the Help topics associated with them do not reflect your changes.

In this section, you’ll learn about

  • saving defaults
  • using multiple workspaces
  • customizing keyboard shortcuts
  • customizing menus
  • customizing toolbars
  • customizing the property bar
  • customizing the status bar
  • customizing feedback sounds


Saving defaults

Many application settings apply to the active movie only. These include stage size, grid and ruler settings, guideline settings, save options, and Web publishing options. Saving the current settings as defaults lets you use the settings of the active movie for all new movies you create. You can also choose to save only specific settings as defaults. The default frame rate cannot be changed; it remains at 12 frames per second.

Related Topics
  • To save current settings as defaults
  • To save specific settings as defaults


To save current settings as defaults

  • Click Tools } Save settings as default.
Related Topics
  • Saving defaults
  • To save specific settings as defaults


To save specific settings as defaults

  1. Click Tools } Options.
  2. In the list of categories, click Document.
  3. Enable the Save options as defaults for new documents check box.
  4. Enable the check boxes that correspond to the options you want to save.
Related Topics
  • Saving defaults
  • To save current settings as defaults


Using multiple workspaces

A workspace is a configuration of settings that specifies how the various command bars, commands, and buttons are arranged when you open the application. You can create, choose, and delete workspaces. You can also reset the current workspace to the default settings. This lets you undo changes you make to a workspace.

You can also export and import workspaces to and from other computers that use the same application. For example, you can customize a workspace and share it with a group of users.

Related Topics
  • To create a workspace
  • To choose a workspace
  • To delete a workspace
  • To reset the current workspace
  • To import a workspace
  • To export a workspace


To create a workspace

  1. Click Tools } Customization.
  2. In the list of categories, click Workspace.
  3. Click New.
  4. Type the name of the workspace in the Name of new workspace box.
  5. From the Base new workspace on list box, choose an existing workspace on which to base the new workspace.

    6. If you want to include a description of the workspace, type a description in the Description of new workspace box.

  • Custom workspaces are saved and exported as XML-based Extensible Stylesheet Language Transformations (XSLT) files. A workspace saved in this format can be used when setting up or deploying custom workspaces.
Related Topics
  • Using multiple workspaces
  • To choose a workspace
  • To delete a workspace
  • To reset the current workspace
  • To import a workspace
  • To export a workspace


To choose a workspace

  1. Click Tools } Customization.
  2. In the list of categories, click Workspace.
  3. Enable the check box beside a workspace in the Workspace list.
Related Topics
  • Using multiple workspaces
  • To create a workspace
  • To delete a workspace
  • To reset the current workspace
  • To import a workspace
  • To export a workspace


To delete a workspace

  1. Click Tools } Customization.
  2. In the list of categories, click Workspace.
  3. Choose a workspace from the Workspace list.
  4. Click Delete.

  • You cannot delete the default workspace.
Related Topics
  • Using multiple workspaces
  • To create a workspace
  • To choose a workspace
  • To reset the current workspace
  • To import a workspace
  • To export a workspace


To reset the current workspace

  • Hold down F8 while the application is starting.
Related Topics
  • Using multiple workspaces
  • To create a workspace
  • To choose a workspace
  • To delete a workspace
  • To import a workspace
  • To export a workspace


To import a workspace

  1. Click Tools } Customization.
  2. In the list of categories, click Workspace.
  3. Click Import.
  4. In the Import workspace dialog box, click Browse.
  5. Choose the folder where the file is stored.
  6. Double-click the file.
  7. Follow the instructions on screen.
Related Topics
  • Using multiple workspaces
  • To create a workspace
  • To choose a workspace
  • To delete a workspace
  • To reset the current workspace
  • To export a workspace


To export a workspace

  1. Click Tools } Customization.
  2. In the list of categories, click Workspace.
  3. Click Export.
  4. Enable the check boxes beside the workspace items you want to export.
  5. Click Save.
  6. Choose the folder where you want to save the file.
  7. Type a filename in the File name box or Save as box.
  8. Click Save.
  9. Click Close.

  • The workspace items available for export are dockers, toolbars (including the property bar and toolbox), menus, status bar, and shortcut keys.
  • Custom workspaces are saved and exported as XML-based Extensible Stylesheet Language Transformations (XSLT) files. A workspace saved in this format can be used when setting up or deploying custom workspaces.

  • You can email a workspace as an attachment by clicking Email in the Export workspace dialog box.
Related Topics
  • Using multiple workspaces
  • To create a workspace
  • To choose a workspace
  • To delete a workspace
  • To reset the current workspace
  • To import a workspace


Customizing keyboard shortcuts

Although your application already has preset keyboard shortcuts, you can change these or add your own shortcuts to suit your working style. You can assign keyboard shortcuts to the commands and text styles that you use the most, and you can delete keyboard shortcuts. Assigning a keyboard shortcut to a text style lets you quickly change the style of selected text.

You can print a list of keyboard shortcuts. You can also export a list of keyboard shortcuts to the CSV file format — a comma delimited format that is easily opened by word processors and spreadsheet applications.

When you change keyboard shortcuts, the changes are saved in a file called an accelerator table. Your application comes with two accelerator tables which can be customized to suit your work habits:

  • Main table — contains all non-text-related shortcut keys
  • Text editing table — contains all text-related shortcut keys
Related Topics
  • To assign a keyboard shortcut to a command
  • To assign a keyboard shortcut to a text style
  • To delete a keyboard shortcut
  • To print keyboard shortcuts
  • To export a list of keyboard shortcuts


To assign a keyboard shortcut to a command

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Click the Shortcut keys tab.
  4. Choose a shortcut key table from the Shortcut key table list box.
  5. Choose a command category from the top list box.
  6. Click a command in the Commands list.

    7. The shortcut keys currently assigned to the selected command are displayed in the Current shortcut keys box.

  7. Click the New shortcut key box, and press a key combination.

    8. If the key combination is already assigned to another command, that command is listed in the Currently assigned to box.

  8. Click Assign.

  • If the same keyboard shortcut is already assigned to another command, the second assignment overwrites the first. By enabling the Navigate to conflict on assign check box, you can automatically navigate to the command whose shortcut you reassigned, prompting you to assign a new shortcut.

  • You can reset all keyboard shortcuts by clicking Reset all.
  • You can view all of the existing keyboard shortcuts by clicking View all.
Related Topics
  • Customizing keyboard shortcuts
  • To assign a keyboard shortcut to a text style
  • To delete a keyboard shortcut
  • To print keyboard shortcuts
  • To export a list of keyboard shortcuts


To assign a keyboard shortcut to a text style

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Click the Shortcut keys tab.
  4. Choose a shortcut key table from the Shortcut key table list box.
  5. Choose Apply styles from the top list box.
  6. Choose a text style from the list.

    7. The shortcut keys currently assigned to applying the selected style are displayed in the Current shortcut keys box.

  7. Click the New shortcut key box, and press a key combination.

    8. If the key combination is already assigned to another command, that command is listed in the Currently assigned to box.

  8. Click Assign.

  • If the same keyboard shortcut is already assigned to another command, the second assignment overwrites the first. By enabling the Navigate to conflict on assign check box, you can automatically navigate to the command whose shortcut you reassigned, prompting you to assign a new shortcut.

  • You can all reset keyboard shortcuts by clicking Reset all.
Related Topics
  • Customizing keyboard shortcuts
  • To assign a keyboard shortcut to a command
  • To delete a keyboard shortcut
  • To print keyboard shortcuts
  • To export a list of keyboard shortcuts


To delete a keyboard shortcut

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Click the Shortcut keys tab.
  4. Choose a shortcut key table from the Shortcut key table list box.
  5. Choose a command category from the top list box.
  6. Click a command in the Commands list.
  7. Click a shortcut key in the Current shortcut keys box.
  8. Click Delete.
Related Topics
  • Customizing keyboard shortcuts
  • To assign a keyboard shortcut to a command
  • To assign a keyboard shortcut to a text style
  • To print keyboard shortcuts
  • To export a list of keyboard shortcuts


To print keyboard shortcuts

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Click the Shortcut keys tab.
  4. Click View all.
  5. Click Print.
Related Topics
  • Customizing keyboard shortcuts
  • To assign a keyboard shortcut to a command
  • To assign a keyboard shortcut to a text style
  • To delete a keyboard shortcut
  • To export a list of keyboard shortcuts


To export a list of keyboard shortcuts

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Click the Shortcut keys tab.
  4. Click View all.
  5. Click Export to CSV.
  6. Choose the folder where you want to save the file.
  7. Type a filename in the File name box or Save as box.
  8. Click Save.
Related Topics
  • Customizing keyboard shortcuts
  • To assign a keyboard shortcut to a command
  • To assign a keyboard shortcut to a text style
  • To delete a keyboard shortcut
  • To print keyboard shortcuts


Customizing menus

Corel customization features let you modify the menu bar and the menus it contains. You can change the order of menus and menu commands; add, remove, and rename menus and menu commands; and add and remove menu command separators. You can also reset menus to the default setting.

The customization options apply to the menu bar menus as well as to context menus that you access by right-clicking.

Help topics are based on the application’s default settings. When you customize menus and menu commands, the Help topics associated with them do not reflect your changes.

Related Topics
  • To change the order of menus and menu commands
  • To rename a menu or menu command
  • To add or remove an item on the menu bar
  • To add or remove a command on a menu
  • To add or remove a command separator on a menu
  • To reset menus to the default setting


To change the order of menus and menu commands

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. In the application window, drag a menu on the menu bar to the left or right.

    4. If you want to change the order of a menu command, click a menu on the menu bar, click a menu command, and drag it up or down.

    If you want to change the order of context menu commands, right-click in the application window to display the context menu, and drag a menu command to a new position.

Related Topics
  • Customizing menus
  • To rename a menu or menu command
  • To add or remove an item on the menu bar
  • To add or remove a command on a menu
  • To add or remove a command separator on a menu
  • To reset menus to the default setting


To rename a menu or menu command

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Choose a command category from the top list box.
  4. Click a menu or command in the list.

    5. A black arrow displayed next to a name in the list indicates a menu.

  5. Click the Appearance tab.
  6. Type a name in the Caption box.

  • An ampersand (&) before a letter in the Caption box indicates a shortcut, also known as a mneumonic accelerator key. Menus are displayed by pressing Alt + the letter. Commands are invoked by pressing the letter when the menu is displayed.

  • You can reset the name to the default by clicking Restore defaults.
Related Topics
  • Customizing menus
  • To change the order of menus and menu commands
  • To add or remove an item on the menu bar
  • To add or remove a command on a menu
  • To add or remove a command separator on a menu
  • To reset menus to the default setting


To add or remove an item on the menu bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.

    3. If you want to remove an item, drag it off the menu bar.

  3. Choose a command category from the top list box.
  4. Drag an item to the menu bar.

    5. A black arrow displayed next to a name in the list indicates a menu. All other items in the list are commands.

Related Topics
  • Customizing menus
  • To change the order of menus and menu commands
  • To rename a menu or menu command
  • To add or remove a command on a menu
  • To add or remove a command separator on a menu
  • To reset menus to the default setting


To add or remove a command on a menu

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.

    3. If you want to remove a command from a menu, click the menu name, and when the menu displays, drag the command off the menu.

  3. Choose a command category from the top list box.
  4. Drag a command to a menu in the application window.
Related Topics
  • Customizing menus
  • To change the order of menus and menu commands
  • To rename a menu or menu command
  • To add or remove an item on the menu bar
  • To add or remove a command separator on a menu
  • To reset menus to the default setting


To add or remove a command separator on a menu

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.

    3. If you want to remove a command separator from a menu, click the menu name, and when the menu displays, drag the command separator off the menu.

  3. Choose User menus from the top list box.
  4. Click Separator and drag it onto a menu in the application window.
Related Topics
  • Customizing menus
  • To change the order of menus and menu commands
  • To rename a menu or menu command
  • To add or remove an item on the menu bar
  • To add or remove a command on a menu
  • To reset menus to the default setting


To reset menus to the default setting

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Choose Menu bar from the list.
  4. Click Reset.
Related Topics
  • Customizing menus
  • To change the order of menus and menu commands
  • To rename a menu or menu command
  • To add or remove an item on the menu bar
  • To add or remove a command on a menu
  • To add or remove a command separator on a menu


Customizing toolbars

You can customize toolbar position and display. For example, you can move or resize a toolbar, and you can choose to hide or display a toolbar.

Toolbars can be either docked or floating. Docking a toolbar attaches it to the edge of the application window. Undocking a toolbar pulls it away from the edge of the application window, so it floats and can be easily moved around.

You can create, delete, and rename custom toolbars. You can customize toolbars by adding, removing, and arranging toolbar items. You can adjust toolbar appearance by resizing buttons; adjusting the toolbar border; and displaying images, captions, or both. You can also edit toolbar button images.

When moving, docking, and undocking toolbars, you use the grab area of the toolbar.

For a | The grab area is
Docked toolbar | identified by a double line at the top or left edge of the toolbar
Floating toolbar | the title bar. If the title is not displayed, the grab area is identified by a double line at the top or left edge of the toolbar.

Related Topics
  • To customize toolbar position and display
  • To add, delete, or rename a custom toolbar
  • To add or remove an item on a toolbar
  • To arrange toolbar items
  • To modify toolbar appearance
  • To edit a toolbar button image


To customize toolbar position and display

To | Do the following
Move a toolbar | Click the toolbar’s grab area, and drag the toolbar to a new position.
Dock a toolbar | Click the toolbar’s grab area, and drag the toolbar to any edge of the application window.
Undock a toolbar | Click the toolbar’s grab area, and drag the toolbar away from the edge of the application window.
Resize a floating toolbar | Point to the edge of the toolbar and, using the two-directional arrow, drag the edge of the toolbar.
Hide or display a toolbar | Click Tools } Customization, click Command bars, and disable or enable the check box next to the toolbar name.
Reset a toolbar to its default setting | Click Tools } Customization, click Command bars, click a toolbar, and click Reset.

Related Topics
  • Customizing toolbars
  • To add, delete, or rename a custom toolbar
  • To add or remove an item on a toolbar
  • To arrange toolbar items
  • To modify toolbar appearance
  • To edit a toolbar button image


To add, delete, or rename a custom toolbar

To | Do the following
Add a custom toolbar | Click Tools } Customization, click Command bars, click New, and type a name.
Delete a custom toolbar | Click Tools } Customization, click Command bars, click a toolbar, and click Delete.
Rename a custom toolbar | Click Tools } Customization, click Command bars, click a toolbar name twice, and type a new name.

Related Topics
  • Customizing toolbars
  • To customize toolbar position and display
  • To add or remove an item on a toolbar
  • To arrange toolbar items
  • To modify toolbar appearance
  • To edit a toolbar button image


To add or remove an item on a toolbar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Choose a command category from the top list box.
  4. Drag a toolbar item from the list to a toolbar in the application window.

    5. If you want to remove an item from a toolbar, drag the toolbar item off the toolbar.

Related Topics
  • Customizing toolbars
  • To customize toolbar position and display
  • To add, delete, or rename a custom toolbar
  • To arrange toolbar items
  • To modify toolbar appearance
  • To edit a toolbar button image


To arrange toolbar items

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. On the toolbar in the application window, drag the toolbar item to a new position.

    4. If you want to move a toolbar item to another toolbar, drag the toolbar item icon from one toolbar to the other.

  • You can copy a toolbar item to another toolbar by holding down Ctrl while dragging a toolbar item.
Related Topics
  • Customizing toolbars
  • To customize toolbar position and display
  • To add, delete, or rename a custom toolbar
  • To add or remove an item on a toolbar
  • To modify toolbar appearance
  • To edit a toolbar button image


To modify toolbar appearance

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Click a toolbar name in the list.

    4. If you want to choose multiple toolbars, hold down Ctrl, and click the other toolbar names.

  4. Choose a size from the Button list box.
  5. In the Border box, click an arrow to specify a value from 1 to 10 pixels for the toolbar border.
  6. From the Default button appearance list box, choose one of the following:
    • Caption below image
    • Caption only
    • Caption to right of image
    • Image only

      • If you want to hide the title when the toolbar is floating, disable the Show title when toolbar is floating check box.

  • You can reset a built-in toolbar to its default settings by clicking Reset.
Related Topics
  • Customizing toolbars
  • To customize toolbar position and display
  • To add, delete, or rename a custom toolbar
  • To add or remove an item on a toolbar
  • To arrange toolbar items
  • To edit a toolbar button image


To edit a toolbar button image

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Choose a command category from the top list box.
  4. Click a toolbar command.
  5. Click the Appearance tab.
  6. Edit the button image using the options in the Image area.

  • When you choose either Small or Medium in the Size list box, you edit the small or medium versions of a particular button image. You cannot edit the large version of a button image. For information about how to display all buttons as small, medium, or large, see "To modify toolbar appearance."

  • You can reset toolbar button images to the default settings by clicking Restore defaults.
Related Topics
  • Customizing toolbars
  • To customize toolbar position and display
  • To add, delete, or rename a custom toolbar
  • To add or remove an item on a toolbar
  • To arrange toolbar items
  • To modify toolbar appearance


Customizing the property bar

You have control over the placement and content of the property bar. You can move the property bar anywhere on screen. Placing it inside the application window creates a floating property bar. Placing it on any of the four sides of the application window docks it, making it part of the window border.

When moving, docking, or undocking the property bar, you use the grab area of the property bar, which is the same as the grab area of a toolbar. For more information about the grab area, see "Customizing toolbars."

You can also set up a custom property bar by adding, removing, and rearranging toolbar items. This lets you customize what appears on the property bar when you choose various tools. For example, when the Text tool is active, you can have the property bar display additional commands for text-related tasks such as increasing or decreasing font size, or changing case.

Related Topics
  • To position the property bar
  • To add or remove a toolbar item on the property bar
  • To rearrange toolbar items on the property bar


To position the property bar

To | Do the following
Move the property bar | Click the property bar’s grab area, and drag the property bar to a new position.
Undock the property bar | Click the property bar’s grab area, and drag the property bar away from the edge of the application window.
Dock the property bar | Click the property bar’s grab area, and drag the property bar to any edge of the application window.

Related Topics
  • Customizing the property bar
  • To add or remove a toolbar item on the property bar
  • To rearrange toolbar items on the property bar


To add or remove a toolbar item on the property bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Choose a command category from the top list box.
  4. Drag a toolbar item from the list to the property bar.

    5. If you want to remove an item from the property bar, drag the toolbar item icon off the property bar.

  • The new item is displayed on the property bar for the active tool or task. When the property bar content changes, the item is not displayed. The new item is displayed again when the related tool or task is activated.
Related Topics
  • Customizing the property bar
  • To position the property bar
  • To rearrange toolbar items on the property bar


To rearrange toolbar items on the property bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Drag the toolbar item icon to a new position on the property bar.
Related Topics
  • Customizing the property bar
  • To position the property bar
  • To add or remove a toolbar item on the property bar


Customizing the status bar

The status bar displays information about selected objects, such as color, fill type, and outline. The status bar also shows the current mouse position and relevant commands. You can customize the status bar by resizing it. If you want to see more of the application window, you can hide the status bar. You can also customize the status bar by adding, removing, and resizing toolbar items.

Related Topics
  • To resize the status bar
  • To hide the status bar
  • To add or remove a toolbar item on the status bar
  • To resize toolbar items on the status bar


To resize the status bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Click Status bar, and enable the check box.
  4. Type 1 or 2 in the Number of lines when docked box.
Related Topics
  • Customizing the status bar
  • To hide the status bar
  • To add or remove a toolbar item on the status bar
  • To resize toolbar items on the status bar


To hide the status bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Disable the check box beside Status bar.

  • You can also switch between hiding and displaying the status bar by clicking Window } Toolbars } Status bar.
Related Topics
  • Customizing the status bar
  • To resize the status bar
  • To add or remove a toolbar item on the status bar
  • To resize toolbar items on the status bar


To add or remove a toolbar item on the status bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Commands.
  3. Choose a command category from the top list box.
  4. Drag a toolbar item from the list to the status bar.

    5. If you want to remove a toolbar item from the status bar, drag the item off the status bar.

Related Topics
  • Customizing the status bar
  • To resize the status bar
  • To hide the status bar
  • To resize toolbar items on the status bar


To resize toolbar items on the status bar

  1. Click Tools } Customization.
  2. In the Customization list of categories, click Command bars.
  3. Click Status bar, and enable the check box.
  4. Choose one of the following options from the Button list box:
    • Small
    • Medium
    • Large

  • Only toolbar items you have added to the status bar are affected by resizing. The size of the default icons remains unchanged.
Related Topics
  • Customizing the status bar
  • To resize the status bar
  • To hide the status bar
  • To add or remove a toolbar item on the status bar


Customizing feedback sounds

Your application supports sounds through the Windows operating system. These sounds, which provide feedback through audio cues, are associated with certain user interface events. Though your application registers events available for sound cues, it does not supply any sounds. You can assign feedback sounds to specific events. Once assigned, feedback sounds are enabled by default, but you can disable them.

Related Topics
  • To assign feedback sounds
  • To disable feedback sounds


To assign feedback sounds

  1. Click Start on the Windows taskbar.
  2. Click Settings } Control panel.
  3. Double-click Sounds.
  4. From the Sound events list, choose an event below the application name.
  5. Choose a sound from the Name list box.

  • For more information about feedback sounds, consult your operating system’s Help file.
Related Topics
  • Customizing feedback sounds
  • To disable feedback sounds


To disable feedback sounds

  1. Click Tools } Options.
  2. In the list of categories, click General.
  3. Disable the Enable sounds check box.

  • You must restart the application for the disable command to take effect.
Related Topics
  • Customizing feedback sounds
  • To assign feedback sounds


Reference information

This reference section provides additional information and technical notes about customizing recovery and warning options, memory, filters, and file associations.


Corel Application Recovery Manager

Corel Application Recovery Manager (C.A.R.M.) is an online wizard that allows you to save your work and exit in case the application becomes unstable. You can also send an online report to Corel that documents the nature of the problem and the events that led to it.

The C.A.R.M. wizard opens automatically at program failure and then offers three courses of action:

  • saving the drawing and closing the application
  • exiting the application without saving the drawing
  • continue working

With the last option, there is no guarantee that you can recover any work in your drawing after the last time you saved or kept the program open.

After you have made your selection, you can report the details of the problem to Corel with an attached program log. Your report will be vital part of Corel's product improvement efforts.

You can disable C.A.R.M., but doing so can result in your losing any work since the last time you saved.

Related Topics
  • To disable Corel Application Recovery Manager


To disable Corel Application Recovery Manager

  1. Click Tools } Options.
  2. In the list of categories, click Global.
  3. Disable the Enable CARM check box.

  • All Corel applications installed on your computer are affected when C.A.R.M. is disabled.
Related Topics
  • Corel Application Recovery Manager


Specifying memory options

You can increase the amount of memory available using swap disks. When you perform an action that requires more RAM than is available in your computer, image information can be swapped to the hard disk. If you have two hard disks, or two partitions, you can set up both a primary and a secondary disk.

Although swap disks let you artificially increase the amount of memory available on your computer, swapping image information to hard disks requires more processing time than when it is sent to your computer's RAM.

You can also choose how much of the available RAM on your computer is reserved for storing the images you open and edit. Set the amount of memory based on the type of work you perform and the number of applications you usually run simultaneously. If you increase the amount of memory reserved for images and find the application's performance has decreased, you might need to reduce this amount so that more RAM is available to run the application.

Related Topics
  • To create swap disk space for temporary storage
  • To specify how much RAM is used


To create swap disk space for temporary storage

  1. Click Tools } Options.
  2. Click Workspace, and click Memory in the list of categories.
  3. Choose a disk from the Primary disk list box.
  4. Choose a disk from the Secondary disk list box.
  5. Click OK.
  6. Restart the application to apply the changes.

  • You should set the total amount of disk space two or three times larger than the size of your uncompressed movies.
  • Primary and secondary swap disk space are allocated to the user's temp folder by default. You can change the swap disk space folder only if you have sufficient privileges on your system.
Related Topics
  • Specifying memory options
  • To specify how much RAM is used


To specify how much RAM is used

  1. Click Tools } Options.
  2. Click Workspace, and click Memory in the list of categories.

    3. The Memory usage area of the Memory page displays the total amount of memory available on your computer.

  3. In the Max box, type the percentage of the total memory you want to make available for storing movies.

    4. The amount of memory this percentage corresponds to appears to the right of the Max box.

  4. Restart Corel R.A.V.E. for the new settings to take effect.
Related Topics
  • Specifying memory options
  • To create swap disk space for temporary storage


Disabling warning messages

You may encounter warning messages while working in the application. Warning messages explain the consequences of an action you are about to perform, and inform you of permanent changes that might result from that action. Although the warnings are helpful, you can disable them so you don't have to view them after you become familiar with the software. Avoid disabling warning messages until you are comfortable with the application and familiar with the results of the commands you use.

Related Topics
  • To disable warning messages


To disable warning messages

  1. Click Tools } Options.
  2. Click Workspace, and click Warnings in the list of categories.
  3. Disable one or more of the check boxes.
Related Topics
  • Disabling warning messages


Viewing system information

You can view information about your computer as well as information about the application itself. For example, you can view details about your computer's setup. You can view detailed information about your system, display and printing properties, Corel applications and DLL files, and system DLL files. This feature is useful, for instance, to find out how much space you have on the drive to which you want to save a file.

Related Topics
  • To view system information


To view system information

  1. Click Help } About Corel R.A.V.E.
  2. Click System info.
  3. Choose a category from the Choose a category list box.

  • Click the Save button to store system information for printing.
Related Topics
  • Viewing system information


Customizing filters

Filters are used to convert files from one format to another. They are organized into four types: raster, vector, animation, and text. You can customize filter settings by adding or removing filters so that only the filters you need are loaded. You can also change the order of the list of filters and reset filters to the default setting.

Related Topics
  • To add a filter
  • To remove a filter
  • To change the order of the list of filters


To add a filter

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Filters.
  3. Double-click a type of filter in the Available file types list.
  4. Click a filter.
  5. Click Add.
Related Topics
  • Customizing filters
  • To remove a filter
  • To change the order of the list of filters


To remove a filter

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Filters.
  3. Click a filter in the List of active filters.
  4. Click Remove.
Related Topics
  • Customizing filters
  • To add a filter
  • To change the order of the list of filters


To change the order of the list of filters

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Filters.
  3. Click a filter in the List of active filters.
  4. Click one of the following:
    • Move up — moves the filter up the list
    • Move down — moves the filter down the list

  • You can reset the List of active filters to the default setting by clicking Reset.
Related Topics
  • Customizing filters
  • To add a filter
  • To remove a filter


Customizing file associations

You can associate a number of different file types with Corel applications. When you double-click a file you have associated with an application, the application starts and the file opens. When you no longer need a file type association, you can break it.

Related Topics
  • To associate a file type with Corel R.A.V.E
  • To break a Corel R.A.V.E. file type association


To associate a file type with Corel R.A.V.E

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Filters.
  3. Click Associate.
  4. In the Associated file extensions with Corel R.A.V.E. 3.0 list, enable the check box of the file type you want to associate.

  • You can reset file associations by clicking Reset.
Related Topics
  • Customizing file associations


To break a Corel R.A.V.E. file type association

  1. Click Tools } Options.
  2. In the list of categories, double-click Global, and click Filters.
  3. Click Associate.
  4. In the Associated file extensions with Corel R.A.V.E. 3.0 list, disable the check box of the file type association you want to break.

  • You can reset file associations by clicking Reset.
Related Topics
  • Customizing file associations
  • To associate a file type with Corel R.A.V.E


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W Z

A

accelerator table

A file that contains a list of shortcut keys. Different tables are active depending on the task that you are performing.

anchor point

The point that remains stationary when you stretch, scale, mirror, or skew an object. Anchor points correspond to the eight handles that display when an object is selected, as well as the center of a selection box marked by an X.

animation

An animated object or objects. An animation consists of a succession of frames and can be an entire Corel R.A.V.E. movie or part of a movie.

animation file

A file that supports moving images; for example, animated GIF and QuickTime (MOV).

anti-aliasing

A method of smoothing curved and diagonal edges in images. Intermediate pixels along edges are filled to smooth the transition between the edges and the surrounding area.

arrow keys

Direction keys that move or "nudge" selected objects in small increments. You can also use arrow keys to position the cursor when you type or edit text onscreen or in a dialog box.

artistic text

A type of text created with the Text tool. Use artistic text to add short lines of text, such as titles, or to apply graphic effects, such as fitting text to a path, creating extrusions and blends, and creating all other special effects. An artistic text object can contain up to 32,000 characters.

aspect ratio

The ratio of the width of an image to its height (expressed mathematically as x:y). For example, the aspect ratio of an image that is 640 x 480 pixels is 4:3.

audio object

A sound file imported into a movie project.
B

base color

The color of the object that appears under a transparency. The base color and the color of the transparency combine in various ways depending on the merge mode you apply to the transparency.

behavior

A command that is executed either when a movie reaches a certain point (for a behavior applied to a frame), or when the user interacts with an object (for a behavior applied to a rollover state). Behaviors let you create more complex and interactive movies. For example, you can start and stop movies, jump to other parts of a movie, load additional movies, and control sound.

Bézier line

A straight or curved line made up of segments connected by nodes. Each node has control points that allow the shape of the line to be modified.

bit depth

The number of binary bits that define the shade or color of each pixel in a bitmap. For example, a pixel in a black-and-white image has a depth of 1 bit, because it can only be black or white. The number of color values that a given bit depth can produce is equal to 2 to the power of the bit depth.

bitmap

An image composed of grids of pixels or dots.
See also vector graphic.

black-and-white color mode

A 1-bit color mode that stores images as two solid colors - black and white - with no gradations. This color mode is useful for line art and simple graphics.

blend

An effect created by transforming one object into another through a progression of shapes and colors.

bounding box

The invisible box indicated by the eight selection handles surrounding a selected object.

button

An interactive object or group of objects that changes its appearance or executes a behavior when you click or point to it.
See also rollover.

brightness

The amount of light that is transmitted or reflected from a given pixel. In the HSB color mode, brightness is a measure of how much white a color contains. For example, a brightness value of 0 produces black, and a brightness value of 255 produces white.
C

calligraphic angle

The angle that controls the orientation of a pen to the drawing surface, like the slant of the nib on a calligraphy pen. A line drawn at the calligraphic angle has little or no thickness, but widens as its angle gets farther from the calligraphic angle.

center of rotation

The point around which an object rotates.

child color

A color style created as a shade of another color style. For most of the available color models and palettes, child colors share the same hue as the parent, but have different saturation and brightness levels.
See also parent color.

clipart

Ready-made images that can be imported into Corel applications and edited if required.

Clipboard

An area that is used to temporarily store cut or copied information. The information is stored until new information is cut or copied to the Clipboard, replacing the old.

clone

A copy of an object or an area of an image that is linked to a master object or image area. Most changes made to the master are automatically applied to its clones.
See also symbol.

closed object

An object defined by a path whose start point and end point are connected.

closed path

A path whose start point and end point are connected.

CMY

A color mode made up of cyan (C), magenta (M), and yellow (Y). This mode is used in the three-color printing process.

CMYK

A color mode made up of cyan (C), magenta (M), yellow (Y), and black (K). CMYK printing produces true blacks and a wide tonal range. In the CMYK color mode, color values are expressed as percentages; therefore, a value of 100 for an ink means that the ink is applied at full saturation.

code page

A code page is a table in the DOS or Windows operating system that defines which ASCII or ANSI character set is used for displaying text. Different character sets are used for different languages.

color channel

An 8-bit grayscale version of an image. Each channel represents one level of color in the image; for example, RGB has three color channels, while CMYK has four. When all the channels are printed together, they produce the entire range of colors in the image.
See also RGB and CMYK.

color gamut

The range of colors that can be reproduced or perceived by any device. For example, a monitor displays a different color gamut than a printer, making it necessary to manage colors from original images to final output.

color mode

A system that defines the number and kind of colors that make up an image. Black-and-white, grayscale, RGB, CMYK, and paletted are examples of color modes.

color model

A simple color chart that defines the range of colors displayed in a color mode. RGB (red, green, blue), CMY (cyan, magenta, yellow), CMYK (cyan, magenta, yellow, black), HSB (hue, saturation, brightness), HLS (hue, lightness, saturation), and CIE L*a*b (Lab) are examples of color models.

color palette

A collection of solid colors from which you can choose colors for fills and outlines.

color profile

A description of the color-handling capabilities and characteristics of a device.

color separation

In commercial printing, the process of splitting colors in a composite image to produce a number of separate grayscale images, one for each primary color in the original image. In the case of a CMYK image, four separations (one for cyan, magenta, yellow, and black) must be made.

color space

In electronic color management, a virtual representation of a device or the color gamut of a color model. The boundaries and contours of a device's color space are mapped by color management software.
See also color gamut.

color swatch

A solid-colored patch in a color palette.

combined object

An object created by combining two or more objects and converting them into a single curve object. A combined object takes on the fill and outline attributes of the last selected object. Sections where an even number of objects overlapped have no fill. Sections where an odd number of objects overlapped are filled. The outlines of the original objects remain visible.

compound blend

A blend created by blending the start or end object of one blend with another object.

compound tween

A tween consisting of three or more keyframes. The timeline of a compound tween consists of two or more timeline sections.

concave

Hollowed or rounded inward like the inside of a bowl.

contour

An effect created by adding evenly spaced concentric shapes inside or outside the borders of an object.

contrast

The difference in tone between the dark and light areas of an image. Higher contrast values indicate greater differences and fewer gradations between dark and light.

control points

The points that extend from a node along a curve that is being edited with the Shape tool. Control points determine the angle at which the curve passes through the node.

convex

Curved or rounded outwards like the exterior of a sphere or circle.

crop

To cut unwanted areas of an image without affecting the resolution of the part that remains.

curve object

An object that has nodes and control points, which you can manipulate to change the object's shape. A curve object can be any shape, including a straight or curved line.
D

diacritical mark

An accent mark above, below, or through a written character; for example, the acute (é) and cedilla (ç) accents.

dithering

A process used to simulate a greater number of colors when only a limited number of colors is available.

dpi (dots per inch)

A measure of a printer's resolution in dots per inch. Typical desktop laser printers print at 600 dpi. Image setters print at 1270 or 2540 dpi. Printers with higher dpi capabilities produce smoother and cleaner output. The term dpi is also used to measure scanning resolution and to indicate bitmap resolution.

drawing window

The portion of the application window on which you can create, add, and edit objects.

drop shadow

A three-dimensional shadow effect that gives objects a realistic appearance.

duotone

An 8-bit color mode that displays images using 256 shades of up to four tones. An image in the duotone color mode is simply a grayscale image that has been enhanced with one to four additional colors.

dynamic guides

Temporary guidelines that appear from the following snap points in objects — center, node, quadrant, and text baseline.
E

encoding

Determines the character set of text, letting you correctly display text in the appropriate language.

envelope

A closed shape that can be placed around an object to change the object's shape. An envelope consists of segments connected by nodes. Once an envelope has been placed around an object, the nodes can be moved to change the shape of the object.

extrusion

A feature that lets you apply a three-dimensional perspective by projecting lines from an object to create the illusion of depth.
F

feathering

The level of sharpness along a drop shadow's edges.

fill

A color, bitmap, fountain, or pattern applied to an area of an image.

filter

An application that translates digital information from one form to another.

floating object

A bitmap with no background. Floating objects are also referred to as photo objects or cutout images.

font

A set of characters with a single style (such as italic), weight (such as bold), and size (such as 10 point) for a typeface such as Times New Roman.

fountain fill

A smooth progression of two or more colors applied to an area of an image that follow a linear, radial, conical, or square path. Two-color fountain fills have a direct progression from one color to another, while custom fills may have a progression of many colors.

fountain steps

The shades of color that make up the appearance of a fountain fill. The more steps in a fill, the smoother the transition from the beginning color to the end color.

freehand marquee select

To marquee select objects or nodes by holding down the Option key while dragging the Shape tool and controlling the shape of the marquee box enclosure as if you were drawing a freehand line.
See also marquee select.
G

GIF

A graphic file format designed to use a minimum of disk space and be easily exchanged between computers. This format is commonly used to publish images of 256 or fewer colors to the Internet.

glyph

Diamond-shaped handles that can be dragged to alter the form of a shape.

grab area

The area of a command bar that can be dragged. Dragging the grab area moves the bar, while dragging any other area of the bar has no effect. The location of the grab area depends on the operating system you are using, the orientation of the bar, and whether the bar is docked or undocked. Command bars with grab areas include toolbars, the toolbox, and the property bar.

grayscale

A color mode that displays images using 256 shades of gray. Each color is defined as a value between 0 and 255, where 0 is darkest (black) and 255 is lightest (white).

grid

A series of evenly spaced horizontal and vertical dots that are used to help draw and arrange objects.

group

A set of objects that behaves as one unit. Operations you perform on a group apply equally to each of its objects.

guideline

A horizontal, vertical, or slanted line that can be placed anywhere in the drawing window to aid in object placement.

gutter

The space between columns of text, also called the alley. In printing, the white space formed by the inside margins of two facing pages.
H

halftone

An image that has been converted from a continuous tone image to a series of dots of various sizes to represent different tones.

handles

A set of eight black squares that appear at the corners and sides of an object when the object is selected. By dragging individual handles, you can scale, resize or mirror the object. If you click a selected object, the shape of the handles changes to arrows so that you can rotate and skew the object.

hotspot

The area of an object that you can click to jump to the address specified by a URL.

hot zone

The distance from the right margin at which hyphenation begins.

HSB (hue, saturation, brightness)

A color model that defines three components: hue, saturation, and brightness. Hue determines color (yellow, orange, red, and so on); brightness determines perceived intensity (lighter or darker color); and saturation determines color depth (from dull to intense).

HTML

The World Wide Web authoring standard comprised of markup tags that define the structure and components of a document. The tags are used to tag text and integrate resources (such as images, sound, video, and animation) when you create a Web page.

hue

The property of a color that allows it to be classified by its name. For example, blue, green, and red are all hues.
I

imagesetter

A high-resolution device that creates film or film-based paper output used in the production of plates for printing presses.

intensity

Intensity is a measure of the brightness of the light pixels in a bitmap compared with the darker mid-tones and dark pixels. An increase in intensity increases the vividness of whites while maintaining true darks.

interlacing

In GIF images, a method that lets you display a Web-based image on the screen at a low, blocky resolution. As the image data loads, the image quality improves.

intersection

The point at which one line crosses another.
J

JPEG

A format for photographic images that offers compression with some loss of image quality. Because of their compression (up to 20 to 1) and small file size, JPEG images are widely used in Internet publishing.

JPEG 2000

An improved version of the JPEG file format that features better compression and allows you to attach image information and assign a different compression rate to an image area.

justify

To modify the spacing between characters and words so that the edges on the left, right, or both margins of a block of text are even.
K

kerning

The space between characters, and the adjustment of that space. Often, kerning is used to place two characters closer together than usual, for example WA, AW, TA, or VA. Kerning increases readability and makes letters appear balanced and proportional, especially at larger font sizes.

keyframe

A movie frame which defines change to an object or a group of objects. When tweening, Corel R.A.V.E. fills in the frames between keyframes so that objects change gradually over time.
L

Lab

A color model that contains a luminance (or lightness) component (L) and two chromatic components: "a" (green to red) and "b" (blue to yellow).

label

A name that can be attached to a frame. A label lets you reference frames easily when working with sprites and using behaviors.

leader tabs

A row of characters placed between text objects to help the reader follow a line across white space. Leader tabs are often used in place of tab stops, especially before text that is flush right such as in a list or table of contents.

leading

The spacing between lines of text. Leading is important for both readability and appearance.

library

A collection of symbol and sprite definitions included in a Corel R.A.V.E. (CLK) file. To share a library between movies, you can export it to the Corel Symbol Library (CSL) file format.

life span

The series of frames in which an object exists in a movie.

ligature

A character consisting of two or more letters joined together.

lightness

The level of brightness that is shared between a transparency and the object to which it is applied. For example, if a transparency is applied to an object whose color appears bright, the transparency color will take on a comparable brightness. The same holds true for a transparency that is applied to an object whose color appears dark—the transparency will take on a comparable darkness.

lossless

A kind of file compression that maintains the quality of an image that has been compressed and decompressed.

lossy

A kind of file compression that results in noticeable degradation of image quality.

LZW

A lossless file compression technique that results in smaller file size and faster processing time. LZW compression is commonly used on GIF and TIFF files.
M

marquee select

To select objects or nodes by dragging the Pick tool or Shape tool diagonally and enclosing objects in a marquee box with a dotted outline.

master object

An object that has been cloned. Most changes you make to the master object are automatically applied to the clone.

mesh fill

A type of fill that lets you add patches of color to the inside of a selected object.

metadata

Information about objects. Examples of metadata are names, comments, and cost assigned to objects.

micro nudge

To move an object in small increments.
See also nudge and super nudge.

midpoint

The point of a Bézier line that divides it into two parts of equal length.

miter limit

A value that determines when two lines that meet at a sharp angle switch from a pointed (mitered) joint to a squared-off (beveled) joint.

movie frame

One image in a series of images that make up a movie. A movie frame can contain one or more objects.
N

nested group

A group of two or more groups that behaves as one object.

nested PowerClip objects

Containers that hold other containers to form complex PowerClip objects.

nodes

The square points at each end of a line or curve segment. You can change the shape of a line or curve by dragging one or more of its nodes.

noise

In bitmap editing, random pixels on the surface of a bitmap, resembling static on a television screen.

nonprinting characters

Items that appear on the screen but do not print. They include the rulers, guidelines, table gridlines, hidden text, and formatting symbols, such as spaces, hard returns, tabs, and indents.

nudge

To move an object in increments.
See also micro nudge and super nudge.
O

object

A generic term for any item you create or place in a drawing. Objects include lines, shapes, graphics, and text.

one-point perspective

An effect created by lengthening or shortening one side of an object to create the impression that the object is receding from view in one direction.

onion skinning

Displaying multiple frames on the stage at once. Objects in the current frame appear in full color while objects in other frames display in wireframe view.

opacity

The quality of an object that makes it difficult to see through. If an object is 100% opaque, you cannot see through it. Opacity levels under 100% increase the ability to see through objects.
See also transparency.

open object

An object defined by a path whose start point and end point are not connected.

origin

The point in the drawing window at which the rulers intersect.

outline

The line that defines the shape of an object.

overexposure

Excessive light in an image that gives it a washed-out appearance.
P

paletted color mode

An 8-bit color mode that displays images using up to 256 colors. You can convert a complex image to the paletted color mode to reduce file size and to control the colors used throughout the conversion process more precisely.

pan

To move the stage around in the drawing window. Panning changes the stage view in the same way that scrolling moves the stage up, down, to the left, or to the right in the drawing window. When working at high magnification levels where not all of the stage is displayed, you can quickly pan to see parts of the stage that were previously hidden.

PANOSE font matching

A feature that lets you choose a substitute font if you open a file that contains a font not installed on your computer. You can make a substitution for the current working session only, or you can permanently make a substitution so that when you save and reopen the file, the new font automatically displays.

PANTONE process colors

The colors that are available through the PANTONE Process Color System, which is based on the CMYK color model.

paragraph text

A text type that allows you to apply formatting options and directly edit large blocks of text.

parent color

An original color style that you can save and apply to objects in a drawing. You can create child colors from the parent color.
See also child color.

path

The basic component from which objects are constructed. A path can be open (for example, a line) or closed (for example, a circle), and it can be made up of a single line or curve segment or many joined segments.

pattern fill

A fill consisting of a series of repeating vector objects or images.

Perfect Shapes

Predefined shapes, such as basic shapes, arrows, stars, and callouts. Perfect Shapes often have glyphs, which let you modify their appearance.

perpendicular line

A line that intersects another line at a right angle.

pixel

A colored dot that is the smallest part of a bitmap.
See also resolution.

PNG (Portable Network Graphics)

A graphic file format designed for use in online viewing. This format can import 24-bit color graphics.

playhead

The indicator in the Timeline docker that shows which frame in a movie is displayed on the stage and lets you navigate through frames.

point

A unit of measure used primarily in typesetting to define type sizes. There are approximately 72 points to an inch and 12 points to a pica.

PowerClip object

An object created by placing objects (contents objects) inside other objects (container objects). If the contents object is larger than the container object, the contents object is automatically cropped. Only the contents that fit inside the container object are visible.

process color

In commercial printing, colors that are produced from a blend of cyan, magenta, yellow, and black. This is different from a spot color, which is a solid ink color printed individually (one printing plate is required for each spot color).
Q

QuickCorrect

A feature that automatically displays the fully worded form for abbreviations or the correct form for errors as you type. You can use QuickCorrect to capitalize words or to correct common spelling and typographic errors automatically; for example, QuickCorrect can replace "asap" with "as soon as possible" and "hte" with "the."
R

radius

As applied to orbits, sets the distance between the center of the brush stroke and the nibs that travel around the center of the brush stroke when you paint with orbits. Increasing this value increases the size of the brush stroke.

range sensitivity

A paletted color mode option that lets you specify a focus color for the paletted conversion. You can adjust the color and specify its importance to guide converting.

rasterized image

An image that has been rendered into pixels. When you convert vector graphics files to bitmap files, you create rasterized images.

render

To capture a two-dimensional image from a three-dimensional model.

resample

To change the resolution and dimensions of a bitmap. Upsampling increases the size of the image; downsampling decreases the size of the image. Resampling with fixed resolution lets you maintain the resolution of the image by adding or subtracting pixels while varying the image size. Resampling with variable resolution keeps the number of pixels unchanged while changing the image size, resulting in lower or higher resolution than that of the original image.

resolution

The amount of detail that an image file contains, or that an input, output, or display device is capable of producing. Resolution is measured in dpi (dots per inch) or ppi (pixels per inch). Low resolutions can result in a grainy appearance; high resolutions can produce higher quality images but result in larger file sizes.

RGB

A color mode in which the three colors of light (red, green, and blue) are combined in varying intensities to produce all other colors. A value between 0 and 255 is assigned to each channel of red, green and blue. Monitors, scanners, and the human eye use RGB to produce or detect color.

rollover

An interactive object or group of objects that changes its appearance when you click or point to it.

rollover

An interactive object or group of objects that changes its appearance or executes a behavior when you click or point to it.

rollover state

One of the following three conditions of a rollover:
Normal—default state when there is no mouse activity associated with the rollover
Over—triggered when the pointer is over the rollover
Down—triggered when the rollover is clicked

rotate

To reposition and reorient an object by turning it around its center of rotation.

ruler

A horizontal or vertical bar marked off in units that is used to determine the size and position of objects. By default, the rulers display on the left side and along the top of the application window, but they can be hidden or moved.
S

saturation

The purity or vividness of a color, expressed as the absence of white. A color that has 100% saturation contains no white. A color with 0% saturation is a shade of gray.

scale

To change an object's horizontal and vertical dimensions proportionally by a specified percentage. For example, a rectangle with a height of 1" and a width of 2" that is scaled by 150% results in a height of 1.5" and a width of 3". The aspect ratio of 1:2 (height to width) is maintained.

segment

The line or curve between nodes in a curve object.

selection box

An invisible rectangle with eight visible handles that appears around any object you select using the Pick tool.

shape recognition

The ability to recognize and convert hand-drawn shapes into perfect forms. To take advantage of shape recognition, you must use the Smart drawing tool. For example, you can draw four pen strokes to sketch a rectangle, and the application will convert your hand-drawn lines into a perfect rectangle.

size

To change an object's horizontal and vertical dimensions proportionally by changing one of the dimension's values. For example, a rectangle with a height of 1" and a width of 2" can be sized by changing the value of the height to 1.5". A width of 3" automatically results from the new height value. The aspect ratio of 1:2 (height to width) is maintained.

skew

To slant an object vertically, horizontally, or both.

snap

To force an object that is being drawn or moved to align automatically to a point on the grid, a guideline, or another object.

source object

The object you use to perform a shaping action on another object, such as welding, trimming, or intersecting. The source object receives the fill and outline attributes of the target object.
See also target object.

split blend

A single blend that is broken into two or more components to create a compound blend. The object where the blend is split becomes the end object for one component of the blend and start object for the other.

spot color

In commercial printing, a solid ink color that prints individually, one plate per spot color.

sprite

A reusable animation. A sprite is an animated symbol that is defined once and can be referenced many times in a movie.

sprite instance

An occurrence of a sprite in a movie. A sprite instance automatically inherits any changes made to the sprite. You can also apply unique properties to the objects in each instance, including size, position, and uniform transparency.

stage

The portion of the drawing window in which you add objects to a movie, compose the contents of individual frames, and test animation results.

style

A set of attributes that controls the appearance of a specific type of object. There are three style types: graphic styles, text styles (artistic and paragraph), and color styles.

subpaths

Paths that are part of one object.

subscript

Text characters that are positioned below the baseline of the other characters in a line of text.

subtractive color model

A color model, such as CMYK, that creates color by subtracting wavelengths of light reflected from an object. For example, a colored ink appears blue if it absorbs all colors except blue.

super nudge

To move an object in large increments by pressing Shift and an Arrow key. The super nudge value is multiplied by the nudge value to obtain the distance by which the object is moved.
See also nudge and micro nudge.

superscript

Text characters that are positioned above the baseline of the other characters in a line of text.

swap disk

Hard drive space used by applications to artificially increase the amount of memory available in your computer.

swatch

One of a series of solid-colored patches used as a sample when selecting color. A printed booklet of swatches is called a swatchbook. Swatch also refers to the colors contained in the color palette.

symbol

A reusable object or group of objects. A symbol is defined once and can be referenced many times in a movie.

symbol instance

An occurrence of a symbol in a movie. A symbol instance automatically inherits any changes made to the symbol. You can also apply unique properties to each instance, including size, position, and uniform transparency.
T

tangent

A straight line that touches a curve or an ellipse at a point, but does not cross the curve or ellipse at that point.

target object

The object you perform a shaping action on, such as welding, trimming, or intersecting with another object. The target object retains its fill and outline attributes while copying these attributes to the source objects used to perform the action.
See also source object.

text baseline

The imaginary horizontal line that text characters appear to be placed on.

text frame

The rectangle that appears as a series of dashed lines around a block of paragraph text created using the Text tool.

text style

A set of attributes that controls the appearance of text. There are two text style types: artistic text styles and paragraph text styles.

texture fill

A fractally generated fill that, by default, fills an object or image area with one image instead of with a series of repeating images.

threshold

A level of tolerance for tonal variation in a bitmap.

thumbnail

A miniature, low-resolution version of an image or illustration.

tiling

The technique of repeating a small image across a large surface. Tiling is often used to create a patterned background for World Wide Web pages.

timeline

The graphical representation of an object's life span in a movie.

timeline section

A portion of an object's timeline consisting of two keyframes and all the frames in between.

tint

The lighter shade of a spot color.

tone

The variations in a color or the range of grays between black and white.

transparency

The quality of an object that makes it easy to see through. Setting lower levels of transparency causes higher levels of opacity and less visibility of the underlying items or image.
See also opacity.

TrueType fonts

A font specification developed by Apple. TrueType fonts print the way they appear on the screen and can be resized to any height.

tween

To animate an object by modifying some of the frames in its timeline and letting Corel R.A.V.E. create the frames in between, so that objects change gradually over time.
Also, the animation created by tweening.

two-point perspective

An effect created by lengthening or shortening two sides of an object to create the impression that the object is receding from view in two directions.
U

underexposure

The lack of light in an image that makes it too dark.

uniform fill

A type of fill used to apply one solid color to your image.
See also fill.

Unicode

A character encoding standard that defines character sets for all written languages in the world by using a 16-bit code set and more than 65, 000 characters. Unicode lets you handle text effectively regardless of the language of the text, your operating system, or the application you are using.

URL (Uniform Resource Locator)

A unique address that defines where a Web page is located on the Internet.
V

vanishing point

A marker that appears when you select an extrusion or an object to which perspective has been added. With an extrusion, the vanishing point marker indicates the depth (parallel extrusion) or the point at which the extruded surfaces would meet if extended (perspective extrusion). In both cases, the vanishing point is indicated by an X.

vector graphic

An image generated from mathematical descriptions that determine the position, length, and direction in which lines are drawn. Vector graphics are created as collections of lines rather than as patterns of individual dots or pixels.
See also bitmap.

vector object

A specific object within a drawing that is created as a collection of lines rather than as patterns of individual dots or pixels. Vector objects are generated from mathematical descriptions that determine the position, length, and direction in which lines are drawn.
W

watermark

A small amount of random noise added to the luminance component of the image pixels which carries information about the image. This information survives normal editing, printing, and scanning.

weld

To combine two objects into a single curve object with a single outline. A source object is welded to a target object to create a new object that takes on the fill and outline attributes of the target object.

wireframe view

An outline view of a drawing that hides fills but displays extrusions, contour lines, and intermediate blend shapes. Bitmaps are displayed in monochrome.

workspace

A configuration of settings that specifies how the various command bars, commands, and buttons are arranged when you open the application.
Z

zoom

To reduce or magnify the view of a drawing. You can zoom in to see details or zoom out for a broader view.

Previous Document Back to Top